<?php
/*
* Redoc Mobile Enhanced Index
* Twitch Base7 for 1.57c
*  
* Copyright (C) 2022 Twitchtoo Media
*/

// Convert index.html to index.php using .htaccess
// Note: replace trace mTwitchBase7 with your site data before use. 
// m - is used as a prefix to indicate 'maintenance mode'


// load detector
  include_once('twi_index_header.php');

// Master Redoc Index Database connect switch
// Use this switch to control the gateway - a_store_index if the database is down for maintenance
$twi_rootindex_master = '1'; 
// 1-ON connect to db
// 0-OFF do not load database connect data

// WARNING: Turning this switch off will lose the auto-filled data - manually input store names to use this feature properly.


if ($twi_rootindex_master == '0') {
// Manual input store names to retain branding when in maintenance mode data can be found in Admin > Configuration > My Store
echo '<br/><div style="color:white;">Maintenance Mode Enabled</div>';
$store_name = 'mTwitchBase7_YOUR_BUSINESS_NAME_HERE';

// do NOT include <script></script> tags
$google_verification = "<!-- Google verification code here - mTwitchBase7 -->";
// do NOT include <script></script> tags
$google_site_tag = "window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'Google verification code here - mTwitchBase7');";

$meta_tag_title = 'mTwitchBase7 - Your Site Title';
$meta_tag_keywords = 'mTwitchBase7 - Your SEO Keywords Here';
$meta_tag_description = 'mTwitchBase7 - Your Store SEO Description';

} else {
// load db variables
  include_once ('shop/includes/configure.php');
//
  $link = mysqli_connect(DB_SERVER,DB_SERVER_USERNAME,DB_SERVER_PASSWORD);
  if(!$link)
    { echo "Database no connect eh";
      exit; }
   mysqli_select_db($link, DB_DATABASE) or die( "Unable to select database - user privileges missing");
//

// Begin a_store_index autofill Zen defined values
/* // php fix 7+ - set defines
define ('STORE_NAME','');
define ('TWI_GOOGLE_ANALYTICS_VERIFICATION','');
define ('TWI_GOOGLE_ANALYTICS_SITE_TAG','');
define ('TWI_META_TAG_TITLE','');
define ('TWI_META_TAG_CUSTOM_KEYWORDS','');
define ('TWI_META_DESCRIPTION','');
*/

// Store Name
$lookup = 'STORE_NAME';
$configuration_query = mysqli_query($link, "select configuration_value
                                        FROM ". DB_PREFIX ."configuration
                                        where configuration_key='" . $lookup . "' LIMIT 1
										")
										or die(mysqli_error($link));
$configuration_query_result = mysqli_fetch_assoc ($configuration_query); 
$store_name = $configuration_query_result['configuration_value'];

// Google Analytics
$lookup2 = 'TWI_GOOGLE_ANALYTICS_VERIFICATION';
$configuration_query2 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookup2 . "' LIMIT 1 ") or die(mysqli_error($link));
$configuration_query_result2 = mysqli_fetch_assoc ($configuration_query2); 
$google_verification = $configuration_query_result2['configuration_value'];
//
$lookup3 = 'TWI_GOOGLE_ANALYTICS_SITE_TAG';
$configuration_query3 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookup3 . "' LIMIT 1 ") or die(mysqli_error($link));
$configuration_query_result3 = mysqli_fetch_assoc ($configuration_query3); 
$google_site_tag = $configuration_query_result3['configuration_value'];

// Meta Tag Page Title
$lookup4 = 'TWI_META_TAG_TITLE';
$configuration_query4 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookup4 . "' LIMIT 1 ") or die(mysqli_error($link));
$configuration_query_result4 = mysqli_fetch_assoc ($configuration_query4); 
$meta_tag_title = $configuration_query_result4['configuration_value'];
// Meta Tag Custom Keywords
$lookup5 = 'TWI_META_TAG_CUSTOM_KEYWORDS';
$configuration_query5 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookup5 . "' LIMIT 1 ") or die(mysqli_error($link));
$configuration_query_result5 = mysqli_fetch_assoc ($configuration_query5); 
$meta_tag_keywords = $configuration_query_result5['configuration_value'];
// Meta Tag Custom Keywords
$lookup6 = 'TWI_META_DESCRIPTION';
$configuration_query6 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookup6 . "' LIMIT 1 ") or die(mysqli_error($link));
$configuration_query_result6 = mysqli_fetch_assoc ($configuration_query6); 
$meta_tag_description = $configuration_query_result6['configuration_value'];


// Twitch Store Hours - Lookup Values
$look_7swi = 'BASE7_MASTER_SWI';
$lookforshours = 'SHOW_TWI_STORE_HOURS_FDOOR';

$lookforshours1 = 'STORE_HOURS_D1DATA';
$lookforshours2 = 'STORE_HOURS_D2DATA';
$lookforshours3 = 'STORE_HOURS_D3DATA';
$lookforshours4 = 'STORE_HOURS_D4DATA';
$lookforshours5 = 'STORE_HOURS_D5DATA';
$lookforshours6 = 'STORE_HOURS_D6DATA';
$lookforshours7 = 'STORE_HOURS_D7DATA';

$lookforshours8 = 'STORE_HOURS_NOTE1';
$lookforshours9 = 'STORE_HOURS_NOTE2';

$lookforshours10 = 'SHOW_TWI_STORE_HOURS';
$lookforshours11 = 'SHOW_TWI_STORE_HOURS_NOTES';


$base7_master_swi_query = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $look_7swi . "' LIMIT 1 ") or die(mysqli_error($link));
$found_7swi = mysqli_fetch_assoc ($base7_master_swi_query); $BASE7_MASTER_SWI = $found_7swi['configuration_value'];

$store_hours_query = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours = mysqli_fetch_assoc ($store_hours_query); $SHOW_TWI_STORE_HOURS_FDOOR = $found_shours['configuration_value'];

$store_hours_query1 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours1 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours1 = mysqli_fetch_assoc ($store_hours_query1); $STORE_HOURS_D1DATA = $found_shours1['configuration_value'];
$store_hours_query2 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours2 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours2 = mysqli_fetch_assoc ($store_hours_query2); $STORE_HOURS_D2DATA = $found_shours2['configuration_value'];
$store_hours_query3 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours3 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours3 = mysqli_fetch_assoc ($store_hours_query3); $STORE_HOURS_D3DATA = $found_shours3['configuration_value'];
$store_hours_query4 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours4 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours4 = mysqli_fetch_assoc ($store_hours_query4); $STORE_HOURS_D4DATA = $found_shours4['configuration_value'];
$store_hours_query5 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours5 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours5 = mysqli_fetch_assoc ($store_hours_query5); $STORE_HOURS_D5DATA = $found_shours5['configuration_value'];
$store_hours_query6 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours6 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours6 = mysqli_fetch_assoc ($store_hours_query6); $STORE_HOURS_D6DATA = $found_shours6['configuration_value'];
$store_hours_query7 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours7 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours7 = mysqli_fetch_assoc ($store_hours_query7); $STORE_HOURS_D7DATA = $found_shours7['configuration_value'];

$store_hours_query8 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours8 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours8 = mysqli_fetch_assoc ($store_hours_query8); $STORE_HOURS_NOTE1 = $found_shours8['configuration_value'];
$store_hours_query9 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours9 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours9 = mysqli_fetch_assoc ($store_hours_query9); $STORE_HOURS_NOTE2 = $found_shours9['configuration_value'];

$store_hours_query10 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours10 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours10 = mysqli_fetch_assoc ($store_hours_query10); $SHOW_TWI_STORE_HOURS = $found_shours10['configuration_value'];
$store_hours_query11 = mysqli_query($link, "select configuration_value FROM ". DB_PREFIX ."configuration where configuration_key='" . $lookforshours11 . "' LIMIT 1 ") or die(mysqli_error($link));
$found_shours11 = mysqli_fetch_assoc ($store_hours_query11); $SHOW_TWI_STORE_HOURS_NOTES = $found_shours11['configuration_value'];
// eof Store Hours
}
?>

<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Home - <?php echo $meta_tag_title ?></title>
<meta name="description" content="<?php echo $meta_tag_description ?>" />
<meta name="keywords" content="<?php echo $meta_tag_keywords ?>" />

<meta name="author" content="Twitchtoo Media https://www.twitchtoo.com/">
<meta name="copyright" content="Copyright (c) <?php echo $meta_tag_title ?>">

<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes"/>
<link rel="stylesheet" href="t_base7_stylesheet.css">

</head>
<body>

<!-- Google Verification -->
<script><?php echo $google_verification; ?></script>
<!-- Google Verification -->

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/Google verification code here - mTwitchBase7"></script>
<script><?php echo $google_site_tag; ?></script>
<!-- eof Global site tag (gtag.js) - Google Analytics -->

<?php 
// get content a_store_index.php
  include_once('shop/includes/languages/english/html_includes/responsive_classic/define_a_store_index.php');
?>

<div id="Footer"  align="center">
    <?php if ($twi_rootindex_master == '0') { // Maintenance Mode ?>
    <div id="Copyright"  align="center">&copy;<script type="text/javascript">document.write(new Date().getFullYear());</script> <?php echo $store_name ?> &nbsp; All Rights Reserved <br/> <a id="gnome" href="https://<?php echo $store_name; ?>.com/shop/a_tWi_bAse7_wsPRO/">Admin</a></div>
    <?php } else { ?>
    <div id="Copyright"  align="center">&copy;<script type="text/javascript">document.write(new Date().getFullYear());</script> <?php echo $store_name ?> <br/> All Rights Reserved <br/> <a id="gnome" href="<?php echo HTTP_SERVER . DIR_WS_CATALOG; ?>a_tWi_bAse7_wsPRO/">Admin</a></div>
    <?php } ?>
</div> <!-- eof Footer -->

</body>
</html>

<?php /* eof Redoc Mobile Enhanced Index */  ?>