<?php
/*
* Twitch wsPRO for 1.57c
*
* YOUR_ADMIN/bridge_manager.php
*  
* Copyright (C) 2022 Twitchtoo Media
*/
require('includes/application_top.php');

$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (zen_not_null($action)) {
  switch ($action) {
    case 'insert':
    case 'save':
      if (isset($_GET['bmgID'])) {
        $bm_group_id = zen_db_prepare_input($_GET['bmgID']);
      }
      $bm_trunk_group_name = zen_db_prepare_input($_POST['bm_trunk_group_name']);

      $bridge_scion_id = zen_db_prepare_input($_POST['bridge_scion_id']);
      $bridge_scion_name = zen_db_prepare_input($_POST['bridge_scion_name']);

      $link_tnt_g = zen_db_prepare_input($_POST['link_tnt_g']);
      $link_category_g = zen_db_prepare_input($_POST['link_category_g']);
      $link_geo_g = zen_db_prepare_input($_POST['link_geo_g']);
      $link_reward_g = zen_db_prepare_input($_POST['link_reward_g']);
      $link_custom_g = zen_db_prepare_input($_POST['link_custom_g']);
      $link_zen_group_pricing = zen_db_prepare_input($_POST['link_zen_group_pricing']);
      
      if ($bm_trunk_group_name) {
        $sql_data_array = array(
          'bm_trunk_group_name' => $bm_trunk_group_name,
          'bridge_scion_id' => $bridge_scion_id,
          'bridge_scion_name' => $bridge_scion_name,
          'link_tnt_g' => $link_tnt_g,
          'link_category_g' => $link_category_g,
          'link_geo_g' => $link_geo_g,
          'link_reward_g' => $link_reward_g,
          'link_custom_g' => $link_custom_g,
          'link_zen_group_pricing' => $link_zen_group_pricing);


        if ($action == 'insert') {
          $insert_sql_data = array('date_added' => 'now()');
          $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
          zen_db_perform(TABLE_BRIDGE_MATRIX_MANAGER, $sql_data_array);
          $bm_group_id = $db->insert_ID();
        } elseif ($action == 'save') {
          $update_sql_data = array('last_modified' => 'now()');
          $sql_data_array = array_merge($sql_data_array, $update_sql_data);
          zen_db_perform(TABLE_BRIDGE_MATRIX_MANAGER, $sql_data_array, 'update', "bm_group_id = '" . (int)$bm_group_id . "'");
        }
      }
      zen_redirect(zen_href_link(FILENAME_BRIDGE_MANAGER, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'bmgID=' . $bm_group_id));
      break;
      
    case 'deleteconfirm':
      $delete_cust_confirmed = (isset($_POST['delete_bmgroup']) && $_POST['delete_bmgroup'] == 'on') ? true : false;

      $bm_group_id = zen_db_prepare_input($_POST['bmgID']);
      $bmgroup_query = $db->Execute("SELECT bm_group_id
                                       FROM " . TABLE_BRIDGE_MATRIX_MANAGER . "
                                       WHERE bm_group_id = " . (int)$bm_group_id);

      if ($bmgroup_query->RecordCount() > 0 && $delete_cust_confirmed == true) {
        $db->Execute("DELETE FROM " . TABLE_BRIDGE_MATRIX_MANAGER . "
                      WHERE bm_group_id = " . (int)$bm_group_id);
        // $db->Execute("UPDATE " . TABLE_CUSTOMERS . "
        //               SET tnt_ws = 1
        //               WHERE tnt_ws = " . (int)$bm_group_id); // must set deleted customers tnt_ws to 1
      // } elseif (bmgroup_query->RecordCount() > 0 && $delete_cust_confirmed == false) {
    //     $messageStack->add_session(ERROR_BMGROUP_CUSTOMERS_EXIST, 'error');
      // } elseif (bmgroup_query->RecordCount() == 0) {
    //    $db->Execute("DELETE FROM " . TABLE_BRIDGE_MATRIX_MANAGER . "
    //                   WHERE bm_group_id = " . (int)$bm_group_id);
      }
      zen_redirect(zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page']));
      break;
  }
}

/* $query = $db->Execute("SELECT COUNT(*) AS count
                       FROM " . TABLE_BRIDGE_MATRIX_MANAGER);
if ($query->fields['count'] > 0 && (!defined('MODULE_ORDER_TOTAL_BMGROUP_STATUS') || MODULE_ORDER_TOTAL_BMGROUP_STATUS != 'true')) {
  $messageStack->add(ERROR_MODULE_NOT_CONFIGURED, 'error');
}*/

?>
<!doctype html>
<html <?php echo HTML_PARAMS; ?>>
  <head>
    <meta charset="<?php echo CHARSET; ?>">
    <title><?php echo TITLE; ?></title>
    <link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
    <link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
    <script src="includes/menu.js"></script>
    <script src="includes/general.js"></script>
    <script>
      function init() {
          cssjsmenu('navbar');
          if (document.getElementById) {
              var kill = document.getElementById('hoverJS');
              kill.disabled = true;
          }
      }
    </script>
  </head>
  <body onload="init()">
    <a name="thetop"></a>
    <!-- header //-->
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
    <!-- header_eof //-->

    <!-- body //-->
    <div class="container-fluid">
      <h1><?php echo BRIDGE_MANAGER_HEADING_TITLE; ?></h1>
<?php
if (WS_PRO_ADMIN_TOOLS == 'Show') { 
echo '&nbsp; Manage the Bridge Matrix - Add rules to connect or restrict modules or activate custom filters.  BM ID is AUTO INCREMENT.<br/>
&nbsp;&nbsp;<b>Note: This list is static/manual and does not reciprocate changes to field data - if a name is changed in one group it will only be changed when you manually update the rule in this list. </b>';
echo '<br/>&nbsp; Redoc Note: BOTH TNT Group setting will change products_price and options_values_price when set defaults to stock behaviour on None.  Also Category Group for both_ws_rt BOTH controls category/product display ON/OFF';
} else {
echo '&nbsp; Manage the Bridge Matrix - For more features Show - WS PRO Admin Tools <a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="greyText">[click here to edit settings]</a><br/>';
}
?>
<br class="clearBoth">
<div class="logic_block_right">
<?php   if (WS_PRO_USE_DEFAULT_CORE_LOGIC == 'ON') {
          echo WS_PRO_CORE_LOGIC.'<br/>'; 
        } else { 
          echo '<a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="twi_alert_red">'.WS_PRO_CUSTOM_CORE_LOGIC.'</a>'.WS_PRO_CUSTOM_CORE_LOGIC_OFF.'<br/>'; }

        if (WS_PRO_TIERED_MASTER != 'Stock') {
          echo TIER_CONTROL.'&nbsp;<strong>'.WS_PRO_TIERED_MASTER.' by '.WS_PRO_TIER_PRICING_BASE.'</strong>';
        if (WS_PRO_TIERED_MASTER == 'Split_3_Scions') {
          echo '&nbsp;'.TIER_CONTROL_SETTING_OFF;}
        } else { 
          echo '<a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="twi_alert_red">'.TIER_CONTROL_SETTING.'</a>'.TIER_CONTROL_SETTING_OFF; } ?>
</div> <?php

echo '<a href="' . zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="btn btn-primary" role="button">Master Switches</a>&nbsp;'; 
echo '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER).'" class="btn btn-primary" role="button">'.'Bridge Matrix</a>&nbsp;';

echo '<a href="' . zen_href_link(FILENAME_CATGROUPS).'" class="btn btn-primary" role="button">'.'Category Groups</a>&nbsp;';

echo '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER).'" class="btn btn-primary" role="button">'.'WS/RT Group Manager'.'</a>&nbsp';
echo '<a href="' . zen_href_link(FILENAME_CUSTOMERS) . '" class="btn btn-primary" role="button">Customers</a>&nbsp;'; 
?>
<div class="twi_alert"> <a href="#thebottom">scroll to bottom</a> </div>
<br/>

      <div class="row">
        <!-- body_text //-->
        <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9 configurationColumnLeft">
          <table class="table table-hover">
            <thead>
              <tr class="dataTableHeadingRow">
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_GROUP_ID; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_TRUNK_GROUP_NAME; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_SCION_ID; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_SCION_NAME; ?></th>

                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_TNT_GROUP; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_CATEGORY_GROUP; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_GM_GEO_GROUP; // Customer Deliver Group cdg_id ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_REWARD_GROUP; ?></th>
                
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_CUSTOM_GROUP; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_ZEN_CPG_GROUP; ?></th>
                <th class="dataTableHeadingContent text-right"><?php echo TABLE_HEADING_ACTION; ?></th>
              </tr>
            </thead>
            <tbody>
                <?php
                // if (WS_PRO_USE_DEFAULT_CORE_LOGIC == 'ON') {
                    $the_groups_query_raw = "SELECT * FROM " . TABLE_BRIDGE_MATRIX_MANAGER; // use wsPRO core logic
                // } else { 
                //    $the_groups_query_raw = "SELECT * FROM " . TABLE_BRIDGE_MATRIX_MANAGER . " WHERE bm_group_id = 1 OR bm_group_id = 3 OR bm_group_id >= 50 "; } // use custom core logic

// Split Page
// reset page when page is unknown
                if ((empty($_GET['page']) || $_GET['page'] == '1') && !empty($_GET['bmgID'])) {
                  $check_page = $db->Execute($the_groups_query_raw);
                  $check_count = 1;
                  if ($check_page->RecordCount() > WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) {
                    foreach ($check_page as $item) {
                      if ($item['bm_group_id'] == $_GET['bmgID']) {
                        break;
                      }
                      $check_count++;
                    }
                    $_GET['page'] = round((($check_count / WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) + (fmod_round($check_count, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) != 0 ? .5 : 0)), 0);
//    zen_redirect(zen_href_link(FILENAME_CUSTOMERS, 'cID=' . $_GET['cID'] . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''), 'NONSSL'));
                  } else {
                    $_GET['page'] = 1;
                  }
                }

                $the_groups_split = new splitPageResults($_GET['page'], WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, $the_groups_query_raw, $the_groups_query_numrows);
                $groups = $db->Execute($the_groups_query_raw);
                foreach ($groups as $group) {
                  if ((!isset($_GET['bmgID']) || (isset($_GET['bmgID']) && ($_GET['bmgID'] == $group['bm_group_id']))) && !isset($bmgInfo) && (substr($action, 0, 3) != 'new')) {
                    $bm_groups = $db->Execute("SELECT COUNT(*) AS bm_group_count
                                                     FROM " . TABLE_BRIDGE_MATRIX_MANAGER . "
                                                     WHERE bm_group_id = " . (int)$group['bm_group_id']);
                    $bmgInfo_array = array_merge($group, $bm_groups->fields);
                    $bmgInfo = new objectInfo($bmgInfo_array);
                  }

                  if (isset($bmgInfo) && is_object($bmgInfo) && ($group['bm_group_id'] == $bmgInfo->bm_group_id)) {
                    echo '              <tr id="defaultSelected" class="dataTableRowSelected" onclick="document.location.href=\'' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $group['bm_group_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  } else {
                    echo '              <tr class="dataTableRow" onclick="document.location.href=\'' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $group['bm_group_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  }
                  ?>
              <td class="dataTableContent text-center"><?php echo $group['bm_group_id']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['bm_trunk_group_name']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['bridge_scion_id']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['bridge_scion_name']; ?></td>
              
              <td class="dataTableContent text-center"><?php echo $group['link_tnt_g']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['link_category_g']; ?></td>
              <td class="dataTableContent text-center" style="color:grey;"><?php echo $group['link_geo_g']; ?></td>
              <td class="dataTableContent text-center" style="color:grey;"><?php echo $group['link_reward_g']; ?></td>
              
              <td class="dataTableContent text-center" style="color:grey;"><?php echo $group['link_custom_g']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['link_zen_group_pricing']; ?></td>
          
<!--          <td class="dataTableContent text-center"><?php // echo zen_get_bm_trunk_group_name($group['bm_group_id']); // add colour name display ?></td> -->
              <td class="dataTableContent text-right">
                  <?php echo '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $group['bm_group_id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
            <?php if (WS_PRO_ADMIN_TOOLS == 'Show') { ?>
                  <?php echo '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $group['bm_group_id'] . '&action=delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
            <?php } ?>
                  <?php
                  if (isset($bmgInfo) && is_object($bmgInfo) && ($group['bm_group_id'] == $bmgInfo->bm_group_id)) {
                    echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '');
                  } else {
                    echo '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, zen_get_all_get_params(array('bmgID')) . 'bmgID=' . $group['bm_group_id']) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>';
                  }
                  ?>
              </td>
              </tr>
              <?php
            }
            ?>
            </tbody>
          </table>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 configurationColumnRight">
            <?php
            $heading = array();
            $contents = array();

            switch ($action) {
              case 'new':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_NEW_BMGROUP . '</h4>');

                $contents = array('form' => zen_draw_form('bm_groups', FILENAME_BRIDGE_MANAGER, 'action=insert', 'post', 'class="form-horizontal"'));
                $contents[] = array('text' => TEXT_NEW_BMGROUP_INTRO);

                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BMGROUP_NAME, 'bm_trunk_group_name', 'class="control-label"') . zen_draw_input_field('bm_trunk_group_name', '', zen_set_field_length(TABLE_BRIDGE_MATRIX_MANAGER, 'bm_trunk_group_name') . ' class="form-control"').'<br> Top Level Name to link groups');
                
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_ID, 'bridge_scion_id', 'class="control-label"') . zen_draw_input_field('bridge_scion_id', '', 'class="form-control"').'&nbsp; Manual Enter Scion Identity Number');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_NAME, 'bridge_scion_name', 'class="control-label"') . zen_draw_input_field('bridge_scion_name', '', zen_set_field_length(TABLE_BRIDGE_MATRIX_MANAGER, 'bridge_scion_name') . ' class="form-control"').'&nbsp; Second Level Scion Name to link groups');

// new needs to auto load the exisiting tnt managers and category manager things to cross
// and the bm id is auto increment so the name is theo only manual enter you are allowed then we won't need to register anything with the bridge or we vould to make it all easy and already setup properly
// might want to scan the scion names so that no two can match or it would cross the crosses


// must add option of NONE to ensure associations don't happen without approval


$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_TNT_G, 'link_tnt_g', 'class="control-label"') . zen_bm_tnt_pull_down($bmgInfo->link_tnt_g, 'name="link_tnt_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_CATEGORY_G, 'link_category_g', 'class="control-label"') . zen_bm_category_pull_down($bmgInfo->link_category_g, 'name="link_category_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_GEO_G, 'link_geo_g', 'class="control-label"') . zen_bm_geo_pull_down($bmgInfo->link_geo_g, 'name="link_geo_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_REWARD_G, 'link_reward_g', 'class="control-label"') . zen_bm_reward_pull_down($bmgInfo->link_reward_g, 'name="link_reward_g" class="form-control"'));
                
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_CUSTOM_G, 'link_custom_g', 'class="control-label"') . zen_bm_custom_pull_down($bmgInfo->link_custom_g, 'name="link_custom_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_ZEN_GROUP_PRICING, 'link_zen_group_pricing', 'class="control-label"') . zen_bm_zen_group_pricing_pull_down($bmgInfo->link_zen_group_pricing, 'name="link_zen_group_pricing" class="form-control"'));
                
                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-primary">' . IMAGE_SAVE . '</button> <a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $_GET['bmgID']) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;

              case 'edit':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_EDIT_BMGROUP . '</h4>');

                $contents = array('form' => zen_draw_form('bm_groups', FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $bmgInfo->bm_group_id . '&action=save', 'post', 'class="form-horizontal"'));
                $contents[] = array('text' => TEXT_EDIT_BM_INTRO);

// Redoc Note: These options have been hidden to prevent unecessary changes to the groups, developer use only
             // Bridge Matrix Scion
            if (WS_PRO_ADMIN_TOOLS == 'Show') {
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BMGROUP_NAME, 'bm_trunk_group_name', 'class="control-label"') . zen_draw_input_field('bm_trunk_group_name', htmlspecialchars($bmgInfo->bm_trunk_group_name, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_BRIDGE_MATRIX_MANAGER, 'bm_trunk_group_name') . ' class="form-control"'));
                
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_ID, 'bridge_scion_id', 'class="control-label"') . zen_draw_input_field('bridge_scion_id', htmlspecialchars($bmgInfo->bridge_scion_id, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_BRIDGE_MATRIX_MANAGER, 'bridge_scion_id') . ' class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_NAME, 'bridge_scion_name', 'class="control-label"') . zen_draw_input_field('bridge_scion_name', htmlspecialchars($bmgInfo->bridge_scion_name, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_BRIDGE_MATRIX_MANAGER, 'bridge_scion_name') . ' class="form-control"'));
            } else {
                // $contents[] = array('text' => ADMIN_TOOLS_TEXT); 
                $contents[] = array('text' => zen_draw_hidden_field('bm_trunk_group_name', $bmgInfo->bm_trunk_group_name)); 
                $contents[] = array('text' => zen_draw_hidden_field('bridge_scion_id', $bmgInfo->bridge_scion_id));
                $contents[] = array('text' => zen_draw_hidden_field('bridge_scion_name', $bmgInfo->bridge_scion_name));
            }
// Redoc Note: These options have been hidden to prevent unecessary changes to the groups, developer use only

$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_TNT_G, 'link_tnt_g', 'class="control-label"') . zen_bm_tnt_pull_down($bmgInfo->link_tnt_g, 'name="link_tnt_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_CATEGORY_G, 'link_category_g', 'class="control-label"') . zen_bm_category_pull_down($bmgInfo->link_category_g, 'name="link_category_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_GEO_G, 'link_geo_g', 'class="control-label"') . zen_bm_geo_pull_down($bmgInfo->link_geo_g, 'name="link_geo_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_REWARD_G, 'link_reward_g', 'class="control-label"') . zen_bm_reward_pull_down($bmgInfo->link_reward_g, 'name="link_reward_g" class="form-control"'));
        
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_CUSTOM_G, 'link_custom_g', 'class="control-label"') . zen_bm_custom_pull_down($bmgInfo->link_custom_g, 'name="link_custom_g" class="form-control"'));
$contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BM_ZEN_GROUP_PRICING, 'link_zen_group_pricing', 'class="control-label"') . zen_bm_zen_group_pricing_pull_down($bmgInfo->link_zen_group_pricing, 'name="link_zen_group_pricing" class="form-control"'));
                
                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-primary">' . IMAGE_SAVE . '</button> <a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $bmgInfo->bm_group_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;
              case 'delete':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_DELETE_BMGROUP . '</h4>');

                $contents = array('form' => zen_draw_form('bm_groups', FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&action=deleteconfirm') . zen_draw_hidden_field('bmgID', $bmgInfo->bm_group_id));
                $contents[] = array('text' => TEXT_DELETE_BMGROUP_INTRO);
                $contents[] = array('text' => '<br><b>' . $bmgInfo->bm_trunk_group_name . '</b>');
                // $contents[] = array('text' => '<br>' . $bmgInfo->bm_group_detail);

                if ($bmgInfo->bm_group_count > 0) {
                  $contents[] = array('text' => '<br>' . zen_draw_checkbox_field('delete_bmgroup') . ' ' . TEXT_DELETE_BMGROUP);
                //  $contents[] = array('text' => '<br><span class="TAP_alert">' . sprintf(TEXT_DELETE_WARNING_BMGROUP_MEMBERS, $bmgInfo->bm_group_count).'</span>');
                }  

                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-danger">' . IMAGE_DELETE . '</button> <a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $bmgInfo->bm_group_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;
              default:
                if (isset($bmgInfo) && is_object($bmgInfo)) {
                  $heading[] = array('text' => '<h4>' . $bmgInfo->bm_trunk_group_name . '</h4>');
                  
                  // $contents[] = array('text' => '<br>' . $bmgInfo->bm_group_detail);

                  $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $bmgInfo->bm_group_id . '&action=edit') . '"class="btn btn-primary" role="button">' . IMAGE_EDIT . '</a>');
            if (WS_PRO_ADMIN_TOOLS == 'Show') {
                  $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $bmgInfo->bm_group_id . '&action=delete') . '" class="btn btn-warning" role="button">' . IMAGE_DELETE . '</a>');
            }
                  $contents[] = array('text' => '<br>' . TEXT_DATE_ADDED . ' ' . zen_date_short($bmgInfo->date_added));

                  if (zen_not_null($bmgInfo->last_modified))
                    $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . zen_date_short($bmgInfo->last_modified).'<br/><br/>');
                    // $contents[] = array('text' => '<br><b>' . TEXT_CUSTOMERS . ' ' . $bmgInfo->bm_group_count.'</b>');
                }
                break;
            }

            if ((zen_not_null($heading)) && (zen_not_null($contents))) {
              $box = new box;
              echo $box->infoBox($heading, $contents);
            }
            ?>
        </div>
        <!-- body_text_eof //-->
      </div>
      <div class="row">
        <table class="table">
          <tr>
            <td><?php echo $the_groups_split->display_count($the_groups_query_numrows, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_BMGROUPS); ?></td>
            <td class="text-right"><?php echo $the_groups_split->display_links($the_groups_query_numrows, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
          </tr>
        </table>
      </div>
      <?php
      if (empty($action)) {
        ?>
        <div class="text-right">
          <a href="<?php echo zen_href_link(FILENAME_BRIDGE_MANAGER, 'page=' . $_GET['page'] . '&bmgID=' . $bmgInfo->bm_group_id . '&action=new'); ?>" class="btn btn-primary" role="button"><?php echo IMAGE_INSERT; ?></a>
        </div>
        <?php
      }
      ?>
    </div>

<div class="twi_alert"> <a href="#thetop">back to top</a> </div>
<a name="thebottom"></a>
    <!-- body_eof //-->

    <!-- footer //-->
    <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
    <!-- footer_eof //-->
  </body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
