<?php
/*
* Twitch Base7 for 1.57c
*
* YOUR_ADMIN/c_base7_other_modules.php
* Redoc Note: mirror of configuration.php
*  
* Copyright (C) 2022 Twitchtoo Media
*/
require('includes/application_top.php');

$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (zen_not_null($action)) {
  switch ($action) {
    case 'save':
      $cID = zen_db_prepare_input($_GET['cID']);

      $configuration_value = zen_db_prepare_input($_POST['configuration_value']);
        // See if there are any configuration checks
        $checks = $db->Execute("SELECT val_function FROM " . TABLE_CONFIGURATION . " WHERE configuration_id = " . (int)$cID);
        if (!$checks->EOF && $checks->fields['val_function'] != NULL) {
           require_once('includes/functions/configuration_checks.php');
           if (!zen_validate_configuration_entry($configuration_value, $checks->fields['val_function'])) {
              zen_redirect(zen_href_link(FILENAME_CONFIGURATION, 'gID=' . $_GET['gID'] . '&cID=' . (int)$_GET['cID'] . '&action=edit'));
           }
        }

      $db->Execute("UPDATE " . TABLE_CONFIGURATION . "
                    SET configuration_value = '" . zen_db_input($configuration_value) . "',
                        last_modified = now()
                    WHERE configuration_id = " . (int)$cID);

      $result = $db->Execute("SELECT configuration_key
                              FROM " . TABLE_CONFIGURATION . "
                              WHERE configuration_id = " . (int)$cID . "
                              LIMIT 1");
      zen_record_admin_activity('Configuration setting changed for ' . $result->fields['configuration_key'] . ': ' . $configuration_value, 'warning');

      // set the WARN_BEFORE_DOWN_FOR_MAINTENANCE to false if DOWN_FOR_MAINTENANCE = true
      if ((WARN_BEFORE_DOWN_FOR_MAINTENANCE == 'true') && (DOWN_FOR_MAINTENANCE == 'true')) {
        $db->Execute("UPDATE " . TABLE_CONFIGURATION . "
                      SET configuration_value = 'false',
                          last_modified = now()
                      WHERE configuration_key = 'WARN_BEFORE_DOWN_FOR_MAINTENANCE'");
      }

      zen_redirect(zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . (int)$cID));
      break;
  }
}

$gID = (isset($_GET['gID'])) ? $_GET['gID'] : 60; // Twitch change this for first load filtering (default 1 for configuration)
$_GET['gID'] = $gID;
$cfg_group = $db->Execute("SELECT configuration_group_title
                           FROM " . TABLE_CONFIGURATION_GROUP . "
                           WHERE configuration_group_id LIKE " . (int)$gID);

?>
<!doctype html>
<html <?php echo HTML_PARAMS; ?>>
  <head>
    <meta charset="<?php echo CHARSET; ?>">
    <title><?php echo TITLE; ?></title>
    <link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
    <link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
    <script src="includes/menu.js"></script>
    <script src="includes/general.js"></script>
    <script>
      function init() {
          cssjsmenu('navbar');
          if (document.getElementById) {
              var kill = document.getElementById('hoverJS');
              kill.disabled = true;
          }
      }
    </script>
    <style>
    .dataTableContent_MasterSwi {background: #65744F; color: #FFF; font-weight:bold;}
    .dataTableContent_MasterSwi_OFF {background: darkred; color:white;}
    
    .adminTEXTTiered {color:#337AB7;}
    .adminTEXTShow {color: #65744F;}
    </style>
  </head>
  <body onLoad="init()">
  <a name="thetop"></a>
    <!-- header //-->
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
    <!-- header_eof //-->

    <!-- body //-->
    <div class="container-fluid">
          <?php echo (empty($cfg_group->fields['configuration_group_title']) ? '<h1>Plugin Not Installed</h1> &nbsp; Plugin available but <b>not installed</b> [empty settings list] - see <a href="' . zen_href_link(FILENAME_PLUGIN_MANAGER).'">'.'Plugin Manager'.'</a> ->' : '<h1>'.$cfg_group->fields['configuration_group_title'].'</h1>');?>

<?php 
// Twitch CGT_ID Finder - find the roaming configuration_group_id - for 3rd party modules that use the Zen Cart Plugin Manager (auto installer)
if (defined('BOX_TOOLS_TESTIMONIALS_MANAGER')) { // do not operate if testimonials is not installed
$findCGT_ID = $db->Execute("SELECT configuration_group_id FROM " . TABLE_CONFIGURATION_GROUP . " 
                            WHERE configuration_group_title = '".BOX_TOOLS_TESTIMONIALS_MANAGER."'
                            ORDER BY configuration_group_id ASC;");
$foundCGT_ID = $findCGT_ID->fields['configuration_group_id']; }
//

// Display Custom Description
if ($gID == 58) {
echo '&nbsp; Added Twitch or 3rd Party module controls - For Developers to add new module related switches. '. (TWI_OTHER_MODULES_EXAMPLE == 'Show' ? '<b>Example</b>: ON '.zen_image(DIR_WS_IMAGES . 'icon_status_twitched.png', IMAGE_ICON_STATUS_ON).'&nbsp;' : '') . '<br/>';
}
 if ($gID == $findCGT_ID) {
 echo '&nbsp; Testimonials Manager Settings <br/>';
 }
// if ($gID == 52) {
// echo '&nbsp; An extension of the stock Configuration &gt; My Store <br/>';
// }
// if ($gID == 54) {
// echo '&nbsp; An extension of the stock Configuration &gt; Product Listing <br/>';
// }
// if ($gID == 56) {
// echo '&nbsp; An extension of the stock Configuration &gt; Email Options <br/>';
// }


// Redoc Note: if a 3rd party module is installed and uninstalled it may lose the gID in the database auto indexing - use Twitch CGT_ID Finder to lookup the new number and replace below to match.
echo '<a href="' . zen_href_link(FILENAME_C_TWITCH_BASE7, 'gID=' . '50').'" class="btn btn-primary" role="button">Base7 Manager</a>&nbsp;';
echo '<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $foundCGT_ID).'" class="btn btn-primary" role="button">Testimonials Manager</a>&nbsp;';
echo '<a href="'.zen_href_link(FILENAME_EMAIL_HISTORY).'" class="btn btn-primary" role="button">Email Archive Manager</a>&nbsp;';
// echo '<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . '8').'" class="btn btn-primary" role="button">'.'Product Listing</a>&nbsp;';
// echo '<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . '19').'" class="btn btn-primary" role="button">'.'Layout Settings</a>&nbsp;';
// echo '<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . '54').'" class="btn btn-primary" role="button">'.'Product Groups'.'</a>&nbsp;';
echo '<a href="' . zen_href_link(FILENAME_PLUGIN_MANAGER).'" class="btn btn-primary" role="button">'.'Plugin Manager'.'</a>&nbsp;';

?>
<?php if (BASE7_ADMIN_TOOLS == 'Show') { echo '<a href="'.zen_href_link(FILENAME_SQLPATCH).'" class="btn btn-default" role="button">'.'Install SQL Patches'.'</a>&nbsp;'; } ?>

<div class="twi_alert"> <a href="#thebottom">scroll to bottom</a> </div>
<br/>

      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9 configurationColumnLeft">

          <table class="table table-hover">
            <thead>
              <tr class="dataTableHeadingRow">
                <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_CONFIGURATION_TITLE; ?></th>
                <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_CONFIGURATION_VALUE; ?></th>
                <th class="dataTableHeadingContent text-right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</th>
              </tr>
            </thead>
            <tbody>
                <?php
                $configuration = $db->Execute("SELECT configuration_id, configuration_title, configuration_value, configuration_key, use_function
                                               FROM " . TABLE_CONFIGURATION . "
                                               WHERE configuration_group_id = " . (int)$gID . "
                                               ORDER BY sort_order");
                foreach ($configuration as $item) {
                  if (zen_not_null($item['use_function'])) {
                    $use_function = $item['use_function'];
                    if (preg_match('/->/', $use_function)) {
                      $class_method = explode('->', $use_function);
                      if (!(isset(${$class_method[0]}) && is_object(${$class_method[0]}))) {
                        include(DIR_WS_CLASSES . $class_method[0] . '.php');
                        ${$class_method[0]} = new $class_method[0]();
                      }
                      $cfgValue = zen_call_function($class_method[1], $item['configuration_value'], ${$class_method[0]});
                    } else {
                      $cfgValue = zen_call_function($use_function, $item['configuration_value']);
                    }
                  } else {
                    $cfgValue = $item['configuration_value'];
                  }

                  if ((!isset($_GET['cID']) || (isset($_GET['cID']) && ($_GET['cID'] == $item['configuration_id']))) && !isset($cInfo) && (substr($action, 0, 3) != 'new')) {
                    $cfg_extra = $db->Execute("SELECT configuration_key, configuration_description, date_added, last_modified, use_function, set_function
                                               FROM " . TABLE_CONFIGURATION . "
                                               WHERE configuration_id = " . (int)$item['configuration_id']);
                    $cInfo_array = array_merge($item, $cfg_extra->fields);
                    $cInfo = new objectInfo($cInfo_array);
                  }

                  if ((isset($cInfo) && is_object($cInfo)) && ($item['configuration_id'] == $cInfo->configuration_id)) {
                    echo '                  <tr id="defaultSelected" class="dataTableRowSelected" onclick="document.location.href=\'' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . $cInfo->configuration_id . '&action=edit') . '\'" role="button">' . "\n";
                  } else {
                    echo '                  <tr class="dataTableRow" onclick="document.location.href=\'' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . $item['configuration_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  }
                  ?>
                  <?php
                  // multilanguage support:
                  // For example, in admin/includes/languages/spanish/configuration.php
                  // define('CFGTITLE_STORE_NAME', 'Nombre de la Tienda');
                  // define('CFGDESC_STORE_NAME', 'El nombre de mi tienda');
                  if (defined('CFGTITLE_' . $item['configuration_key'])) {
                    $item['configuration_title'] = constant('CFGTITLE_' . $item['configuration_key']);
                  }
                  if (defined('CFGDESC_' . $item['configuration_key'])) {
                    $item['configuration_description'] = constant('CFGDESC_' . $item['configuration_key']);
                  }
                  ?>
                  
              <td class="<?php if ($item['configuration_key'] == 'BASE7_MASTER_SWI') { echo 'dataTableContent_MasterSwi'; } else { echo ' dataTableContent'; } ?>">
              <?php echo $item['configuration_title']; ?></td>
              <td class="<?php if ($item['configuration_key'] == 'BASE7_MASTER_SWI' && $cfgValue == 'OFF') { echo 'dataTableContent_MasterSwi_OFF'; } else { echo 'dataTableContent'; } ?>">
              <?php 
                   $setting = htmlspecialchars($cfgValue, ENT_COMPAT, CHARSET, TRUE); 
                   if (strlen($setting) > 40) { 
                      echo htmlspecialchars(substr($cfgValue,0,35), ENT_COMPAT, CHARSET, TRUE) . "..."; 
                   } else { 
                   // Manual display - fixed
                   if ($cfgValue == 'Split' or $cfgValue == 'Tiered') { 
                   echo '<span class="adminTEXTTiered">'; echo '<strong>'; }
                   
                   if ($cfgValue == 'Show') { 
                   echo '<span class="adminTEXTShow">'; echo '<strong>'; }
                   
                   if ($cfgValue == 'ON') { echo '<strong>'; }
                   
                      echo $setting; // output value found
                      
                   if ($cfgValue == 'ON') { echo '</strong>'; }
                   
                   if ($cfgValue == 'Split' or $cfgValue == 'Tiered' || $cfgValue == 'Show') {echo '</span>'; echo '</strong>'; }
                   }
              ?>
              
              </td>
              <td class="dataTableContent text-right">
                  <?php
                  if ((isset($cInfo) && is_object($cInfo)) && ($item['configuration_id'] == $cInfo->configuration_id)) {
                    echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '');
                  } else {
                    echo '<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . $item['configuration_id']) . '" name="link_' . $item['configuration_key'] . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>';
                  }
                  ?>&nbsp;</td>
              </tr>
              <?php
            }
            ?>
            </tbody>
          </table>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 configurationColumnRight">
          <?php
          $heading = array();
          $contents = array();

          // Translation for contents
          if (defined('CFGTITLE_' . $cInfo->configuration_key)) {
            $cInfo->configuration_title = constant('CFGTITLE_' . $cInfo->configuration_key);
          }
          if (defined('CFGDESC_' . $cInfo->configuration_key)) {
            $cInfo->configuration_description = constant('CFGDESC_' . $cInfo->configuration_key);
          }

          switch ($action) {
            case 'edit':
              $heading[] = array('text' => '<h4>' . $cInfo->configuration_title . '</h4>');

              if ($cInfo->set_function) {
                eval('$value_field = ' . $cInfo->set_function . '"' . htmlspecialchars($cInfo->configuration_value, ENT_COMPAT, CHARSET, TRUE) . '");');
              } else {
                $value_field = zen_draw_input_field('configuration_value', htmlspecialchars($cInfo->configuration_value, ENT_COMPAT, CHARSET, TRUE), 'size="60" class="cfgInput form-control" autofocus');
              }

              $contents = array('form' => zen_draw_form('configuration', FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . $cInfo->configuration_id . '&action=save', 'post', 'class="from-horizontal"'));
              if (ADMIN_CONFIGURATION_KEY_ON == 1) {
                $contents[] = array('text' => '<strong>Key: ' . $cInfo->configuration_key . '</strong><br>');
              }

            // Twitch Admin - show current setting value in split view (right sidebox) 
            $contents[] = array('text' => '<strong>Current Value: ' . $cInfo->configuration_value . '</strong><br>');
            
              $contents[] = array('text' => '<em>'.TEXT_INFO_EDIT_INTRO.'</em>');
              $contents[] = array('text' => /* '<br><strong>' . $cInfo->configuration_title . '</strong><br>' . */ $cInfo->configuration_description . '<br>' . $value_field);
              $contents[] = array('align' => 'text-center', 'text' => '<br>' . '<button type="submit" name="submit' . $cInfo->configuration_key . '" class="btn btn-primary">' . IMAGE_UPDATE . '</button>' . '&nbsp;<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . $cInfo->configuration_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
              break;
            default:
              if (isset($cInfo) && is_object($cInfo)) {
                $heading[] = array('text' => '<h4>' . $cInfo->configuration_title . '</h4>');
                if (ADMIN_CONFIGURATION_KEY_ON == 1) {
                  $contents[] = array('text' => '<strong>Key: ' . $cInfo->configuration_key . '</strong><br>');
                }
                
            // Twitch Admin - show current setting value in split view (right sidebox) 
            $contents[] = array('text' => '<strong>Current Value: ' . $cInfo->configuration_value . '</strong><br>');

                $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_BASE7_OTHER_MODULES, 'gID=' . $_GET['gID'] . '&cID=' . $cInfo->configuration_id . '&action=edit') . '" class="btn btn-primary" role="button"> ' . IMAGE_EDIT . '</a>');
                $contents[] = array('text' => '<br>' . $cInfo->configuration_description);
                $contents[] = array('text' => '<br>' . TEXT_INFO_DATE_ADDED . ' ' . zen_date_short($cInfo->date_added));
                if (zen_not_null($cInfo->last_modified))
                  $contents[] = array('text' => '<strong>'.TEXT_INFO_LAST_MODIFIED . ' ' . zen_date_short($cInfo->last_modified).'</strong>');
              }
              break;
          }

          if ((zen_not_null($heading)) && (zen_not_null($contents))) {
            $box = new box;
            echo $box->infoBox($heading, $contents);
          }
          ?>
        </div>
      </div>
    </div>
<div class="twi_alert"> <a href="#thetop">back to top</a> </div>
<a name="thebottom"></a>
    <!-- body_eof //-->

    <!-- footer //-->
    <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
    <!-- footer_eof //-->
  </body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
