<?php
/*
* Twitch Base7 for 1.57c
*
* Copyright (C) 2022 Twitchtoo Media
*/
require('includes/application_top.php');
$languages = zen_get_languages();
$parameters = [
  'categories_name' => '',
  'categories_description' => '',
  'categories_image' => '',
  'sort_order' => '',
  'category_ws_rt_switch' => ''
];
$cInfo = new objectInfo($parameters);

$categoryId = (isset($_GET['cID']) ? (int)$_GET['cID'] : '');
if ($categoryId != '') {
  $category = $db->Execute("SELECT c.categories_id, cd.categories_name, cd.categories_description, c.categories_image,
                                   c.sort_order, c.date_added, c.last_modified, c.category_ws_rt_switch
                            FROM " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd
                            WHERE c.categories_id = " . $categoryId . "
                            AND c.categories_id = cd.categories_id
                            AND cd.language_id = " . (int)$_SESSION['languages_id']);
  $cInfo->updateObjectInfo($category->fields);
}
$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (isset($_GET['page'])) {
  $_GET['page'] = (int)$_GET['page'];
}
if (isset($_GET['product_type'])) {
  $_GET['product_type'] = (int)$_GET['product_type'];
}
if (isset($_GET['cID'])) {
  $_GET['cID'] = (int)$_GET['cID'];
}

if (isset($_GET['flag'])) $_GET['flag'] = (int)$_GET['flag']; // Twitch Switch 040520

$zco_notifier->notify('NOTIFY_BEGIN_ADMIN_CATEGORIES', $action);

// Twitch Switch 040520
  if (zen_not_null($action)) {
    switch ($action) {
      case 'setflag':
        if ( ($_GET['flag'] == '0') || ($_GET['flag'] == '1') ) {
          zen_set_mrc_status($_GET['cID'], $_GET['flag']);

          $messageStack->add_session(SUCCESS_CATEGORIES_MRC_STATUS_UPDATED, 'success');
        } else {
          $messageStack->add_session(ERROR_UNKNOWN_STATUS_FLAG, 'error');
        }

        zen_redirect(zen_href_link(FILENAME_CATEGORIES_MRC, 'page=' . $_GET['page'] . '&cID=' . $_GET['cID']));
        break;
// Twitch Switch 040520

    default:
      $action = $_GET['action'] = '';
    }
  }

// check if the catalog image directory exists
if (is_dir(DIR_FS_CATALOG_IMAGES)) {
  if (!is_writable(DIR_FS_CATALOG_IMAGES)) {
    $messageStack->add(ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE, 'error');
  }
} else {
  $messageStack->add(ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST, 'error');
}
?>
<!doctype html>
<html <?php echo HTML_PARAMS; ?>>
  <head>
    <?php require DIR_WS_INCLUDES . 'admin_html_head.php'; ?>
    <?php if ($action != 'edit_category_meta_tags') { // bof: disable editor for meta tags ?>
      <?php if ($editor_handler != '') {
            include($editor_handler);
        } ?>
    <?php } // eof: disable editor for meta tags  ?>
  </head>
  <body>
    <!-- header //-->
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
    <!-- header_eof //-->

    <!-- body //-->
<h3 align="center">Twitch Manual Restrict Categories Display Banner - Category Control</h3>
<br />
<?php if (BASE7_MASTER_SWI == 'ON') { ?>
<div align="center" id="MRC_Desc_Block">Click to change MRC Banner <b>display location</b> in Categories listed.  <br/><br/> This module uses SHOW_BANNERS_GROUP_SET32 as <b>twi_MRC_switch</b> installed in Admin > Tools > <b>Banner Manager > Twitch - MRC Banner</b> <br/><br/> <b>Redoc Note: </b>This module creates a matrix of potential display options, Category Status, Master MRC Banner Switches will also affect customer display. 
<br /><br />
<?php echo '<a href="' . zen_href_link(FILENAME_C_TWITCH_BASE7, 'gID=' . '50').'" class="btn btn-primary" role="button">Base7 Master Switches</a>&nbsp;';
echo '<a href="' . zen_href_link(FILENAME_BANNER_MANAGER) . '" class="btn btn-primary" role="button">Banner Manager</a>&nbsp;';
echo '<a href="' . zen_href_link(FILENAME_CATEGORY_PRODUCT_LISTING) . '" class="btn btn-primary" role="button">Categories</a>&nbsp;'; ?>

</div>
<br /><br />

<table border="0" width="55%" cellspacing="2" cellpadding="2" align="center">

  <tr>
<!-- body_text //-->
    <td width="100%" valign="top">
<?php
  require('category_product_listing_mrc.php');
} else { echo '<div align="center"><br/><br/><strong>Notice: </strong>Twitch Base7 Master Switch = <strong>OFF</strong></div><br/><br/>'; }

    if (isset($_GET['cPath'])) {
      $cPath = $_GET['cPath'];
    }
?>
    </td>
</tr>
</table>
<?php
// Split Page
if ($products_query_numrows > 0) {
?>
            <div><?php echo $products_split->display_count($products_query_numrows, MAX_DISPLAY_RESULTS_CATEGORIES, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS) . '<br>' . $products_split->display_links($products_query_numrows, MAX_DISPLAY_RESULTS_CATEGORIES, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], zen_get_all_get_params(array('page', 'info', 'x', 'y', 'pID')) ); ?></div>
<?php
}
?>

<br/><br/>
<div align="center">
<?php echo '<a href="' . zen_href_link(FILENAME_C_TWITCH_BASE7, 'gID=' . '50').'" class="btn btn-primary" role="button">Base7 Master Switches</a>&nbsp;'; ?>
<?php echo '<a href="' . zen_href_link(FILENAME_BANNER_MANAGER) . '" class="btn btn-primary" role="button">Banner Manager</a>&nbsp;'; ?>
<?php echo '<a href="' . zen_href_link(FILENAME_CATEGORY_PRODUCT_LISTING) . '" class="btn btn-primary" role="button">Categories</a>&nbsp;'; ?>
</div>
<br/><br/>

    <!-- body_text_eof //-->
    <!-- body_eof //-->
    <!-- footer //-->
    <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
    <!-- footer_eof //-->
  </body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>