<?php
/*
* Twitch wsPRO for 1.57c
*
* YOUR_ADMIN/category_groups.php
*  
* Copyright (C) 2022 Twitchtoo Media
*/
require('includes/application_top.php');

$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (zen_not_null($action)) {
  switch ($action) {
    case 'insert':
    case 'save':
      if (isset($_GET['catgID'])) {
        $cat_group_id = zen_db_prepare_input($_GET['catgID']);
      }
      $bridge_scion_id = zen_db_prepare_input($_POST['bridge_scion_id']);
      $bridge_scion_name = zen_db_prepare_input($_POST['bridge_scion_name']);
      
      $cat_group_name = zen_db_prepare_input($_POST['cat_group_name']);
      $cat_group_detail = zen_db_prepare_input($_POST['cat_group_detail']);

      
      if ($cat_group_name) {
        $sql_data_array = array(
          'bridge_scion_id' => $bridge_scion_id,
          'bridge_scion_name' => $bridge_scion_name,
          'cat_group_name' => $cat_group_name,
          'cat_group_detail' => $cat_group_detail);
        if ($action == 'insert') {
          $insert_sql_data = array('date_added' => 'now()');
          $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
          zen_db_perform(TABLE_CATEGORY_GROUPS, $sql_data_array);
          $cat_group_id = $db->insert_ID();
        } elseif ($action == 'save') {
          $update_sql_data = array('last_modified' => 'now()');
          $sql_data_array = array_merge($sql_data_array, $update_sql_data);
          zen_db_perform(TABLE_CATEGORY_GROUPS, $sql_data_array, 'update', "cat_group_id = '" . (int)$cat_group_id . "'");
        }
      }
      zen_redirect(zen_href_link(FILENAME_CATGROUPS, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'catgID=' . $cat_group_id));
      break;
      
    case 'deleteconfirm':
      $delete_cat_confirmed = (isset($_POST['delete_categories']) && $_POST['delete_categories'] == 'on') ? true : false;

      $cat_group_id = zen_db_prepare_input($_POST['catgID']);
      $categories_query = $db->Execute("SELECT categories_id
                                       FROM " . TABLE_CATEGORIES . "
                                       WHERE category_ws_rt_switch = " . (int)$cat_group_id);
      $p_categories_query = $db->Execute("SELECT products_id
                                       FROM " . TABLE_PRODUCTS . "
                                       WHERE product_ws_rt_switch = " . (int)$cat_group_id);

      if ($categories_query->RecordCount() > 0 or $p_categories_query->RecordCount() > 0 && $delete_cat_confirmed == true) {
        $db->Execute("DELETE FROM " . TABLE_CATEGORY_GROUPS . "
                      WHERE cat_group_id = " . (int)$cat_group_id);
        $db->Execute("UPDATE " . TABLE_CATEGORIES . "
                      SET category_ws_rt_switch = 1
                      WHERE category_ws_rt_switch = " . (int)$cat_group_id); // must set deleted categories category_ws_rt_switch to 1
        $db->Execute("UPDATE " . TABLE_PRODUCTS . "
                      SET product_ws_rt_switch = 1
                      WHERE product_ws_rt_switch = " . (int)$cat_group_id); // must set deleted categories product_ws_rt_switch to 1
                      
      } elseif ($categories_query->RecordCount() > 0 && $p_categories_query->RecordCount() > 0 && $delete_cat_confirmed == false) {
        $messageStack->add_session(ERROR_CATGROUP_CATEGORIES_EXIST, 'error');
      } elseif ($categories_query->RecordCount() == 0 && $p_categories_query->RecordCount() == 0) {
        $db->Execute("DELETE FROM " . TABLE_CATEGORY_GROUPS . "
                      WHERE cat_group_id = " . (int)$cat_group_id);
      }
      zen_redirect(zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page']));
      break;
  }
}

/* $query = $db->Execute("SELECT COUNT(*) AS count
                       FROM " . TABLE_CATEGORY_GROUPS);
if ($query->fields['count'] > 0 && (!defined('MODULE_ORDER_TOTAL_CATGROUP_STATUS') || MODULE_ORDER_TOTAL_CATGROUP_STATUS != 'true')) {
  $messageStack->add(ERROR_MODULE_NOT_CONFIGURED, 'error');
}*/

?>
<!doctype html>
<html <?php echo HTML_PARAMS; ?>>
  <head>
    <meta charset="<?php echo CHARSET; ?>">
    <title><?php echo TITLE; ?></title>
    <link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
    <link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
    <script src="includes/menu.js"></script>
    <script src="includes/general.js"></script>
    <script>
      function init() {
          cssjsmenu('navbar');
          if (document.getElementById) {
              var kill = document.getElementById('hoverJS');
              kill.disabled = true;
          }
      }
    </script>
  </head>
  <body onload="init()">
    <a name="thetop"></a>
    <!-- header //-->
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
    <!-- header_eof //-->

    <!-- body //-->
    <div class="container-fluid">
      <h1><?php echo CATGROUP_HEADING_TITLE; ?></h1>
<?php
echo '&nbsp;'.CATGROUP_DESCRIPTION;
?>
<br class="clearBoth">
<div class="logic_block_right">
<?php   if (WS_PRO_USE_DEFAULT_CORE_LOGIC == 'ON') {
          echo WS_PRO_CATGROUP_LOGIC.'<br/>'; 
        } else { 
          echo '<a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="twi_alert_red">'.WS_PRO_CUSTOM_CATGROUP_LOGIC.'</a>'.WS_PRO_CUSTOM_CATGROUP_LOGIC_OFF.'<br/>'; }

        if (WS_PRO_TIERED_MASTER != 'Stock') {
          echo TIER_CONTROL.'&nbsp;<strong>'.WS_PRO_TIERED_MASTER.' by '.WS_PRO_TIER_PRICING_BASE.'</strong>';
        if (WS_PRO_TIERED_MASTER == 'Split_3_Scions') {
          echo '&nbsp;'.TIER_CONTROL_SETTING_OFF;}
        } else { 
          echo '<a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="twi_alert_red">'.TIER_CONTROL_SETTING.'</a>'.TIER_CONTROL_SETTING_OFF; } ?>
</div> <?php

echo '<a href="' . zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="btn btn-primary" role="button">Master Switches</a>&nbsp;'; 
echo '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER).'" class="btn btn-primary" role="button">'.'Bridge Matrix</a>&nbsp;';

echo '<a href="' . zen_href_link(FILENAME_CATGROUPS).'" class="btn btn-primary" role="button">'.'Category Groups</a>&nbsp;';

echo '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER).'" class="btn btn-primary" role="button">'.'WS/RT Group Manager'.'</a>&nbsp';
echo '<a href="' . zen_href_link(FILENAME_CATEGORY_PRODUCT_LISTING) . '" class="btn btn-primary" role="button">Categories</a>&nbsp;';
?>
<div class="twi_alert"> <a href="#thebottom">scroll to bottom</a> </div>
<br/>

      <div class="row">
        <!-- body_text //-->
        <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9 configurationColumnLeft">
          <table class="table table-hover">
            <thead>
              <tr class="dataTableHeadingRow">
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_SCION_ID; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BM_SCION_NAME; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_CATGROUP_ID; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_CATGROUP_NAME; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_CATGROUP_DETAIL; ?></th>
                <th class="dataTableHeadingContent text-right"><?php echo TABLE_HEADING_ACTION; ?></th>
              </tr>
            </thead>
            <tbody>
                <?php
                if (WS_PRO_USE_DEFAULT_CORE_LOGIC == 'ON') {
                    $the_groups_query_raw = "SELECT * FROM " . TABLE_CATEGORY_GROUPS; // use wsPRO core logic
                } else { 
                    $the_groups_query_raw = "SELECT * FROM " . TABLE_CATEGORY_GROUPS . " WHERE cat_group_id = 1 OR cat_group_id = 4 OR cat_group_id >= 10 "; } // use custom core logic

// Split Page
// reset page when page is unknown
                if ((empty($_GET['page']) || $_GET['page'] == '1') && !empty($_GET['catgID'])) {
                  $check_page = $db->Execute($the_groups_query_raw);
                  $check_count = 1;
                  if ($check_page->RecordCount() > WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) {
                    foreach ($check_page as $item) {
                      if ($item['cat_group_id'] == $_GET['catgID']) {
                        break;
                      }
                      $check_count++;
                    }
                    $_GET['page'] = round((($check_count / WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) + (fmod_round($check_count, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) != 0 ? .5 : 0)), 0);
//    zen_redirect(zen_href_link(FILENAME_CATEGORIES, 'cID=' . $_GET['cID'] . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''), 'NONSSL'));
                  } else {
                    $_GET['page'] = 1;
                  }
                }

                $the_groups_split = new splitPageResults($_GET['page'], WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, $the_groups_query_raw, $the_groups_query_numrows);
                $groups = $db->Execute($the_groups_query_raw);
                foreach ($groups as $group) {
                  if ((!isset($_GET['catgID']) || (isset($_GET['catgID']) && ($_GET['catgID'] == $group['cat_group_id']))) && !isset($catgInfo) && (substr($action, 0, 3) != 'new')) {
                    $group_categories = $db->Execute("SELECT COUNT(*) AS categories_count
                                                     FROM " . TABLE_CATEGORIES . "
                                                     WHERE category_ws_rt_switch = " . (int)$group['cat_group_id']);
                    $catgInfo_array = array_merge($group, $group_categories->fields);
                    $catgInfo = new objectInfo($catgInfo_array);
                    // find products with catgroups
                    $group_p_categories = $db->Execute("SELECT COUNT(*) AS p_categories_count
                                                     FROM " . TABLE_PRODUCTS . "
                                                     WHERE product_ws_rt_switch = " . (int)$group['cat_group_id']);
                    $p_catgInfo_array = array_merge($group, $group_p_categories->fields);
                    $p_catgInfo = new objectInfo($p_catgInfo_array);
                  }

                  if (isset($catgInfo) && is_object($catgInfo) && ($group['cat_group_id'] == $catgInfo->cat_group_id)) {
                    echo '              <tr id="defaultSelected" class="dataTableRowSelected" onclick="document.location.href=\'' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $group['cat_group_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  } else {
                    echo '              <tr class="dataTableRow" onclick="document.location.href=\'' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $group['cat_group_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  }
                  ?>
              <td class="dataTableContent text-center"><?php echo $group['bridge_scion_id']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['bridge_scion_name']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['cat_group_id']; ?></td>
              <td class="dataTableContent text-center"><?php echo zen_display_blue_owl_short($group['cat_group_id']); ?></td>
              <td class="dataTableContent text-center"><?php echo $group['cat_group_detail']; ?></td>
              <td class="dataTableContent text-right">
              
                  <?php echo '<a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $group['cat_group_id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
            <?php if (WS_PRO_ADMIN_TOOLS == 'Show') { ?>
                  <?php echo '<a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $group['cat_group_id'] . '&action=delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
            <?php } ?>
                  <?php
                  if (isset($catgInfo) && is_object($catgInfo) && ($group['cat_group_id'] == $catgInfo->cat_group_id)) {
                    echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '');
                  } else {
                    echo '<a href="' . zen_href_link(FILENAME_CATGROUPS, zen_get_all_get_params(array('catgID')) . 'catgID=' . $group['cat_group_id']) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>';
                  }
                  ?>
              </td>
              </tr>
              <?php
            }
            ?>
            </tbody>
          </table>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 configurationColumnRight">
            <?php
            $heading = array();
            $contents = array();

            switch ($action) {
              case 'new':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_NEW_CATGROUP . '</h4>');

                $contents = array('form' => zen_draw_form('category_groups', FILENAME_CATGROUPS, 'action=insert', 'post', 'class="form-horizontal"'));
                $contents[] = array('text' => TEXT_NEW_CATGROUP_INTRO);
                // Bridge Matrix Scion
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_ID, 'bridge_scion_id', 'class="control-label"') . zen_draw_input_field('bridge_scion_id', '', 'class="form-control"').'&nbsp; Manual Enter Scion Identity Number<br/>');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_NAME, 'bridge_scion_name', 'class="control-label"') . zen_draw_input_field('bridge_scion_name', '', zen_set_field_length(TABLE_CATEGORY_GROUPS, 'bridge_scion_name') . ' class="form-control"').'&nbsp; Manual Enter Scion Name<br/>');
                
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_CATGROUP_NAME, 'cat_group_name', 'class="control-label"') . zen_draw_input_field('cat_group_name', '', zen_set_field_length(TABLE_CATEGORY_GROUPS, 'cat_group_name') . ' class="form-control"').'&nbsp; Default => <b>CATGROUP</b><br/>');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_CATGROUP_DETAIL, 'cat_group_detail', 'class="control-label"') . zen_draw_input_field('cat_group_detail', '', zen_set_field_length(TABLE_CATEGORY_GROUPS, 'cat_group_detail') . ' class="form-control"').'&nbsp; Category Group Description or Traceable Detail<br/>');
                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-primary">' . IMAGE_SAVE . '</button> <a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $_GET['catgID']) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;

              case 'edit':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_EDIT_CATGROUP . '</h4>');

                $contents = array('form' => zen_draw_form('category_groups', FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $catgInfo->cat_group_id . '&action=save', 'post', 'class="form-horizontal"'));
                $contents[] = array('text' => TEXT_EDIT_CATGROUP_INTRO);

// Redoc Note: These options have been hidden to prevent unecessary changes to the groups, developer use only
             // Bridge Matrix Scion
            if (WS_PRO_ADMIN_TOOLS == 'Show') {
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_ID, 'bridge_scion_id', 'class="control-label"') . zen_draw_input_field('bridge_scion_id', htmlspecialchars($catgInfo->bridge_scion_id, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_CATEGORY_GROUPS, 'bridge_scion_id') . ' class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_NAME, 'bridge_scion_name', 'class="control-label"') . zen_draw_input_field('bridge_scion_name', htmlspecialchars($catgInfo->bridge_scion_name, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_CATEGORY_GROUPS, 'bridge_scion_name') . ' class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_CATGROUP_NAME, 'cat_group_name', 'class="control-label"') . zen_draw_input_field('cat_group_name', htmlspecialchars($catgInfo->cat_group_name, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_CATEGORY_GROUPS, 'cat_group_name') . ' class="form-control"').'&nbsp; Default: <b>CATGROUP</b><br/>');
            } else {
                // $contents[] = array('text' => ADMIN_TOOLS_TEXT); 
                $contents[] = array('text' => zen_draw_hidden_field('bridge_scion_id', $catgInfo->bridge_scion_id)); 
                $contents[] = array('text' => zen_draw_hidden_field('bridge_scion_name', $catgInfo->bridge_scion_name));
                $contents[] = array('text' => zen_draw_hidden_field('cat_group_name', $catgInfo->cat_group_name));
            }
// Redoc Note: These options have been hidden to prevent unecessary changes to the groups, developer use only

                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_CATGROUP_DETAIL, 'cat_group_detail', 'class="control-label"') . zen_draw_input_field('cat_group_detail', htmlspecialchars($catgInfo->cat_group_detail, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_CATEGORY_GROUPS, 'cat_group_detail') . ' class="form-control"'));
                 
                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-primary">' . IMAGE_SAVE . '</button> <a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $catgInfo->cat_group_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;
              case 'delete':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_DELETE_CATGROUP . '</h4>');

                $contents = array('form' => zen_draw_form('category_groups', FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&action=deleteconfirm') . zen_draw_hidden_field('catgID', $catgInfo->cat_group_id));
                $contents[] = array('text' => TEXT_DELETE_CATGROUP_INTRO);
                $contents[] = array('text' => '<br><b>' . $catgInfo->cat_group_name . '</b>');
                $contents[] = array('text' => '<br>' . $catgInfo->cat_group_detail);

                if ($catgInfo->categories_count > 0 or $p_catgInfo->p_categories_count > 0) {
                  $contents[] = array('text' => '<br>' . zen_draw_checkbox_field('delete_categories') . ' ' . TEXT_DELETE_CATGROUP);
                  if ($catgInfo->categories_count > 0) {                  
                  $contents[] = array('text' => '<br><span class="TAP_alert">' . sprintf(TEXT_DELETE_WARNING_CATGROUP_MEMBERS, $catgInfo->categories_count).'</span>');
                  }
                  if ($p_catgInfo->p_categories_count > 0) {
                  $contents[] = array('text' => '<br><span class="TAP_alert">' . sprintf(TEXT_DELETE_WARNING_P_CATGROUP_MEMBERS, $p_catgInfo->p_categories_count).'</span>');
                  }
                }

                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-danger">' . IMAGE_DELETE . '</button> <a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $catgInfo->cat_group_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;
              default:
                if (isset($catgInfo) && is_object($catgInfo)) {
                  $heading[] = array('text' => '<h4>' . $catgInfo->cat_group_name . '</h4>');
                  $contents[] = array('text' => '<br>' . $catgInfo->cat_group_detail);
                
                  $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $catgInfo->cat_group_id . '&action=edit') . '"class="btn btn-primary" role="button">' . IMAGE_EDIT . '</a>');
            if (WS_PRO_ADMIN_TOOLS == 'Show') {
                  $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $catgInfo->cat_group_id . '&action=delete') . '" class="btn btn-warning" role="button">' . IMAGE_DELETE . '</a>');
            }
                  $contents[] = array('text' => '<br>' . TEXT_DATE_ADDED . ' ' . zen_date_short($catgInfo->date_added));
                  if (zen_not_null($catgInfo->last_modified))
                    $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . zen_date_short($catgInfo->last_modified));
                  $contents[] = array('text' => '<br><b>' . TEXT_CATEGORIES . ' ' . $catgInfo->categories_count.'</b>');
                  $contents[] = array('text' => '<br><b>' . TEXT_PRODUCTS . ' ' . $p_catgInfo->p_categories_count.'</b><br/><br/>');
                }
                break;
            }

            if ((zen_not_null($heading)) && (zen_not_null($contents))) {
              $box = new box;
              echo $box->infoBox($heading, $contents);
            }
            ?>
        </div>
        <!-- body_text_eof //-->
      </div>
      <div class="row">
        <table class="table">
          <tr>
            <td><?php echo $the_groups_split->display_count($the_groups_query_numrows, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_CATGROUPS); ?></td>
            <td class="text-right"><?php echo $the_groups_split->display_links($the_groups_query_numrows, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
          </tr>
        </table>
      </div>
      <?php
      if (empty($action)) {
        ?>
        <div class="text-right">
<?php if (WS_PRO_ADMIN_TOOLS == 'Show') { ?>
          <a href="<?php echo zen_href_link(FILENAME_CATGROUPS, 'page=' . $_GET['page'] . '&catgID=' . $catgInfo->cat_group_id . '&action=new'); ?>" class="btn btn-primary" role="button"><?php echo IMAGE_INSERT; ?></a>
<?php } ?>
        </div>
        <?php
      }
      ?>
    </div>

<div class="twi_alert"> <a href="#thetop">back to top</a> </div>
<a name="thebottom"></a>
    <!-- body_eof //-->

    <!-- footer //-->
    <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
    <!-- footer_eof //-->
  </body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
