<?php
/**
 * @package admin
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Steve 2020 Apr 01 Modified in v1.5.7 $
 * Twitch wsPRO for 1.57c
 */
if (!defined('IS_ADMIN_FLAG')) {
  die('Illegal Access');
}
$languages = zen_get_languages();
if (empty($products_description)) $products_description = [];
if (empty($products_name)) $products_name = [];
if (empty($products_url)) $products_url = [];

if (zen_not_null($_POST)) {
  $pInfo = new objectInfo($_POST);
  $products_name = $_POST['products_name'];
  $products_description = $_POST['products_description'];
  $products_url = $_POST['products_url'];
  foreach ($products_url as &$url){ // remove protocol
      $url = str_replace(array('http://', 'https://'), '', $url);
  }
  unset ($url);
} else {
  $product = $db->Execute("SELECT p.*,
                                  pd.language_id, pd.products_name, pd.products_description, pd.products_url
                           FROM " . TABLE_PRODUCTS . " p,
                                " . TABLE_PRODUCTS_DESCRIPTION . " pd
                           WHERE p.products_id = pd.products_id
                           AND p.products_id = " . (int)$_GET['pID']);

  $pInfo = new objectInfo($product->fields);
  $products_image_name = $pInfo->products_image;

  foreach($product as $prod) {
    $products_name[$prod['language_id']] = $prod['products_name'];
    $products_description[$prod['language_id']] = $prod['products_description'];
    $products_url[$prod['language_id']] = $prod['products_url'];
  }
}
// Twitch wsPRO for 1.57c
if (WS_PRO_MASTER_SWI == 'ON' && SHOW_TAP_THUMB == 'Show') { // Output display
$form_action = (isset($_GET['pID'])) ? 'update_product' : 'insert_product';
?>
<div class="container-fluid">
    <?php
    if (!isset($_GET['read']) || ($_GET['read'] !== 'only')) {
      echo zen_draw_form($form_action, FILENAME_PRODUCT, 'cPath=' . $cPath . (isset($_GET['pID']) ? '&pID=' . $_GET['pID'] : '') . '&action=' . $form_action . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''), 'post', 'enctype="multipart/form-data"');
    }

    for ($i = 0, $n = count($languages); $i < $n; $i++) {
      if (isset($_GET['read']) && ($_GET['read'] == 'only')) {
        $pInfo->products_name = zen_get_products_name($pInfo->products_id, $languages[$i]['id']);
        $pInfo->products_description = zen_get_products_description($pInfo->products_id, $languages[$i]['id']);
        $pInfo->products_url = zen_get_products_url($pInfo->products_id, $languages[$i]['id']);
      } else {
        $pInfo->products_name = zen_db_prepare_input($products_name[$languages[$i]['id']]);
        $pInfo->products_description = zen_db_prepare_input($products_description[$languages[$i]['id']]);
        $pInfo->products_url = zen_db_prepare_input($products_url[$languages[$i]['id']]);
      }

      if (isset($_GET['pID'])) {
        $specials_price = zen_get_products_special_price($_GET['pID']);
      }
      ?>
    <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo zen_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']) ?></p>
        <div class="col-sm-9 col-md-6 pageHeading">
          <?php echo zen_output_string_protected($pInfo->products_name); ?>
      </div></div>

    <div class="row">
        <p class="col-sm-4 control-label text-right"></p>
        <div class="col-sm-9 col-md-6">
        <?php
        //auto replace with defined missing image
        if (isset($_POST['products_image_manual']) && $_POST['products_image_manual'] != '') {
          $products_image_name = $_POST['img_dir'] . $_POST['products_image_manual'];
          $pInfo->products_name = $products_image_name;
        }
        if ((isset($_POST['image_delete']) && $_POST['image_delete'] == '1') || ($products_image_name == '' && PRODUCTS_IMAGE_NO_IMAGE_STATUS == '1')) { // show no image
          echo zen_image(DIR_WS_CATALOG_IMAGES . PRODUCTS_IMAGE_NO_IMAGE, $pInfo->products_name, ADMIN_TAP_THUMB_WIDTH, ADMIN_TAP_THUMB_HEIGHT, 'class="img-thumbnail"');
        } else { // show actual image
          echo zen_image(DIR_WS_CATALOG_IMAGES . $products_image_name, $pInfo->products_name, ADMIN_TAP_THUMB_WIDTH, ADMIN_TAP_THUMB_HEIGHT, 'class="img-thumbnail"'); 
        }
        ?>
    </div></div>
<?php if (WS_PRO_MASTER_SWI == 'ON' && WS_PRO_WS_RT_PCONTROL == 'Show') { ?>
        <div class="row p_grey_owl">
        <?php echo zen_display_grey_owl($pInfo->product_ws_rt_switch); ?>
        </div>
<?php } ?>
    <div class="row">&nbsp;</div>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_MODEL; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $pInfo->products_model; ?>
        </div></div>
<?php // echo ($pInfo->products_model != '' ? '<br/><br/>' . TEXT_PRODUCTS_MODEL . '&nbsp;' . $pInfo->products_model : ''); ?>
<?php if (SHOW_MODEL_SPOON_ADMIN_EDITPRODUCT == 'Show' && WS_PRO_USE_MODEL_SPOON != 'Hide') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_MODEL_SPOON; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo '<strong>'.$pInfo->products_model_spoon.'</strong>'; ?>
        </div></div>   
<?php } ?>
<?php if (WS_PRO_BASE_COST == 'Show' && SHOW_BASE_COST_ADMIN_EDITPRODUCT == 'Show') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_BASE_COST; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_base_cost); ?>
        </div></div>
<?php } ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TAP_ATT_PRICE_RT; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo '<b>'.$currencies->format($pInfo->products_price).'</b>'; ?>
        </div></div>
        
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_TAX_CLASS; ?></p>
        <div class="col-sm-9 col-md-6">
         <?php $find_selected_tax_name = $db->Execute("SELECT tax_class_id, tax_class_title
                FROM " . TABLE_TAX_CLASS . "
                WHERE tax_class_id = $pInfo->products_tax_class_id
                ORDER BY tax_class_title"); ?>
         <?php echo ($pInfo->products_tax_class_id == 0) ? '<em class="TAP_alert">'.TAP_PRODUCTS_TAX_NOTICE.'</em>' : $find_selected_tax_name->fields['tax_class_title']; ?>
        </div></div>


    <?php if (WS_PRO_P_TIER1 == 'Tier1') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER1; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier1); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER2 == 'Tier2') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER2; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier2); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER3 == 'Tier3') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER3; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier3); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER4 == 'Tier4') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER4; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier4); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER5 == 'Tier5') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER5; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier5); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER6 == 'Tier6') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER6; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier6); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER7 == 'Tier7') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER7; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier7); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER8 == 'Tier8') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER8; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier8); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER9 == 'Tier9') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER9; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier9); ?>
        </div></div> <?php } ?>
    <?php if (WS_PRO_P_TIER10 == 'Tier10') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_P_TIER10; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_p_tier10); ?>
        </div></div> <?php } ?>

<?php if (WS_PRO_MASTER_SWI == 'ON' && SHOW_MLIST_PRICE == 'Show' && SHOW_MLIST_PRICE_ADMIN_EDITPRODUCT == 'Show') { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo HEADING_PRODUCT_MLIST_PRICE; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $currencies->format($pInfo->product_mlist); ?>
        </div></div>
<?php } ?>

        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_WEIGHT; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo ($pInfo->products_weight == 0) ? '<em class="TAP_alert">'.TAP_P_SHIPPING_WEIGHT_NOTICE.'</em>' : $pInfo->products_weight; ?>
        </div></div>

        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_DESCRIPTION; ?></p>
        <div class="col-sm-9 col-md-6">
          <?php echo $pInfo->products_description; ?>
        </div></div>

    <?php if (isset($_GET['pID']) && $pInfo->products_priced_by_attribute == 1) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_PRICED_BY_ATTRIBUTES; ?></p>
        <div class="col-sm-9 col-md-6">
          <div><?php echo '<em>'.zen_get_products_display_price($_GET['pID']).'</em>'; ?></div>&nbsp;<div class="errorText"><?php echo TEXT_PRODUCTS_PRICED_BY_ATTRIBUTES_PREVIEW ?></div>
        </div></div>
    <?php } ?>

    <div class="row">&nbsp;</div>
<?php if (isset($_GET['pID']) && zen_has_product_attributes($_GET['pID'], 'false')) { // hide on new_product or not found ?>
    <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TAPTHUMB_ATTRIBUTE_BUTTON; ?></p>
        <div class="col-sm-9 col-md-6">
        <?php // Show attributes if there are attributes to show
        // Simple lookup to find all associated attribute images of the selected product
          $find_all_attrib_imgs = $db->Execute("SELECT attributes_image FROM " . TABLE_PRODUCTS_ATTRIBUTES . " WHERE products_id=" . $_GET['pID'] . " ORDER BY products_options_sort_order");
    foreach ($find_all_attrib_imgs as $found_attrib_img) { // extract the existing array data - assign to a new variable
            $found_attrib_img = $find_all_attrib_imgs->fields['attributes_image']; ?> 
        <?php if ($found_attrib_img != '') { // display att image
            echo '&nbsp;'.zen_image(DIR_WS_CATALOG_IMAGES . $found_attrib_img, $found_attrib_img, ADMIN_TAP_THUMB_WIDTH, ADMIN_TAP_THUMB_HEIGHT).'&nbsp;';
        } else { // att found - image not found
            echo '&nbsp;'.zen_image(DIR_WS_CATALOG_IMAGES . PRODUCTS_IMAGE_NO_IMAGE, $found_attrib_img, ADMIN_TAP_THUMB_WIDTH, ADMIN_TAP_THUMB_HEIGHT).'&nbsp;';
        } ?>
    <?php } // end foreach ?>
        </div>
    </div>
<?php } ?>

    <div class="row">&nbsp;</div>
    <?php if ($pInfo->products_virtual == 1) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_VIRTUAL; ?></p>
        <div class="col-sm-9 col-md-6">
          <div class="errorText"><?php echo TEXT_VIRTUAL_PREVIEW; ?></div>
        </div></div>
    <?php } ?>
    <?php if ($pInfo->product_is_always_free_shipping == 1) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_IS_ALWAYS_FREE_SHIPPING; ?></p>
        <div class="col-sm-9 col-md-6">
        <div class="errorText"><?php echo TEXT_FREE_SHIPPING_PREVIEW; ?></div>
        </div></div>
     <?php } ?>
    <?php if ($pInfo->product_is_free == 1) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCT_IS_FREE; ?></p>
        <div class="col-sm-9 col-md-6">      
          <div class="errorText"><?php echo TEXT_PRODUCTS_IS_FREE_PREVIEW; ?> </div>
          </div></div>
     <?php } ?>
    <?php if ($pInfo->product_is_call == 1) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCT_IS_CALL; ?></p>
        <div class="col-sm-9 col-md-6">
          <div class="errorText"><?php echo TEXT_PRODUCTS_IS_CALL_PREVIEW; ?></div>
          </div></div>
     <?php } ?>
    <?php if ($pInfo->products_qty_box_status == 0) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_QTY_BOX_STATUS; ?></p>
        <div class="col-sm-9 col-md-6">
          <div class="errorText"><?php echo TEXT_PRODUCTS_QTY_BOX_STATUS_PREVIEW; ?></div>
          </div></div>
     <?php } ?>
    <?php if ($pInfo->products_quantity_order_min < $pInfo->products_quantity_order_units) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TAP_PQTY_SET_ERROR; ?></p>
        <div class="col-sm-9 col-md-6">
          <div class="errorText"><?php echo TEXT_PRODUCTS_QTY_MIN_UNITS_PREVIEW; ?></div>
          </div></div>
     <?php } ?>
    <?php if ($pInfo->products_quantity_order_min > $pInfo->products_quantity_order_units && fmod_round($pInfo->products_quantity_order_min, $pInfo->products_quantity_order_units) != 0) { ?>
        <div class="row">
        <p class="col-sm-4 control-label text-right"><?php echo TAP_PQTY_SET_ERROR; ?></p>
        <div class="col-sm-9 col-md-6">
          <div class="errorText"><?php echo TEXT_PRODUCTS_QTY_MIN_UNITS_MISMATCH_PREVIEW; ?></div>
          </div></div>
     <?php } ?>

<?php // Show Additional Products (legacy ZC image display)
if ((!empty($products_image_name)))  { // Hide on new_product
$images_array = array();
      // prepare image name
      $products_image_extension = substr($products_image_name, strrpos($products_image_name, '.')); // .jpg
      $products_image_base = str_replace($products_image_extension, '', $products_image_name); // medium/Squeakers

      // if in a subdirectory
      if (strrpos($products_image_name, '/')) {
        $products_image_match = substr($products_image_name, strrpos($products_image_name, '/')+1); // = Sqeakers.jpg
        // echo '<br> TEST 1: I match ' . $products_image_match . ' - ' . $file . ' -  base ' . $products_image_base . '<br>'; // products_image_match only has first found filename in it = Squeakers
        $products_image_match = str_replace($products_image_extension, '', $products_image_match);
        $products_image_base = $products_image_match; // products_image_base now = Squeakers
        $products_image_base_sub_match = (strtok($products_image_name, '/').'/'); // add slash
        $products_image_directory = DIR_FS_CATALOG.DIR_WS_IMAGES.$products_image_base_sub_match;
      } else {
        $products_image_directory = DIR_FS_CATALOG.DIR_WS_IMAGES;
      }

      // Check for additional matching images
      $file_extension = $products_image_extension;
      if ($dir = @dir($products_image_directory)) {
        while ($file = $dir->read()) {
         
          if (!is_dir($products_image_directory . $file)) {
            //if (substr($file, strrpos($file, '.')) == $file_extension) {  ## commented to accept all extensions for addtional image group
                    if(preg_match('/' . $products_image_match . '/i', $file) == '1') { // check against match in sub directory
              if(preg_match('/' . $products_image_base . '/i', $file) == 1) {
                if ($products_image_base_sub_match.$file != $products_image_name) {
                  if ($products_image_base . str_replace($products_image_base, '', $file) == $file) {
                      // echo 'I AM A MATCH ' . $file . '<br>';
                    $images_array[] = $file;
                  } else {
                      // echo 'I AM NOT A MATCH ' . $file . '<br>';
                  }
                }}
            //}  ## commented to accept all extensions for addtional image group - Netsparx 
          }}}
        if (sizeof($images_array)) { sort($images_array); }
        $dir->close();
      }

    // Build output based on images found
    $num_images = sizeof($images_array);
    // echo 'this - '.$num_images;
if ($num_images) { ?>
    <hr>
        <div class="row">
          <p class="col-sm-4 control-label text-right"><?php echo TAP_ADDITIONAL_IMAGES_TITLE; ?></p>
            <div class="col-sm-9 col-md-6">

<?php if ($num_images) {
        for ($i=0, $n=$num_images; $i<$n; $i++) {
            $file = $images_array[$i];
            if (strrpos($products_image_name, '/')) {
                $base_image = DIR_WS_CATALOG_IMAGES . $products_image_base_sub_match. $file;
            } else {
                $base_image = DIR_WS_CATALOG_IMAGES . $file;
            }
            // prepare display image
            // $thumb_slashes = zen_image($base_image, addslashes($products_name), ADMIN_TAP_THUMB_WIDTH, ADMIN_TAP_THUMB_HEIGHT);
            $thumb_slashes = zen_image($base_image, $products_name, ADMIN_TAP_THUMB_WIDTH, ADMIN_TAP_THUMB_HEIGHT); // do not add slashes
            // display image
            echo $thumb_slashes.'&nbsp;';
        } // end for loop ?>
<?php } // endif ?>
            </div>
        </div>
    <hr>
<?php } } // hide from add new_product display ?>

    
    <?php if ($pInfo->products_url) { ?>
      <div class="row">
      <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_URL; ?></p>
        <div class="col-sm-9 col-md-6"><?php echo sprintf(TEXT_PRODUCT_MORE_INFORMATION, $pInfo->products_url); ?></div></div>
      <?php } ?>

    <?php
    if ($pInfo->products_date_available > date('Y-m-d')) {
      ?>
      <div class="row">
              <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_DATE_AVAILABLE; ?></p>
        <div class="col-sm-9 col-md-6"><?php echo sprintf(TEXT_PRODUCT_DATE_AVAILABLE, zen_date_long($pInfo->products_date_available)); ?></div></div>
      <?php
    } else {
      ?>
      <div class="row">
              <p class="col-sm-4 control-label text-right"><?php echo TEXT_PRODUCTS_DATE_AVAILABLE; ?></p>
        <div class="col-sm-9 col-md-6"><?php echo sprintf(TEXT_PRODUCT_DATE_ADDED, zen_date_long($pInfo->products_date_added)); ?></div></div>
      <?php
    }
    ?>

    <?php
  }
  if (isset($_GET['read']) && ($_GET['read'] == 'only')) {
    if (isset($_GET['origin'])) {
      $pos_params = strpos($_GET['origin'], '?', 0);
      if ($pos_params != false) {
        $back_url = substr($_GET['origin'], 0, $pos_params);
        $back_url_params = substr($_GET['origin'], $pos_params + 1);
      } else {
        $back_url = $_GET['origin'];
        $back_url_params = '';
      }
    } else {
      $back_url = FILENAME_CATEGORY_PRODUCT_LISTING;
      $back_url_params = 'cPath=' . $cPath . '&pID=' . $pInfo->products_id;
    }
    ?>
    <div class="row">
        <div class="col-sm-12 text-center">
      <a href="<?php echo zen_href_link($back_url, $back_url_params . (isset($_POST['search']) ? '&search=' . $_POST['search'] : '')); ?>" class="btn btn-default" role="button"><?php echo IMAGE_BACK; ?></a>
    </div></div>
    <?php
  } else {
    ?>
    <div class="row">
        <div class="col-sm-12 text-center">
        <?php
        /* Re-Post all POST'ed variables */
        foreach ($_POST as $key => $value) {
          if (!is_array($_POST[$key])) {
            echo zen_draw_hidden_field($key, htmlspecialchars(stripslashes($value), ENT_COMPAT, CHARSET, TRUE));
          }
        }

        for ($i = 0, $n = count($languages); $i < $n; $i++) {
          echo zen_draw_hidden_field('products_name[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($products_name[$languages[$i]['id']]), ENT_COMPAT, CHARSET, TRUE));
          echo zen_draw_hidden_field('products_description[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($products_description[$languages[$i]['id']]), ENT_COMPAT, CHARSET, TRUE));
          echo zen_draw_hidden_field('products_url[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($products_url[$languages[$i]['id']]), ENT_COMPAT, CHARSET, TRUE));
        }
        echo zen_draw_hidden_field('products_image', stripslashes($products_image_name));
        echo ( (isset($_GET['search']) && !empty($_GET['search'])) ? zen_draw_hidden_field('search', $_GET['search']) : '') . ( (isset($_POST['search']) && !empty($_POST['search']) && empty($_GET['search'])) ? zen_draw_hidden_field('search', $_POST['search']) : '');
      ?>
        <div class="floatButton text-right">
        <button type="submit" name="edit" value="edit" class="btn btn-default"><?php echo IMAGE_BACK; ?></button>&nbsp;
        
      <?php
        if (isset($_GET['pID'])) {
          ?>
        <button type="submit" class="btn btn-primary"><?php echo IMAGE_UPDATE; ?></button>&nbsp;
        <?php
      } else {
        ?>
        <button type="submit" class="btn btn-primary"><?php echo IMAGE_INSERT; ?></button>&nbsp;
        <?php
      }
      ?>
      <a href="<?php echo zen_href_link(FILENAME_CATEGORY_PRODUCT_LISTING, 'cPath=' . $cPath . (isset($_GET['pID']) ? '&pID=' . $_GET['pID'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . (isset($_GET['search']) ? '&search=' . $_GET['search'] : '')); ?>" class="btn btn-default" role="button"><?php echo IMAGE_CANCEL; ?></a>&nbsp;
      </div>
    </div></div>
      <?php
      
  }
      if (!(isset($_GET['read']) && ($_GET['read'] === 'only'))) {
        echo '</form>';
  }
  ?>
</div>

<br/><br/>
<br/><br/>
<br/><br/>

<?php } else { // stock
$form_action = (isset($_GET['pID'])) ? 'update_product' : 'insert_product';
?>
<div class="container-fluid">
    <?php
    if (!isset($_GET['read']) || ($_GET['read'] !== 'only')) {
      echo zen_draw_form($form_action, FILENAME_PRODUCT, 'cPath=' . $cPath . (isset($_GET['pID']) ? '&pID=' . $_GET['pID'] : '') . '&action=' . $form_action . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''), 'post', 'enctype="multipart/form-data"');
    }

    for ($i = 0, $n = count($languages); $i < $n; $i++) {
      if (isset($_GET['read']) && ($_GET['read'] == 'only')) {
        $pInfo->products_name = zen_get_products_name($pInfo->products_id, $languages[$i]['id']);
        $pInfo->products_description = zen_get_products_description($pInfo->products_id, $languages[$i]['id']);
        $pInfo->products_url = zen_get_products_url($pInfo->products_id, $languages[$i]['id']);
      } else {
        $pInfo->products_name = zen_db_prepare_input($products_name[$languages[$i]['id']]);
        $pInfo->products_description = zen_db_prepare_input($products_description[$languages[$i]['id']]);
        $pInfo->products_url = zen_db_prepare_input($products_url[$languages[$i]['id']]);
      }

      if (isset($_GET['pID'])) {
        $specials_price = zen_get_products_special_price($_GET['pID']);
      }
      ?>
<div class="row table-bordered">
    <div class="row">
      <div class="col-sm-6 pageHeading">
          <?php echo zen_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']) . '&nbsp;' . zen_output_string_protected($pInfo->products_name); ?>
      </div>
      <div class="col-sm-6 text-right">
          <?php echo $currencies->format($pInfo->products_price); ?>
          <?php echo ($pInfo->products_virtual == 1 ? '<div class="errorText">' . '<br>' . TEXT_VIRTUAL_PREVIEW . '</div>' : ''); ?>
          <?php echo ($pInfo->product_is_always_free_shipping == 1 ? '<div class="errorText">' . '<br>' . TEXT_FREE_SHIPPING_PREVIEW . '</div>' : ''); ?>
          <?php echo ($pInfo->products_priced_by_attribute == 1 ? '<div class="errorText">' . '<br>' . TEXT_PRODUCTS_PRICED_BY_ATTRIBUTES_PREVIEW . '</div>' : ''); ?>
          <?php echo ($pInfo->product_is_free == 1 ? '<div class="errorText">' . '<br>' . TEXT_PRODUCTS_IS_FREE_PREVIEW . '</div>' : ''); ?>
          <?php echo ($pInfo->product_is_call == 1 ? '<div class="errorText">' . '<br>' . TEXT_PRODUCTS_IS_CALL_PREVIEW . '</div>' : '') ?>
          <?php echo ($pInfo->products_qty_box_status == 0 ? '<div class="errorText">' . '<br>' . TEXT_PRODUCTS_QTY_BOX_STATUS_PREVIEW . '</div>' : ''); ?>
          <?php echo ($pInfo->products_quantity_order_min < $pInfo->products_quantity_order_units ? '<div class="errorText">' . '<br>' . TEXT_PRODUCTS_QTY_MIN_UNITS_PREVIEW . '</div>' : ''); ?>
          <?php echo ($pInfo->products_quantity_order_min > $pInfo->products_quantity_order_units && fmod_round($pInfo->products_quantity_order_min, $pInfo->products_quantity_order_units) != 0 ? '<div class="errorText">' . '<br>' . TEXT_PRODUCTS_QTY_MIN_UNITS_MISMATCH_PREVIEW . '</div>' : ''); ?>
          <?php echo (isset($_GET['pID']) && $pInfo->products_priced_by_attribute == 1 ? '<br>' . zen_get_products_display_price($_GET['pID']) : ''); ?>
      </div>
    </div>
    <div class="row"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></div>
    <div class="row img">
        <?php
//auto replace with defined missing image
        if (isset($_POST['products_image_manual']) && $_POST['products_image_manual'] != '') {
          $products_image_name = $_POST['img_dir'] . $_POST['products_image_manual'];
          $pInfo->products_name = $products_image_name;
        }
        if ((isset($_POST['image_delete']) && $_POST['image_delete'] == '1') || ($products_image_name == '' && PRODUCTS_IMAGE_NO_IMAGE_STATUS == '1')) {
          echo zen_image(DIR_WS_CATALOG_IMAGES . PRODUCTS_IMAGE_NO_IMAGE, $pInfo->products_name, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, 'class="img-thumbnail" style="float:right;"') . $pInfo->products_description;
        } else {
          echo zen_image(DIR_WS_CATALOG_IMAGES . $products_image_name, $pInfo->products_name, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, 'class="img-thumbnail" style="float:right;"') . $pInfo->products_description;
        }
        ?>
    </div>
    <?php
    if ($pInfo->products_url) {
      ?>
      <div class="row"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></div>
      <div class="row"><?php echo sprintf(TEXT_PRODUCT_MORE_INFORMATION, $pInfo->products_url); ?></div>
      <?php
    }
    ?>
    <div class="row"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></div>
    <?php
    if ($pInfo->products_date_available > date('Y-m-d')) {
      ?>
      <div class="row"><?php echo sprintf(TEXT_PRODUCT_DATE_AVAILABLE, zen_date_long($pInfo->products_date_available)); ?></div>
      <?php
    } else {
      ?>
      <div class="row"><?php echo sprintf(TEXT_PRODUCT_DATE_ADDED, zen_date_long($pInfo->products_date_added)); ?></div>
      <?php
    }
    ?>
    <div class="row"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></div>
</div>
<div class="row"><?php echo zen_draw_separator('pixel_trans.gif', '5', '10'); ?></div>
    <?php
  }

  if (isset($_GET['read']) && ($_GET['read'] == 'only')) {
    if (isset($_GET['origin'])) {
      $pos_params = strpos($_GET['origin'], '?', 0);
      if ($pos_params != false) {
        $back_url = substr($_GET['origin'], 0, $pos_params);
        $back_url_params = substr($_GET['origin'], $pos_params + 1);
      } else {
        $back_url = $_GET['origin'];
        $back_url_params = '';
      }
    } else {
      $back_url = FILENAME_CATEGORY_PRODUCT_LISTING;
      $back_url_params = 'cPath=' . $cPath . '&pID=' . $pInfo->products_id;
    }
    ?>
    <div class="row text-right">
      <a href="<?php echo zen_href_link($back_url, $back_url_params . (isset($_POST['search']) ? '&search=' . $_POST['search'] : '')); ?>" class="btn btn-default" role="button"><?php echo IMAGE_BACK; ?></a>
    </div>
    <?php
  } else {
    ?>
    <div class="row text-right">
        <?php
        /* Re-Post all POST'ed variables */
        foreach ($_POST as $key => $value) {
          if (!is_array($_POST[$key])) {
            echo zen_draw_hidden_field($key, htmlspecialchars(stripslashes($value), ENT_COMPAT, CHARSET, TRUE));
          }
        }

        for ($i = 0, $n = count($languages); $i < $n; $i++) {
          echo zen_draw_hidden_field('products_name[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($products_name[$languages[$i]['id']]), ENT_COMPAT, CHARSET, TRUE));
          echo zen_draw_hidden_field('products_description[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($products_description[$languages[$i]['id']]), ENT_COMPAT, CHARSET, TRUE));
          echo zen_draw_hidden_field('products_url[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($products_url[$languages[$i]['id']]), ENT_COMPAT, CHARSET, TRUE));
        }
        echo zen_draw_hidden_field('products_image', stripslashes($products_image_name));
        echo ( (isset($_GET['search']) && !empty($_GET['search'])) ? zen_draw_hidden_field('search', $_GET['search']) : '') . ( (isset($_POST['search']) && !empty($_POST['search']) && empty($_GET['search'])) ? zen_draw_hidden_field('search', $_POST['search']) : '');
      ?>
        <button type="submit" name="edit" value="edit" class="btn btn-default"><?php echo IMAGE_BACK; ?></button>
      <?php
        if (isset($_GET['pID'])) {
          ?>
        <button type="submit" class="btn btn-primary"><?php echo IMAGE_UPDATE; ?></button>
        <?php
      } else {
        ?>
        <button type="submit" class="btn btn-primary"><?php echo IMAGE_INSERT; ?></button>
        <?php
      }
      ?>
      <a href="<?php echo zen_href_link(FILENAME_CATEGORY_PRODUCT_LISTING, 'cPath=' . $cPath . (isset($_GET['pID']) ? '&pID=' . $_GET['pID'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . (isset($_GET['search']) ? '&search=' . $_GET['search'] : '')); ?>" class="btn btn-default" role="button"><?php echo IMAGE_CANCEL; ?></a>
    </div>
      <?php
  }
      if (!(isset($_GET['read']) && ($_GET['read'] === 'only'))) {
        echo '</form>';
  }
  ?>
</div>
<?php } ?>
