<?php
/**
 * Twitch wsPRO for 1.57c
 *
 * @copyright Copyright 2022 Twitchtoo Media
 * Author: Twitch.
 */

require('includes/application_top.php');

$action = (isset($_GET['action']) ? $_GET['action'] : '');

if (zen_not_null($action)) {
  switch ($action) {
    case 'insert':
    case 'save':
      if (isset($_GET['tntgID'])) {
        $tnt_group_id = zen_db_prepare_input($_GET['tntgID']);
      }
      $bridge_scion_id = zen_db_prepare_input($_POST['bridge_scion_id']);
      $bridge_scion_name = zen_db_prepare_input($_POST['bridge_scion_name']);
      
      $tnt_group_name = zen_db_prepare_input($_POST['tnt_group_name']);
      $tnt_group_detail = zen_db_prepare_input($_POST['tnt_group_detail']);
      
      $tier_pricing_level = zen_db_prepare_input($_POST['tier_pricing_level']);
      $tier_pricing_level_att = zen_db_prepare_input($_POST['tier_pricing_level_att']);
      
      /* $tnt_group_percentage = zen_db_prepare_input((float)$_POST['tnt_group_percentage']);
      $tnt_group_fixed = zen_db_prepare_input((float)$_POST['tnt_group_fixed']);
      $tnt_group_min_order = zen_db_prepare_input((float)$_POST['tnt_group_min_order']); */
      
      if ($tnt_group_name) {
        $sql_data_array = array(
          'bridge_scion_id' => $bridge_scion_id,
          'bridge_scion_name' => $bridge_scion_name,
          'tnt_group_name' => $tnt_group_name,
          'tnt_group_detail' => $tnt_group_detail,
          'tier_pricing_level' => $tier_pricing_level,
          'tier_pricing_level_att' => $tier_pricing_level_att);
/*           'tnt_group_percentage' => $tnt_group_percentage,
          'tnt_group_fixed' => $tnt_group_fixed,
          'tnt_group_min_order' => $tnt_group_min_order); */
        if ($action == 'insert') {
          $insert_sql_data = array('date_added' => 'now()');
          $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
          zen_db_perform(TABLE_TNT_WS_RT_GROUPS, $sql_data_array);
          $tnt_group_id = $db->insert_ID();
        } elseif ($action == 'save') {
          $update_sql_data = array('last_modified' => 'now()');
          $sql_data_array = array_merge($sql_data_array, $update_sql_data);
          zen_db_perform(TABLE_TNT_WS_RT_GROUPS, $sql_data_array, 'update', "tnt_group_id = '" . (int)$tnt_group_id . "'");
        }
      }
      zen_redirect(zen_href_link(FILENAME_TNT_GROUP_MANAGER, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'tntgID=' . $tnt_group_id));
      break;
      
    case 'deleteconfirm':
      $delete_cust_confirmed = (isset($_POST['delete_customers']) && $_POST['delete_customers'] == 'on') ? true : false;

      $tnt_group_id = zen_db_prepare_input($_POST['tntgID']);
      $customers_query = $db->Execute("SELECT customers_id
                                       FROM " . TABLE_CUSTOMERS . "
                                       WHERE tnt_ws = " . (int)$tnt_group_id);

      if ($customers_query->RecordCount() > 0 && $delete_cust_confirmed == true) {
        $db->Execute("DELETE FROM " . TABLE_TNT_WS_RT_GROUPS . "
                      WHERE tnt_group_id = " . (int)$tnt_group_id);
        $db->Execute("UPDATE " . TABLE_CUSTOMERS . "
                      SET tnt_ws = 1
                      WHERE tnt_ws = " . (int)$tnt_group_id); // must set deleted customers tnt_ws to 1
      } elseif ($customers_query->RecordCount() > 0 && $delete_cust_confirmed == false) {
        $messageStack->add_session(ERROR_TNT_GROUP_CUSTOMERS_EXIST, 'error');
      } elseif ($customers_query->RecordCount() == 0) {
        $db->Execute("DELETE FROM " . TABLE_TNT_WS_RT_GROUPS . "
                      WHERE tnt_group_id = " . (int)$tnt_group_id);
      }
      zen_redirect(zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page']));
      break;
  }
}

/* $query = $db->Execute("SELECT COUNT(*) AS count
                       FROM " . TABLE_TNT_WS_RT_GROUPS);
if ($query->fields['count'] > 0 && (!defined('MODULE_ORDER_TOTAL_TNT_GROUP_STATUS') || MODULE_ORDER_TOTAL_TNT_GROUP_STATUS != 'true')) {
  $messageStack->add(ERROR_MODULE_NOT_CONFIGURED, 'error');
}*/
?>
<!doctype html>
<html <?php echo HTML_PARAMS; ?>>
  <head>
    <meta charset="<?php echo CHARSET; ?>">
    <title><?php echo TITLE; ?></title>
    <link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
    <link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
    <script src="includes/menu.js"></script>
    <script src="includes/general.js"></script>
    <script>
      function init() {
          cssjsmenu('navbar');
          if (document.getElementById) {
              var kill = document.getElementById('hoverJS');
              kill.disabled = true;
          }
      }
    </script>
  </head>
  <body onload="init()">
    <a name="thetop"></a>
    <!-- header //-->
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
    <!-- header_eof //-->

    <!-- body //-->
    <div class="container-fluid">
      <h1><?php echo TNT_GROUP_HEADING_TITLE; ?></h1>
<?php
echo '&nbsp; Manage TNT Wholesale/Retail Customer Groups <br/>';
?>
<br class="clearBoth">
<div class="logic_block_right">
<?php   if (WS_PRO_USE_DEFAULT_CORE_LOGIC == 'ON') {
          echo WS_PRO_CORE_LOGIC.'<br/>'; 
        } else { 
          echo '<a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="twi_alert_red">'.WS_PRO_CUSTOM_CORE_LOGIC.'</a>'.WS_PRO_CUSTOM_CORE_LOGIC_OFF.'<br/>'; }

        if (WS_PRO_TIERED_MASTER != 'Stock') {
          echo TIER_CONTROL.'&nbsp;<strong>'.WS_PRO_TIERED_MASTER.' by '.WS_PRO_TIER_PRICING_BASE.'</strong>';
        if (WS_PRO_TIERED_MASTER == 'Split_3_Scions') {
          echo '&nbsp;'.TIER_CONTROL_SETTING_OFF;}
        } else { 
          echo '<a href="'.zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="twi_alert_red">'.TIER_CONTROL_SETTING.'</a>'.TIER_CONTROL_SETTING_OFF; } ?>
</div> <?php
echo '<a href="' . zen_href_link(FILENAME_B_TWITCH_WS_PRO, 'gID=' . '41') . '" class="btn btn-primary" role="button">Master Switches</a>&nbsp;'; 
echo '<a href="' . zen_href_link(FILENAME_BRIDGE_MANAGER).'" class="btn btn-primary" role="button">'.'Bridge Matrix</a>&nbsp;';

echo '<a href="' . zen_href_link(FILENAME_CATGROUPS).'" class="btn btn-primary" role="button">'.'Category Groups</a>&nbsp;';

echo '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER).'" class="btn btn-primary" role="button">'.'WS/RT Group Manager'.'</a>&nbsp';
echo '<a href="' . zen_href_link(FILENAME_CUSTOMERS) . '" class="btn btn-primary" role="button">Customers</a>&nbsp;';
?>
<div class="twi_alert"> <a href="#thebottom">scroll to bottom</a> </div>
<br/>
      
      <div class="row">
        <!-- body_text //-->
        <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9 configurationColumnLeft">
          <table class="table table-hover">
            <thead>
              <tr class="dataTableHeadingRow">
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BRIDGE_MATRIX_SCION_ID; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_BRIDGE_MATRIX_SCION_NAME; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_TNT_GROUP_ID; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_TNT_GROUP_NAME; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_TNT_GROUP_DETAIL; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_TIER_PRICING_LEVEL; ?></th>
                <th class="dataTableHeadingContent text-center"><?php echo TABLE_HEADING_TIER_PRICING_LEVEL_ATT; ?></th>
<!--                 <th class="dataTableHeadingContent text-center"><?php // echo TABLE_HEADING_TNT_GROUP_PERCENT; ?></th>
                <th class="dataTableHeadingContent text-center"><?php // echo TABLE_HEADING_TNT_GROUP_FIXED_AMOUNT; ?></th>
                <th class="dataTableHeadingContent text-center"><?php // echo TABLE_HEADING_TNT_GROUP_MIN_ORDER; ?></th> -->
                <th class="dataTableHeadingContent text-right"><?php echo TABLE_HEADING_ACTION; ?></th>
              </tr>
            </thead>
            <tbody>
                <?php
                if (WS_PRO_USE_DEFAULT_CORE_LOGIC == 'ON') {
                    $the_groups_query_raw = "SELECT * FROM " . TABLE_TNT_WS_RT_GROUPS; // use wsPRO core logic
                } else { 
                    $the_groups_query_raw = "SELECT * FROM " . TABLE_TNT_WS_RT_GROUPS . " WHERE tnt_group_id = 1 OR tnt_group_id = 5 OR tnt_group_id >= 50 "; } // use custom core logic

// Split Page
// reset page when page is unknown
                if ((empty($_GET['page']) || $_GET['page'] == '1') && !empty($_GET['tntgID'])) {
                  $check_page = $db->Execute($the_groups_query_raw);
                  $check_count = 1;
                  if ($check_page->RecordCount() > WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) {
                    foreach ($check_page as $item) {
                      if ($item['tnt_group_id'] == $_GET['tntgID']) {
                        break;
                      }
                      $check_count++;
                    }
                    $_GET['page'] = round((($check_count / WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) + (fmod_round($check_count, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS) != 0 ? .5 : 0)), 0);
//    zen_redirect(zen_href_link(FILENAME_CUSTOMERS, 'cID=' . $_GET['cID'] . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''), 'NONSSL'));
                  } else {
                    $_GET['page'] = 1;
                  }
                }

                $the_groups_split = new splitPageResults($_GET['page'], WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, $the_groups_query_raw, $the_groups_query_numrows);
                $groups = $db->Execute($the_groups_query_raw);
                foreach ($groups as $group) {
                  if ((!isset($_GET['tntgID']) || (isset($_GET['tntgID']) && ($_GET['tntgID'] == $group['tnt_group_id']))) && !isset($tntgInfo) && (substr($action, 0, 3) != 'new')) {
                    $group_customers = $db->Execute("SELECT COUNT(*) AS customer_count
                                                     FROM " . TABLE_CUSTOMERS . "
                                                     WHERE tnt_ws = " . (int)$group['tnt_group_id']);
                    $tntgInfo_array = array_merge($group, $group_customers->fields);
                    $tntgInfo = new objectInfo($tntgInfo_array);
                  }

                  if (isset($tntgInfo) && is_object($tntgInfo) && ($group['tnt_group_id'] == $tntgInfo->tnt_group_id)) {
                    echo '              <tr id="defaultSelected" class="dataTableRowSelected" onclick="document.location.href=\'' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $group['tnt_group_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  } else {
                    echo '              <tr class="dataTableRow" onclick="document.location.href=\'' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $group['tnt_group_id'] . '&action=edit') . '\'" role="button">' . "\n";
                  }
                  ?>
              <td class="dataTableContent text-center"><?php echo $group['bridge_scion_id']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['bridge_scion_name']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['tnt_group_id']; ?></td>
              <td class="dataTableContent text-center"><?php echo zen_get_tnt_group_name($group['tnt_group_id']); // add colour name display ?></td>
              <td class="dataTableContent text-center"><?php echo $group['tnt_group_detail']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['tier_pricing_level']; ?></td>
              <td class="dataTableContent text-center"><?php echo $group['tier_pricing_level_att']; ?></td>
<!--               <td class="dataTableContent text-center"><?php // echo $group['tnt_group_percentage']; ?></td>
              <td class="dataTableContent text-center"><?php // echo $group['tnt_group_fixed']; ?></td>
              <td class="dataTableContent text-center"><?php // echo $group['tnt_group_min_order']; ?></td> -->
              <td class="dataTableContent text-right">
                  <?php echo '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $group['tnt_group_id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
            <?php if (WS_PRO_ADMIN_TOOLS == 'Show') { ?>
                  <?php echo '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $group['tnt_group_id'] . '&action=delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
            <?php } ?>
                  <?php
                  if (isset($tntgInfo) && is_object($tntgInfo) && ($group['tnt_group_id'] == $tntgInfo->tnt_group_id)) {
                    echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '');
                  } else {
                    echo '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, zen_get_all_get_params(array('tntgID')) . 'tntgID=' . $group['tnt_group_id']) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>';
                  }
                  ?>
              </td>
              </tr>
              <?php
            }
            ?>
            </tbody>
          </table>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 configurationColumnRight">
            <?php
            $heading = array();
            $contents = array();

            switch ($action) {
              case 'new':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_NEW_TNT_GROUP . '</h4>');

                $contents = array('form' => zen_draw_form('tnt_groups', FILENAME_TNT_GROUP_MANAGER, 'action=insert', 'post', 'class="form-horizontal"'));
                $contents[] = array('text' => TEXT_NEW_TNT_GROUP_INTRO);
                // Bridge Matrix Scion
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_ID, 'bridge_scion_id', 'class="control-label"') . zen_draw_input_field('bridge_scion_id', '', 'class="form-control"').'&nbsp; Manual Enter Scion Identity Number<br/>');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_NAME, 'bridge_scion_name', 'class="control-label"') . zen_draw_input_field('bridge_scion_name', '', zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'bridge_scion_name') . ' class="form-control"').'&nbsp; Manual Enter Scion Name<br/>');
                
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_NAME, 'tnt_group_name', 'class="control-label"') . zen_draw_input_field('tnt_group_name', '', zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tnt_group_name') . ' class="form-control"').'&nbsp; Default => <b>custom_g</b><br/>');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_DETAIL, 'tnt_group_detail', 'class="control-label"') . zen_draw_input_field('tnt_group_detail', '', zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tnt_group_detail') . ' class="form-control"').'&nbsp; TNT Group Description or Traceable Detail<br/>');
                
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TIER_PRICING_LEVEL, 'tier_pricing_level', 'class="control-label"') . zen_draw_input_field('tier_pricing_level', '', zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tier_pricing_level') . ' class="form-control"').'&nbsp;'.TEXT_TIER_PRICING_LEVEL.'<br/>');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TIER_PRICING_LEVEL_ATT, 'tier_pricing_level_att', 'class="control-label"') . zen_draw_input_field('tier_pricing_level_att', '', zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tier_pricing_level_att') . ' class="form-control"').'&nbsp;'.TEXT_TIER_PRICING_LEVEL_ATT.'<br/>');
                
/*                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_PERCENT, 'tnt_group_percentage', 'class="control-label"') . zen_draw_input_field('tnt_group_percentage', '', 'class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_FIXED, 'tnt_group_fixed', 'class="control-label"') . zen_draw_input_field('tnt_group_fixed', '', 'class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_MIN_ORDER, 'tnt_group_min_order', 'class="control-label"') . zen_draw_input_field('tnt_group_min_order', '', 'class="form-control"')); */
                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-primary">' . IMAGE_SAVE . '</button> <a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $_GET['tntgID']) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;

              case 'edit':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_EDIT_TNT_GROUP . '</h4>');

                $contents = array('form' => zen_draw_form('tnt_groups', FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $tntgInfo->tnt_group_id . '&action=save', 'post', 'class="form-horizontal"'));
                $contents[] = array('text' => TEXT_EDIT_INTRO);

// Redoc Note: These options have been hidden to prevent unecessary changes to the groups, developer use only
            // Bridge Matrix Scion
            if (WS_PRO_ADMIN_TOOLS == 'Show') {
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_ID, 'bridge_scion_id', 'class="control-label"') . zen_draw_input_field('bridge_scion_id', htmlspecialchars($tntgInfo->bridge_scion_id, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'bridge_scion_id') . ' class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_BRIDGE_MATRIX_SCION_NAME, 'bridge_scion_name', 'class="control-label"') . zen_draw_input_field('bridge_scion_name', htmlspecialchars($tntgInfo->bridge_scion_name, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'bridge_scion_name') . ' class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_NAME, 'tnt_group_name', 'class="control-label"') . zen_draw_input_field('tnt_group_name', htmlspecialchars($tntgInfo->tnt_group_name, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tnt_group_name') . ' class="form-control"').'&nbsp; Default: <b>custom_g</b><br/>');
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TIER_PRICING_LEVEL, 'tier_pricing_level', 'class="control-label"') . zen_draw_input_field('tier_pricing_level', htmlspecialchars($tntgInfo->tier_pricing_level, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tier_pricing_level') . ' class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TIER_PRICING_LEVEL_ATT, 'tier_pricing_level_att', 'class="control-label"') . zen_draw_input_field('tier_pricing_level_att', htmlspecialchars($tntgInfo->tier_pricing_level_att, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tier_pricing_level_att') . ' class="form-control"'));
            } else {
                // $contents[] = array('text' => ADMIN_TOOLS_TEXT); 
                $contents[] = array('text' => zen_draw_hidden_field('bridge_scion_id', $tntgInfo->bridge_scion_id)); 
                $contents[] = array('text' => zen_draw_hidden_field('bridge_scion_name', $tntgInfo->bridge_scion_name));
                $contents[] = array('text' => zen_draw_hidden_field('tnt_group_name', $tntgInfo->tnt_group_name));
                $contents[] = array('text' => zen_draw_hidden_field('tier_pricing_level', $tntgInfo->tier_pricing_level));
                $contents[] = array('text' => zen_draw_hidden_field('tier_pricing_level_att', $tntgInfo->tier_pricing_level_att));
            }
// Redoc Note: These options have been hidden to prevent unecessary changes to the groups, developer use only

                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_DETAIL, 'tnt_group_detail', 'class="control-label"') . zen_draw_input_field('tnt_group_detail', htmlspecialchars($tntgInfo->tnt_group_detail, ENT_COMPAT, CHARSET, TRUE), zen_set_field_length(TABLE_TNT_WS_RT_GROUPS, 'tnt_group_detail') . ' class="form-control"'));

/*                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_PERCENT, 'tnt_group_percentage', 'class="control-label"') . zen_draw_input_field('tnt_group_percentage', $tntgInfo->tnt_group_percentage, 'class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_FIXED, 'tnt_group_fixed', 'class="control-label"') . zen_draw_input_field('tnt_group_fixed', $tntgInfo->tnt_group_fixed, 'class="form-control"'));
                $contents[] = array('text' => '<br>' . zen_draw_label(TEXT_TNT_GROUP_MIN_ORDER, 'tnt_group_min_order', 'class="control-label"') . zen_draw_input_field('tnt_group_min_order', $tntgInfo->tnt_group_min_order, 'class="form-control"'));
*/
                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-primary">' . IMAGE_SAVE . '</button> <a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $tntgInfo->tnt_group_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;
              case 'delete':
                $heading[] = array('text' => '<h4>' . TEXT_HEADING_DELETE_TNT_GROUP . '</h4>');

                $contents = array('form' => zen_draw_form('tnt_groups', FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&action=deleteconfirm') . zen_draw_hidden_field('tntgID', $tntgInfo->tnt_group_id));
                $contents[] = array('text' => TEXT_DELETE_INTRO);
                $contents[] = array('text' => '<br><b>' . $tntgInfo->tnt_group_name . '</b>');
                $contents[] = array('text' => '<br>' . $tntgInfo->tnt_group_detail);

                if ($tntgInfo->customer_count > 0) {
                  $contents[] = array('text' => '<br>' . zen_draw_checkbox_field('delete_customers') . ' ' . TEXT_DELETE_TNT_GROUP);
                  $contents[] = array('text' => '<br><span class="TAP_alert">' . sprintf(TEXT_DELETE_WARNING_TNT_GROUP_MEMBERS, $tntgInfo->customer_count).'</span>');
                }

                $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-danger">' . IMAGE_DELETE . '</button> <a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $tntgInfo->tnt_group_id) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                break;
              default:
                if (isset($tntgInfo) && is_object($tntgInfo)) {
                  $heading[] = array('text' => '<h4>' . $tntgInfo->tnt_group_name . '</h4>');
                  $contents[] = array('text' => '<br>' . $tntgInfo->tnt_group_detail);
                  
                  $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $tntgInfo->tnt_group_id . '&action=edit') . '"class="btn btn-primary" role="button">' . IMAGE_EDIT . '</a>');
            if (WS_PRO_ADMIN_TOOLS == 'Show') {
                  $contents[] = array('align' => 'text-center', 'text' => '<a href="' . zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $tntgInfo->tnt_group_id . '&action=delete') . '" class="btn btn-warning" role="button">' . IMAGE_DELETE . '</a>');
            }
                  $contents[] = array('text' => '<br>' . TEXT_DATE_ADDED . ' ' . zen_date_short($tntgInfo->date_added));
                  if (zen_not_null($tntgInfo->last_modified))
                    $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . zen_date_short($tntgInfo->last_modified));
                  $contents[] = array('text' => '<br><b>' . TEXT_CUSTOMERS . ' ' . $tntgInfo->customer_count.'</b>');
                }
                break;
            }

            if ((zen_not_null($heading)) && (zen_not_null($contents))) {
              $box = new box;
              echo $box->infoBox($heading, $contents);
            }
            ?>
        </div>
        <!-- body_text_eof //-->
      </div>
      <div class="row">
        <table class="table">
          <tr>
            <td><?php echo $the_groups_split->display_count($the_groups_query_numrows, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_TNT_GROUPS); ?></td>
            <td class="text-right"><?php echo $the_groups_split->display_links($the_groups_query_numrows, WS_PRO_GENERAL_MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
          </tr>
        </table>
      </div>
      <?php
      if (empty($action)) {
        ?>
        <div class="text-right">
<?php if (WS_PRO_ADMIN_TOOLS == 'Show') { ?>
          <a href="<?php echo zen_href_link(FILENAME_TNT_GROUP_MANAGER, 'page=' . $_GET['page'] . '&tntgID=' . $tntgInfo->tnt_group_id . '&action=new'); ?>" class="btn btn-primary" role="button"><?php echo IMAGE_INSERT; ?></a>
<?php } ?>
        </div>
        <?php
      }
      ?>
    </div>
<div class="twi_alert"> <a href="#thetop">back to top</a> </div>
<a name="thebottom"></a>
    <!-- body_eof //-->

    <!-- footer //-->
    <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
    <!-- footer_eof //-->
  </body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
