<?php
/**
 * pre-calculate the category path
 * see {@link  http://www.zen-cart.com/wiki/index.php/Developers_API_Tutorials#InitSystem wikitutorials} for more details.
 *
 * @package initSystem
 * @copyright Copyright 2003-2010 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: init_category_path.php 17018 2010-07-27 07:25:41Z drbyte $
 */
if (!defined('IS_ADMIN_FLAG')) {
  die('Illegal Access');
}
$show_welcome = false;
if (isset($_GET['cPath'])) {
  $cPath = $_GET['cPath'];
} elseif (isset($_GET['products_id']) && !zen_check_url_get_terms()) {
  $cPath = zen_get_product_path($_GET['products_id']);
} else {
// Twitch Base7 for 1.57c - add multi position switch
  if ($current_page == 'index' && (SHOW_CATEGORIES_ALWAYS == '1' || SHOW_CATEGORIES_ALWAYS == '4' || SHOW_CATEGORIES_ALWAYS == '5') && !zen_check_url_get_terms()) {
  // Redoc - this displays categories on main page without loading define page
    $show_welcome = true;
    if ($_SESSION['the_cat_ws_rt_switch'] == 'AND (c.category_ws_rt_switch = 0) ') { // no categories to find - Customer Category Display Control - Multisite selected - WS_PRO_CUSTOMER_CAT_DISPLAY 
        $cPath = ''; // cPath is used as a switch ignitor in modules/pages/index/header_php.php this turns it off to prevent false display (empty products error fix)
    } else { 
        $cPath = (defined('CATEGORIES_START_MAIN') ? CATEGORIES_START_MAIN : ''); // stock output categories
    }
  } else {
  // Redoc - this displays define page
    $show_welcome = false;
    $cPath = '';
  }
}
if (zen_not_null($cPath)) {
  $cPath_array = zen_parse_category_path($cPath);
  $cPath = implode('_', $cPath_array);
  $current_category_id = $cPath_array[(sizeof($cPath_array)-1)];
} else {
  $current_category_id = 0;
  $cPath_array = array();
}

// determine whether the current page is the home page or a product listing
//$this_is_home_page = ($current_page=='index' && ((int)$cPath == 0 || $show_welcome == true));
$this_is_home_page = ($current_page=='index' && (!isset($_GET['cPath']) || $_GET['cPath'] == '') && (!isset($_GET['manufacturers_id']) || $_GET['manufacturers_id'] == '') && (!isset($_GET['typefilter']) || $_GET['typefilter'] == '') );
