<?php
/**
 * Twitch Base7 for 1.57c
 *
 * @copyright Copyright 2022 Twitchtoo Media
 * Author: Twitch.
 */

// All Base7 defines here...

// define Twitch Cart Steps - desktop (images provided are mobile friendly sized already)
define('TWI_CART_STEPS_LOGIN', '<img src="images/twi_cart_steps/twi_cs_login.png" alt="Login" />');
define('TWI_CART_STEPS_PAYMENT', '<img src="images/twi_cart_steps/twi_cs_payment.png" alt="Payment" />');
define('TWI_CART_STEPS_ORDER_REVIEW', '<img src="images/twi_cart_steps/twi_cs_order_review.png" alt="Order Review" />');
define('TWI_CART_STEPS_SHIPPING', '<img src="images/twi_cart_steps/twi_cs_shipping.png" alt="Shipping" />');
define('TWI_CART_STEPS_SHOPPING', '<img src="images/twi_cart_steps/twi_cs_shopping.png" alt="Shopping" />');
define('TWI_CART_STEPS_ORDER_COMPLETE', '<img src="images/twi_cart_steps/twi_cs_complete.png" alt="Thank You Order Complete" />');

define('BUTTON_IMAGE_APPLY_DISCOUNT', 'Apply'); // placeholder for CSS Buttons - if using images you will need to upload the gif below and unhide
// define('BUTTON_IMAGE_APPLY_DISCOUNT', 'button_apply_discount.gif');
define('BUTTON_IMAGE_APPLY_DISCOUNT_ALT', 'Apply');


// Twitch Quick Reorder
define('FILENAME_QUICK_REORDER', 'quick_reorder');


// Twitch Product Listing Advanced
define ('TWI_PRODUCT_LISTING_ADV_LAYOUT_ROWS', 'Rows');
define ('TWI_PRODUCT_LISTING_ADV_LAYOUT_COLUMNS', 'Columns');

define ('TWI_PRODUCT_LISTING_IMAGE_DISPLAY_HIDE', 'Hide Images');
define ('TWI_PRODUCT_LISTING_IMAGE_DISPLAY_SHOW', 'Show Images');

// Twitch Manual Restrict Categories (MRC) Display Banner
define('FILENAME_CATEGORIES_MRC', 'categories_mrc');

// Twitch CASL
define('TABLE_CUST_CASL', DB_PREFIX . 'cust_casl');

define('TABLE_HEADING_CONDITIONS_ACC_CREATE', '<span class="twi_conditions">Conditions of Use</span>');
define('TEXT_CONDITIONS_ACC_CREATE_DESCRIPTION', '<span class="privacydescription">Please acknowledge you agree with our conditions of use by ticking the following box. The conditions of use can be read</span> <a href="' . zen_href_link(FILENAME_CONDITIONS, '', 'SSL') . '"><span class="pseudolink">here</span></a>.');
define('TEXT_CONDITIONS_ACC_CREATE_CONFIRM', '<span class="privacyagree">I have read and agreed to your conditions of use.</span>');

define('ERROR_CONDITIONS_ACC_CREATE_NOT_ACCEPTED', 'Please confirm the conditions of use by ticking the box below.');

// Twitch Login Sidebox
define('TEXT_LOGIN_BOX','Log In');
define('BOX_HEADING_LOGIN_BOX','Log In');
define('BOX_HEADING_LOGGEDIN_BOX','My Account');
define('LOGIN_BOX_EMAIL_ADDRESS','Email');
define('LOGIN_BOX_PASSWORD','Password');
define('LOGIN_BOX_PASSWORD_FORGOTTEN','Forgotten Password');
define('LOGIN_BOX_CREATE_ACCOUNT','Create Account');
define('LOGIN_BOX_SHOPPING_CART','Shopping Cart');
define('LOGIN_BOX_ACCOUNT','My Account');
define('LOGIN_BOX_LOGOFF','Log off');

// Twitch Attribute Date Time Picker
define('FILENAME_TWI_DATE_SELECT', 'twi_date_select_edit');
define('FILENAME_DEFINE_TWI_DATE_SELECT', 'define_twi_date_select_edit');


// Twitch Delivery Information Additional Input Fields
define('TITLE_DELIVERY_INFORMATION', 'Shipping Details:');

define('HEADING_DELIVERY_INFO_RES_COM', 'Address Type');
define('RES_COM_TEXT_LABEL', 'Address Type: ');
define('RESI', 'Residential');
define('COMERC', 'Commercial');
define('ERROR_DELIVERY_INFORMATION', 'Please select '. HEADING_DELIVERY_INFO_RES_COM);

define('HEADING_THE_DELIVERY_INFO', 'Delivery Information');

define('DELIVERY_INFO_DATE_TEXT', 'Select your preferred delivery date: ');
define('DELIVERY_INFO_DATE_TEXT_LABEL', 'Preferred delivery date: ');
define('DELIVERY_INFO_TIMEAMPM_TEXT', 'Preferred Delivery time: ');

define('RECIPIENT_PHONE_TEXT', 'Recipient\'s 10 digit phone number <em>(Ex: 519-123-4567)</em>');
define('RECIPIENT_PHONE_TEXT_LABEL', 'Recipient\'s phone number: ');
define('RECIPIENT_PHONE_TEXT_REQUIRED', '<span class="alert">* Required Field </span> <span class="exampleText"> to ensure the recipient is available to accept the delivery.</span>');

define('GIFT_MSG_TEXT', 'Gift message to recipient: ');
define('GIFT_MSG_TEXT_LABEL', 'Gift message: ');

define('TEXT_REQ_CHOOSE', '* Required - Please Choose');
define('TEXT_NOTREQ_CHOOSE', '* Please Choose');

define('TEXT_NOT_SELECTED', 'NOT SELECTED');
define('NO_COMMENTS_TEXT', 'None');





// bof Twitch Product Traits

// Use these 3 defines for IMG traits - admin holds the direct image path (folders must have correct permissions) - Set image (default)
// Hide or unhide the defines as needed - be sure to keep the structure together productTrait - One, Two, Three

// ***** define image
define('PRODUCT_TRAIT_ONE_TYPE_IMAGE', '<div id="productTraitOneimage" class="ProductTrait"><img src="%s" alt="Product Trait One" border="0"></div>');
define('PRODUCT_TRAIT_TWO_TYPE_IMAGE', '<div id="productTraitTwoimage" class="ProductTrait"><img src="%s" alt="Product Trait Two" border="0"></div>');
define('PRODUCT_TRAIT_THREE_TYPE_IMAGE', '<div id="productTraitThreeimage" class="ProductTrait"><img src="%s" alt="Product Trait Three" border="0"></div>');
// *****

// Use these 3 defines to display a link to another product within your website - Set image/button link
// Hide or unhide the defines as needed - be sure to keep the structure together productTrait - One, Two, Three

// ***** define link
define('PRODUCT_TRAIT_ONE_TYPE_LINK', '<div id="productTraitOnelink" class="ProductTrait"><a href="http://%s" target="_self">Trait One Link</a></div>');
define('PRODUCT_TRAIT_TWO_TYPE_LINK', '<div id="productTraitTwolink" class="ProductTrait"><a href="http://%s" target="_self">Trait Two Link</a></div>');
define('PRODUCT_TRAIT_THREE_TYPE_LINK', '<div id="productTraitThreelink" class="ProductTrait"><a href="http://%s" target="_self">Trait Three Link</a></div>');
// *****

// Use these 3 defines to display a link to another product within your website - Set image/button link
// Hide or unhide the defines as needed - be sure to keep the structure together productTrait - One, Two, Three

// ***** define text
define('PRODUCT_TRAIT_ONE_TYPE_TEXT', '<div id="productTraitOnetext" class="ProductTrait">%s</div>');
define('PRODUCT_TRAIT_TWO_TYPE_TEXT', '<div id="productTraitTwotext" class="ProductTrait">%s</div>');
define('PRODUCT_TRAIT_THREE_TYPE_TEXT', '<div id="productTraitThreetext" class="ProductTrait">%s</div>');
// *****

// Examples - Mixed Media Product Traits
// Hide or unhide the defines as needed - be sure to keep the structure together productTrait - One, Two, Three
// *****
// /* this one displays a clickable image - in the first position*/ define('TEXT_PRODUCT_TRAIT_ONE', '<div id="productTraitOne" class="ProductTrait"><a href="%s" target="_self"><img src="images/no_picture.gif" alt="Product Trait Image" border="0"></a></div>');

// /* this one displays a static image - in the second position*/ define('TEXT_PRODUCT_TRAIT_TWO', '<div id="productTraitTwo" class="ProductTrait"><img src="%s" alt="Product Trait Two" border="0"></div>');

// /* this one displays a text link to another page or website - in the third position*/ define('TEXT_PRODUCT_TRAIT_THREE', '<div id="productTraitThree" class="ProductTrait"><a href="%s" target="_blank">link to another page</a></div>');
// *****

define('TWI_QTYSTOCK_TEXT_PRODUCT_QUANTITY', 'Units in Stock'); // Meant to mirror TEXT_PRODUCT_QUANTITY
define('TWI_QTYSTOCK_UNITS_MASK', 'Stock: 1 or More Available'); // Your custom stock message here
define('TWI_QTYSTOCK_IMAGE_LINK_TEXT', '<div id="UnitsInStockimage" class="unitImage"><img src="%s" alt="'.TWI_QTYSTOCK_TEXT_PRODUCT_QUANTITY.' Image'.'" border="0"></div>');

// eof Twitch Product Traits





// EOF leave blank space below this line
