<?php
/*
* Twitch Base7 for 1.57c
* define_twi_date_select_edit.php
*
* Copyright (C) 2022 Twitchtoo Media
*/

// bof Twitch Attribute Date Time Picker 
// Make changes to source code below relavant to your store hours and availablility.
?>

<?php // start datepicker ?>
<script>
var vicHolidays = [
  {
    date: '01/01/2022',
    desc: 'New Year Day'
  }, 
  {
    date: '21/02/2022',
    desc: 'Family Day'
  },
  {
    date: '15/04/2022',
    desc: 'Good Friday'
  },
  {
    date: '18/04/2022',
    desc: 'Easter Monday'
  },
   {
    date: '23/05/2022',
    desc: 'Victoria Day'
  }, 
      {
    date: '01/07/2022',
    desc: 'Canada Day'
  }, 
  {
    date: '02/08/2022',
    desc: 'Civic Holiday'
  },
    {
    date: '05/09/2022',
    desc: 'Labour Day'
  },
    {
    date: '10/10/2022',
    desc: 'Thanksgiving Day'
  },
  {
    date: '25/12/2022',
    desc: 'Christmas Day'
  },
  {
    date: '26/12/2022',
    desc: 'Boxing Day'
  },
  /*{ // add a day - Trinity uses this to schedule additional holiday days, you can add as many days off as you like.
    date: '21/11/2022',
    desc: 'Coder Day'
  }*/
  ];

$(function() {
  $("#thedatepicker").datepicker({
    firstDay: 0,    // First day of the week
    minDate: 0,     // Start of date selection (1 will prevent today as a selection)
    maxDate: '3w',  // End of date selection Twitch (2w = 2weeks available)
    dateFormat: " DD, d MM, yy", // Twitch format date output for easier viewing
    /**
     * A function that takes a date as a parameter and must return an array with:
     * [0]: true/false indicating whether or not this date is selectable
     * [1]: a CSS class name to add to the date's cell or "" for the default presentation
     * [2]: an optional popup tooltip for this date
     * 
     */
    beforeShowDay: function(date) {
                var result = [true, "", ""];
                result = $.datepicker.noWeekends(date); // Twitch (hide this line to allow weekends to be chosen)

        result = [date.getDay() > 1, '']; // no ordering on Sunday (less than one) or Monday (1) (hide this line or change the value to change the output)
        /* This number relates to which day of the week you want to disable.
        Sunday = 0
        Monday = 1
        Tuesday = 2
        Wednesday = 3
        Thursday = 4
        Friday = 5
        Saturday = 6
        */
  
                if (vicHolidays === null) {
                    result[1] = "";
                
                } else {
                  // Format the date in the format dd/mm/yy
                  var key = $.datepicker.formatDate("dd/mm/yy", date); // Twitch internal date format (must match var list)
                    

        // Go through the defined Victorian holidays
                  for (var i=0; i<vicHolidays.length; i++) {
          if (key == vicHolidays[i].date) {
                      result[0] = false;
                        result[1] = "dp-highlight-holiday";
                        result[2] = vicHolidays[i].desc;
          }                      
                  }
                }
                return result;
            }
  });
});
<?php // end datepicker ?>

<?php // start datetimepicker ?>
$(function() {
$('#thetimepicker').timepicker({ 
	timeFormat: 'hh:mm tt',
    controlType: 'select',
    showSecond: false,
    showMillisec: false,
	showMicrosec: false,
	showTimezone: false,
    minuteMin: 15,
    stepMinute: 15,
    minuteMax: 30,
    minTime: '10:00 am',
    maxTime: '7:00 pm'
    
  });
});
</script>
<?php // end datetimepicker ?>

<?php // eof Twitch Attribute Date Time Picker ?>
