<?php
/**
 * Testimonials Manager
 *
 * @package Template System
 * @copyright 2007 Clyde Jones
  * @copyright Portions Copyright 2003-2007 Zen Cart Development Team
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Testimonials_Manager.php v1.5.2 4-16-2010 Clyde Jones $
 * @version $Id: Testimonials_Manager.php v2.0 12-03-2019 davewest $
 */

define('NAVBAR_TITLE', 'Add My Testimonial');
define('HEADING_ADD_TITLE', '<h1>Add My Testimonial</h1>');

define('TESTIMONIAL_SUCCESS', 'Your testimonial has been successfully submitted and will be added to our other testimonials as soon as we approve it.');

define('TESTIMONIAL_SUBMIT', 'Submit your testimonial using the form below.');


//////////////
define('EMAIL_SUBJECT', 'Your Testimonial Submission At ' . STORE_NAME . '.' . "\n\n");
define('EMAIL_GREET_NONE', 'Dear %s' . "\n\n");
define('EMAIL_WELCOME', 'Thanks for your testimonial submission at <b>' . STORE_NAME . '</b>.' . "\n\n");
define('EMAIL_TEXT', 'Your testimonial has been successfully submitted at ' . STORE_NAME . '. It will be added to our other testimonials as soon as we approve it. You will receive an email about the status of your submittal. If you have not received it within the next 48 hours, please contact us before submitting your testimonial again.' . "\n\n");
define('EMAIL_CONTACT', 'For help with your testimonial submission, please contact us: ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n\n");
define('EMAIL_WARNING', '<b>Note:</b> This email address was given to us during a testimonial submission. If you have a problem, please send an email to ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n");
define('EMAIL_OWNER_SUBJECT', 'Testimonial submission at ' . STORE_NAME);
define('SEND_EXTRA_TESTIMONIALS_ADD_SUBJECT', '[TESTIMONIAL SUBMISSION]');
define('EMAIL_OWNER_TEXT', 'A new testimonial was submitted at ' . STORE_NAME . '. It is not yet approved. Please verify this testimonial and activate.' . "\n\n");
define('EMAIL_GV_CLOSURE','Sincerely,' . "\n\n" . STORE_OWNER . "\nStore Owner\n\n". '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'.HTTP_SERVER . DIR_WS_CATALOG ."</a>\n\n");
define('EMAIL_DISCLAIMER_NEW_CUSTOMER', 'This testimonial was submitted to us by you or by one of our users. If you did not submit a testimonial, or feel that you have received this email in error, please send an email to %s ');
define('EMAIL_SPAM_DISCLAIMER','This email is sent in accordance with the US CAN-SPAM Law in effect 01/01/2004. Removal requests can be sent to this address and will be honored and respected.');

////////////////
define('TABLE_HEADING_TESTIMONIALS', 'Customer Testimonials');
define('TESTIMONIAL_CONTACT', 'Contact Information');

define('TEXT_TESTIMONIALS_TITLE', 'Title:');
define('TEXT_TESTIMONIALS_NAME', 'Your Name:');
define('TEXT_TESTIMONIALS_MAIL', 'Your Email:');
define('TEXT_TESTIMONIALS_HTML_TEXT', 'Testimonial');
define('TEXT_TESTIMONIALS_DESCRIPTION', 'Comments:');
define('TEXT_TESTIMONIALS_DESCRIPTION_INFO', '<div><strong>Testimonial Text must be between ' . ENTRY_TESTIMONIALS_TEXT_MIN_LENGTH . ' &amp; ' . ENTRY_TESTIMONIALS_TEXT_MAX_LENGTH . ' characters!</strong></div>');


define('TEXT_TESTIMONIAL_LOGIN_PROMPT','You are required to login or create an account in order to submit a testimonial');
define('ERROR_TESTIMONIALS_NAME_REQUIRED', '<strong>Your Name is Required!</strong>');
define('ERROR_TESTIMONIALS_EMAIL_REQUIRED', 'You Must include your E-mail address!');
define('ERROR_TESTIMONIALS_TITLE_REQUIRED', '<strong>A Testimonial Title is Required!</strong>');
define('ERROR_TESTIMONIALS_DESCRIPTION_REQUIRED', '<strong>Testimonial is Required!</strong>');
define('ERROR_TESTIMONIALS_TEXT_MAX_LENGTH', '<strong>Less than ' . ENTRY_TESTIMONIALS_TEXT_MAX_LENGTH . ' characters!</strong>');
define('ERROR_TESTIMONIALS_TEXT_MIN_LENGTH', '<strong>Less than ' . ENTRY_TESTIMONIALS_TEXT_MIN_LENGTH . ' characters!</strong>');
define('ERROR_TESTIMONIALS', 'Errors have occurred on your submission! Please correct and re-submit!');

define('TESTIMONIAL_BLOCKEMAIL_ADDRESS_CHECK_ERROR', 'That Email address is banned!');
define('TEXT_PRIVACY_CONFIRM', '<span class="privacyagree">I have read your <a class=\'iframe\' href="' . zen_href_link(FILENAME_PRIVACY,  '', $request_type) . '"><b>Privacy Notice.</b></a>.</span>');

  define('TESTIMONIAL_GIVE_RATING', '<i><b>5 stars Excellent </b></i>-- no resrvations, I would recommend ' . STORE_NAME . ' to anyone!.');
  define('TESTIMONIAL_RATING', 'Please give a rating for this review.');
  define('ERROR_CONTACT_USER', 'You must select one of three answers for contacting you!');
  
//radio labels
define('LABEL_FEEDBACK_1', 'online Shopping Experience!');
define('LABEL_FEEDBACK_2', 'online Order Experience!');  
define('LABEL_FEEDBACK_3', 'Mobile shopping experience or something you ordered using Mobile/App!');  
define('LABEL_FEEDBACK_4', 'Store Experience!');  
//define('LABEL_FEEDBACK_5', 'Map Experience!');  
define('LABEL_FEEDBACK_6', 'Other feedback!'); 
 
define('TITLE_EMAIL', 'Your email address is not displayed in reviews.'); 

//new this update
define('TEXT_TESTIMONIALS_HEADER', 'We <i class="fas fa-heart fa-fw"></i> Feedback!');
define('TEXT_TESTIMONIALS_FEEDBACK', 'Please select regarding which experience you want to provide feedback on.<br />Your name will appear on reviews. Your Email Address will <strong>NOT</strong> be displayed on reviews.');
//rating levels
define('TEXT_RATING_5', ' Excellent');
define('TEXT_RATING_4', ' Very Good');
define('TEXT_RATING_3', ' Good');
define('TEXT_RATING_2', ' Fair');
define('TEXT_RATING_1', ' Poor');

define('TEXT_YES', 'Yes');
define('TEXT_NO', 'No');
define('TEXT_OPTION_1', 'Option 1');
define('TEXT_OPTION_2', 'Option 2');
define('TEXT_OPTION_3', 'Option 3');

//box levels
define('ALT_FIELD_EMAIL', 'Please enter a E-Mail address (dave@addme.com)');
define('ALT_FIELD_NAME', 'Your name (no special characters)');
define('ALT_FIELD_TITLE', 'Give us a Title (no special characters)');

define('TEXT_FIELD_1_TITLE', 'online shopping experience');
define('TEXT_FIELD_1_QUESTION1', 'Was you able to find what you wanted?');
define('TEXT_FIELD_1_QUESTION2', 'Tell us about your experience. What did you like? What can we do better?');

define('TEXT_FIELD_2_TITLE', 'online order experience');
define('TEXT_FIELD_2_QUESTION1', 'Have you already placed an order?');

define('TEXT_FIELD_3_TITLE', 'Mobile shopping experience');
define('TEXT_FIELD_3_QUESTION1', 'Did you use a mobile device?');
define('TEXT_FIELD_3_QUESTION2', 'Type of Mobile device!: ');
define('TEXT_FIELD_3_QUESTION3', 'Your mobile device type?');
define('TEXT_FIELD_3_QUESTION4', 'Screen size or display size? ');
define('ALT_FIELD_3_QUESTION4', 'Screen size or display size');
define('TEXT_FIELD_3_QUESTION5', 'Tell us about your experience. What did you like? What can we do better?');

define('TEXT_FIELD_4_TITLE', 'Store Experience');
define('TEXT_FIELD_4_QUESTION1', 'Select category you want to provide feedback about.');
define('TEXT_FIELD_4_QUESTION2', 'Associate feedback');
define('TEXT_FIELD_4_QUESTION3', 'In-Store experience');
define('TEXT_FIELD_4_QUESTION4', 'Purchase experience');
define('TEXT_FIELD_4_QUESTION5', 'Tell us about your experience below.');

define('TEXT_FIELD_6_TITLE', 'Other experience');
define('TEXT_FIELD_6_QUESTION1', 'Tell us about your experience. What did you like? What can we do better?');

//standard form questions
define('TEXT_FIELD_CONTACT', 'If we have additional questions, may we contact you?');
define('TEXT_FIELD_CONTACT_EMAIL', 'email');
define('TEXT_FIELD_CONTACT_PHONE', 'phone');
define('TEXT_FIELD_PHONE_NUMBER', 'Phone Number: ');
define('ALT_FIELD_PHONE_NUMBER', 'Your phone number (888-123-1234)');
define('TEXT_FIELD_PERMISSION', '(Yes) - I grant you the right and permission to publicly disclose my testimonial.<br />(No) - Make this testimonial Non-Public please.');
define('TEXT_FIELD_AVATARS', 'We have a number of Avatars you can pick from. Avatars are not assign to any one user and are selected randomly from 15 of our best ones.');
define('TEXT_FIELD_AVATARS_CLICK', 'Click to pick a avatar');
define('TEXT_FIELD_CURRENT_AVATAR', 'Your Current Avatar');
define('TEXT_FIELD_FEEDBACK_IMAGE', 'Include one image with your feedback. Only in jpg or png format. ');
define('TEXT_FIELD_PICK_IMAGE', 'Choose a image');
define('ERROR_FIELD_IMAGE', 'Please only select images in JPG- or PNG-format.');

//EOF
