<?php
/**
 * @package interac etransfer payment module
 *
 * @package paymentMethod
 * @copyright Copyright 2003-2018 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Drbyte Sun Jan 7 21:30:21 2018 -0500 Modified in v1.5.6 $
 * Twitch Interac eTransfer Payment Module // Twitch Base7 for 1.57c
 */
  class interac_etransfer {
    var $code, $title, $description, $enabled, $twi_am_switch = false;

// class constructor
    function __construct() {
      global $order;

      $this->code = 'interac_etransfer';
      $this->title = MODULE_PAYMENT_INTERAC_ETRANSFER_TEXT_TITLE;
      $this->description = '<div style=" border: thin solid #666; padding: .3em; ">'. MODULE_PAYMENT_INTERAC_ETRANSFER_ADMIN_LOGO . MODULE_PAYMENT_INTERAC_ETRANSFER_TEXT_DESCRIPTION . '</div>';
      $this->sort_order = defined('MODULE_PAYMENT_INTERAC_ETRANSFER_SORT_ORDER') ? MODULE_PAYMENT_INTERAC_ETRANSFER_SORT_ORDER : null;
      $this->enabled = (defined('MODULE_PAYMENT_INTERAC_ETRANSFER_STATUS') && MODULE_PAYMENT_INTERAC_ETRANSFER_STATUS == 'True');
      $this->twi_am_switch = (defined('MODULE_PAYMENT_INTERAC_ETRANSFER_AUTO_MAN_SWITCH') && MODULE_PAYMENT_INTERAC_ETRANSFER_AUTO_MAN_SWITCH == 'True'); // AutoDeposit Enabled|Disabled Switch

      if (null === $this->sort_order) return false;

      if (IS_ADMIN_FLAG === true && (MODULE_PAYMENT_INTERAC_ETRANSFER_PAYTO == 'Your store email address' || MODULE_PAYMENT_INTERAC_ETRANSFER_PAYTO == '')) $this->title .= '<span class="alert"> (not configured - needs pay-to)</span>';

      if ((int)MODULE_PAYMENT_INTERAC_ETRANSFER_ORDER_STATUS_ID > 0) {
        $this->order_status = MODULE_PAYMENT_INTERAC_ETRANSFER_ORDER_STATUS_ID;
      }

      if (is_object($order)) $this->update_status();

      $this->email_footer = MODULE_PAYMENT_INTERAC_ETRANSFER_TEXT_EMAIL_FOOTER;
    }

// class methods
    function update_status() {
      global $order, $db;

      if ($this->enabled && (int)MODULE_PAYMENT_INTERAC_ETRANSFER_ZONE > 0 && isset($order->billing['country']['id'])) {
        $check_flag = false;
        $check = $db->Execute("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_INTERAC_ETRANSFER_ZONE . "' and zone_country_id = '" . (int)$order->billing['country']['id'] . "' order by zone_id");
        while (!$check->EOF) {
          if ($check->fields['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check->fields['zone_id'] == $order->billing['zone_id']) {
            $check_flag = true;
            break;
          }
          $check->MoveNext();
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
      }

      // other status checks?
      if ($this->enabled) {
        // other checks here
      }
    }

    function javascript_validation() {
      return false;
    }

    function selection() {
      return array('id' => $this->code,
                   'module' => $this->title . MODULE_PAYMENT_INTERAC_ETRANSFER_LOGO . MODULE_PAYMENT_INTERAC_ETRANSFER_CHECKOUT_TEXT_DESCRIPTION);
    }

    function pre_confirmation_check() {
      return false;
    }

    function confirmation() {
      return array('title' => MODULE_PAYMENT_INTERAC_ETRANSFER_LOGO . MODULE_PAYMENT_INTERAC_ETRANSFER_CHECKOUT_TEXT_DESCRIPTION);
    }

    function process_button() {
      return false;
    }

    function before_process() {
      return false;
    }

    function after_process() {
      return false;
    }

    function get_error() {
      return false;
    }

    function check() {
      global $db;
      if (!isset($this->_check)) {
        $check_query = $db->Execute("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_INTERAC_ETRANSFER_STATUS'");
        $this->_check = $check_query->RecordCount();
      }
      return $this->_check;
    }

    function install() {
      global $db, $messageStack;
      if (defined('MODULE_PAYMENT_INTERAC_ETRANSFER_STATUS')) {
        $messageStack->add_session('Interac eTransfer module already installed.', 'error');
        zen_redirect(zen_href_link(FILENAME_MODULES, 'set=payment&module=interac_etransfer', 'NONSSL'));
        return 'failed';
      }
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Interac eTransfer Module', 'MODULE_PAYMENT_INTERAC_ETRANSFER_STATUS', 'True', 'Do you want to accept Interac eTransfer Order payments?', '6', '1', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now());");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Make Payable to:', 'MODULE_PAYMENT_INTERAC_ETRANSFER_PAYTO', 'Your store email address', 'Who should payments be made payable to?', '6', '1', now());");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_INTERAC_ETRANSFER_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Payment Zone', 'MODULE_PAYMENT_INTERAC_ETRANSFER_ZONE', '0', 'If a zone is selected, only enable this payment method for that zone.', '6', '2', 'zen_get_zone_class_title', 'zen_cfg_pull_down_zone_classes(', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Set Order Status', 'MODULE_PAYMENT_INTERAC_ETRANSFER_ORDER_STATUS_ID', '0', 'Set the status of orders made with this payment module to this value', '6', '0', 'zen_cfg_pull_down_order_statuses(', 'zen_get_order_status_name', now())");
      // AutoDeposit Enabled|Disabled Switch
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Account Has AutoDeposit Enabled', 'MODULE_PAYMENT_INTERAC_ETRANSFER_AUTO_MAN_SWITCH', 'False', 'Do you have AutoDeposit Enabled on the receiving bank account? <br/> (see associated language defines for text changes in the Checkout)', '6', '5', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now());");
    }

    function remove() {
      global $db;
      $db->Execute("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_PAYMENT_INTERAC_ETRANSFER_STATUS', 'MODULE_PAYMENT_INTERAC_ETRANSFER_ZONE', 'MODULE_PAYMENT_INTERAC_ETRANSFER_ORDER_STATUS_ID', 'MODULE_PAYMENT_INTERAC_ETRANSFER_SORT_ORDER', 'MODULE_PAYMENT_INTERAC_ETRANSFER_PAYTO', 'MODULE_PAYMENT_INTERAC_ETRANSFER_AUTO_MAN_SWITCH');
    }
  }
