<?php
/**
 * information sidebox - displays list of general info links, as defined in this file
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 May 16 Modified in v1.5.7 $
 */

  unset($information);
  $information = array();

  if (DEFINE_SHIPPINGINFO_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_SHIPPING) . '">' . BOX_INFORMATION_SHIPPING . '</a>';
  }
  if (DEFINE_PRIVACY_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_PRIVACY) . '">' . BOX_INFORMATION_PRIVACY . '</a>';
  }
  if (DEFINE_CONDITIONS_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_CONDITIONS) . '">' . BOX_INFORMATION_CONDITIONS . '</a>';
  }
// Twitch Base7 for 1.57c
  if (DEFINE_PAGE_2_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_2, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_2 . '</a>';
  }

  if (DEFINE_CONTACT_US_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_CONTACT_US, '', 'SSL') . '">' . BOX_INFORMATION_CONTACT . '</a>';
  }

// forum/bb link:
  if (!empty($external_bb_url) && !empty($external_bb_text)) {
    $information[] = '<a href="' . $external_bb_url . '" rel="noopener" target="_blank">' . $external_bb_text . '</a>';
  }

  if (DEFINE_SITE_MAP_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_SITE_MAP) . '">' . BOX_INFORMATION_SITE_MAP . '</a>';
  }

  // only show GV FAQ when installed
  if (defined('MODULE_ORDER_TOTAL_GV_STATUS') && MODULE_ORDER_TOTAL_GV_STATUS == 'true' && TWI_SHOW_SIDEBOX_LINK_GV_FAQ == 'Show') {
    $information[] = '<a href="' . zen_href_link(FILENAME_GV_FAQ) . '">' . BOX_INFORMATION_GV . '</a>';
  }

  // only show Discount Coupon FAQ when installed
  if (DEFINE_DISCOUNT_COUPON_STATUS <= 1 && defined('MODULE_ORDER_TOTAL_COUPON_STATUS') && MODULE_ORDER_TOTAL_COUPON_STATUS == 'true' && TWI_SHOW_SIDEBOX_LINK_DISCOUNT_COUPON == 'Show') {
    $information[] = '<a href="' . zen_href_link(FILENAME_DISCOUNT_COUPON) . '">' . BOX_INFORMATION_DISCOUNT_COUPONS . '</a>';
  }

  if (SHOW_NEWSLETTER_UNSUBSCRIBE_LINK == 'true') {
    $information[] = '<a href="' . zen_href_link(FILENAME_UNSUBSCRIBE) . '">' . BOX_INFORMATION_UNSUBSCRIBE . '</a>';
  }
  if (WS_PRO_MASTER_SWI == 'ON' && DEFINE_WS_PAGE_1_STATUS <= 1) { // Twitch wsPRO for 1.57c - Bridge Matrix Rule Filter
    $tnt_check = match_to_bridge_tnt(get_tnt_member_id((int)$_SESSION['customer_id']));
    $bridge_rule = match_to_bridge_rule(FILENAME_WS_PAGE_1);
    if ($tnt_check == $bridge_rule ) {
    $information[] = '<a href="' . zen_href_link(FILENAME_WS_PAGE_1, '', 'SSL') . '">' . BOX_INFORMATION_WS_PAGE_1 . '</a>'; }
  }
if (BASE7_MASTER_SWI == 'ON') { // Twitch Add Extra Pages
// Hide or unhide any pages you would like to display on the live site
  if (DEFINE_PAGE_10_STATUS <= 1) {
  //  $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_10, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_10 . '</a>';
  }
  if (DEFINE_PAGE_11_STATUS <= 1) {
  //  $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_11, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_11 . '</a>';
  }
  if (DEFINE_PAGE_12_STATUS <= 1) {
  //  $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_12, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_12 . '</a>';
  }
  if (DEFINE_PAGE_13_STATUS <= 1) {
  //  $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_13, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_13 . '</a>';
  }
  if (DEFINE_PAGE_14_STATUS <= 1) {
  //  $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_14, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_14 . '</a>';
  }
  if (DEFINE_PAGE_15_STATUS <= 1) {
  //  $information[] = '<a href="' . zen_href_link(FILENAME_PAGE_15, '', 'SSL') . '">' . BOX_INFORMATION_PAGE_15 . '</a>';
  }
// Twitch Add Extra Pages
}

  // bof Testimonials add link
if (defined('MAX_DISPLAY_TESTIMONIALS_MANAGER_TITLES')) { // resolve missing define when module uninstalled
  if (DEFINE_TESTIMONIAL_STATUS <= 1) {
    $information[] = '<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER_ALL) . '">' . BOX_HEADING_TESTIMONIALS_MANAGER . '</a>';
  } 
} // eof Testimonials add link

  require($template->get_template_dir('tpl_information.php',DIR_WS_TEMPLATE, $current_page_base,'sideboxes'). '/tpl_information.php');

  $title =  BOX_HEADING_INFORMATION;
  $title_link = false;

  require($template->get_template_dir($column_box_default, DIR_WS_TEMPLATE, $current_page_base,'common') . '/' . $column_box_default);
