<?php
/**
 * more_information sidebox - displays list of links to additional pages on the site.  Must separately build those pages' content.
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2019 Jul 24 Modified in v1.5.7 $
 */

// initialize
$more_information = array();

// test if links should display
  if (DEFINE_PAGE_2_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_2) . '">' . BOX_INFORMATION_PAGE_2 . '</a>';
  }
  if (DEFINE_PAGE_3_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_3) . '">' . BOX_INFORMATION_PAGE_3 . '</a>';
  }
  if (DEFINE_PAGE_4_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_4) . '">' . BOX_INFORMATION_PAGE_4 . '</a>';
  }
if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
  if (TWI_ADMCTRL_SIDEBOXLINK_BLOG != '') {
    $more_information[] = '<a href="' . TWI_ADMCTRL_SIDEBOXLINK_BLOG . '">' . TWI_ADMCTRL_SIDEBOXLINK_BLOG_LINK_TEXT . '</a>';
  }
    if (TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK != '') {
    $more_information[] = '<a href="' . TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK . '">' . TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK_TEXT . '</a>';
  }
  if (TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK != '') {
    $more_information[] = '<a href="' . TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK . '">' . TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK_TEXT . '</a>';
  }
}

// insert additional links below to add to the more_information box
// Example:
//    $more_information[] = '<a href="' . zen_href_link(FILENAME_DEFAULT) . '">' . 'TESTING' . '</a>';

  if (WS_PRO_MASTER_SWI == 'ON' && DEFINE_WS_PAGE_1_STATUS <= 1) { // Twitch wsPRO for 1.57c - Bridge Matrix Rule Filter
    $tnt_check = match_to_bridge_tnt(get_tnt_member_id((int)$_SESSION['customer_id']));
    $bridge_rule = match_to_bridge_rule(FILENAME_WS_PAGE_1);
    if ($tnt_check == $bridge_rule ) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_WS_PAGE_1) . '">' . BOX_INFORMATION_WS_PAGE_1 . '</a>'; }
  }
// Twitch Base7 for 1.57c
if (BASE7_MASTER_SWI == 'ON') { // Twitch Add Extra Pages
// Hide or unhide any pages you would like to display on the live site
  if (DEFINE_PAGE_10_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_10) . '">' . BOX_INFORMATION_PAGE_10 . '</a>';
  }
  if (DEFINE_PAGE_11_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_11) . '">' . BOX_INFORMATION_PAGE_11 . '</a>';
  }
  if (DEFINE_PAGE_12_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_12) . '">' . BOX_INFORMATION_PAGE_12 . '</a>';
  }
  if (DEFINE_PAGE_13_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_13) . '">' . BOX_INFORMATION_PAGE_13 . '</a>';
  }
  if (DEFINE_PAGE_14_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_14) . '">' . BOX_INFORMATION_PAGE_14 . '</a>';
  }
  if (DEFINE_PAGE_15_STATUS <= 1) {
    $more_information[] = '<a href="' . zen_href_link(FILENAME_PAGE_15) . '">' . BOX_INFORMATION_PAGE_15 . '</a>';
  }
// Twitch Add Extra Pages
}

// only show if links are active
  if (sizeof($more_information) > 0) {
    require($template->get_template_dir('tpl_more_information.php',DIR_WS_TEMPLATE, $current_page_base,'sideboxes'). '/tpl_more_information.php');

    $title =  BOX_HEADING_MORE_INFORMATION;
    $title_link = false;
    require($template->get_template_dir($column_box_default, DIR_WS_TEMPLATE, $current_page_base,'common') . '/' . $column_box_default);
  }
