<?php
/**
 * Common Template - tpl_footer.php
 *
 * this file can be copied to /templates/your_template_dir/pagename<br />
 * example: to override the privacy page<br />
 * make a directory /templates/my_template/privacy<br />
 * copy /templates/templates_defaults/common/tpl_footer.php to /templates/my_template/privacy/tpl_footer.php<br />
 * to override the global settings and turn off the footer un-comment the following line:<br />
 * <br />
 * $flag_disable_footer = true;<br />
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 May 19 Modified in v1.5.7 $
 */
require(DIR_WS_MODULES . zen_get_module_directory('footer.php'));
?>

<?php
if (!isset($flag_disable_footer) || !$flag_disable_footer) {
?>

<!--bof-navigation display -->
<?php // bof Twitch Footer Responsive Advanced for 1.56c ?>

<div id="navSuppWrapper">
<?php // 0 = Off 1 = ON ?>
<?php if (BASE7_MASTER_SWI == 'ON' && TWI_FOOTER_LINKS_STATUS == 'Show') { ?>
<div id="navSupp">
<ul>
<li><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><?php echo HEADER_TITLE_CATALOG; ?></a></li>
<!-- Future Use <li><?php // Twitch add admin control links here -  echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><?php // echo HEADER_TITLE_CATALOG; ?></a></li> -->
</ul>
</div>
<?php } ?>

<?php // EZPages Switch - 0 = Off 1 = ON 2 = ON Admin only ?>
<?php if (EZPAGES_STATUS_FOOTER == '1' or (EZPAGES_STATUS_FOOTER == '2' && zen_is_whitelisted_admin_ip())) { ?>
<div id="navEZPagesBottom">
<?php require($template->get_template_dir('tpl_ezpages_bar_footer.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_ezpages_bar_footer.php'); ?>
</div>
<?php } ?>

</div>
<?php // eof Twitch Footer Responsive Advanced for 1.56c ?>
<!--eof-navigation display -->

<!--bof-ip address display -->
<?php
if (SHOW_FOOTER_IP == '1') {
?>
<div id="siteinfoIP"><?php echo TEXT_YOUR_IP_ADDRESS . '  ' . $_SERVER['REMOTE_ADDR']; ?></div>
<?php
}
?>
<!--eof-ip address display -->

<!--bof-banner #5 display -->
<?php
  if (SHOW_BANNERS_GROUP_SET5 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET5)) {
    if ($banner->RecordCount() > 0) {
?>
<div id="bannerFive" class="banners"><?php echo zen_display_banner('static', $banner); ?></div>
<?php
    }
  }
?>
<!--eof-banner #5 display -->

<?php // bof Twitch Footer Responsive Advanced for 1.57c --> ?>

<?php if (BASE7_MASTER_SWI == 'ON' && (TWI_DEFINE_PAGES_NAV_STATUS == 2 || TWI_DEFINE_PAGES_NAV_STATUS == 3)) { ?>
<?php echo '<div id="navDefinePagesBottom">'; ?>
<?php   require($template->get_template_dir('tpl_define_pages_nav.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_define_pages_nav.php'); ?>
<?php echo '</div>'; } ?>
<!--eof Twitch Define Pages Nav for 1.57c -->

<?php 
// Footer structure here using divs to manage each button with db OR independantly with CSS as it should be.
// Footer navSuppWrapper navSupp can be removed/hidden or repurposed as they are not visible on mobile anyways.
?>
<?php if (BASE7_MASTER_SWI == 'ON' && TWI_FOOTER_NAV_STATUS == 'Show') { ?>
<div id="twiFooterNav">
    <div id="footerHomeButton" class="twiFooterNavButtons">
    <?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?>
    <?php // echo HEADER_TITLE_CATALOG; ?><i class="fa fa-home" title="Home"></i></a>
    </div>
    <div id="footerLeaveButton" class="twiFooterNavButtons">
    <?php echo '<a href="'. TWI_ADMCTRL_LINK_RETURNTOINDEX .'">'; ?><i class="fa fa-eject" title="Return to Main Index"></i></a>
    </div>
    <div id="footerBackToTopButton" class="twiFooterNavButtons"><a href="#top"><i class="fa fa-long-arrow-up" title="Back to Top"></i></a>
    </div>
    <!-- Twitch hide back to top icon <div id="footerBackToTopButton" class="twiFooterNavButtons"><a href="#top"><i class="fa fa-arrow-circle-up" title="Back to Top"></i></a></div> -->
<?php if (DEFINE_SHIPPINGINFO_STATUS <= 1) { ?>
    <div id="footerShippingButton" class="twiFooterNavButtons">
    <?php echo '<a href="' . zen_href_link(FILENAME_SHIPPING, '', 'SSL') . '">' /*. BOX_INFORMATION_SHIPPINGINFO .*/ . '<i class="fa fa-truck fa-flip-horizontal" title="Shipping Info"></i>'; ?></a>
    </div>
<?php } ?>
    <div id="footerContactButton" class="twiFooterNavButtons">
    <?php echo '<a href="' . zen_href_link(FILENAME_CONTACT_US, '', 'SSL') . '">' /*. BOX_INFORMATION_CONTACT .*/ . '<i class="fa fa-question" title="Contact Us"></i>'; ?></a>
    </div>
</div>
<?php } ?>


<?php if (BASE7_MASTER_SWI == 'ON' && TWI_FOOTER_PAY_STATUS == 'Show') { ?>
    <div id="footer_paymentsAccepted">
    <!-- Optional Image-Only <img src="images/payments.png" alt="Accepted Payments" class="paymentsIMG"> -->
    <!-- Optional Text-Only -->	<small>E-Transfer, MasterCard, VISA</small>
    <br /></div>
<?php } ?>

<?php if (BASE7_MASTER_SWI == 'ON' && TWI_FOOTER_SOCIAL_STATUS == 'Show') { ?>
    <div id="footer_socialLinkGroup">
	  <?php if (SHOW_TWI_ADMCTRL_LINK_FACEBOOK !='') { ?> <a class="list-group-item" href="<?php echo SHOW_TWI_ADMCTRL_LINK_FACEBOOK; ?>"><i class="fa fa-facebook-square fa-fw fa-3x" aria-hidden="true"></i></a> <?php } ?>
  	  <?php if (SHOW_TWI_ADMCTRL_LINK_TWITTER !='') { ?><a class="list-group-item" href="<?php echo SHOW_TWI_ADMCTRL_LINK_TWITTER; ?>"><i class="fa fa-twitter-square fa-fw fa-3x" aria-hidden="true"></i></a> <?php } ?>
      <?php if (SHOW_TWI_ADMCTRL_LINK_INSTAGRAM !='') { ?><a class="list-group-item" href="<?php echo SHOW_TWI_ADMCTRL_LINK_INSTAGRAM; ?>"><i class="fa fa-instagram fa-fw fa-3x" aria-hidden="true"></i></a> <?php } ?>
      <?php if (SHOW_TWI_ADMCTRL_LINK_PINTEREST !='') { ?><a class="list-group-item" href="<?php echo SHOW_TWI_ADMCTRL_LINK_PINTEREST; ?>"><i class="fa fa-pinterest fa-fw fa-3x" aria-hidden="true"></i></a> <?php } ?>
	</div>
<?php } ?>

<?php if (BASE7_MASTER_SWI == 'ON' && TWI_FOOTER_LEGAL_STATUS == 'Show') { ?>
<!--bof- site copyright display -->
<div id="siteinfoLegal" class="legalCopyright"><?php echo FOOTER_TEXT_BODY; ?>
<?php if (BASE7_MASTER_SWI == 'ON' && DEFINE_PRIVACY_STATUS <= 1) { ?>
        &nbsp;<a href="<?php echo zen_href_link(FILENAME_PRIVACY); ?>"><?php echo BOX_INFORMATION_PRIVACY; ?></a>
<?php } ?>
</div>
<!--eof- site copyright display -->
<?php } ?>

<?php // eof Twitch Footer Responsive Advanced for 1.56c --> ?>


<?php
} // flag_disable_footer
?>

<?php if (false || (isset($showValidatorLink) && $showValidatorLink == true)) { ?>
<a href="https://validator.w3.org/nu/?doc=<?php echo urlencode('http' . ($request_type == 'SSL' ? 's' : '') . '://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'] . (strstr($_SERVER['REQUEST_URI'], '?') ? '&' : '?') . zen_session_name() . '=' . zen_session_id()); ?>" rel="noopener" target="_blank">VALIDATOR</a>
<?php } ?>
