<?php
/**
 * Common Template - tpl_header.php
 *
 * this file can be copied to /templates/your_template_dir/pagename<br />
 * example: to override the privacy page<br />
 * make a directory /templates/my_template/privacy<br />
 * copy /templates/templates_defaults/common/tpl_footer.php to /templates/my_template/privacy/tpl_header.php<br />
 * to override the global settings and turn off the footer un-comment the following line:<br />
 * <br />
 * $flag_disable_header = true;<br />
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 May 24 Modified in v1.5.7 $
 */
?>

<?php
  // Display all header alerts via messageStack:
  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
  if (isset($_GET['error_message']) && zen_not_null($_GET['error_message'])) {
    echo zen_output_string_protected(urldecode($_GET['error_message']));
  }
  if (isset($_GET['info_message']) && zen_not_null($_GET['info_message'])) {
   echo zen_output_string_protected($_GET['info_message']);
}
?>


<!--bof-header logo and navigation display-->
<?php
if (!isset($flag_disable_header) || !$flag_disable_header) {
?>

<div id="headerWrapper">

<!--bof navigation display-->
<div id="navMainWrapper" class="group onerow-fluid">
<?php 
 if ($detect->isMobile() && !$detect->isTablet() || $_SESSION['layoutType'] == 'mobile') {
echo '<div class="header Fixed"><a href="#menu" title="Menu"><i class="fa fa-bars"></i></a></div>';
 } else if ($detect->isTablet() || $_SESSION['layoutType'] == 'tablet'){
echo '<div class="header Fixed"><a href="#menu" title="Menu"><i class="fa fa-bars"></i></a></div>';
} else { 
//
}
?>

<?php if ($detect->isMobile() && !$detect->isTablet() || $_SESSION['layoutType'] == 'mobile') { ?>
<?php // Mobile Detected ?>  
<div id="navMain">
  <ul>
    <li><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><i class="fa fa-home" title="Home"></i></a></li>
<!-- Twitch hide <li><a href="#top"><i class="fa fa-arrow-circle-up" title="Back to Top"></i></a></li> -->
<?php
    if (zen_is_logged_in() && !zen_in_guest_checkout()) {
?>
<!-- Twitch hide    <li><a href="<?php // echo zen_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>"><i class="fa fa-sign-out" title="Log Off"></i></a></li> -->
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><i class="fa fa-user" title="My Account"></i></a></li>
<?php } else { ?>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><i class="fa fa-user" title="My Account"></i></a></li>
<?php } ?>
<?php
      } else {
        if (STORE_STATUS == '0') {
?>
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><i class="fa fa-sign-in" title="Log In"></i></a></li>
<?php } else { ?>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><i class="fa fa-sign-in" title="Log In"></i></a></li>
<?php } ?>
<?php 
  } 
} 
?>

<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a class="navCartContentsIndicator" href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><i class="fa fa-shopping-cart" title="Shopping Cart"></i></a></li>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><i class="fa fa-check-square" title="Checkout"></i></a></li>
<?php }?>
  </ul>
<?php if (TWI_SHOW_SEARCH_LOCATION == 'Header' && TWI_SHOW_SEARCH_LOCATION != 'AllPages') { // twi23 ?>
<div id="navMainSearch" class="forward">
  <?php require(DIR_WS_MODULES . zen_get_module_sidebox_directory('search_header.php')); ?>
</div>
<?php } ?>
</div>
</div>

<!--eof navigation display-->

<?php  } else if ( $detect->isTablet() || $_SESSION['layoutType'] == 'tablet' ){ ?> 
<?php // Tablet Detected ?>
<div id="navMain">
    <ul>
<li class="hide"><a href="#top"><i class="fa fa-arrow-circle-up" title="Back to Top"></i></a></li>
    <li><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><?php echo HEADER_TITLE_CATALOG; ?></a></li>
<?php
        if (zen_is_logged_in() && !zen_in_guest_checkout()) {
?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGOFF; ?></a></li>
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
<li><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a></li>
	    <?php } else { ?>
<li class="last"><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a></li>
      
      <?php } ?>
<?php
      } else {
        if (STORE_STATUS == '0') {
?>
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a></li>
	    <?php } else { ?>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a></li>

	    <?php } ?>
<?php } } ?>

<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a class="navCartContentsIndicator" href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><i class="fa fa-shopping-cart" title="Shopping Cart"></i> 
     <?php 
        echo HEADER_TITLE_CART_CONTENTS;
        // Alternatively, if you want to display cart quantity and value, use the following line instead of the one above. Adapt for multiple languages if relevant.
        // echo $_SESSION['cart']->count_contents().' item(s) '. $currencies->format($_SESSION['cart']->show_total());
     ?>
   </a>
    </li>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><?php echo HEADER_TITLE_CHECKOUT; ?></a></li>
<?php }?>
</ul>
<?php if (TWI_SHOW_SEARCH_LOCATION == 'Header' && TWI_SHOW_SEARCH_LOCATION != 'AllPages') { // twi23 ?>
<div id="navMainSearch" class="forward">
   <?php require(DIR_WS_MODULES . zen_get_module_sidebox_directory('search_header.php')); ?>
</div>
<?php } ?>
</div>
</div>
<!--eof navigation display-->

<?php  } else { ?>
<?php // Desktop Display or Device Not Detected ?>
<div id="navMain">
  <ul class="back">
    <li><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><?php echo HEADER_TITLE_CATALOG; ?></a></li>
<?php
    if (zen_is_logged_in() && !zen_in_guest_checkout()) {
?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGOFF; ?></a></li>
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a></li>
<?php } else { ?>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a></li>
<?php } ?>
<?php
      } else {
        if (STORE_STATUS == '0') {
?>
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a></li>
	    <?php } else { ?>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a></li>
<?php } ?>
<?php
  }
 }
?>

<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li>
      <a class="navCartContentsIndicator" href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><i class="fa fa-shopping-cart" title="Shopping Cart"></i>
     <?php 
        echo HEADER_TITLE_CART_CONTENTS;
        // Alternatively, if you want to display cart quantity and value, use the following line instead of the one above. Adapt for multiple languages if relevant.
        // echo $_SESSION['cart']->count_contents().' item(s) '. $currencies->format($_SESSION['cart']->show_total());
     ?>
   </a>
   </li>
    <li class="last"><a href="<?php echo zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><?php echo HEADER_TITLE_CHECKOUT; ?></a></li>
<?php }?>
  </ul>
<?php if (TWI_SHOW_SEARCH_LOCATION == 'Header' && TWI_SHOW_SEARCH_LOCATION != 'AllPages') { // twi23 ?>
<div id="navMainSearch" class="forward">
     <?php require(DIR_WS_MODULES . zen_get_module_sidebox_directory('search_header.php')); ?>
</div>
<?php } ?>
</div>
</div>
<!--eof navigation display-->

<?php  } // END of mobile - tablet - other switch ?>

<!--bof branding display-->
<div id="logoWrapper" class="group onerow-fluid">
<?php  // Twitch Base7 for 1.57c
    if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
        echo '<div id="Header_MainBlock_Mobi">';
    } else { // Not mobile or tablet display
        echo '<div id="Header_MainBlock">';
    } ?>
<?php
// bof Twitch Master Responsive Logo
    // CSS Master Logo
    $twi_mobileLogoDiv = '<div id="logo_Mobi">';
    $twi_desktopLogoDiv = '<div id="logo">';

    $twi_logo_off_Mobi = '<div id="logo_off_Mobi">&nbsp;</div>'; // incl closing div
    $twi_logo_off = '<div id="logo_off">&nbsp;</div>'; // incl closing div

    // Master Logo
    $twi_masterLogo = '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">' . zen_image($template->get_template_dir(HEADER_LOGO_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . HEADER_LOGO_IMAGE, HEADER_ALT_TEXT, HEADER_LOGO_WIDTH, HEADER_LOGO_HEIGHT) . '</a>';

    // Twitch testing - echo 'this page - '; echo $body_id.'<br/>';

if (BASE7_MASTER_SWI == 'ON') { // bof Logo Control

  if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
    if (TWI_MASTER_LOGO_MOBILE_CONTROL == 'Home Only') {
        $twi_masterLogo = '<div class="mlogo_home_only">'.$twi_masterLogo.'</div>';
    } elseif (TWI_MASTER_LOGO_MOBILE_CONTROL == 'All Small') { // P = Percent F = Fixed pixel - see stylesheet.css
        $twi_masterLogo = '<div class="mallSmall_imageP">'.$twi_masterLogo.'</div>';
    } else { // (TWI_MASTER_LOGO_MOBILE_CONTROL == 'All Pages')
        // $twi_masterLogo - Master Logo remains stock
    }
    if (TWI_MASTER_LOGO_MOBILE_CONTROL == 'Home Only' && $body_id != 'indexHome') {
            $twi_masterLogo = $twi_logo_off; }

  } else { // Desktop Display
    if (TWI_MASTER_LOGO_DESKTOP_CONTROL == 'Home Only') {
        $twi_masterLogo = '<div class="logo_home_only">'.$twi_masterLogo.'</div>';
    } elseif (TWI_MASTER_LOGO_DESKTOP_CONTROL == 'All Small') { // P = Percent F = Fixed pixel - see stylesheet.css
        $twi_masterLogo = '<div class="allSmall_imageP">'.$twi_masterLogo.'</div>';
    } else { // (TWI_MASTER_LOGO_MOBILE_CONTROL == 'All Pages')
        // $twi_masterLogo - Master Logo remains stock
    }
    if (TWI_MASTER_LOGO_DESKTOP_CONTROL == 'Home Only' && $body_id != 'indexHome') {
            $twi_masterLogo = '<br/>'.$twi_logo_off; }
  }

} else { // stock
  $twi_masterLogo =  '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">' . zen_image($template->get_template_dir(HEADER_LOGO_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . HEADER_LOGO_IMAGE, HEADER_ALT_TEXT, HEADER_LOGO_WIDTH, HEADER_LOGO_HEIGHT) . '</a>';
} // eof Logo Control


if (BASE7_MASTER_SWI == 'ON') {
    // Operate the 3 position switch
    if (TWI_MASTER_LOGO_CONTROL_SWITCH == 'Hide') { // OFF 
        if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
        echo '<div id="logo_off_Mobi">&nbsp'; // closing div shared below
        } else { // Not mobile or tablet display
        echo '<div id="logo_off">&nbsp'; // closing div shared below
        } ?>
        </div> <!-- end logo_off -->
    <?php
    } elseif (TWI_MASTER_LOGO_CONTROL_SWITCH == 'Stock' ) { // show stock logo.gif/logo.png 
        if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Desktop') { echo $twi_logo_off_Mobi; } // layout placeholder
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'All' || TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Mobile') { // show on mobile only
                echo $twi_mobileLogoDiv . $twi_masterLogo; } // closing div shared below
        } else { // Not mobile or tablet display
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Mobile') { echo $twi_logo_off; } // layout placeholder
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'All' || TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Desktop') { // show on desktop only
                echo $twi_desktopLogoDiv . $twi_masterLogo; } // closing div shared below
        } ?>
        </div><!-- end logo -->
    <?php
    } elseif (TWI_MASTER_LOGO_CONTROL_SWITCH == 'Banner' ) { // show twi_mainLogoBanner

    // CSS Master Logo Banner
    $twi_mLogoBanner_Mobi = '<div id="twi_mainLogoBannerBlock_Mobi">';  // closing div shared below
    $twi_mLogoBanner = '<div id="twi_mainLogoBannerBlock">';  // closing div shared below
    
    if (SHOW_BANNERS_GROUP_SET10 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET10)) {
    // Master Logo Banner
    $twi_masterLogoBanner = zen_display_banner('static', $banner); // Display banner if exists

        if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Desktop') { echo $twi_logo_off_Mobi; } // layout placeholder
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'All' || TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Mobile') { // show on mobile only
                echo $twi_mLogoBanner_Mobi . $twi_masterLogoBanner; } // closing div shared below
        } else { // Not mobile or tablet display
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Mobile') { echo $twi_logo_off; } // layout placeholder
            if (TWI_MASTER_LOGO_CONTROL_DISPLAY == 'All' || TWI_MASTER_LOGO_CONTROL_DISPLAY == 'Desktop') { // show on desktop only
                echo $twi_mLogoBanner . $twi_masterLogoBanner; } // closing div shared below
        } ?>
        </div> <!-- end twi_mainLogoBannerBlock -->
        <?php
        } else { // banner status - disabled
        echo '<div id="not_found_b_SET10">&nbsp;</div><!-- Twitch b_SET10 banner not found -->';
        }
    } else { // switch not found in db
    echo '<!-- logo switch no found -->'; // Twitch tracer twi_masterLogo
    } // eof Twitch Master Responsive Logo 

} else { // stock
    echo  $twi_masterLogo;
} // Twitch Base7 for 1.57c
?>

<?php if (HEADER_SALES_TEXT != '' || (SHOW_BANNERS_GROUP_SET2 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET2))) {
    if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
        echo '<div id="taglineWrapper_Mobi">';
    } else { // Not mobile or tablet display
        echo '<div id="taglineWrapper">';
    }
?>
<?php
  if (HEADER_SALES_TEXT != '') {
?>
      <div id="tagline"><?php echo HEADER_SALES_TEXT;?></div>
<?php
  }
?>
</div> <!-- end taglineWrapper -->

<?php
  if (SHOW_BANNERS_GROUP_SET2 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET2)) {
    if ($banner->RecordCount() > 0) {
?>
<?php 
    if ($detect->isMobile() || $_SESSION['layoutType'] == 'mobile' || $detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { // Mobile or Tablet Display
        echo '<div id="bannerHeaderMain_Mobi">';
    } else { // Not mobile or tablet display
        echo '<div id="bannerHeaderMain">';
    }
?>
    <div id="bannerTwo" class="banners">
    
    <?php echo zen_display_banner('static', $banner); // Display banner if exists ?>
        </div> <!-- end bannerTwo -->

<?php
    }
  }
?>
  
<?php } // no HEADER_SALES_TEXT or SHOW_BANNERS_GROUP_SET2 ?>

<?php // bof Twitch Manual Restrict Categories (MRC) Display Banner
// find category_id to show banner on page

// Use this to manually control add to cart display
if (BASE7_MASTER_SWI == 'ON' && (TWI_MRC_CONTROL_SWITCH == 'Show' && TWI_MRC_SHOW_ON_HEADER == 'Show')) {

    if (SHOW_BANNERS_GROUP_SET32 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET32)) {

    $found_mrc_category = 0; // (cPath replacement)
    // find mrc status for this category $categories_query
    // 1 = default ON - this will output live categories with disabled MRC status

    $find_mrc = "SELECT c.categories_id, cd.categories_name, c.parent_id, c.categories_image, c.categories_mrc_status
             FROM " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd
             WHERE c.parent_id = 0
             and c.categories_id = cd.categories_id
             and c.categories_status= 1
             and c.categories_mrc_status = 0
             AND c.categories_id= '" . $cPath . "'
             ".$_SESSION['the_cat_ws_rt_switch']."
             order by c.categories_id";
                   
    $MRC_statusOFF = $db->Execute($find_mrc);

$found_mrc_category = (int)$MRC_statusOFF->fields['categories_id']; // 1;

// if MRC ON - show banner in selected directory
// if MRC OFF - no show banner in selected directory
// hide only directories that were found - MRC OFF

if ($found_mrc_category == 0) {
    // echo 'show banner';
    if (SHOW_BANNERS_GROUP_SET32 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET32)) {
        if ($banner->RecordCount() > 0) { ?>
        <div id="bannerMRC32" class="banners"><?php echo zen_display_banner('static', $banner);?></div>
<?php } }
    }  // end found_mrc_category (cPath replacement)
} } // eof Twitch Manual Restrict Categories (MRC) Display Banner ?>
    </div> <!-- end bannerHeaderMain -->
<!-- </div> <!-- end Header_MainBlock -->
</div> <!-- end logoWrapper -->

<!--eof branding display-->
<!--eof header logo and navigation display-->


<?php if ($detect->isMobile() && !$detect->isTablet() || $_SESSION['layoutType'] == 'mobile') { ?>
<?php // twi23 change search display Twitch hide search header on mobile main display (see navMainSearch for mobile chevron bars menu) ?>
<?php if (TWI_SHOW_SEARCH_LOCATION == 'Header' && TWI_SHOW_SEARCH_LOCATION != 'AllPages') { // twi23 ?>
  <div id="navMainSearch1" class="forward"><?php require(DIR_WS_MODULES . 'sideboxes/search_header.php'); ?></div>
<?php } ?>
<?php  } else if ($detect->isTablet() || $_SESSION['layoutType'] == 'tablet') { ?>
<?php // show on tablet ?>
<?php if (TWI_SHOW_SEARCH_LOCATION == 'Header' && TWI_SHOW_SEARCH_LOCATION != 'AllPages') { // twi23 ?>
  <div id="navMainSearch1" class="forward"><?php require(DIR_WS_MODULES . 'sideboxes/search_header.php'); ?></div>
<?php } ?>
<?php  } else if ($_SESSION['layoutType'] == '' || $_SESSION['layoutType'] == 'default') {
// show on desktop
  } else { // Twitch edit - device not found (legacy)
// show nothing
  }
?>
<br class="clearBoth" />
</div> <!-- Twitch adjust - bof navMainWrapper or tpl_main_page.php mainWrapper -->

<!--bof optional categories tabs navigation display-->
<?php require($template->get_template_dir('tpl_modules_categories_tabs.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_categories_tabs.php'); ?>
<!--eof optional categories tabs navigation display-->

<?php // Twitch headerHbar 
if (BASE7_MASTER_SWI == 'ON' && TWI_SHOW_HEADERHBAR == 'Show') { ?>
<div id="headerHbar">&nbsp;</div>
<?php } ?>

<!--bof header ezpage links-->
<?php if (EZPAGES_STATUS_HEADER == '1' or (EZPAGES_STATUS_HEADER == '2' && zen_is_whitelisted_admin_ip())) { ?>
<?php   require($template->get_template_dir('tpl_ezpages_bar_header.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_ezpages_bar_header.php'); ?>
<?php } ?>
<!--eof header ezpage links-->

<!--bof Twitch Define Pages Nav for 1.57c - Header -->
<?php if (BASE7_MASTER_SWI == 'ON' && (TWI_DEFINE_PAGES_NAV_STATUS == 1 || TWI_DEFINE_PAGES_NAV_STATUS == 3)) { ?>
<?php echo '<div id="navDefinePagesTop">'; ?>
<?php require($template->get_template_dir('tpl_define_pages_nav.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_define_pages_nav.php'); ?>
<?php echo '</div>'; } ?>
<!--eof Twitch Define Pages Nav for 1.57c -->

<!-- </div> <!-- Twitch adjust - eof navMainWrapper or tpl_main_page.php mainWrapper -->

<?php } ?>
<?php 
// Twitch Base7 for 1.57c
if (BASE7_ADMIN_TOOLS_LIVE == 'Show' && BASE7_ADMIN_IP_FOR_TOOLS == $_SERVER['REMOTE_ADDR']) { // only if current admin IP matches admin IP address.
// echo 'Base7 Admin Tools';
/*
echo 'this page - '; echo $body_id.'<br/>';
echo 'product - '.$prodgroup_scion_match. ' category - '.$catgroup_scion_match;
echo 'pID - '.$_GET['products_id'];
echo '<br/>'.$_SESSION['the_cat_ws_rt_switch']; 
echo '<br/>'.$_SESSION['prod_ws_rt_switch'];
echo 'Address Type - '. $_SESSION['twi_delivery_res_com'];
*/
}

// Twitch wsPRO for 1.57c
if (WS_PRO_ADMIN_TOOLS_LIVE == 'Show' && ADMIN_IP_FOR_TOOLS == $_SERVER['REMOTE_ADDR']) { // only if current admin IP matches admin IP address.
    if (WS_PRO_MASTER_SWI == 'OFF'){ // minimal display when switch OFF
    echo '<div style="text-align: center;">';
    echo '<b>Twitch wsPRO master switch is OFF</b><br/>';
        echo '[<i>tnt sess-id: '.$_SESSION['tnt_ws'].'</i>]';
        echo '[<i>cust sess-id: '.$_SESSION['customer_id'].'</i>]';
    echo '</div>';
        }

if (WS_PRO_MASTER_SWI == 'ON' && ADMIN_IP_FOR_TOOLS == $_SERVER['REMOTE_ADDR']){
echo '<div style="text-align: center;">';

    if ($_SESSION['tnt_ws'] == 1) { echo '&nbsp;<b>Retail Guest</b> Account (NOT logged in)';} 
    echo '<br/><b>'. zen_tnt_account_check($tnt_acc). '</b> | '/*. zen_get_customer_tnt_group_details_select($tnt_acc)*/.' [<i>tnt sess-id: '.$_SESSION['tnt_ws'].'</i>]';

  // Twitch testing - developer output 
    // echo 'tnt -' .$_SESSION['tnt_ws']. ' cust -'.$_SESSION['customer_id'];
    // echo '<br/>'.$the_cat_ws_rt_switch; */
        
    // echo '<br/>cust tnt ID '.get_tnt_member_id($tnt_acc).'<br/><br/>';
    // customer pull bm relational data ($customer_id)
    // bridge match - top level
    // echo 'returned from cust -> bm match - '.match_to_bridge_tnt(get_tnt_member_id($tnt_acc)).'<br/>';
    // echo ' -- deesz -- '.$_SESSION['the_cat_ws_rt_switch'] . '-- <br/><br/>';

    // old
    // echo '<br/><b>Old</b> '.get_tnt_tier_price($_SESSION['tnt_ws']) .' - '. get_tnt_tier_price_att($_SESSION['tnt_ws']);
    // new
    echo '<br/>foundit cat - '.$de_found_it_cat.' foundit prod - '.$de_found_it_prod;
    echo '<br/><b>New</b> '.get_tnt_tier_price($_GET['products_id']) .' - '. get_tnt_tier_price_att($_GET['products_id']);
    echo '<br/><em>$_GET products_id output: </em><b>'.$_GET['products_id'].'</b>';
    // echo '<br/> This is bm group cust is in - '.match_to_bridge_tnt(get_tnt_member_id($tnt_acc));
    // Groups associated with the bridge rule
    // echo 'group of 6 - groups found - '.get_bm_linked_groups(match_to_bridge_tnt(get_tnt_member_id($tnt_acc))).'<br/>';
    // return data relative to group found
    echo '<br/> cat group found - data returned - '.get_catgroup_filter(match_to_bridge_tnt(get_tnt_member_id($tnt_acc))).'<br/>';
    echo 'prod group found - data returned - '.get_prod_filter(match_to_bridge_tnt(get_tnt_member_id($tnt_acc))).'<br/>';
    // catgroup pull bm relational data ($category_id) or catgroup?
    // product pull bm relational data ($product_id)        
    // echo '<br/>category level intel - '.$the_cat_ws_rt_switch.'<br/>';
    // echo 'product level intel - '.$the_prod_ws_rt_switch.'<br/>';
    // if tnt session id does not match tnt_account_check the session has not been unset/reset correctly
  // Twitch testing - developer output

echo '</div>'; } }
?>
