<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=account_edit.<br />
 * Displays information related to a single specific order
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 Oct 19 Modified in v1.5.7a $
 */
?>
<div class="centerColumn" id="accountHistInfo">

<div class="forward"><?php echo HEADING_ORDER_DATE . ' ' . zen_date_long($order->info['date_purchased']); ?></div>
<br class="clearBoth" />

<?php if ($current_page != FILENAME_CHECKOUT_SUCCESS) { ?>
<h2 id="orderHistoryDetailedOrder"><?php echo HEADING_TITLE . ORDER_HEADING_DIVIDER . sprintf(HEADING_ORDER_NUMBER, zen_output_string_protected($_GET['order_id'])); ?></h2>
<?php } ?>

<table id="orderHistoryHeading">
    <tr class="tableHeading">
        <th scope="col" id="myAccountQuantity"><?php echo HEADING_QUANTITY; ?></th>
        <th scope="col" id="myAccountProducts"><?php echo HEADING_PRODUCTS; ?></th>
<?php
  if (isset($order->info['tax_groups']) && count($order->info['tax_groups']) > 1) {
?>
        <th scope="col" id="myAccountTax"><?php echo HEADING_TAX; ?></th>
<?php
 } else { echo '<th scope="col" id="myAccountTax">&nbsp;</th>'; // Twitch List Price - Tax space when switch off
 }
?>
<?php if (WS_PRO_MASTER_SWI == 'ON' && SHOW_MLIST_PRICE == 'Show' && SHOW_MLIST_PRICE_ACCORDERHIST == 'Show') { // Twitch wsPRO for 1.57c base7 found ?>
        <th scope="col" id="myAccountCost"><?php echo 'Cost'; ?></th>
        <th scope="col" id="myAccountList"><?php echo 'List'; ?></th>
        <?php } else { 
        echo '<th scope="col" id="myAccountCost">&nbsp;</th>';
        echo '<th scope="col" id="myAccountList">&nbsp;</th>';
} ?>
        <th scope="col" id="myAccountTotal"><?php echo HEADING_TOTAL; ?></th>
    </tr>
<?php
  for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
  ?>
    <tr>
        <td class="accountQuantityDisplay"><?php echo  $order->products[$i]['qty'] . QUANTITY_SUFFIX; ?></td>
        <td class="accountProductDisplay"><?php
// Twitch Base7 for 1.57c
  if (BASE7_MASTER_SWI == 'ON' && SHOW_PRODUCT_IMAGELINK_ACCOUNT_HISTORY == 'Show') {
    // get product image
      $reorder_image = zen_get_products_image($order->products[$i]['id'], IMAGE_SHOPPING_CART_WIDTH, IMAGE_SHOPPING_CART_HEIGHT); // Twitch Fast Image Lookup
    // Get the status of a product
      $get_prod_status = "SELECT products_status from " . TABLE_PRODUCTS . (zen_not_null($order->products[$i]['id']) ? " WHERE products_id=" . (int)$order->products[$i]['id'] : "");
      $found_status = $db->Execute($get_prod_status);
      $found_status->fields['products_status'];

    if (zen_get_products_stock($order->products[$i]['id']) < 1 || $found_status->fields['products_status'] < 1) {
    // do not show link to unavailable product
      echo $reorder_image.'&nbsp;'.$order->products[$i]['name'];

    } else { // product in stock

    if (IMAGELINK_ACCOUNT_HISTORY_LINK_TYPE == 'Reorder') { // Add to cart (click to reorder)
        echo '<a href="' . zen_href_link($_GET['main_page'], zen_get_all_get_params(array('action')) . 'action=cust_order&pid=' . $order->products[$i]['id']) . '">'.$reorder_image. $order->products[$i]['name'] .'</a></li><br>' . "\n" ;
    } else { // Show product image, name and link (default)
        echo '<a href="' . zen_href_link(zen_get_info_page($order->products[$i]['id']), 'products_id=' . $order->products[$i]['id']) . '">' . $reorder_image.'&nbsp;'.$order->products[$i]['name'] . '</a>'; } }

  } else { // stock
            echo  $order->products[$i]['name'];
  }
    if ( (isset($order->products[$i]['attributes'])) && (sizeof($order->products[$i]['attributes']) > 0) ) {
      echo '<ul class="orderAttribsList">';
      for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
    if (WS_PRO_MASTER_SWI == 'ON' && TWI_SHOW_ORDER_DETAILS_ON_ACC_HISTORY == 'Show') { 
        echo '<li class="attIMG_shopppingCart">' . $attributesImage . $order->products[$i]['attributes'][$j]['option'] . TEXT_OPTION_DIVIDER . nl2br(zen_output_string_protected($order->products[$i]['attributes'][$j]['value'])) . ' [' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ']';'</li>';
    } else { // stock
        echo '<li>' . $order->products[$i]['attributes'][$j]['option'] . TEXT_OPTION_DIVIDER . nl2br(zen_output_string_protected($order->products[$i]['attributes'][$j]['value'])) . '</li>';
    }
      }
        echo '</ul>';
    }
?>
        </td>
<?php
    if (isset($order->info['tax_groups']) && count($order->info['tax_groups']) > 1) {
?>
        <td class="accountTaxDisplay"><?php echo zen_display_tax_value($order->products[$i]['tax']) . '%' ?></td>
<?php
 } else { echo '<td class="accountTaxDisplay">&nbsp;</td>'; // Twitch List Price - Tax space when switch off
    }
?>
<?php if (WS_PRO_MASTER_SWI == 'ON' && SHOW_MLIST_PRICE == 'Show' && SHOW_MLIST_PRICE_ACCORDERHIST == 'Show') { // Twitch wsPRO for 1.57c base7 found ?>
        <td id="accountBaseCost" style="text-align: center;"><?php echo number_format($order->products[$i]['price'],2); ?> </td>
        <td id="accountListPrice" style="text-align: center;"><?php echo $order->products[$i]['product_mlist']; ?></td>        
        <?php } else { 
        echo '<td id="accountBaseCost" style="text-align: center;">&nbsp;</td>'; // Twitch Base Cost
        echo '<td id="accountListPrice" style="text-align: center;">&nbsp;</td>'; // Twitch List Price
} ?>
        <td class="accountTotalDisplay">
        <?php
         $ppe = zen_round(zen_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']), $currencies->get_decimal_places($order->info['currency']));
         $ppt = $ppe * $order->products[$i]['qty'];
        //        echo $currencies->format(zen_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ($order->products[$i]['onetime_charges'] != 0 ? '<br />' . $currencies->format(zen_add_tax($order->products[$i]['onetime_charges'], $order->products[$i]['tax']), true, $order->info['currency'], $order->info['currency_value']) : '')
        echo $currencies->format($ppt, true, $order->info['currency'], $order->info['currency_value']) . ($order->products[$i]['onetime_charges'] != 0 ? '<br />' . $currencies->format(zen_add_tax($order->products[$i]['onetime_charges'], $order->products[$i]['tax']), true, $order->info['currency'], $order->info['currency_value']) : '');
        ?></td>
    </tr>
<?php
  }
?>
</table>
<hr />
<div id="orderTotals">
<?php
  for ($i=0, $n=sizeof($order->totals); $i<$n; $i++) {
?>
     <div class="amount larger forward"><?php echo $order->totals[$i]['text'] ?></div>
     <div class="lineTitle larger forward"><?php echo $order->totals[$i]['title'] ?></div>
<br class="clearBoth" />
<?php
  }
?>

</div>

<?php
/**
 * Used to display any downloads associated with the cutomers account
 */
  if (DOWNLOAD_ENABLED == 'true') require($template->get_template_dir('tpl_modules_downloads.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_downloads.php');
?>


<?php
/**
 * Used to loop thru and display order status information
 */
if (sizeof($statusArray)) {
?>
<?php // bof Twitch Delivery Information ?>
<?php 
  foreach ($statusArray as $statuses) {
?>

<?php
// Twitch Base7 for 1.57c - show the customer data
if (BASE7_MASTER_SWI == 'ON' && TWI_SHOW_EXTRA_DELIVERY_INFO == 'Show') {
// bof Twitch Delivery Information Additional Input Fields
?>
<br/><br/>
<!-- <h2 id="checkoutConfirmDefaultHeadingComments"><?php // echo TITLE_DELIVERY_INFORMATION; ?></h2> -->
<fieldset class="delivery" id="delivery_information">
<legend><?php echo HEADING_THE_DELIVERY_INFO; ?></legend>

<div class="deliveryText">
<?php if (SHOW_DELIVERY_INFO_RES_COM == 'Show') { echo '<div>'.RES_COM_TEXT_LABEL.(empty($statuses['twi_delivery_res_com']) ? TEXT_NOT_SELECTED : nl2br('<b>'.zen_output_string_protected($statuses['twi_delivery_res_com']).'</b>').zen_draw_hidden_field('twi_delivery_res_com', $statuses['twi_delivery_res_com'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_DATE == 'Show') { echo '<div>'.DELIVERY_INFO_DATE_TEXT_LABEL.(empty($statuses['twi_delivery_date']) ? TEXT_NOT_SELECTED : nl2br('<b>'.zen_output_string_protected($statuses['twi_delivery_date']).'</b>').zen_draw_hidden_field('twi_delivery_date', $statuses['twi_delivery_date'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_TIMEAMPM == 'Show') { echo '<div>'.DELIVERY_INFO_TIMEAMPM_TEXT.(empty($statuses['twi_delivery_time']) ? TEXT_NOT_SELECTED : nl2br('<b>'.zen_output_string_protected($statuses['twi_delivery_time']).'</b>').zen_draw_hidden_field('twi_delivery_time', $statuses['twi_delivery_time'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_RECIPIENT_PHONE == 'Show') { echo '<div>'.RECIPIENT_PHONE_TEXT_LABEL.(empty($statuses['twi_delivery_phone']) ? NO_COMMENTS_TEXT : nl2br('<b>'.zen_output_string_protected($statuses['twi_delivery_phone']).'</b>').zen_draw_hidden_field('twi_delivery_phone', $statuses['twi_delivery_phone'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_GIFT_MSG == 'Show') { echo '<div>'.GIFT_MSG_TEXT_LABEL.(empty($statuses['twi_delivery_card_message']) ? NO_COMMENTS_TEXT : nl2br('<b>'.zen_output_string_protected($statuses['twi_delivery_card_message']).'</b>').zen_draw_hidden_field('twi_delivery_card_message', $statuses['twi_delivery_card_message'])).'</div>'; } ?>

</div>
<br class="clearBoth" />

</fieldset>
<?php } // eof Twitch Delivery Information Additional Input Fields ?>

<?php 
	}  // this returns the foreach statement for $statusArray
?>


<h2 id="orderHistoryStatus"><?php echo HEADING_ORDER_HISTORY; ?></h2>
<table id="myAccountOrdersStatus">
    <tr class="tableHeading">
        <th scope="col" id="myAccountStatusDate"><?php echo TABLE_HEADING_STATUS_DATE; ?></th>
        <th scope="col" id="myAccountStatus"><?php echo TABLE_HEADING_STATUS_ORDER_STATUS; ?></th>
        <th scope="col" id="myAccountStatusComments"><?php echo TABLE_HEADING_STATUS_COMMENTS; ?></th>
       </tr>
<?php
  $first = true; 
  foreach ($statusArray as $statuses) {
?>
    <tr>
        <td><?php echo zen_date_short($statuses['date_added']); ?></td>
        <td><?php echo $statuses['orders_status_name']; ?></td>
        <td>
<?php 
    if (!empty($statuses['comments'])) {
      if ($first) { 
         echo nl2br(zen_output_string_protected($statuses['comments']));
         $first = false; 
      } else {
         echo nl2br(zen_output_string($statuses['comments']));
      }
    }
?>
       </td> 
     </tr>
<?php
  }
?>
</table>
<?php } ?>

<hr />
<div id="myAccountShipInfo" class="floatingBox back">
<?php
  if (!empty($order->delivery['format_id'])) {
?>
<?php if (BASE7_MASTER_SWI == 'ON') {
if (TWI_SHOW_SHIPPING_ADDRESS_ON_ACCOUNT_HISTORY == 'Show') { ?>
<h3><?php echo HEADING_DELIVERY_ADDRESS; ?></h3>
<address><?php echo zen_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br />'); ?></address>
<?php } // hide
 } else { // stock ?>
<h3><?php echo HEADING_DELIVERY_ADDRESS; ?></h3>
<address><?php echo zen_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br />'); ?></address>
<?php
  } }
?>

<?php
    if (zen_not_null($order->info['shipping_method'])) {
?>
<h4><?php echo HEADING_SHIPPING_METHOD; ?></h4>
<div><?php echo $order->info['shipping_method']; ?></div>
<?php } else { // temporary just remove these 4 lines ?>
<div>WARNING: Missing Shipping Information</div>
<?php
    }
?>
</div>

<div id="myAccountPaymentInfo" class="floatingBox forward">
<?php if (BASE7_MASTER_SWI == 'ON') {
if (TWI_SHOW_BILLING_ADDRESS_ON_ACCOUNT_HISTORY == 'Show') { ?>
<h3><?php echo HEADING_BILLING_ADDRESS; ?></h3>
<address><?php echo zen_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br />'); ?></address>
<?php } // hide
 } else { // stock ?>
<h3><?php echo HEADING_BILLING_ADDRESS; ?></h3>
<address><?php echo zen_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br />'); ?></address>
<?php } ?>
<h4><?php echo HEADING_PAYMENT_METHOD; ?></h4>
<div><?php echo $order->info['payment_method']; ?></div>
</div>
<br class="clearBoth" />
</div>
