<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=checkout_confirmation.<br />
 * Displays final checkout details, cart, payment and shipping info details.
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 Oct 19 Modified in v1.5.7a $
 */
?>
<div class="centerColumn" id="checkoutConfirmDefault">
<?php
if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
/* bof Twitch Responsive Cart Steps */

// Redoc: Here we resolve the 5 position switch with a bit of php for control.
$cartstepsTEXT = '
        <div id="cartstepsHeadingTXT">
        <div id="checkoutConfirmDefaultHeading">' . HEADING_TITLE . '&nbsp;<i class="fa fa-shopping-cart csheading" aria-hidden="true"></i>&nbsp;</div>
        </div><br />';
$cartstepsIMAGE = '
        <div id="cartstepsHeadingIMG"> ' . TWI_CART_STEPS_ORDER_REVIEW . '</div><br />';
?>

<?php // Operate the 5 position switch
    if (TWI_CARTSTEPS_HEADING_STATUS == '' or TWI_CARTSTEPS_HEADING_STATUS == 0) { // OFF 
    // echo '<div id="cartstepsNONE">Twitch Cart Steps OFF</div>';
    } else { 
    if (TWI_CARTSTEPS_HEADING_STATUS == 1 ) { echo $cartstepsTEXT; } // TEXT ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 2 ) { echo $cartstepsIMAGE; } // IMAGE ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 3 ) { echo $cartstepsTEXT . $cartstepsIMAGE; } // BOTH TEXT - IMAGE
    if (TWI_CARTSTEPS_HEADING_STATUS == 4 ) { echo $cartstepsIMAGE . $cartstepsTEXT; } // BOTH IMAGE - TEXT
    } ?>
<?php /* eof Twitch Responsive Cart Steps */ 
} else { ?>
<h1 id="checkoutConfirmDefaultHeading"><?php echo HEADING_TITLE; ?></h1>
<?php } ?>

<?php if ($messageStack->size('redemptions') > 0)           echo $messageStack->output('redemptions'); ?>
<?php if ($messageStack->size('checkout_confirmation') > 0) echo $messageStack->output('checkout_confirmation'); ?>
<?php if ($messageStack->size('checkout') > 0)              echo $messageStack->output('checkout'); ?>

<div id="checkoutBillto" class="notback">
  <h2 id="checkoutConfirmDefaultBillingAddress"><?php echo HEADING_BILLING_ADDRESS; ?></h2>
<?php if (!$flagDisablePaymentAddressChange) { ?>
  <div class="buttonRow notforward"><?php echo '<a href="' . zen_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '">' . zen_image_button(BUTTON_IMAGE_EDIT_SMALL, BUTTON_EDIT_SMALL_ALT) . '</a>'; ?></div>
<?php } ?>

<?php if (BASE7_MASTER_SWI == 'ON') {
  if (TWI_SHOW_BILLING_ADDRESS_ON_CHECKOUT_CONFIRM == 'Show') { ?>
  <address><?php echo zen_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br class="clearBoth" />'); ?></address>
<?php } // hide
 } else { // stock ?>
  <address><?php echo zen_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br class="clearBoth" />'); ?></address>
<?php } ?>

<?php
  $class = &$_SESSION['payment'];
?>
<?php if (BASE7_MASTER_SWI == 'ON') {
  if (TWI_SHOW_BILLING_ADDRESS_ON_CHECKOUT_CONFIRM == 'Show') { ?>
  <h3 id="checkoutConfirmDefaultPayment"><?php echo HEADING_PAYMENT_METHOD; ?></h3>
<?php } // hide
 } else { // stock ?>
  <h3 id="checkoutConfirmDefaultPayment"><?php echo HEADING_PAYMENT_METHOD; ?></h3>
<?php } ?>
  <h4 id="checkoutConfirmDefaultPaymentTitle"><?php echo $GLOBALS[$class]->title; ?></h4>

<?php
  if (is_array($payment_modules->modules)) {
    if ($confirmation = $payment_modules->confirmation()) {
?>
  <div id="confirmationTitle" class="notimportant"><?php echo $confirmation['title']; ?></div>
<?php
    }
?>
  <div id="confirmationFields" class="notimportant">
<?php
      for ($i=0, $n=sizeof($confirmation['fields']); $i<$n; $i++) {
?>
    <div class="notback"><?php echo $confirmation['fields'][$i]['title']; ?></div>
    <div ><?php echo $confirmation['fields'][$i]['field']; ?></div>
<?php
       }
?>
  </div>
<?php
  }
?>

</div>

<?php
  if ($_SESSION['sendto'] != false) {
?>
<div id="checkoutShipto" class="notforward">

  <h2 id="checkoutConfirmDefaultShippingAddress"><?php echo HEADING_DELIVERY_ADDRESS; ?></h2>
  <div class="buttonRow notforward"><?php echo '<a href="' . $editShippingButtonLink . '">' . zen_image_button(BUTTON_IMAGE_EDIT_SMALL, BUTTON_EDIT_SMALL_ALT) . '</a>'; ?></div>
<?php if (BASE7_MASTER_SWI == 'ON') {
  if (TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_CONFIRM == 'Show') { ?>
  <address><?php echo zen_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br />'); ?></address>
<?php } // hide
 } else { // stock ?>
  <address><?php echo zen_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br />'); ?></address>
<?php } ?>

<br/>
<?php
    if ($order->info['shipping_method']) {
?>
<?php if (BASE7_MASTER_SWI == 'ON') {
  if (TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_CONFIRM == 'Show') { ?>
  <h3 id="checkoutConfirmDefaultShipment"><?php echo HEADING_SHIPPING_METHOD; ?></h3>
<?php } // hide
 } else { // stock ?>
  <h3 id="checkoutConfirmDefaultShipment"><?php echo HEADING_SHIPPING_METHOD; ?></h3>
<?php } ?>
<br/>
  <h4 id="checkoutConfirmDefaultShipmentTitle"><?php echo $order->info['shipping_method']; ?></h4>
<br/>
<?php
    }
?>
  </div>
<?php
  }
?>

  <br class="clearBoth" />

<?php
// Twitch Base7 for 1.57c - show the customer data
if (BASE7_MASTER_SWI == 'ON' && TWI_SHOW_EXTRA_DELIVERY_INFO == 'Show') {
// bof Twitch Delivery Information Additional Input Fields
?>
<div class="deliveryText">
<h2 id="checkoutConfirmDefaultHeadingComments"><?php echo TITLE_DELIVERY_INFORMATION; ?></h2>
<br />
<?php if (SHOW_DELIVERY_INFO_RES_COM == 'Show') { echo '<div>'.RES_COM_TEXT_LABEL.(empty($order->info['twi_delivery_res_com']) ? TEXT_NOT_SELECTED : nl2br('<b>'.zen_output_string_protected($order->info['twi_delivery_res_com']).'</b>').zen_draw_hidden_field('twi_delivery_res_com', $order->info['twi_delivery_res_com'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_DATE == 'Show') { echo '<div>'.DELIVERY_INFO_DATE_TEXT_LABEL.(empty($order->info['twi_delivery_date']) ? TEXT_NOT_SELECTED : nl2br('<b>'.zen_output_string_protected($order->info['twi_delivery_date']).'</b>').zen_draw_hidden_field('twi_delivery_date', $order->info['twi_delivery_date'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_TIMEAMPM == 'Show') { echo '<div>'.DELIVERY_INFO_TIMEAMPM_TEXT.(empty($order->info['twi_delivery_time']) ? TEXT_NOT_SELECTED : nl2br('<b>'.zen_output_string_protected($order->info['twi_delivery_time']).'</b>').zen_draw_hidden_field('twi_delivery_time', $order->info['twi_delivery_time'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_RECIPIENT_PHONE == 'Show') { echo '<div>'.RECIPIENT_PHONE_TEXT_LABEL.(empty($order->info['twi_delivery_phone']) ? NO_COMMENTS_TEXT : nl2br('<b>'.zen_output_string_protected($order->info['twi_delivery_phone']).'</b>').zen_draw_hidden_field('twi_delivery_phone', $order->info['twi_delivery_phone'])).'</div>'; } ?>
<br />
<?php if (SHOW_DELIVERY_INFO_GIFT_MSG == 'Show') { echo '<div>'.GIFT_MSG_TEXT_LABEL.(empty($order->info['twi_delivery_card_message']) ? NO_COMMENTS_TEXT : nl2br('<b>'.zen_output_string_protected($order->info['twi_delivery_card_message']).'</b>').zen_draw_hidden_field('twi_delivery_card_message', $order->info['twi_delivery_card_message'])).'</div>'; } ?>

</div>
<br class="clearBoth" />
<?php
} // eof Twitch Delivery Information Additional Input Fields ?>


<div class="group" id="order-comments">

  <h2 id="checkoutConfirmDefaultHeadingComments"><?php echo HEADING_ORDER_COMMENTS; ?></h2>
  <div class="buttonRow notforward"><?php echo  '<a href="' . zen_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '">' . zen_image_button(BUTTON_IMAGE_EDIT_SMALL, BUTTON_EDIT_SMALL_ALT) . '</a>'; ?></div>
  <div><?php echo (empty($order->info['comments']) ? NO_COMMENTS_TEXT : nl2br(zen_output_string_protected($order->info['comments'])) . zen_draw_hidden_field('comments', $order->info['comments'])); ?></div>

</div>

<h2 id="checkoutConfirmDefaultHeadingCart"><?php echo HEADING_PRODUCTS; ?></h2>

<div class="buttonRow notforward"><?php echo '<a href="' . zen_href_link(FILENAME_SHOPPING_CART, '', 'SSL') . '">' . zen_image_button(BUTTON_IMAGE_EDIT_SMALL, BUTTON_EDIT_SMALL_ALT) . '</a>'; ?></div>
<br class="clearBoth" />

<?php  if ($flagAnyOutOfStock) { ?>
<?php    if (STOCK_ALLOW_CHECKOUT == 'true') {  ?>
<div class="messageStackError"><?php echo OUT_OF_STOCK_CAN_CHECKOUT; ?></div>
<?php    } else { ?>
<div class="messageStackError"><?php echo OUT_OF_STOCK_CANT_CHECKOUT; ?></div>
<?php    } //endif STOCK_ALLOW_CHECKOUT ?>
<?php  } //endif flagAnyOutOfStock ?>


      <table id="cartContentsDisplay">
        <tr class="cartTableHeading">
          <th scope="col" id="ccQuantityHeading"><?php echo TABLE_HEADING_QUANTITY; ?></th>
          <th scope="col" id="ccProductsHeading"><?php echo TABLE_HEADING_PRODUCTS; ?></th>
<?php
  // If there are tax groups, display the tax columns for price breakdown
  if (sizeof($order->info['tax_groups']) > 1) {
?>
          <th scope="col" id="ccTaxHeading"><?php echo HEADING_TAX; ?></th>
<?php
  }
?>
          <th scope="col" id="ccTotalHeading"><?php echo TABLE_HEADING_TOTAL; ?></th>
        </tr>
<?php // now loop thru all products to display quantity and price ?>
<?php for ($i=0, $n=sizeof($order->products); $i<$n; $i++) { ?>
        <tr class="<?php echo $order->products[$i]['rowClass']; ?>">
          <td  class="cartQuantity"><?php echo $order->products[$i]['qty']; ?>&nbsp;x</td>
          <td class="cartProductDisplay"><?php echo '<strong>' . $order->products[$i]['name'] . '</strong>'; ?>
          <?php  if (!empty($stock_check[$i])) echo $stock_check[$i]; ?>

<?php // if there are attributes, loop thru them and display one per line
    if (isset($order->products[$i]['attributes']) && sizeof($order->products[$i]['attributes']) > 0 ) {
    echo '<ul class="cartAttribsList">';
      for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
?>
<?php if (WS_PRO_MASTER_SWI == 'ON' && TWI_SHOW_ORDER_DETAILS_ON_CHECKOUT_CONFIRMATION) { ?>
      <li><?php echo $order->products[$i]['attributes'][$j]['option'] . ': ' . nl2br(zen_output_string_protected($order->products[$i]['attributes'][$j]['value'])). ' [' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ']' ; ?>
      </li>
<?php } else { // stock ?>      
      <li>
          <?php
          echo $order->products[$i]['attributes'][$j]['option'] . ': ' . nl2br(zen_output_string_protected($order->products[$i]['attributes'][$j]['value']));
          ?>
      </li>
<?php } ?>
<?php
      } // end loop
      echo '</ul>';
    } // endif attribute-info
?>
          </td>

<?php // display tax info if exists ?>
<?php if (sizeof($order->info['tax_groups']) > 1)  { ?>
        <td class="cartTotalDisplay">
          <?php echo zen_display_tax_value($order->products[$i]['tax']); ?>%</td>
<?php    }  // endif tax info display  ?>
        <td class="cartTotalDisplay">
          <?php echo $currencies->display_price($order->products[$i]['final_price'], $order->products[$i]['tax'], $order->products[$i]['qty']);
          if ($order->products[$i]['onetime_charges'] != 0 ) echo '<br /> ' . $currencies->display_price($order->products[$i]['onetime_charges'], $order->products[$i]['tax'], 1);
?>
        </td>
      </tr>
<?php  }  // end for loopthru all products ?>
    </table>


<?php
  if (MODULE_ORDER_TOTAL_INSTALLED) {
    $order_totals = $order_total_modules->process();
?>
<div id="orderTotals"><?php $order_total_modules->output(); ?></div>
<?php
  }
?>

<?php
  echo zen_draw_form('checkout_confirmation', $form_action_url, 'post', 'id="checkout_confirmation" onsubmit="submitonce();"');

  if (is_array($payment_modules->modules)) {
    echo $payment_modules->process_button();
  }
?>
<div class="buttonRow notforward notconfirm-order"><?php echo zen_image_submit(BUTTON_IMAGE_CONFIRM_ORDER, BUTTON_CONFIRM_ORDER_ALT, 'name="btn_submit" id="btn_submit"') ;?></div>
</form>
<div class="buttonRow notback"><?php echo TITLE_CONTINUE_CHECKOUT_PROCEDURE . TEXT_CONTINUE_CHECKOUT_PROCEDURE; ?></div>

</div>
