<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=checkout_payment_address.<br />
 * Allows customer to change the billing address.
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Scott C Wilson 2020 Feb 15 Modified in v1.5.7 $
 */
?>
<div class="centerColumn" id="checkoutPayAddressDefault">
<?php
if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
/* bof Twitch Responsive Cart Steps */

// Redoc: Here we resolve the 5 position switch with a bit of php for control.
$cartstepsTEXT = '
        <div id="cartstepsHeadingTXT">
        <div id="checkoutPayAddressDefaultHeading">' . HEADING_TITLE . '&nbsp;<i class="fa fa-money csheading" aria-hidden="true"></i>&nbsp;</div>
        </div><br />';
$cartstepsIMAGE = '
        <div id="cartstepsHeadingIMG"> ' . TWI_CART_STEPS_PAYMENT . '</div><br />';
?>

<?php // Operate the 5 position switch
    if (TWI_CARTSTEPS_HEADING_STATUS == '' or TWI_CARTSTEPS_HEADING_STATUS == 0) { // OFF 
    // echo '<div id="cartstepsNONE">Twitch Cart Steps OFF</div>';
    } else { 
    if (TWI_CARTSTEPS_HEADING_STATUS == 1 ) { echo $cartstepsTEXT; } // TEXT ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 2 ) { echo $cartstepsIMAGE; } // IMAGE ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 3 ) { echo $cartstepsTEXT . $cartstepsIMAGE; } // BOTH TEXT - IMAGE
    if (TWI_CARTSTEPS_HEADING_STATUS == 4 ) { echo $cartstepsIMAGE . $cartstepsTEXT; } // BOTH IMAGE - TEXT
    } ?>
<?php /* eof Twitch Responsive Cart Steps */ 
} else { ?>
<h1 id="checkoutPayAddressDefaultHeading"><?php echo HEADING_TITLE; ?></h1>
<?php } ?>


<?php if ($messageStack->size('checkout_address') > 0) echo $messageStack->output('checkout_address'); ?>

<h2 id="checkoutPayAddressDefaultAddress"><?php echo TITLE_PAYMENT_ADDRESS; ?></h2>
<div class="instructions group">
<address class="notback"><?php echo zen_address_label($_SESSION['customer_id'], $_SESSION['billto'], true, ' ', '<br />'); ?></address>
<?php echo TEXT_SELECTED_PAYMENT_DESTINATION; ?>
</div>


<?php
     if ($addresses_count < MAX_ADDRESS_BOOK_ENTRIES) {
       echo zen_draw_form('checkout_address', zen_href_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL'), 'post', 'class="group"'); 
/**
 * require template to collect address details
 */
 require($template->get_template_dir('tpl_modules_checkout_new_address.php', DIR_WS_TEMPLATE, $current_page_base,'templates'). '/' . 'tpl_modules_checkout_new_address.php');
?>
<div class="buttonRow notforward"><?php echo zen_draw_hidden_field('action', 'submit') . zen_image_submit(BUTTON_IMAGE_CONTINUE, BUTTON_CONTINUE_ALT); ?></div>
</form>

<?php
    }
    if ($addresses_count > 1) {
?>
<?php echo zen_draw_form('checkout_address_book', zen_href_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL'), 'post', 'class="group"'); ?>

<fieldset>
<legend><?php echo TABLE_HEADING_NEW_PAYMENT_ADDRESS; ?></legend>
<?php
      require($template->get_template_dir('tpl_modules_checkout_address_book.php', DIR_WS_TEMPLATE, $current_page_base,'templates'). '/' . 'tpl_modules_checkout_address_book.php');
?>
</fieldset>
<div class="buttonRow notforward"><?php echo zen_draw_hidden_field('action', 'submit') . zen_image_submit(BUTTON_IMAGE_CONTINUE, BUTTON_CONTINUE_ALT); ?></div>
</form>
<?php
     }
?>

<div class="buttonRow notback"><?php echo TITLE_CONTINUE_CHECKOUT_PROCEDURE . '<br />' . TEXT_CONTINUE_CHECKOUT_PROCEDURE; ?></div>

<div class="buttonRow notback clearBoth"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>
</div>
