<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=checkout_shipping.<br />
 * Displays allowed shipping modules for selection by customer.
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 Oct 29 Modified in v1.5.7a $
 */
?>
<div class="centerColumn" id="checkoutShipping">
<?php
if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
/* bof Twitch Responsive Cart Steps */

// Redoc: Here we resolve the 5 position switch with a bit of php for control.
$cartstepsTEXT = '
        <div id="cartstepsHeadingTXT">
        <div id="checkoutShippingHeading">' . HEADING_TITLE . '&nbsp;<i class="fa fa-truck fa-flip-horizontal" aria-hidden="true"></i>&nbsp;</div>
        </div><br />';
$cartstepsIMAGE = '
        <div id="cartstepsHeadingIMG"> ' . TWI_CART_STEPS_SHIPPING . '</div><br />';
?>

<?php // Operate the 5 position switch
    if (TWI_CARTSTEPS_HEADING_STATUS == '' or TWI_CARTSTEPS_HEADING_STATUS == 0) { // OFF 
    // echo '<div id="cartstepsNONE">Twitch Cart Steps OFF</div>';
    } else { 
    if (TWI_CARTSTEPS_HEADING_STATUS == 1 ) { echo $cartstepsTEXT; } // TEXT ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 2 ) { echo $cartstepsIMAGE; } // IMAGE ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 3 ) { echo $cartstepsTEXT . $cartstepsIMAGE; } // BOTH TEXT - IMAGE
    if (TWI_CARTSTEPS_HEADING_STATUS == 4 ) { echo $cartstepsIMAGE . $cartstepsTEXT; } // BOTH IMAGE - TEXT
    } ?>
<?php /* eof Twitch Responsive Cart Steps */ 
} else { ?>
<h1 id="checkoutShippingHeading"><?php echo HEADING_TITLE; ?></h1>
<?php } ?>


<?php echo zen_draw_form('checkout_address', zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL')) . zen_draw_hidden_field('action', 'process'); ?>

<?php if ($messageStack->size('checkout_shipping') > 0) echo $messageStack->output('checkout_shipping'); ?>

<?php if (BASE7_MASTER_SWI == 'ON') { 
if (TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_SHIPPING == 'Show') { ?>
<h2 id="checkoutShippingHeadingAddress"><?php echo TITLE_SHIPPING_ADDRESS; ?></h2>

<div id=" chooseShippingDestination" class="notfloatingBox notimportant notforward"><?php echo TEXT_CHOOSE_SHIPPING_DESTINATION; ?></div>
<div id="checkoutShipto" class="floatingBox notback">
<address class=""><?php echo zen_address_label($_SESSION['customer_id'], $_SESSION['sendto'], true, ' ', '<br />'); ?></address>
<?php if ($displayAddressEdit) { ?>
<div class="buttonRow notforward"><?php echo '<a href="' . $editShippingButtonLink . '">' . zen_image_button(BUTTON_IMAGE_CHANGE_ADDRESS, BUTTON_CHANGE_ADDRESS_ALT) . '</a>'; ?></div>
<?php } ?>

</div>
<br class="clearBoth" />
<?php } else { // Hide  
if ($displayAddressEdit) { ?>
<h2 id="checkoutShippingHeadingAddress"><?php echo TITLE_SHIPPING_ADDRESS; ?></h2>
<div class="buttonRow notforward"><?php echo '<a href="' . $editShippingButtonLink . '">' . zen_image_button(BUTTON_IMAGE_CHANGE_ADDRESS, BUTTON_CHANGE_ADDRESS_ALT) . '</a>'; ?></div>
<?php } 
} ?>
<?php } else { // stock ?>
<h2 id="checkoutShippingHeadingAddress"><?php echo TITLE_SHIPPING_ADDRESS; ?></h2>
 
<div id="checkoutShipto" class="floatingBox notback">
<?php if ($displayAddressEdit) { ?>
<div class="buttonRow forward"><?php echo '<a href="' . $editShippingButtonLink . '">' . zen_image_button(BUTTON_IMAGE_CHANGE_ADDRESS, BUTTON_CHANGE_ADDRESS_ALT) . '</a>'; ?></div>
<?php } ?>
<address class=""><?php echo zen_address_label($_SESSION['customer_id'], $_SESSION['sendto'], true, ' ', '<br />'); ?></address>
</div>
<div class="floatingBox important notforward"><?php echo TEXT_CHOOSE_SHIPPING_DESTINATION; ?></div>
<br class="clearBoth" />
<?php } ?>
<br> 
<?php
  if (zen_count_shipping_modules() > 0) {
?>
 
<h2 id="checkoutShippingHeadingMethod"><?php echo TABLE_HEADING_SHIPPING_METHOD; ?></h2>
<?php // Twitch add manual shipping base text message
if (BASE7_MASTER_SWI == 'ON' && SHIPMETHODTEXTMSG == 'Show') { ?>
<div id="shippingBaseTextMsg">
<?php
echo '<br/>'.SHIPMETHODTEXTMSG_L1.'<br/>'.SHIPMETHODTEXTMSG_L2.'<br/>'.SHIPMETHODTEXTMSG_L3.'<br/>'.SHIPMETHODTEXTMSG_L4.'<br/>'.SHIPMETHODTEXTMSG_L5.'<br/><br/>';
?>
</div>
<?php }
// Twitch add manual shipping base text message ?>
<br/>
 
<?php
    if (sizeof($quotes) > 1 && sizeof($quotes[0]) > 1) {
?>
 
<div id="checkoutShippingContentChoose" class="important"><?php echo TEXT_CHOOSE_SHIPPING_METHOD; ?></div>
 
<?php
    } elseif ($free_shipping == false) {
?>
<div id="checkoutShippingContentChoose" class="important"><?php echo TEXT_ENTER_SHIPPING_INFORMATION; ?></div>
 
<?php
    }
?>
<br/>
<?php
    if ($free_shipping == true) {
?>
<div id="freeShip" class="important" ><?php echo FREE_SHIPPING_TITLE . (isset($quotes[$i]['icon']) ? '&nbsp;' . $quotes[$i]['icon'] : ''); ?></div>
<div id="defaultSelected"><?php echo sprintf(FREE_SHIPPING_DESCRIPTION, $currencies->format(MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER)) . zen_draw_hidden_field('shipping', 'free_free'); ?></div>
 
<?php
    } else {
      $radio_buttons = 0;
      for ($i=0, $n=sizeof($quotes); $i<$n; $i++) {
      // bof: field set
// allows FedEx to work comment comment out Standard and Uncomment FedEx
//      if (!empty($quotes[$i]['id']) || !empty($quotes[$i]['module'])) { // FedEx
      if (!empty($quotes[$i]['module'])) { // Standard
?>
<fieldset>
<legend><?php echo $quotes[$i]['module']; ?>&nbsp;<?php if (isset($quotes[$i]['icon']) && zen_not_null($quotes[$i]['icon'])) { echo $quotes[$i]['icon']; } ?></legend>
 
<?php
        if (isset($quotes[$i]['error'])) {
?>
      <div><?php echo $quotes[$i]['error']; ?></div>
<?php
        } else {
          for ($j=0, $n2=sizeof($quotes[$i]['methods']); $j<$n2; $j++) {
// set the radio button to be checked if it is the method chosen
            $checked = FALSE;
            if (isset($_SESSION['shipping']) && isset($_SESSION['shipping']['id'])) {
              $checked = ($quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id'] == $_SESSION['shipping']['id']);
            }
            if ( ($checked == true) || ($n == 1 && $n2 == 1) ) {
              //echo '      <div id="defaultSelected" class="moduleRowSelected">' . "\n";
            //} else {
              //echo '      <div class="moduleRow">' . "\n";
            }
?>
<?php // Twitch Base7 for 1.57c
if (BASE7_MASTER_SWI == 'ON') {
    if ( ($n > 1) || ($n2 > 1) ) {
    if (BASE7_MASTER_SWI == 'ON' && TWI_HIDE_SHIPPING_PRICE_CHECKOUT != 'Hide') { // Twitch - June 3 Bug fixed for single shipping method filter ?>
        <div class="important notforward"><?php echo $currencies->format(zen_add_tax($quotes[$i]['methods'][$j]['cost'], (isset($quotes[$i]['tax']) ? $quotes[$i]['tax'] : 0))); ?></div>
    <?php }
    } else { // only one shipping option available
    if (BASE7_MASTER_SWI == 'ON' && TWI_HIDE_SHIPPING_PRICE_CHECKOUT != 'Hide') { ?>
        <div class="important notforward"><?php echo $currencies->format(zen_add_tax($quotes[$i]['methods'][$j]['cost'], $quotes[$i]['tax'])) . zen_draw_hidden_field('shipping', $quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id']); ?></div>
    <?php } }
} else { // stock
            if ( ($n > 1) || ($n2 > 1) ) {
?>
<div class="important forward"><?php echo $currencies->format(zen_add_tax($quotes[$i]['methods'][$j]['cost'], (isset($quotes[$i]['tax']) ? $quotes[$i]['tax'] : 0))); ?></div>
<?php
            } else {
?>
<div class="important forward"><?php echo $currencies->format(zen_add_tax($quotes[$i]['methods'][$j]['cost'], $quotes[$i]['tax'])) . zen_draw_hidden_field('shipping', $quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id']); ?></div>
<?php
            }
?>

<?php } ?>


<?php echo zen_draw_radio_field('shipping', $quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id'], $checked, 'id="ship-'.$quotes[$i]['id'] . '-' . str_replace(' ', '-', $quotes[$i]['methods'][$j]['id']) .'"'); ?>
<label for="ship-<?php echo $quotes[$i]['id'] . '-' . str_replace(' ', '-', $quotes[$i]['methods'][$j]['id']); ?>" class="checkboxLabel" ><?php echo $quotes[$i]['methods'][$j]['title']; ?></label>
<!--</div>-->
<br class="clearBoth" />
<?php
            $radio_buttons++;
          }
        }
?>
 
</fieldset>
<?php
    }
// eof: field set
      }
    }
?>
 
<?php
  } else {
?>
<h2 id="checkoutShippingHeadingMethod"><?php echo TITLE_NO_SHIPPING_AVAILABLE; ?></h2>
<div id="checkoutShippingContentChoose" class="important"><?php echo TEXT_NO_SHIPPING_AVAILABLE; ?></div>
<?php
  }
?>

<?php if (BASE7_MASTER_SWI == 'ON' && TWI_SHOW_EXTRA_DELIVERY_INFO == 'Show') { 
// bof Twitch Delivery Information Additional Input Fields ?>
<h2 id="checkoutDeliveryInformationHeading"><?php echo TITLE_DELIVERY_INFORMATION; ?></h2>

<?php // Start Extra inputs
    if (SHOW_DELIVERY_INFO_RES_COM == 'Show') {
    // bof Twitch Delivery Information - Residential Commercial Switch
     $error = false; // march 2022 what does this do? ?>

    <fieldset class="delivery" id="delivery_RES_COM">
    <legend><?php echo HEADING_DELIVERY_INFO_RES_COM; ?></legend>
        <div class="normalText">

    <?php 
        $resi = ''; $comerc = '';
        echo zen_draw_radio_field('twi_delivery_res_com', RESI, $resi, 'id="delivery-RESI"') . '<label class="radioButtonLabel_delivery" for="delivery-RESI">' . RESI . '</label>' . '&nbsp;&nbsp;'. 
             zen_draw_radio_field('twi_delivery_res_com', COMERC, $comerc, 'id="delivery-COMERC"') . '<label class="radioButtonLabel_delivery" for="delivery-COMERC">' . COMERC . '</label>';
             // checked example: zen_draw_radio_field('twi_delivery_res_com', 'COMERC', $comerc, 'id="delivery-COMERC" checked="checked"') . '<label class="radioButtonLabel_delivery" for="delivery-COMERC">' . COMERC . '</label>';

        if ($resi = ($twi_delivery_res_com == RESI)) { 
            $_SESSION['twi_delivery_res_com'] = RESI;
        } elseif ($comerc = ($twi_delivery_res_com == COMERC)) { 
            $_SESSION['twi_delivery_res_com'] = COMERC;
        } else { 
            $_SESSION['twi_delivery_res_com'] = ''; // NOT SELECTED
           echo '<span class="alert">' . '&nbsp;&nbsp;<br/>' . TEXT_REQ_CHOOSE . '</span>' ;
        } ?>
    </fieldset>
    <br /><br />
    <?php } // eof Twitch Delivery Information - Residential Commercial Switch ?>


    <fieldset class="delivery" id="delivery_information">
    <legend><?php echo HEADING_THE_DELIVERY_INFO; ?></legend>
        <div class="normalText">


    <?php if (SHOW_DELIVERY_INFO_DATE == 'Show') { ?>
        <?php include_once(DIR_WS_MODULES . $template_dir . '/' . 'twi_date_select.php'); // run scripts - get datetime picker ?>
        <?php echo DELIVERY_INFO_DATE_TEXT.'<br/>';
        echo zen_draw_input_field('twi_delivery_date', $_SESSION['twi_delivery_date'], 'id="thedatepicker"') /*(DD, d MM, yy)'*/; ?>
        &nbsp;<img src="images/index/datetimepicker/calendar.gif" />
        <br /><br />
    <?php } ?>

    <?php if (SHOW_DELIVERY_INFO_TIMEAMPM == 'Show') {
        echo DELIVERY_INFO_TIMEAMPM_TEXT.'<br/>';
        $am = '';
        $pm = '';
        echo 
        zen_draw_radio_field('twi_delivery_time', 'AM', $am, 'id="delivery-AM"') . '<label class="radioButtonLabel_delivery" for="delivery-AM">' . 'AM' . '</label>' .'&nbsp;&nbsp;'.
        zen_draw_radio_field('twi_delivery_time', 'PM', $pm, 'id="delivery-PM"') . '<label class="radioButtonLabel_delivery" for="delivery-PM">' . 'PM' . '</label>' ;
        // checked example: zen_draw_radio_field('twi_delivery_time', 'PM', $pm, 'id="delivery-PM" checked="checked"') . '<label class="radioButtonLabel_delivery" for="delivery-PM">' . PM . '</label>';

        if ($am = ($twi_delivery_time == 'AM')) { 
            $_SESSION['twi_delivery_time'] = 'AM';
        } elseif ($pm = ($twi_delivery_time == 'PM')) { 
            $_SESSION['twi_delivery_time'] = 'PM';
        } else { 
            $_SESSION['twi_delivery_time'] = ''; // NOT SELECTED
            echo '<span class="alert">' . '&nbsp;&nbsp;<br/>' . TEXT_NOTREQ_CHOOSE . '</span>' ;
        } ?>
    <br /><br /><br />
    <?php } ?>

    <?php if (SHOW_DELIVERY_INFO_RECIPIENT_PHONE == 'Show') {
        echo RECIPIENT_PHONE_TEXT.'<br/>';
        echo zen_draw_input_field('twi_delivery_phone', $_SESSION['twi_delivery_phone'], 'id="twi_delivery_phone"'); ?>
        <br/>
        <?php echo RECIPIENT_PHONE_TEXT_REQUIRED; ?>
    <br /><br /><br />
    <?php } ?>

    <?php if (SHOW_DELIVERY_INFO_GIFT_MSG == 'Show') {
        echo GIFT_MSG_TEXT.'<br/>'; ?>
        <?php echo zen_draw_textarea_field('twi_delivery_card_message', '45', '3'); ?>
    <br />
    <?php } ?>

    <?php if (SHOW_DELIVERY_INFO_MESSAGE == 'Show') { ?>
        <span class="alert">
        <?php echo THE_DELIVERY_INFO_MESSAGE.'<br/>'; ?>
        </span>
    <?php } ?>

</div>
</fieldset>
<br /><br />
<?php  } // eof Twitch Delivery Information Additional Input Fields ?>

<fieldset class="shipping" id="comments">
<legend><?php echo TABLE_HEADING_COMMENTS; ?></legend>
<?php echo zen_draw_textarea_field('comments', '45', '3', (isset($comments) ? $comments : ''), 'aria-label="' . TABLE_HEADING_COMMENTS . '"'); ?>
</fieldset>
 
<div class="buttonRow notforward"><?php echo zen_image_submit(BUTTON_IMAGE_CONTINUE_CHECKOUT, BUTTON_CONTINUE_ALT); ?></div>
<div class="buttonRow notback"><?php echo '<strong>' . TITLE_CONTINUE_CHECKOUT_PROCEDURE . '</strong>' . TEXT_CONTINUE_CHECKOUT_PROCEDURE; ?></div>
 
</form>
</div>
