<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=contact_us.<br />
 * Displays contact us page form.
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: rbarbour zcadditions.com 2019 Jul 22 Modified in v1.5.7 $
 */
?>
<div class="centerColumn" id="contactUsDefault">

<?php // Twitch Base7 for 1.57c
if (TWI_CONTACT_US_STORE_NAME_ADDRESS == '2') { // store name and address ?>
<h2> <?php echo STORE_NAME ?> </h2>
<address><?php echo nl2br(STORE_NAME_ADDRESS); ?></address><br/>
<?php }  elseif (TWI_CONTACT_US_STORE_NAME_ADDRESS == '1') { // address only ?>
<address><?php echo nl2br(STORE_NAME_ADDRESS); ?></address><br/>
<?php } else { // 0 = OFF ?>
<br/>
<?php } ?>

<?php // Twitch Store Hours - Index
if (BASE7_MASTER_SWI == 'ON' && SHOW_TWI_STORE_HOURS_CONTACT == 'Show' ) { ?>

<div id="the_store_hours">
    <h3>Store Hours</h3>
<br/>
    <?php if (SHOW_TWI_STORE_HOURS_NOTES == 'Show' ) { if (!empty(STORE_HOURS_NOTE1)) { ?><span class="storeHours_TEXT1"><?php echo STORE_HOURS_NOTE1; ?></span><br/><br/> <?php } } ?>
    <?php if (SHOW_TWI_STORE_HOURS == 'Show' ) { ?>
    <?php
    if ($layoutType == 'mobile' ) { 
        $shMon = 'Mon';
        $shTue = 'Tue';
        $shWed = 'Wed';
        $shThu = 'Thu';
        $shFri = 'Fri';
        $shSat = 'Sat';
        $shSun = 'Sun';
    } else { // all other devices
        $shMon = 'Monday';
        $shTue = 'Tuesday';
        $shWed = 'Wednesday';
        $shThu = 'Thursday';
        $shFri = 'Friday';
        $shSat = 'Saturday';
        $shSun = 'Sunday';
    }

    // daily details
    $shMonText = STORE_HOURS_D1DATA;
    $shTueText = STORE_HOURS_D2DATA;
    $shWedText = STORE_HOURS_D3DATA;
    $shThuText = STORE_HOURS_D4DATA;
    $shFriText = STORE_HOURS_D5DATA;
    $shSatText = STORE_HOURS_D6DATA;
    $shSunText = STORE_HOURS_D7DATA;
    ?>

    <div class="store_hours_box">
        <div class="sHours_MIDCol"><table class="store_hours">
        <tr><td class="LTclass"><?php echo $shMon; ?></td> <td>&nbsp;</td> <td><?php echo $shMonText ?></td></tr>
        <tr><td class="LTclass"><?php echo $shTue; ?></td> <td>&nbsp;</td> <td><?php echo $shTueText ?></td></tr>
        <tr><td class="LTclass"><?php echo $shWed; ?></td> <td>&nbsp;</td> <td><?php echo $shWedText ?></td></tr>
        <tr><td class="LTclass"><?php echo $shThu; ?></td> <td>&nbsp;</td> <td><?php echo $shThuText ?></td></tr>
        <tr><td class="LTclass"><?php echo $shFri; ?></td> <td>&nbsp;</td> <td><?php echo $shFriText ?></td></tr>
        <tr><td class="LTclass"><?php echo $shSat; ?></td> <td>&nbsp;</td> <td><?php echo $shSatText ?></td></tr>
        <tr><td class="LTclass"><?php echo $shSun; ?></td> <td>&nbsp;</td> <td><?php echo $shSunText ?></td></tr>
        </table></div>
    </div>
<?php } ?>

    <?php if (SHOW_TWI_STORE_HOURS_NOTES == 'Show' ) { if (!empty(STORE_HOURS_NOTE2)) { ?><br/><span class="storeHours_TEXT2"><?php echo STORE_HOURS_NOTE2; ?></span><br/> <?php } } ?>

</div> <!-- the_store_hours -->
<?php } ?>

<?php if (DEFINE_CONTACT_US_STATUS >= '1' and DEFINE_CONTACT_US_STATUS <= '2') { ?>
<div id="contactUsNoticeContent" class="content">
<?php
/**
 * require html_define for the contact_us page
 */
  require($define_page);
?>
<br/>
<?php if (TWI_CONTACT_US_FORM_SWITCH == '0') { ?>
<div class="buttonRow notback"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>
<?php } ?>
</div>
<?php } ?>

<?php if (TWI_CONTACT_US_FORM_SWITCH == '1') { ?>
<?php echo zen_draw_form('contact_us', zen_href_link(FILENAME_CONTACT_US, 'action=send', 'SSL')); ?>

<?php
  if (isset($_GET['action']) && ($_GET['action'] == 'success')) {
?>

<div class="mainContent success"><?php echo TEXT_SUCCESS; ?></div>

<div class="buttonRow"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>

<?php
  } else {
?>

<?php if ($messageStack->size('contact') > 0) echo $messageStack->output('contact'); ?>

<fieldset id="contactUsForm">
<legend><?php echo HEADING_TITLE; ?></legend>
<div class="alert notforward"><?php echo FORM_REQUIRED_INFORMATION; ?></div>
<br class="clearBoth" />

<?php
// show dropdown if set
    if (CONTACT_US_LIST !=''){
?>
<label class="inputLabel" for="send-to"><?php echo SEND_TO_TEXT; ?></label>
<?php echo zen_draw_pull_down_menu('send_to',  $send_to_array, 0, 'id="send-to"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />
<?php
    }
?>

<label class="inputLabel" for="contactname"><?php echo ENTRY_NAME; ?></label>
<?php echo zen_draw_input_field('contactname', $name, ' size="40" id="contactname" placeholder="' . ENTRY_REQUIRED_SYMBOL . '" required'); ?>
<br class="clearBoth" />

<label class="inputLabel" for="email-address"><?php echo ENTRY_EMAIL; ?></label>
<?php echo zen_draw_input_field('email', ($email_address), ' size="40" id="email-address" autocomplete="off" placeholder="' . ENTRY_REQUIRED_SYMBOL . '" required', 'email'); ?>
<br class="clearBoth" />

<label class="inputLabel" for="telephone"><?php echo ENTRY_TELEPHONE; ?></label>
<?php echo zen_draw_input_field('telephone', ($telephone), ' size="20" id="telephone" autocomplete="off"'); ?>
<br class="clearBoth" />

<label for="enquiry"><?php echo ENTRY_ENQUIRY; ?></label>
<?php echo zen_draw_textarea_field('enquiry', '30', '7', $enquiry, 'id="enquiry" placeholder="' . ENTRY_REQUIRED_SYMBOL . '" required'); ?>

<?php echo zen_draw_input_field($antiSpamFieldName, '', ' size="40" id="CUAS" style="visibility:hidden; display:none;" autocomplete="off"'); ?>


<div class="buttonRow notforward"><?php echo zen_image_submit(BUTTON_IMAGE_SEND, BUTTON_SEND_ALT); ?></div>
<div class="buttonRow notback"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>

</fieldset>
<?php
  }
?>
</form>
<?php } ?>
</div>
