<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=create_account.<br />
 * Displays Create Account form.
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Steve 2020 Jan 14 Modified in v1.5.7 $
 */
?>
<div class="centerColumn" id="createAcctDefault">
<?php 
if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c - this is the direct create account page
/* bof Twitch Responsive Cart Steps */

// Redoc: Here we resolve the 5 position switch with a bit of php for control.
$cartstepsTEXT = '
        <div id="cartstepsHeadingTXT">
        <div id="createAcctDefaultHeading">' . HEADING_TITLE . '&nbsp;<i class="fa fa-sign-in csheading" aria-hidden="true"></i>&nbsp;</div>
        </div><br />';
$cartstepsIMAGE = '
        <div id="cartstepsHeadingIMG"> ' . TWI_CART_STEPS_LOGIN . '</div><br />';
?>

<?php // Operate the 5 position switch
    if (TWI_CARTSTEPS_HEADING_STATUS == '' or TWI_CARTSTEPS_HEADING_STATUS == 0) { // OFF 
    // echo '<div id="cartstepsNONE">Twitch Cart Steps OFF</div>';
    } else { 
    if (TWI_CARTSTEPS_HEADING_STATUS == 1 ) { echo $cartstepsTEXT; } // TEXT ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 2 ) { echo $cartstepsIMAGE; } // IMAGE ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 3 ) { echo $cartstepsTEXT . $cartstepsIMAGE; } // BOTH TEXT - IMAGE
    if (TWI_CARTSTEPS_HEADING_STATUS == 4 ) { echo $cartstepsIMAGE . $cartstepsTEXT; } // BOTH IMAGE - TEXT
    } ?>
<?php /* eof Twitch Responsive Cart Steps for 1.56c */ ?>
<? } else { ?>
    <h1 id="createAcctDefaultHeading"><?php echo HEADING_TITLE; ?></h1>
<?php } ?>

<?php
if (BASE7_MASTER_SWI == 'ON') {
// bof Twitch Login Banner Only
if (in_array($current_page_base,explode(",",'login,create_account')) ) {
if (SHOW_BANNERS_GROUP_SET11 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET11)) {
if ($banner->RecordCount() > 0) {
?>
<div id="bannerLoginSET11" class="banners"><?php echo zen_display_banner('static', $banner); ?></div>
<?php
}
}} // eof Twitch Login Banner Only
}
?>

    <?php echo zen_draw_form('createAccountForm', zen_href_link(FILENAME_CREATE_ACCOUNT, '', 'SSL'), 'post', 'onsubmit="return check_form(createAccountForm);" id="createAccountForm"') . zen_draw_hidden_field('action', 'process') . zen_draw_hidden_field('email_pref_html', 'email_format'); ?>
    <h4 id="createAcctDefaultLoginLink"><?php echo sprintf(TEXT_ORIGIN_LOGIN, zen_href_link(FILENAME_LOGIN, zen_get_all_get_params(['action']), 'SSL')); ?></h4>
    <fieldset>
        <legend><?php echo CATEGORY_PERSONAL; ?></legend>
        <?php require($template->get_template_dir('tpl_modules_create_account.php', DIR_WS_TEMPLATE, $current_page_base, 'templates') . '/tpl_modules_create_account.php'); ?>
    </fieldset>
    <div class="buttonRow notforward"><?php echo zen_image_submit(BUTTON_IMAGE_SUBMIT, BUTTON_SUBMIT_ALT); ?></div>
    <?php echo '</form>'; ?>
</div>