<?php
/**
 * Page Template
 *
 * Loaded by main_page=index<br />
 * Displays category/sub-category listing<br />
 * Uses tpl_index_category_row.php to render individual items
 *
 * @package templateSystem
 * @copyright Copyright 2003-2016 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: picaflor-azul Sat Mar 5 12:24:13 2016 -0500 New in v1.5.5 $
 */
?>
<div class="centerColumn" id="indexCategories">
<?php if ($show_welcome == true) { ?>
<?php if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
    if (TWI_SHOW_INDEX_HEADING_TITLE == 'Show') { ?>
    <h1 id="indexDefaultHeading"><?php echo TWI_SHOW_INDEX_HEADING_TITLE_TEXT; ?></h1>
    <?php } else { // hide ?>
    <?php } ?>
<?php } else { // stock ?>
<h1 id="indexCategoriesHeading"><?php echo HEADING_TITLE; ?></h1>
<?php } ?>

<?php if (SHOW_CUSTOMER_GREETING == 1) { ?>
<h2 class="greeting"><?php echo zen_customer_greeting(); ?></h2>
<?php } ?>

<?php // Twitch Base7 for 1.57c
 if (BASE7_MASTER_SWI == 'ON') {
	/* bof Twitch Index Banner - Switch Position 4 */
	if ($current_page == 'index' && SHOW_CATEGORIES_ALWAYS == '4' && !zen_check_url_get_terms()) {
	  // b_bannerIndex_Main (default SHOW_BANNERS_GROUP_SET13)
	  if (SHOW_BANNERS_GROUP_SET13 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET13)) {
	    if ($banner->RecordCount() > 0) {
	?>
	  <div id="bannerTwiIndexMain" class="banners"><?php echo zen_display_banner('static', $banner);?></div>
	<?php
	    }
	  }
	}
	/* eof Twitch Index Banner */
 } ?>

<?php if ($current_page == 'index' && (SHOW_CATEGORIES_ALWAYS == '0' || SHOW_CATEGORIES_ALWAYS == '1' || SHOW_CATEGORIES_ALWAYS == '4') && !zen_check_url_get_terms()) { ?>
<?php if (DEFINE_MAIN_PAGE_STATUS >= 1 and DEFINE_MAIN_PAGE_STATUS <= 2) { // Twitch - this is the original code position ?>
<div id="indexCategoriesMainContent" class="content"><?php
/**
 * require the html_define for the index/categories page
 */
  include($define_page);
?>
</div>
<?php } ?>
<?php } ?>

<?php } else { //show_welcome ?>

<div id="cat-top" class="group">
<div id="cat-left" class="notback">
<h1 id="indexCategoriesHeading"><?php echo $current_categories_name; ?></h1>
<?php } ?>

<?php
if (PRODUCT_LIST_CATEGORIES_IMAGE_STATUS_TOP == 'true') {
// categories_image
  if ($categories_image = zen_get_categories_image($current_category_id)) {
?>

<div id="categoryImgListing" class="categoryImg"><?php echo zen_image(DIR_WS_IMAGES . $categories_image, '', SUBCATEGORY_IMAGE_TOP_WIDTH, SUBCATEGORY_IMAGE_TOP_HEIGHT); ?></div>


<?php
  }
} // categories_image
?>

<?php
if ($show_welcome != true) { ?>
</div>
<?php } ?>


<?php
// categories_description
    if ($current_categories_description != '') {
?>
<div id="categoryDescription" class="catDescContent"><?php echo $current_categories_description;  ?></div>
<br class="clearBoth" />
<?php } // categories_description ?>

<?php
if ($show_welcome != true) { ?>
</div>
<?php } ?>

<!-- BOF: Display grid of available sub-categories, if any -->
<?php
  if (PRODUCT_LIST_CATEGORY_ROW_STATUS == 0) {
    // do nothing
  } else {
    // display subcategories
/**
 * require the code to display the sub-categories-grid, if any exist
 */
   require($template->get_template_dir('tpl_modules_category_row.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_category_row.php');
  }
?>
<!-- EOF: Display grid of available sub-categories -->


<?php // Twitch Base7 for 1.57c
 if (BASE7_MASTER_SWI == 'ON') {
	/* bof Twitch Index Banner - Switch Position 5 */
	if ($current_page == 'index' && SHOW_CATEGORIES_ALWAYS == '5' && !zen_check_url_get_terms()) {
	  // b_bannerIndex_Main (default SHOW_BANNERS_GROUP_SET13)
	  if (SHOW_BANNERS_GROUP_SET13 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET13)) {
	    if ($banner->RecordCount() > 0) {
	?>
	  <div id="bannerTwiIndexMain" class="banners"><?php echo zen_display_banner('static', $banner);?></div>
	<?php
	    }
	  }
	}
	/* eof Twitch Index Banner */
?>
<br/>
<?php if ($current_page == 'index' && SHOW_CATEGORIES_ALWAYS == '5' && !zen_check_url_get_terms()) { ?>
<?php if (DEFINE_MAIN_PAGE_STATUS >= 1 and DEFINE_MAIN_PAGE_STATUS <= 2) { ?>
<div id="indexCategoriesMainContent" class="content"><?php
/**
 * require the html_define for the index/categories page
 */
  include($define_page);
?>
</div>
<br/>
<?php } ?>
<?php } } ?>



<?php
$show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_CATEGORY);

while (!$show_display_category->EOF) {
  // //  echo 'I found ' . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS);

?>
<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_CATEGORY_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_CATEGORY_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_CATEGORY_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_CATEGORY_UPCOMING') { ?>
<?php include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS)); ?>
<?php } ?>
<?php
  $show_display_category->MoveNext();
} // !EOF
?>
</div>
