<?php
/**
 * Page Template
 *
 * Main index page<br />
 * Displays greetings, welcome text (define-page content), and various centerboxes depending on switch settings in Admin<br />
 * Centerboxes are called as necessary
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 Sep 10 Modified in v1.5.7a $
 */
?>
<div class="centerColumn" id="indexDefault">
<?php if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
    if (TWI_SHOW_INDEX_HEADING_TITLE == 'Show') { ?>
    <h1 id="indexDefaultHeading"><?php echo TWI_SHOW_INDEX_HEADING_TITLE_TEXT; ?></h1>
    <?php } else { // hide ?>
    <?php } ?>
<?php } else { // stock ?>
<h1 id="indexDefaultHeading"><?php echo HEADING_TITLE; ?></h1>
<?php } ?>

<?php if (SHOW_CUSTOMER_GREETING == 1) { ?>
<h2 class="greeting"><?php echo zen_customer_greeting(); ?></h2>
<?php } ?>

<?php
if (BASE7_MASTER_SWI == 'ON') {
/* bof Twitch Index Banner - Switch Position 3 */
if ($current_page == 'index' && SHOW_CATEGORIES_ALWAYS == '3' && !zen_check_url_get_terms()) {
  // b_bannerIndex_Main (default SHOW_BANNERS_GROUP_SET13)
  if (SHOW_BANNERS_GROUP_SET13 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET13)) {
    if ($banner->RecordCount() > 0) {
?>
  <div id="bannerTwiIndexMain" class="banners"><?php echo zen_display_banner('static', $banner);?></div>
<?php
    }
  }
}
/* eof Twitch Index Banner*/
}
?>
<?php if (DEFINE_MAIN_PAGE_STATUS >= 1 and DEFINE_MAIN_PAGE_STATUS <= 2) { ?>
<?php
/**
 * get the Define Main Page Text
 */
?>
<div id="indexDefaultMainContent" class="content"><?php require($define_page); ?></div>
<?php } ?>
<?php
if (BASE7_MASTER_SWI == 'ON') {
/* bof Twitch Index Banner - Switch Position 2 */
if ($current_page == 'index' && SHOW_CATEGORIES_ALWAYS == '2' && !zen_check_url_get_terms()) {
  // b_bannerIndex_Main (default SHOW_BANNERS_GROUP_SET13)
  if (SHOW_BANNERS_GROUP_SET13 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET13)) {
    if ($banner->RecordCount() > 0) {
?>
  <div id="bannerTwiIndexMain" class="banners"><?php echo zen_display_banner('static', $banner);?></div>
<?php
    }
  }
}
/* eof Twitch Index Banner*/
}
?>
<br/>

<?php
  $show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_MAIN);
  while (!$show_display_category->EOF) {
?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MAIN_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MAIN_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MAIN_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MAIN_UPCOMING') { ?>
<?php
/**
 * display the Upcoming Products Center Box
 */
?>
<?php include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS)); ?><?php } ?>


<?php
  $show_display_category->MoveNext();
} // !EOF
?>
</div>