<?php
/**
 * Page Template
 *
 * Loaded by main_page=index<br />
 * Displays product-listing when a particular category/subcategory is selected for browsing
 *
 * @package templateSystem
 * @copyright Copyright 2003-2019 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: mc12345678 2019 Apr 07 Modified in v1.5.6b $
 */
?>
<div class="centerColumn" id="indexProductList">

<div id="cat-top" class="group">
<div id="cat-left" class="notback">
<h1 id="productListHeading"><?php echo $current_categories_name; ?></h1>

<?php
if (PRODUCT_LIST_CATEGORIES_IMAGE_STATUS == 'true') {
// categories_image
  if ($categories_image = zen_get_categories_image($current_category_id)) {
?>
<div id="categoryImgListing" class="categoryImg"><?php echo zen_image(DIR_WS_IMAGES . $categories_image, '', CATEGORY_ICON_IMAGE_WIDTH, CATEGORY_ICON_IMAGE_HEIGHT); ?></div>
<?php
  }
} // categories_image
?>
</div>

<?php
// categories_description
    if ($current_categories_description != '') {
?>
<div id="indexProductListCatDescription" class="content"><?php echo $current_categories_description;  ?></div>
<?php } // categories_description ?>
</div>

<?php // Twitch hide if ($listing->RecordCount()) { ?>
<div id="filter-wrapper" class="group">
<?php // Twitch hide } ?>

<?php
  $check_for_alpha = $listing_sql;
  $check_for_alpha = $db->Execute($check_for_alpha);
  
  if ($do_filter_list || isset($_GET['alpha_filter_id']) || ($check_for_alpha->RecordCount() > 0 && PRODUCT_LIST_ALPHA_SORTER == 'true') || PRODUCT_LISTING_LAYOUT_STYLE_CUSTOMER == 'Show' || TWI_PRODUCT_LISTING_IMAGE_CUSTOMER_CONTROL == 'Show') { // form if rows/columns selected
  $form = zen_draw_form('filter', zen_href_link(FILENAME_DEFAULT), 'get'); // Twitch hide  . '<label class="inputLabel">' .TEXT_SHOW . '</label>';
?>

<?php
  echo $form;
  echo zen_draw_hidden_field('main_page', FILENAME_DEFAULT);
?>
<?php
  // draw cPath if known
  if (empty($getoption_set)) {
    echo zen_draw_hidden_field('cPath', $cPath);
  } else {
    // draw manufacturers_id
    echo zen_draw_hidden_field($get_option_variable, $_GET[$get_option_variable]);
  }

  // draw music_genre_id
  if (isset($_GET['music_genre_id']) && $_GET['music_genre_id'] != '') echo zen_draw_hidden_field('music_genre_id', $_GET['music_genre_id']);

  // draw record_company_id
  if (isset($_GET['record_company_id']) && $_GET['record_company_id'] != '') echo zen_draw_hidden_field('record_company_id', $_GET['record_company_id']);

  // draw typefilter
  if (isset($_GET['typefilter']) && $_GET['typefilter'] != '') echo zen_draw_hidden_field('typefilter', $_GET['typefilter']);

  // draw manufacturers_id if not already done earlier
  if (!(isset($get_option_variable) && $get_option_variable == 'manufacturers_id') && !empty($_GET['manufacturers_id'])) {
    echo zen_draw_hidden_field('manufacturers_id', $_GET['manufacturers_id']);
  }
?>

<?php // bof Twitch Product Group Display Buttons
if (BASE7_MASTER_SWI == 'ON' && TWI_PL_PRODUCT_GROUP_SWI == 'ON') { ?>

    <?php if (TWI_PL_PRODUCT_GROUP_DROPDOWN == 'Show') { ?>
    <div id="pl_pGroup_dropdown">
    <?php // Twitch Product Group Display Buttons - dropdown
     echo '<div id="colourControl">' . zen_draw_pull_down_menu('pGroup_button', array(array('id'=>TWI_PL_PGROUP_ALL,'text'=>TWI_PL_PGROUP_ALL), array('id'=>TWI_PL_PGROUP_B1,'text'=>TWI_PL_PGROUP_B1),array('id'=>TWI_PL_PGROUP_B2,'text'=>TWI_PL_PGROUP_B2),array('id'=>TWI_PL_PGROUP_B3,'text'=>TWI_PL_PGROUP_B3),array('id'=>TWI_PL_PGROUP_B4,'text'=>TWI_PL_PGROUP_B4),array('id'=>TWI_PL_PGROUP_B5,'text'=>TWI_PL_PGROUP_B5)), (isset($_GET['pGroup_button']) ? $_GET['pGroup_button'] : (defined(TWI_PL_PGROUP_ALL)? TWI_PL_PGROUP_ALL : 'All Products')), 'onchange="this.form.submit()"') . '</div>';
    ?> </div>
    <?php } // eof dropdown selection ?>

    <?php if (TWI_PL_PRODUCT_GROUP_BUTTONS == 'Show') { ?>
    <div id="pl_pGroup_buttons">
    <?php // to load in the php constants from the database we need to load the button into php (which also allows a loop here for more buttons - in the future)
    echo '<input type="submit" name="pGroup_button" value="' . TWI_PL_PGROUP_ALL . '" title="' . TWI_PL_PGROUP_ALL . '" /><br />'; // reloads the page
    
    if (TWI_PL_PGROUP_B1 != '') {
    echo '<input type="submit" name="pGroup_button" value="' . TWI_PL_PGROUP_B1 . '" title="' . TWI_PL_PGROUP_B1 . '" />'; }
    if (TWI_PL_PGROUP_B2 != '') {
    echo '<input type="submit" name="pGroup_button" value="' . TWI_PL_PGROUP_B2 . '" title="' . TWI_PL_PGROUP_B2 . '" />'; }
    if (TWI_PL_PGROUP_B3 != '') {
    echo '<input type="submit" name="pGroup_button" value="' . TWI_PL_PGROUP_B3 . '" title="' . TWI_PL_PGROUP_B3 . '" />'; }
    if (TWI_PL_PGROUP_B4 != '') {
    echo '<input type="submit" name="pGroup_button" value="' . TWI_PL_PGROUP_B4 . '" title="' . TWI_PL_PGROUP_B4 . '" />'; }
    if (TWI_PL_PGROUP_B5 != '') {
    echo '<input type="submit" name="pGroup_button" value="' . TWI_PL_PGROUP_B5 . '" title="' . TWI_PL_PGROUP_B5 . '" />'; } ?>
    </div>
    <?php } // eof HTML form submit buttons ?>

<?php  } // eof Twitch Product Group Display Buttons ?>

<?php
  // draw sort
  echo zen_draw_hidden_field('sort', $_GET['sort']);

  // draw filter_id (ie: category/mfg depending on $options)
  if ($do_filter_list) {
    echo zen_draw_pull_down_menu('filter_id', $options, (isset($_GET['filter_id']) ? $_GET['filter_id'] : ''), 'onchange="this.form.submit()"');
  }

// Twitch Base7 for 1.57c
if (BASE7_MASTER_SWI == 'ON') {
// bof Twitch Product Listing Customer Controls
// These controls could be called on by page identity for further customization
echo '<div class="twi_CustControl">';
  if (PRODUCT_LISTING_LAYOUT_STYLE_CUSTOMER == 'Show') {
    echo '<div id="viewControl">' . zen_draw_pull_down_menu('view', array(array('id'=>'rows','text'=>TWI_PRODUCT_LISTING_ADV_LAYOUT_ROWS),array('id'=>'columns','text'=>TWI_PRODUCT_LISTING_ADV_LAYOUT_COLUMNS)), (isset($_GET['view']) ? $_GET['view'] : (defined('PRODUCT_LISTING_LAYOUT_STYLE') ? PRODUCT_LISTING_LAYOUT_STYLE : 'rows')), 'onchange="this.form.submit()"') . '</div>';
  }
  if (TWI_PRODUCT_LISTING_IMAGE_CUSTOMER_CONTROL == 'Show') {
    echo '<div id="viewControl_IMG">' . zen_draw_pull_down_menu('pl_image', array(array('id'=>'hide_images','text'=>TWI_PRODUCT_LISTING_IMAGE_DISPLAY_HIDE),array('id'=>'show_images','text'=>TWI_PRODUCT_LISTING_IMAGE_DISPLAY_SHOW)), (isset($_GET['pl_image']) ? $_GET['pl_image'] : (defined('TWI_PRODUCT_LISTING_IMAGE_DISPLAY')? TWI_PRODUCT_LISTING_IMAGE_DISPLAY: 'show_images')), 'onchange="this.form.submit()"') . '</div>';  
  }
  echo '</div>';
// eof Twitch Product Listing Customer Controls
}


  // draw alpha sorter
require(DIR_WS_MODULES . zen_get_module_directory(FILENAME_PRODUCT_LISTING_ALPHA_SORTER));
?>
</form>
<?php
  }
?>

<?php // end wrapper ?>
<?php // Twitch hide if ($listing->RecordCount()) { ?>
</div>
<?php // Twitch hide  } // end filter-wrapper ?>


<?php
/**
 * require the code for listing products
 */
 require($template->get_template_dir('tpl_modules_product_listing.php', DIR_WS_TEMPLATE, $current_page_base,'templates'). '/' . 'tpl_modules_product_listing.php');
?>


<?php
//// bof: categories error
if ($error_categories==true) {
  // verify lost category and reset category
  $check_category = $db->Execute("select categories_id from " . TABLE_CATEGORIES . " where categories_id='" . $cPath . "'");
  if ($check_category->RecordCount() == 0) {
    $new_products_category_id = '0';
    $cPath= '';
  }
?>

<?php
$show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_MISSING);

while (!$show_display_category->EOF) {
?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_UPCOMING') {
    include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS));
  }
?>
<?php
  $show_display_category->MoveNext();
} // !EOF
?>
<?php } //// eof: categories error ?>

<?php
//// bof: categories
$show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_LISTING_BELOW);
if ($error_categories == false and $show_display_category->RecordCount() > 0) {
?>

<?php
  $show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_LISTING_BELOW);
  while (!$show_display_category->EOF) {
?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_UPCOMING') {
      include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS));
    }
?>
<?php
  $show_display_category->MoveNext();
  } // !EOF
?>

<?php
} //// eof: categories
?>

</div>
