<?php
/**
 * Module Template for responsive mobile support
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 May 16 Modified in v1.5.7 $
 */
?>

<nav id="menu">
  <ul>
    <li><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><?php echo HEADER_TITLE_CATALOG; ?></a></li>
<?php  if (DEFINE_CONTACT_US_STATUS <= 1) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_CONTACT_US, '', 'SSL'); ?>"><?php echo BOX_INFORMATION_CONTACT; ?></a></li>
<?php  } ?>

<?php if (zen_is_logged_in()) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGOFF; ?></a></li>
    <li><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a></li>
<?php
  } elseif (STORE_STATUS == '0') {
?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a></li>
<?php } ?>
<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><?php echo HEADER_TITLE_CART_CONTENTS; ?></a></li>
    <li><a href="<?php echo zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><?php echo HEADER_TITLE_CHECKOUT; ?></a></li>
<?php }?>
<?php // Twitch Base7 for 1.57c
// Twitch MobileNavMenu Display Control
if (TWI_SHOW_MOBILE_MENU_CATEGORIES == '1') { ?>
    <li><span><?php echo BOX_HEADING_CATEGORIES; ?></span> <?php } ?>
<?php
if (TWI_SHOW_MOBILE_MENU_CATEGORIES != '0') {
  // load the UL-generator class and produce the menu list dynamically from there
   require_once (DIR_WS_CLASSES . 'categories_ul_generator.php');
$zen_CategoriesUL = new zen_categories_ul_generator;
$menulist = $zen_CategoriesUL->buildTree(true);
$menulist = str_replace('"level4"','"level5"',$menulist);
$menulist = str_replace('"level3"','"level4"',$menulist);
$menulist = str_replace('"level2"','"level3"',$menulist);
$menulist = str_replace('"level1"','"level2"',$menulist);
$menulist = str_replace('<li>','<li>',$menulist);
$menulist = str_replace("</li>\n</ul>\n</li>\n</ul>\n","</li>\n</ul>\n",$menulist);
echo $menulist;
?>       
    </li>
<?php } // hide ?>

<?php
  if (SHOW_CATEGORIES_BOX_SPECIALS == 'true') { // Twitch wsPRO for 1.57c
      $show_this_specials = $db->Execute("SELECT s.products_id from " . TABLE_SPECIALS . " s, " . TABLE_PRODUCTS . " p JOIN ". TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c WHERE p.products_id = s.products_id AND p.products_id = p2c.products_id AND p2c.categories_id = c.categories_id ".$_SESSION['the_cat_ws_rt_switch']." ".$_SESSION['prod_ws_rt_switch']." AND s.status= 1 limit 1");
      if ($show_this_specials->RecordCount() > 0) { ?>
    <li><a class="category-links" href="<?php echo zen_href_link(FILENAME_SPECIALS); ?>"><?php echo CATEGORIES_BOX_HEADING_SPECIALS; ?></a></li>
<?php  
    }
  }
?>

<?php if (SHOW_CATEGORIES_BOX_PRODUCTS_NEW == 'true') { // Twitch wsPRO for 1.57c
      // display limits
//    $display_limit = zen_get_products_new_timelimit();
      $display_limit = zen_get_new_date_range();
      $show_this_new = $db->Execute("select p.products_id from " . TABLE_PRODUCTS . " p JOIN ". TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c WHERE p.products_status = 1 AND p.products_id = p2c.products_id AND p2c.categories_id = c.categories_id ".$_SESSION['the_cat_ws_rt_switch']." ".$_SESSION['prod_ws_rt_switch']." " . $display_limit . " limit 1");
      if ($show_this_new->RecordCount() > 0) {
?>
    <li><a class="category-links" href="<?php echo zen_href_link(FILENAME_PRODUCTS_NEW); ?>"><?php echo CATEGORIES_BOX_HEADING_WHATS_NEW; ?></a></li>
<?php 
    }
  } 
?>
<?php if (SHOW_CATEGORIES_BOX_FEATURED_PRODUCTS == 'true') { // Twitch wsPRO for 1.57c
      $show_this_featured = $db->Execute("SELECT f.products_id from " . TABLE_FEATURED . " f, " . TABLE_PRODUCTS . " p JOIN ". TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c where p.products_id = f.products_id AND p.products_id = p2c.products_id AND p2c.categories_id = c.categories_id ".$_SESSION['the_cat_ws_rt_switch']." ".$_SESSION['prod_ws_rt_switch']." AND f.status= 1 limit 1");
      if ($show_this_featured->RecordCount() > 0) {
?>
    <li><a class="category-links" href="<?php echo zen_href_link(FILENAME_FEATURED_PRODUCTS); ?>"><?php echo CATEGORIES_BOX_HEADING_FEATURED_PRODUCTS; ?></a></li>
<?php
    }
  }
?>
<?php if (SHOW_CATEGORIES_BOX_PRODUCTS_ALL == 'true') { ?>
    <li><a class="category-links" href="<?php echo zen_href_link(FILENAME_PRODUCTS_ALL); ?>"><?php echo CATEGORIES_BOX_HEADING_PRODUCTS_ALL; ?></a></li>
<?php } ?>

<?php if (TWI_SHOW_MOBILE_MENU_INFORMATION == '1') { ?>
    <li><span><?php echo BOX_HEADING_INFORMATION; ?></span>
<?php } // hide ?>

<?php if (TWI_SHOW_MOBILE_MENU_INFORMATION != '0') { ?>
      <ul>
<?php if (DEFINE_SHIPPINGINFO_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_SHIPPING); ?>"><?php echo BOX_INFORMATION_SHIPPING; ?></a></li>
<?php } ?>
<?php if (DEFINE_PRIVACY_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PRIVACY); ?>"><?php echo BOX_INFORMATION_PRIVACY; ?></a></li>
<?php } ?>
<?php if (DEFINE_CONDITIONS_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_CONDITIONS); ?>"><?php echo BOX_INFORMATION_CONDITIONS; ?></a></li>
<?php } ?>
<?php if (!empty($external_bb_url) && !empty($external_bb_text)) { // forum/bb link ?>
        <li><a href="<?php echo $external_bb_url; ?>" rel="noopener" target="_blank"><?php echo $external_bb_text; ?></a></li>
<?php } ?>
<?php if (DEFINE_SITE_MAP_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_SITE_MAP); ?>"><?php echo BOX_INFORMATION_SITE_MAP; ?></a></li>
<?php } ?>
<?php if (defined('MODULE_ORDER_TOTAL_GV_STATUS') && MODULE_ORDER_TOTAL_GV_STATUS == 'true' && TWI_SHOW_MOBILE_MENU_GV_FAQ == 'Show') { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_GV_FAQ); ?>"><?php echo BOX_INFORMATION_GV; ?></a></li>
<?php } ?>
<?php if (DEFINE_DISCOUNT_COUPON_STATUS <= 1 && defined('MODULE_ORDER_TOTAL_COUPON_STATUS') && MODULE_ORDER_TOTAL_COUPON_STATUS == 'true' && TWI_SHOW_MOBILE_MENU_DISCOUNT_COUPONS == 'Show') { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_DISCOUNT_COUPON); ?>"><?php echo BOX_INFORMATION_DISCOUNT_COUPONS; ?></a></li>
<?php } ?>
<?php if (SHOW_NEWSLETTER_UNSUBSCRIBE_LINK == 'true') { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_UNSUBSCRIBE); ?>"><?php echo BOX_INFORMATION_UNSUBSCRIBE; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_2_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_2); ?>"><?php echo BOX_INFORMATION_PAGE_2; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_3_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_3); ?>"><?php echo BOX_INFORMATION_PAGE_3; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_4_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_4); ?>"><?php echo BOX_INFORMATION_PAGE_4; ?></a></li>
<?php } ?>

<?php  if (WS_PRO_MASTER_SWI == 'ON' && DEFINE_WS_PAGE_1_STATUS <= 1) { // Twitch wsPRO for 1.57c - Bridge Matrix Rule Filter
    $tnt_check = match_to_bridge_tnt(get_tnt_member_id((int)$_SESSION['customer_id']));
    $bridge_rule = match_to_bridge_rule(FILENAME_WS_PAGE_1);
    if ($tnt_check == $bridge_rule ) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_WS_PAGE_1); ?>"><?php echo BOX_INFORMATION_WS_PAGE_1; ?></a></li>
<?php } } ?>

<?php // Twitch Add Extra Pages
if (BASE7_MASTER_SWI == 'ON') {
// Hide or unhide any pages you would like to display on the live site ?>
<?php if (DEFINE_PAGE_10_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_10); ?>"><?php echo BOX_INFORMATION_PAGE_10; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_11_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_11); ?>"><?php echo BOX_INFORMATION_PAGE_11; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_12_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_12); ?>"><?php echo BOX_INFORMATION_PAGE_12; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_13_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_13); ?>"><?php echo BOX_INFORMATION_PAGE_13; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_14_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_14); ?>"><?php echo BOX_INFORMATION_PAGE_14; ?></a></li>
<?php } ?>
<?php if (DEFINE_PAGE_15_STATUS <= 1) { ?>
        <li><a href="<?php echo zen_href_link(FILENAME_PAGE_15); ?>"><?php echo BOX_INFORMATION_PAGE_15; ?></a></li>
<?php } ?>
<?php // Twitch Add Extra Pages ?>
<?php } ?>

<?php if (BASE7_MASTER_SWI == 'ON') {
if (TWI_ADMCTRL_SIDEBOXLINK_BLOG != '') { ?>
        <li><a href="<?php echo TWI_ADMCTRL_SIDEBOXLINK_BLOG; ?>"><?php echo TWI_ADMCTRL_SIDEBOXLINK_BLOG_LINK_TEXT; ?></a></li>
<?php } ?>
<?php if (TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK != '') { ?>
        <li><a href="<?php echo TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK; ?>"><?php echo TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK_TEXT; ?></a></li>
<?php } ?>
<?php if (TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK != '') { ?>
        <li><a href="<?php echo TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK; ?>"><?php echo TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK_TEXT; ?></a></li>
<?php } } ?>

      </ul>
<?php } // hide ?>
    </li>


<?php if (TWI_SHOW_MOBILE_MENU_EZPAGES == '1') { ?>
    <li><span><?php echo BOX_HEADING_EZPAGES; ?></span>
<?php } 
if (TWI_SHOW_MOBILE_MENU_EZPAGES != '0') { ?>
      <ul>
<?php
  include(DIR_WS_MODULES . zen_get_module_directory('ezpages_bar_header.php'));
  if (!empty($var_linksList)) {
    for ($i=1, $n=sizeof($var_linksList); $i<=$n; $i++) {
      echo '<li><a href="' . $var_linksList[$i]['link'] . '">' . $var_linksList[$i]['name'] . '</a></li>' . "\n";
    }
  }
?>
      </ul>
<?php } ?>
    </li>

<?php if (TWI_SHOW_MOBILE_MENU_SEARCH == 'Show') { ?>
    <li id="menu-search">
      <?php require(DIR_WS_MODULES . zen_get_module_sidebox_directory('search_header.php')); ?>
    </li>
<?php } ?>

<?php // Twitch Quick Reorder
if (BASE7_MASTER_SWI == 'ON' && SHOW_QUICK_REORDER_MOBILE == 'Show') {
  if (isset($_SESSION['customer_id']) && (int)$_SESSION['customer_id'] != 0) {

  $ohist_box_status = $db->Execute("select layout_box_name from " . TABLE_LAYOUT_BOXES . " where (layout_box_status=1 or layout_box_status_single=1) and layout_template ='" . $template_dir . "' and layout_box_name='order_history.php'");

  if ($ohist_box_status->RecordCount() == 1) { // Only show if sidebox enabled
    if (SHOW_QUICK_REORDER_MOBILE_LINK == 'Page') { // show page
    
        echo '<li><a href="'.zen_href_link(FILENAME_QUICK_REORDER, '', 'SSL').'">'.REORDER_TITLE.'<i class="fa fa-cart-arrow-down"></i></a></li>';
        
    } elseif (SHOW_QUICK_REORDER_MOBILE_LINK == 'Inline') { // show on menu
        echo '<li><a href="'.zen_href_link(FILENAME_QUICK_REORDER, '', 'SSL').'">'.REORDER_TITLE.'<i class="fa fa-cart-arrow-down"></i></a></li>';

        for ($i=1; $i<=sizeof($customer_orders); $i++) {
            if ($i <= 5) { // Only show 5 reorder options
            $mobile_reorder_products = '<li><a href="' . zen_href_link(zen_get_info_page($customer_orders[$i]['id']), 'products_id=' . $customer_orders[$i]['id']) . '">' . $customer_orders[$i]['name'] . '</a>';
            echo $mobile_reorder_products;
        } }
    } // show page or mobile menu
  } }
} ?>

  </ul>
</nav>

<script src="<?php echo $template->get_template_dir('jquery.mmenu.min.all.js',DIR_WS_TEMPLATE, $current_page_base,'jscript') . '/jquery.mmenu.min.all.js' ?>" type="text/javascript"></script>
<script src="<?php echo $template->get_template_dir('jquery.mmenu.fixedelements.min.js',DIR_WS_TEMPLATE, $current_page_base,'jscript') . '/jquery.mmenu.fixedelements.min.js' ?>" type="text/javascript"></script>
<script type="text/javascript">
  $(function() {
    $("#menu")
      .mmenu({
        slidingSubmenus : false,
        extensions : [ "theme-dark", "effect-listitems-slide" ],
        iconPanels: {
          add : true,
          visible: 1
        },
        navbar: {
          add : false
        },
        counters: true
      }).on('click', 'a[href^="#/"]', function() {
        alert("Thank you for clicking, but that's a demo link.");
        return false;
      });
  });
</script>
