<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=shopping_cart.<br />
 * Displays shopping-cart contents
 *
 * @copyright Copyright 2003-2020 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: DrByte 2020 Oct 19 Modified in v1.5.7a $
 */
?>
<?php 
  if (!isset($display_as_mobile)) $display_as_mobile = ($detect->isMobile() && !$detect->isTablet() || $_SESSION['layoutType'] == 'mobile' or $detect->isTablet() || $_SESSION['layoutType'] == 'tablet'); 
?>
<div class="centerColumn" id="shoppingCartDefault">
<?php
  if ($flagHasCartContents) {
?>
<?php
if (BASE7_MASTER_SWI == 'ON') { // Twitch Base7 for 1.57c
/* bof Twitch Responsive Cart Steps */

// Redoc: Here we resolve the 5 position switch with a bit of php for control.
$cartstepsTEXT = '
        <div id="cartstepsHeadingTXT">
        <div id="cartDefaultHeading">' . HEADING_TITLE . '&nbsp;<i class="fa fa-shopping-cart" aria-hidden="true"></i>&nbsp;</div>
        </div><br />';
$cartstepsIMAGE = '
        <div id="cartstepsHeadingIMG"> ' . TWI_CART_STEPS_SHOPPING . '</div><br />';
?>

<?php // Operate the 5 position switch
    if (TWI_CARTSTEPS_HEADING_STATUS == '' or TWI_CARTSTEPS_HEADING_STATUS == 0) { // OFF 
    // echo '<div id="cartstepsNONE">Twitch Cart Steps OFF</div>';
    } else { 
    if (TWI_CARTSTEPS_HEADING_STATUS == 1 ) { echo $cartstepsTEXT; } // TEXT ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 2 ) { echo $cartstepsIMAGE; } // IMAGE ONLY
    if (TWI_CARTSTEPS_HEADING_STATUS == 3 ) { echo $cartstepsTEXT . $cartstepsIMAGE; } // BOTH TEXT - IMAGE
    if (TWI_CARTSTEPS_HEADING_STATUS == 4 ) { echo $cartstepsIMAGE . $cartstepsTEXT; } // BOTH IMAGE - TEXT
    } ?>
<?php /* eof Twitch Responsive Cart Steps */ 
} else { // stock ?>
<?php
  if ($_SESSION['cart']->count_contents() > 0) {
?>
<div class="forward"><?php echo TEXT_CART_HELP; ?></div>
<?php
  }
?>
<h1 id="cartDefaultHeading"><?php echo HEADING_TITLE; ?></h1>

<?php } ?>


<?php if ($messageStack->size('shopping_cart') > 0) echo $messageStack->output('shopping_cart'); ?>

<?php echo zen_draw_form('cart_quantity', zen_href_link(FILENAME_SHOPPING_CART, 'action=update_product', $request_type), 'post', 'id="shoppingCartForm"'); ?>
<div id="cartInstructionsDisplay" class="content"><?php
/**
 * require the html_define for the shopping_cart page
 */
    require($define_page);
?></div>

<?php if (!empty($totalsDisplay)) { ?>
  <div class="cartTotalsDisplay important"><?php echo $totalsDisplay; ?></div>
<?php } ?>

<?php  if ($flagAnyOutOfStock) { ?>

<?php    if (STOCK_ALLOW_CHECKOUT == 'true') {  ?>

<div class="messageStackError"><?php echo OUT_OF_STOCK_CAN_CHECKOUT; ?></div>

<?php    } else { ?>
<div class="messageStackError"><?php echo OUT_OF_STOCK_CANT_CHECKOUT; ?></div>

<?php    } //endif STOCK_ALLOW_CHECKOUT ?>
<?php  } //endif flagAnyOutOfStock ?>

<table id="cartContentsDisplay">
     <tr class="tableHeading">
        <th scope="col" id="scQuantityHeading"><?php echo TABLE_HEADING_QUANTITY; ?></th>
        <th scope="col" id="scUpdateQuantity">&nbsp;</th>
        <th scope="col" id="scProductsHeading"><?php echo TABLE_HEADING_PRODUCTS; ?></th>
        <th scope="col" id="scUnitHeading"><?php echo TABLE_HEADING_PRICE; ?></th>
<?php if (WS_PRO_MASTER_SWI == 'ON' && SHOW_MLIST_PRICE == 'Show' && SHOW_MLIST_PRICE_SHOPPING_CART == 'Show') { // Twitch wsPRO for 1.57c ?>
        <th scope="col" id="scUnitHeading"><?php echo TABLE_HEADING_MLIST_PRICE; ?></th>
<?php } else { echo '&nbsp;'; } ?>
        <th scope="col" id="scTotalHeading"><?php echo TABLE_HEADING_TOTAL; ?></th>
        <th scope="col" id="scRemoveHeading">&nbsp;</th>
     </tr>
         <!-- Loop through all products /-->
<?php
  foreach ($productArray as $product) {
?>
     <tr class="<?php echo $product['rowClass']; ?>">

<?php if ( $detect->isMobile() && !$detect->isTablet() || $_SESSION['layoutType'] == 'mobile' ) {
      //
      } else { ?>

       <td class="cartQuantity">
<?php
  if ($product['flagShowFixedQuantity']) {
    echo $product['showFixedQuantityAmount'];
  } else {
    echo $product['quantityField'];
  }
?><br />
        <span class="alert bold"><?php echo $product['flagStockCheck'];?></span><br />
        <br /><?php echo $product['showMinUnits']; ?>
       </td>

       <td class="cartQuantityUpdate"><?php echo $product['buttonUpdate']; // Twitch pulled from pages/header_php.php - ICON_IMAGE_UPDATE loads ?></td>
<?php } ?>



       <td class="cartProductDisplay">

<a href="<?php echo $product['linkProductsName']; ?>"><span class="cartImage back"><?php echo $product['productsImage']; ?></span><span class="cartProdTitle"><?php echo $product['productsName'] . '<span class="alert bold">' . $product['flagStockCheck'] . '</span>'; ?></span></a>
<br class="clearBoth" />
<?php
  echo $product['attributeHiddenField'];
  if (isset($product['attributes']) && is_array($product['attributes'])) {
    echo '<div class="cartAttribsList">';
    echo '<ul>';
    foreach ($product['attributes'] as $option => $value) {
?>
<?php if (BASE7_MASTER_SWI == 'ON' && TWI_SHOW_ATTRIBUTE_IMAGE_IN_CART == 'Show') { // Twitch Attribute Image Display in Shopping Cart
    if (TWI_SHOW_ATTRIBUTE_IMAGE_JUSTIFY == 'center') { ?> <li class="attIMG_Cart_center"> <?php } else { // left justify ?> <li class="attIMG_Cart"> <?php }
    
    $attImage_cart = (!empty($value['attributes_image']) ? zen_image(DIR_WS_IMAGES . $value['attributes_image'], $value['products_options_name'], IMAGE_SHOPPING_CART_WIDTH, IMAGE_SHOPPING_CART_HEIGHT) : '');
    echo $attImage_cart.'&nbsp;'.$value['products_options_name'].TEXT_OPTION_DIVIDER.nl2br($value['products_options_values_name']).($value['options_values_price'] == 0 ? '&nbsp;' : '&nbsp; ['.$value['price_prefix'].'<b>'.($currencies->format($value['options_values_price'])).'</b> ]') ; ?>
    </li>
<?php } else { // stock ?>
<li>
    <?php
    echo $value['products_options_name'] . TEXT_OPTION_DIVIDER . nl2br($value['products_options_values_name']);
    ?>
</li>
<?php } ?>
<?php
    }
  echo '</ul>';
  echo '</div>';
  }
?>
       </td>

<?php if ( $detect->isMobile() && !$detect->isTablet() || $_SESSION['layoutType'] == 'mobile' ) { ?>

       <td class="cartQuantity">
<?php
  if ($product['flagShowFixedQuantity']) {
    echo $product['showFixedQuantityAmount'] . '<br /><span class="alert bold">' . $product['flagStockCheck'] . '</span><br /><br />' . $product['showMinUnits'];
  } else {
    echo $product['quantityField'] . '<br /><span class="alert bold">' . $product['flagStockCheck'] . '</span><br /><br />' . $product['showMinUnits'];
  }
?>
       </td>
       <td class="cartQuantityUpdate"><?php echo $product['buttonUpdate']; // (hide buttonUpdate) Twitch pulled from pages/header_php.php - ICON_IMAGE_UPDATE loads ?></td>

<?php  } else {

  }  ?>

       <td class="cartUnitDisplay"><?php if ($display_as_mobile) { echo '<b class="hide">' . TABLE_HEADING_PRICE . '&#58;&nbsp;&nbsp;</b>'; } ?><?php echo $product['productsPriceEach']; ?></td>
<?php if (WS_PRO_MASTER_SWI == 'ON' && SHOW_MLIST_PRICE == 'Show' && SHOW_MLIST_PRICE_SHOPPING_CART == 'Show') { // Twitch wsPRO for 1.57c ?>
<td class="cartUnitDisplay" style="text-align: center;"><?php echo $currencies->format($product['productmListPrice']); // product_mlist output ?></td>
<?php } else { echo '&nbsp;'; } ?>
       <td class="cartTotalDisplay"><?php if ($display_as_mobile) { echo '<b class="hide">' . TABLE_HEADING_TOTAL . '&#58;&nbsp;&nbsp;</b>'; } ?><?php echo $product['productsPrice']; ?></td>
       <td class="cartRemoveItemDisplay">
<?php
  if ($product['buttonDelete']) {
?>
         <a href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, 'action=remove_product&product_id=' . $product['id']); ?>"><?php echo zen_image($template->get_template_dir(ICON_IMAGE_TRASH, DIR_WS_TEMPLATE, $current_page_base,'images/icons'). '/' . ICON_IMAGE_TRASH, ICON_TRASH_ALT); ?></a>
<?php
  }
  if ($product['checkBoxDelete'] ) {
    echo zen_draw_checkbox_field('cart_delete[]', $product['id'], false, 'aria-label="' . ARIA_DELETE_ITEM_FROM_CART . '"');
  }
?>
      </td>
     </tr>
<?php
  } // end foreach ($productArray as $product)
?>
       <!-- Finished loop through all products /-->
</table>

<div id="cartSubTotal"><?php echo SUB_TITLE_SUB_TOTAL; ?> <?php echo $cartShowTotal; ?></div>
<?php // Twitch Add More to Get Free Shipping
if (BASE7_MASTER_SWI == 'ON' && TWI_ADDMORE_GET_FREESHIPPING == 'Show') {
if ($_SESSION['cart']->show_total() < MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER) {
        echo '<b>'.sprintf(TWI_FREE_SHIPPING_DESCRIPTION, $currencies->format(MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER)) . zen_draw_hidden_field('shipping', 'free_free').'</b>';
    } else {
        echo TWI_FREE_SHIPPING_QUALIFIED;
    } } ?>
<br class="clearBoth" />

<!--bof shopping cart buttons-->
<div class="buttonRow forward"><?php echo '<a href="' . zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '">' . zen_image_button(BUTTON_IMAGE_CHECKOUT, BUTTON_CHECKOUT_ALT) . '</a>'; ?></div>
<div class="buttonRow back"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_CONTINUE_SHOPPING, BUTTON_CONTINUE_SHOPPING_ALT) . '</a>'; ?></div>
<?php
// show update cart button
  if (SHOW_SHOPPING_CART_UPDATE == 2 or SHOW_SHOPPING_CART_UPDATE == 3) {
?>
<div class="buttonRow back"><?php echo zen_image_submit(ICON_IMAGE_UPDATE, ICON_UPDATE_ALT); // Twitch pulled from pages/header_php.php - ICON_IMAGE_UPDATE loads ?></div>

<?php if (BASE7_MASTER_SWI == 'ON' && TWI_SHOPPING_CART_EMPTY_CART_BUTTON == 'Show') { // Show Empty Cart Button on shopping cart page ?>
<div id="emptyCartButtonBlock">
    <div id="emptyCartButton"><a href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, 'action=empty_cart'); ?>" >Empty Cart</a><br/><br/></div>
</div>
<?php } ?>
<?php
  } else { // don't show update button below cart
?>
<?php
  } // show update button
?>
<!--eof shopping cart buttons-->
</form>

<br class="clearBoth" />
<?php if (BASE7_MASTER_SWI == 'ON' && NEW_SIGNUP_DISCOUNT_DISPLAY == 'Show' && $_SESSION['customer_id'] == '' && NEW_SIGNUP_DISCOUNT_COUPON > 0) { echo ENTRY_EMAIL_SIGNUP_COUPON_CART.'<br/>'; } // Twitch Add Signup Offer ?>
<?php if (BASE7_MASTER_SWI == 'ON' && MCHECKOUT_FREEGIFT_DISPLAY == 'Show') { echo '<br/><b>'.MCHECKOUT_FREEGIFT_CART_TEXT.'</b><br/>'; } // Twitch MCheckout Free Gift ?>

<?php
    if (SHOW_SHIPPING_ESTIMATOR_BUTTON == '1') {
?>

<div class="buttonRow back"><?php echo '<a href="javascript:popupWindow(\'' . zen_href_link(FILENAME_POPUP_SHIPPING_ESTIMATOR) . '\')">' .
 zen_image_button(BUTTON_IMAGE_SHIPPING_ESTIMATOR, BUTTON_SHIPPING_ESTIMATOR_ALT) . '</a>'; ?></div>
<?php
    }
?>
<br class="clearBoth" />

<!-- ** BEGIN PAYPAL EXPRESS CHECKOUT ** -->
<?php  // the tpl_ec_button template only displays EC option if cart contents >0 and value >0
if (defined('MODULE_PAYMENT_PAYPALWPP_STATUS') && MODULE_PAYMENT_PAYPALWPP_STATUS == 'True') {
  include(DIR_FS_CATALOG . DIR_WS_MODULES . 'payment/paypal/tpl_ec_button.php');
}
?>
<!-- ** END PAYPAL EXPRESS CHECKOUT ** -->

<?php
      if (SHOW_SHIPPING_ESTIMATOR_BUTTON == '2') {
/**
 * load the shipping estimator code if needed
 */
?>
      <?php require(DIR_WS_MODULES . zen_get_module_directory('shipping_estimator.php')); ?>

<?php
      }
?>
<?php
  } else { // $flagHasCartContents
?>

<h2 id="cartEmptyText"><?php echo TEXT_CART_EMPTY; ?></h2>
<br/><br/>
<?php if (BASE7_MASTER_SWI == 'ON' && TWI_SHOPPING_CART_EMPTY_CART_IMAGE == 'Show') {
// Twitch Add Shopping Cart Image ?>
	<div id="cartEmptyIMG"><img src="images/twi_cart_steps/twi_cs_cart_empty.png" alt="Your shopping cart is empty" /><br/><br/></div>
<?php } ?>

<?php
$show_display_shopping_cart_empty = $db->Execute(SQL_SHOW_SHOPPING_CART_EMPTY);

while (!$show_display_shopping_cart_empty->EOF) {
?>

<?php
  if ($show_display_shopping_cart_empty->fields['configuration_key'] == 'SHOW_SHOPPING_CART_EMPTY_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php
  if ($show_display_shopping_cart_empty->fields['configuration_key'] == 'SHOW_SHOPPING_CART_EMPTY_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php
  if ($show_display_shopping_cart_empty->fields['configuration_key'] == 'SHOW_SHOPPING_CART_EMPTY_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php
  if ($show_display_shopping_cart_empty->fields['configuration_key'] == 'SHOW_SHOPPING_CART_EMPTY_UPCOMING') {
    include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS));
  }
?>
<?php
  $show_display_shopping_cart_empty->MoveNext();
} // !EOF
?>
<?php
  }
?>
</div>
