##### bof Twitch Base7 install - SQL Updates
### Twitch Base7 [Sapphire]
### Copyright (C) 2022 Twitchtoo Media
## SQL Update - Install New Menu Option

## Note: Admin Pages are auto installed using YOUR_ADMIN/includes/functions/extra_functions/init_c_twitch_base7.php
## Files needed to install new menu option
## YOUR_ADMIN/c_twitch_base7.php
## YOUR_ADMIN/includes/functions/extra_functions/init_base7.php
## YOUR_ADMIN/includes/extra_datafiles/c_twitch_base7.php
## YOUR_ADMIN/includes/languages/english/extra_definitions/c_twitch_base7.php
##

### Twitch Base7 Manager - Admin Configuration Menu
## SQL Update - Install New Configuration Group
# ID, title, desc, sort, visible
INSERT INTO configuration_group VALUES (50, 'Base7 Manager', 'Base7 Manager', 50, '1');
INSERT INTO configuration_group VALUES (52, 'Base7 My Shop', 'Base7 My Shop', 52, '1');
INSERT INTO configuration_group VALUES (54, 'Base7 Product Listing', 'Base7 Product Listing', 54, '1');
INSERT INTO configuration_group VALUES (56, 'Base7 Email Options', 'Base7 Email Options', 56, '1');
INSERT INTO configuration_group VALUES (58, 'Base7 Other Modules', 'Base7 Other Modules', 58, '1');
#


## DELETE CODE
# DELETE FROM configuration_group WHERE configuration_group_title in ('Base7 Master Switches');
# DELETE FROM configuration_group WHERE configuration_group_title in ('Base7 My Shop');
# DELETE FROM configuration_group WHERE configuration_group_title in ('Base7 Product Listing');
# DELETE FROM configuration_group WHERE configuration_group_title in ('Base7 Email Options');
# DELETE FROM configuration_group WHERE configuration_group_title in ('Base7 Other Modules');
## DELETE CODE



### Add Base7 master switches
## Master Switch
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Base7 Master Switch', 'BASE7_MASTER_SWI', 'ON', 'ON - All Twitch Base7 features enabled<br/><br/> OFF - Disable all features (return to stock code) SQL Data is not changed<br/><br/> Default => ON', '50', '1', 'zen_cfg_select_option(array(\'ON\', \'OFF\'), ', now());
#

## Admin Tools
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Base7 <b>Admin Tools</b>', 'BASE7_ADMIN_TOOLS', 'Hide', 'Show or Hide - Developer Tools on Admin Site <br/> Note: This switch runs independently of the Base7 Master Switch <br/> Default => Hide', '50', '2', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Admin Tools Live Site
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Base7 <b>Admin Tools</b> Live Site', 'BASE7_ADMIN_TOOLS_LIVE', 'Hide', 'Show or Hide - Developer Tools on Live Site <b>ONLY</b> visible to current <em>Admin Tools View IP-Address</em> <br/> Note: This switch runs independently of the Base7 Master Switch <br/> Default => Hide', '50', '3', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

#
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('Base7 Admin Tools View IP-Address', 'BASE7_ADMIN_IP_FOR_TOOLS', 'your IP (ADMIN)', 'This IP Address is able to view admin tools on the live site', '50', '4', '2003-03-21 13:43:22', '2003-03-21 21:20:07', NULL, NULL);
#

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('BASE7_MASTER_SWI');
# DELETE FROM configuration WHERE configuration_key in ('BASE7_ADMIN_TOOLS');
# DELETE FROM configuration WHERE configuration_key in ('BASE7_ADMIN_TOOLS_LIVE');
# DELETE FROM configuration WHERE configuration_key in ('BASE7_ADMIN_IP_FOR_TOOLS');
## DELETE CODE





### Redoc Enhanced Index

# Twitch Common Admin Inputs
##
# SQL Update - add new Base7 input
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Admin</b> Header ALT text', 'TWI_ADM_HEADER_ALT_TEXT', 'Admin - Twitch Base7', '<br/>Enter your Admin Business Name here:', '52', '40', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Admin Header Logo Width', 'TWI_ADM_HEADER_LOGO_WIDTH', '303px', '<br/><strong>Logo Width (303px default)</strong>', '52', '42', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Admin Header Logo Height', 'TWI_ADM_HEADER_LOGO_HEIGHT', '103px', '<br/><strong>Logo Height (103px default)</strong>', '52', '44', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Admin</b> Email Logo ALT text', 'TWI_ADM_EMAIL_LOGO_ALT_TEXT', 'Admin Email - Twitch Base7', '<br/>Enter your Admin Business Name here:', '52', '46', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Live Site</b> Email Logo ALT text', 'TWI_EMAIL_LOGO_ALT_TEXT', 'Email - Twitch Base7', '<br/>Enter your Business Name here:', '52', '48', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Live Site <b>Header</b> ALT text', 'TWI_HEADER_ALT_TEXT', 'Header - Twitch Base7', '<br/>Enter your Business Name here:', '52', '50', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Live Site <b>Header</b> Sales <b>Tagline Text</b>', 'TWI_HEADER_SALES_TEXT', 'Tagline - Twitch Base7', '<br/>Enter your Header Sales Tagline Text or leave blank:', '52', '52', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Live Site <b>Header</b> Logo Width', 'TWI_HEADER_LOGO_WIDTH', '300px', '<br/><strong>Logo Width (300px default)</strong>', '52', '54', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Live Site <b>Header</b> Logo Height', 'TWI_HEADER_LOGO_HEIGHT', '154px', '<br/><strong>Logo Height (154px default)</strong>', '52', '56', now(), now());


# SQL Update - add new Base7 input - html header - Google
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Google</b> Analytics Site Tag', 'TWI_GOOGLE_ANALYTICS_SITE_TAG', '<!-- Google site tag here - Twitch Base7 -->', '<br/>Copy and paste site tag code block from your Google Analytics account WITHOUT script tags:', '52', '58', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Google</b> Verification Code', 'TWI_GOOGLE_ANALYTICS_VERIFICATION', '<!-- Google verification code here - Twitch Base7 -->', '<br/>Copy and paste verification code from your Google Analytics account WITHOUT script tags:', '52', '60', now(), now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Meta Tag</b> Title', 'TWI_META_TAG_TITLE', 'Twitch Base7 - Your Site Title', '<br/>Enter your site domain name - browser page title here:', '52', '62', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Meta Tag</b> Site <b>Tagline Text</b>', 'TWI_META_TAG_SITE_TAGLINE', 'Twitch Base7 - Your Site Page Title Tagline', '<br/>Enter your site page title tagline here (or leave blank if not in use):', '52', '64', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('<b>Meta Tag</b> Custom Keywords', 'TWI_META_TAG_CUSTOM_KEYWORDS', 'Twitch Base7 - Your SEO Keywords Here', '<br/>Enter your custom keywords here:', '52', '66', now(), now());


# Add Redoc Enhanced Index - TWI_META_DESCRIPTION (META_DESCRIPTION is automatically built in the meta_tags module)
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Redoc Mobile Enhanced Index - Meta Tag Description - ONLY', 'TWI_META_DESCRIPTION', 'Twitch Base7 - Your Store SEO Description', '<br/>Enter your store index description here:', '52', '68', now(), now());
##
#


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADM_HEADER_ALT_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADM_HEADER_LOGO_WIDTH');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADM_HEADER_LOGO_HEIGHT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADM_EMAIL_LOGO_ALT_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_EMAIL_LOGO_ALT_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_HEADER_ALT_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_HEADER_SALES_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_HEADER_LOGO_WIDTH');
# DELETE FROM configuration WHERE configuration_key in ('TWI_HEADER_LOGO_HEIGHT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_GOOGLE_ANALYTICS_SITE_TAG');
# DELETE FROM configuration WHERE configuration_key in ('TWI_GOOGLE_ANALYTICS_VERIFICATION');
# DELETE FROM configuration WHERE configuration_key in ('TWI_META_TAG_TITLE');
# DELETE FROM configuration WHERE configuration_key in ('TWI_META_TAG_SITE_TAGLINE');
# DELETE FROM configuration WHERE configuration_key in ('TWI_META_TAG_CUSTOM_KEYWORDS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_META_DESCRIPTION');
## DELETE CODE





## SQL Update - Install Store Hours features into Admin

## Store Hours on Front Door
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Store Hours</b> on <b>Front Door</b>', 'SHOW_TWI_STORE_HOURS_FDOOR', 'Show', 'Twitch Index/Splash Store Hours Display <br/> Default => Show', '52', '6', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Store Hours on Contact Us - Master
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show Store Hours on <b>Contact Us</b> - Master', 'SHOW_TWI_STORE_HOURS_CONTACT', 'Show', '<br/> Default => Show', '52', '8', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Store Hours on Contact Us
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show <b>Store Hours</b>', 'SHOW_TWI_STORE_HOURS', 'Show', 'Twitch Contact Us Store Hours Display <br/> Show or hide the store hours only <br/> Default => Show', '52', '10', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Store Hours Messages on Contact Us
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show Store Hours Messages', 'SHOW_TWI_STORE_HOURS_NOTES', 'Show', 'Twitch Contact Us Message Display <br/> You can leave the fields blank independantly or turn them ON/OFF with this switch to retain the field data<br/> Default => Show', '52', '12', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - Top Message', 'STORE_HOURS_NOTE1', 'Twitch Base7 - Replace Top Message Here', '[leave blank to hide]<br/>Enter text to display above store hours here:', '52', '13', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - Bottom Message', 'STORE_HOURS_NOTE2', 'Twitch Base7 - Replace Please call ahead to schedule a time for pickup/delivery', '[leave blank to hide]<br/>Enter text to display below store hours here:', '52', '14', now(), now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_STORE_HOURS_FDOOR');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_STORE_HOURS_CONTACT');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_STORE_HOURS');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_STORE_HOURS_NOTES');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_NOTE1');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_NOTE2');
## DELETE CODE


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - <b>Monday</b>', 'STORE_HOURS_D1DATA', '9:00am - 5:00pm', '<br/>Enter text to display here:', '52', '16', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - Tuesday', 'STORE_HOURS_D2DATA', '9:00am - 5:00pm', '<br/>Enter text to display here:', '52', '17', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - <b>Wednesday</b>', 'STORE_HOURS_D3DATA', '9:00am - 5:00pm', '<br/>Enter text to display here:', '52', '18', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - Thursday', 'STORE_HOURS_D4DATA', '9:00am - 5:00pm', '<br/>Enter text to display here:', '52', '19', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - <b>Friday</b>', 'STORE_HOURS_D5DATA', '9:00am - 5:00pm', '<br/>Enter text to display here:', '52', '20', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - Saturday', 'STORE_HOURS_D6DATA', '10:00am - 1:00pm', '<br/>Enter text to display here:', '52', '21', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Store Hours - <b>Sunday</b>', 'STORE_HOURS_D7DATA', 'Closed', '<br/>Enter text to display here:', '52', '22', now(), now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D1DATA');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D2DATA');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D3DATA');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D4DATA');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D5DATA');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D6DATA');
# DELETE FROM configuration WHERE configuration_key in ('STORE_HOURS_D7DATA');
## DELETE CODE





### Twitch Contact Us Display Control
## TWI_CONTACT_US_STORE_NAME_ADDRESS
## 0 = OFF
## 1 = Show Address Only
## 2 = Show Store Name AND Address

## SQL Update - remove old switch
DELETE FROM configuration WHERE configuration_key in ('CONTACT_US_STORE_NAME_ADDRESS');

###
## Original Switch return to stock
## Developers Only -  INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Contact Us - Show Store Name and Address', 'CONTACT_US_STORE_NAME_ADDRESS', '1', 'Include Store Name and Address<br/>0= off 1= on', '12', '50', 'zen_cfg_select_option(array(\'0\', \'1\'), ', now());
###

## New switch
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('<b>Contact Us</b> Show Store Name and Address', 'TWI_CONTACT_US_STORE_NAME_ADDRESS', '2', '0 = OFF <br/> 1 = Show Address Only<br/> 2 = Show Store Name AND Address (default)', '52', '1', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\'), ', now());


## SQL Update - New Switch
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Contact Us - Show Contact Us Form', 'TWI_CONTACT_US_FORM_SWITCH', '1', 'Show Contact Us Form <br/>0 = OFF 1 = ON (default)', '52', '2', 'zen_cfg_select_option(array(\'0\', \'1\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_CONTACT_US_STORE_NAME_ADDRESS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_CONTACT_US_FORM_SWITCH');
## DELETE CODE





## Index Heading Title Text (Congratulations!)
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Index</b> Heading Title', 'TWI_SHOW_INDEX_HEADING_TITLE', 'Show', 'Master ON/OFF for Index Heading Title Text<br/><br/> Default => Show', '52', '3', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added)
VALUES ('Show <b>Index</b> Heading Title Text', 'TWI_SHOW_INDEX_HEADING_TITLE_TEXT', 'Twitch Base7 - Index Heading Title Text', '[leave blank to hide]<br/>Enter text to replace Index Heading Title:', '52', '4', now(), now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_INDEX_HEADING_TITLE');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_INDEX_HEADING_TITLE_TEXT');
## DELETE CODE





### Twitch headerHbar - install independant on off switch in admin
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('<b>headerHbar</b> Display Control', 'TWI_SHOW_HEADERHBAR', 'Hide', 'Hide headerHbar (default) <br/> Show headerHbar', '50', '6', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_HEADERHBAR');
## DELETE CODE





## Twitch Define Pages Nav
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('<b>Define Pages</b> Navigation Menu ON/OFF', 'TWI_DEFINE_PAGES_NAV_STATUS', '3', '<br/><strong>Redoc Note: </strong>See Configuration > Define Pages Status for <strong><em>Show Link ON/OFF</em></strong> switches<br/><br/>Enable Define Pages Nav Menu<br/>0 = OFF <br/>1 = Show in Header - Only<br/>2 = Show in Footer - Only<br/>3 = Show in Both Header - Footer <br/>', '50', '8', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_DEFINE_PAGES_NAV_STATUS');
## DELETE CODE





### Twitch Master Responsive Logo Control - Live Site
## TWI_MASTER_LOGO_CONTROL_SWITCH

## 0 = MASTER BRANDING LOGO DISPLAY - OFF
## 1 = Show stock logo.gif/logo.png
## 2 = Show a_mainLogoBanner instead of stock logo.gif/logo.png 

### Twitch Master Responsive Logo Control - Display Email
## TWI_MASTER_LOGO_CONTROL_EMAIL

### Twitch Master Responsive Logo Control - Display Devices
## TWI_MASTER_LOGO_CONTROL_DISPLAY

## 0 = Show Logo on desktop - mobile (default)
## 1 = Show Logo on desktop only
## 2 = Show Logo on mobile only


# SQL Update: Add more banner group name character space
ALTER TABLE banners MODIFY COLUMN banners_group VARCHAR(32);


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('<b>Master Responsive Logo Control</b> - Live Site', 'TWI_MASTER_LOGO_CONTROL_SWITCH', 'Stock', '<br/><strong>Note: </strong>CSS changes may be needed to justify the display left/center/right to suit your needs - see code remarks/module manual.<br/><br/>Hide = TWI_MASTER_LOGO_CONTROL_SWITCH - No Image Displayed <br/>Stock = Show stock logo.gif/logo.png<br/>Banner = Show a_mainLogoBanner instead of stock logo.gif/logo.png<br/><br/><strong>IMPORTANT: </strong>If the banner <strong>a_mainLogoBanner</strong> is not installed or the banner status has been <strong>disabled</strong> it will not display<br/><br/> Default => Stock', '50', '30', 'zen_cfg_select_option(array(\'Hide\', \'Stock\', \'Banner\'), ', now());


### Add a banner set
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Master Responsive Logo Control SHOW_BANNERS_GROUP_SET10', 'SHOW_BANNERS_GROUP_SET10', 'a_mainLogoBanner', 'The Banner Display Groups can be from 1 Banner Group or Multiple Banner Groups<br/><br/>For Multiple Banner Groups enter the Banner Group Name separated by a colon <strong>:</strong><br/><br/>Example: Wide-Banners:SideBox-Banners<br/><br/>Default Group => <b>a_mainLogoBanner</b><br/><br/>What Banner Group(s) do you want to use in the Master Logo Banner?<br/>Leave blank for none (<strong>Redoc Note:</strong> This bypasses the ON/OFF switch)', '50', '32', '', '', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Master Responsive Logo Control - Display Email', 'TWI_MASTER_LOGO_CONTROL_EMAIL', 'Show', '<br/><strong>Note: </strong>CSS changes may be needed to justify the display left/center/right to suit your needs - see code remarks/module manual.<br/><br/>Logo display in EMAIL<br/>Default => Show <br/>', '50', '34', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Master Responsive Logo Control - Display Devices', 'TWI_MASTER_LOGO_CONTROL_DISPLAY', 'All', '<b>All</b> = Show Logo on Desktop - Mobile (stock)<br/><br/><b>Desktop</b> = Show Logo on Desktop ONLY <br/><br/><b>Mobile</b> = Show Logo on Mobile ONLY<br/><br/><strong>Note: </strong>CSS changes may be needed to justify the display left/center/right to suit your needs - see code remarks/module manual.<br/>', '50', '35', 'zen_cfg_select_option(array(\'All\', \'Desktop\', \'Mobile\'), ', now());

### Twitch Master Logo Mobile Control
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Master Responsive Logo Control - <b>Mobile</b> Image Display', 'TWI_MASTER_LOGO_MOBILE_CONTROL', 'Home Only', '<b>All Pages</b> - Mobile Logo on all pages (stock) <br/><br/><b>Home ONLY</b> - Show Mobile Logo on home/index page only<br/><br/><b>All Small</b> - Mobile Logo on all pages reduced size max: 100 x 100px or 50% - see stylesheet.css to fine tune<br/><br/>Note: See Master Responsive Logo Control - Display Devices as master mobile display ON/OFF switch<br/><br/>Default => Home Only', '50', '36', 'zen_cfg_select_option(array(\'All Pages\', \'Home Only\', \'All Small\'), ', now());

### Twitch Master Logo Desktop Control
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Master Responsive Logo Control - <b>Desktop</b> Image Display', 'TWI_MASTER_LOGO_DESKTOP_CONTROL', 'Home Only', '<b>All Pages</b> - Logo on all pages (stock) <br/><br/><b>Home ONLY</b> - Show Logo on home/index page only<br/><br/><b>All Small</b> - Logo on all pages reduced size max: 100 x 100px or 50% - see stylesheet.css to fine tune<br/><br/>Note: See Master Responsive Logo Control - Display Devices as master mobile display ON/OFF switch<br/><br/>Default => Home Only', '50', '37', 'zen_cfg_select_option(array(\'All Pages\', \'Home Only\', \'All Small\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_MASTER_LOGO_CONTROL_SWITCH');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_BANNERS_GROUP_SET10');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MASTER_LOGO_CONTROL_EMAIL');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MASTER_LOGO_CONTROL_DISPLAY');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MASTER_LOGO_MOBILE_CONTROL');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MASTER_LOGO_DESKTOP_CONTROL');
## DELETE CODE






## To help primary setup of this module I've included the SQL statements needed to 'install' a default Twitch Main Logo Banner found in Admin > Tools > Banner Manager.

## Redoc Note: banners_id is left out to encourage the banner table banner_id index to assign the next available value and advance the counter in the database.  To manually enter this banner from SQL - ## Check your database for indexing numbers banners_id needs to match the index counter Like this: INSERT INTO banners (banners_id, banners_title, ... other table values here... VALUES
## ('13', 'Main Logo Banner', ...remaining table values here...

### Add an active banner
INSERT INTO banners (banners_title, banners_url, banners_image, banners_group, banners_html_text, expires_impressions, expires_date, date_scheduled, date_added, date_status_change, status, banners_open_new_windows, banners_on_ssl, banners_sort_order) VALUES ('Main Logo Banner', 'https://YOUR_SSL_DOMAIN_HERE.com/shop/', 'logo.png', 'a_mainLogoBanner', '', 1000000, NULL, NULL, '2020-04-22 16:35:56', '2020-05-19 01:18:13', 1, 0, 1, 1);

### Add an active banner
INSERT INTO banners (banners_title, banners_url, banners_image, banners_group, banners_html_text, expires_impressions, expires_date, date_scheduled, date_added, date_status_change, status, banners_open_new_windows, banners_on_ssl, banners_sort_order) VALUES ('Main Right Header Banner', '', '', 'a_mainRightHeader', '<div id=\"PhoneNumberText\"><a href=\"tel: 519-YOU-RNUM\">519-YOU-RNUM</a></div>\r\n<div id=\"RightHeader_Banner\">Base7 RightHeader_Banner Here</div>\r\n\r\n<div id=\"indexNavBar\"><div class=\"indexNavLinks\">\r\n<a href=\"https://YOUR_SSL_DOMAIN_HERE.com/shop/\">YOUR_MESSAGE_LINKED_HERE</a>\r\n</div></div>', 1000000, NULL, NULL, '2020-05-15 04:20:15', '2020-05-15 04:21:30', 1, 0, 1, 2);


### Alternate manuall banner text add...
## <div id="idx_bannerBlock">
## <div id="idx_banner_TEXT1">Twitch Base7 - BUSINESS_TITLE_HERE</div>
## <div id="idx_banner_TEXT2">Twitch Base7 - BUSINESS_MESSAGE_HERE</div>
## <div id="idx_banner_TEXT3">Twitch Base7 - BUSINESS_EMAIL_HERE</div>
## <div id="PhoneNumberText"><a href="tel: 1-Twitch Base7 - LINK_PHONE">1-Twitch Base7 - LINK_PHONE</a></div>
## </div>
##
## <div id="indexNavBar"><div class="indexNavLinks">
## <a href="https://twitchbase6.com/shop/">Twitch Base7 - BUSINESS_SLOGAN_HERE</a>
## </div></div>


## Remove Original Switch to add new one
DELETE FROM configuration WHERE configuration_key in ('SHOW_BANNERS_GROUP_SET2');
## DELETE CODE


## Set Banner Display Groups - Header Position 2 - a_mainRightHeader
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) VALUES ('Banner Display Groups - Header Position 2 - <b>a_mainRightHeader</b>', 'SHOW_BANNERS_GROUP_SET2', 'a_mainRightHeader', 'The Banner Display Groups can be from 1 Banner Group or Multiple Banner Groups<br/><br/>For Multiple Banner Groups enter the Banner Group Name separated by a colon <strong>:</strong><br/><br/>Example: Wide-Banners:SideBox-Banners<br/><br/>Default => a_mainRightHeader <br/><br/>What Banner Group(s) do you want to use in the Header Position 2?<br/>Leave blank for none', '19', '56', '', '', now());

## Original banner set2 switch
## Developers Only - INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) VALUES ('Banner Display Groups - Header Position 2', 'SHOW_BANNERS_GROUP_SET2', '', 'The Banner Display Groups can be from 1 Banner Group or Multiple Banner Groups<br/><br/>For Multiple Banner Groups enter the Banner Group Name separated by a colon <strong>:</strong><br/><br/>Example: Wide-Banners:SideBox-Banners<br/><br/>What Banner Group(s) do you want to use in the Header Position 2?<br/>Leave blank for none', '19', '56', '', '', now());



### Twitch Footer Responsive Advanced
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('<b>Footer</b> Link Menu ON/OFF', 'TWI_FOOTER_LINKS_STATUS', 'Show', '<br/><b>Redoc Note: </b>See EZ-Pages Settings for <b><em>EZ-Pages Display Status - FooterBar</em></b><br/><br/>Enable Footer Link Menu<br/>Hide Footer Links<br/>Show Footer Links', '50', '40', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Footer Navigation Menu ON/OFF', 'TWI_FOOTER_NAV_STATUS', 'Show', '<br/>Enable Footer Navigation Menu<br/> Default => Show', '50', '42', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Footer Payments Accepted ON/OFF', 'TWI_FOOTER_PAY_STATUS', 'Show', '<br/>Enable Footer Payments Accepted Block<br/> Default => Show', '50', '44', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Footer Legal Block ON/OFF', 'TWI_FOOTER_LEGAL_STATUS', 'Show', '<br/>Enable Footer Legal Block<br/> Default => Show', '50', '46', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Footer Social Block ON/OFF', 'TWI_FOOTER_SOCIAL_STATUS', 'Show', '<br/>Enable Footer Social Block<br/> Default => Show', '50', '48', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_FOOTER_LINKS_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_FOOTER_NAV_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_FOOTER_PAY_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_FOOTER_LEGAL_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_FOOTER_SOCIAL_STATUS');
## DELETE CODE





## Twitch Admin Control Links - return to main index
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>AdmCtrl</b> Footer Links <b>Return to Main Index</b>', 'TWI_ADMCTRL_LINK_RETURNTOINDEX', 'https://Twitch Base7 - YOUR_BUSINESS_ACCOUNT_NAME_HERE', 'Enter <strong>Main Index Return</strong> Link (format - https://www.yoursite.com) <br/><br/> Eject Button Link', '50', '50', '', '', now());

## Twitch Admin Control Links - new input controls for live site links - facebook
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Footer Links - Facebook', 'SHOW_TWI_ADMCTRL_LINK_FACEBOOK', 'https://www.facebook.com/Twitch Base7 - YOUR_BUSINESS_ACCOUNT_NAME_HERE', 'Enter <strong>Facebook</strong> Link (format - https://www.yoursite.com) <br/><br/> Leave blank for none', '50', '52', '', '', now());

## Twitch Admin Control Links - twitter
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Footer Links - Twitter', 'SHOW_TWI_ADMCTRL_LINK_TWITTER', 'https://twitter.com/Twitch Base7 - YOUR_BUSINESS_ACCOUNT_NAME_HERE', 'Enter <strong>Twitter</strong> Link (format - https://www.yoursite.com) <br/><br/> Leave blank for none', '50', '54', '', '', now());

## Twitch Admin Control Links - instagram
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Footer Links - Instagram', 'SHOW_TWI_ADMCTRL_LINK_INSTAGRAM', 'https://instagram.com/Twitch Base7 - YOUR_BUSINESS_ACCOUNT_NAME_HERE', 'Enter <strong>Instagram</strong> Link (format - https://www.yoursite.com) <br/><br/> Leave blank for none', '50', '56', '', '', now());

## Twitch Admin Control Links - pinterest
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Footer Links - Pinterest', 'SHOW_TWI_ADMCTRL_LINK_PINTEREST', 'https://pinterest.com/Twitch Base7 - YOUR_BUSINESS_ACCOUNT_NAME_HERE', 'Enter <strong>Pinterest</strong> Link (format - https://www.yoursite.com) <br/><br/> Leave blank for none', '50', '58', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_LINK_RETURNTOINDEX');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_ADMCTRL_LINK_FACEBOOK');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_ADMCTRL_LINK_TWITTER');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_ADMCTRL_LINK_INSTAGRAM');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_TWI_ADMCTRL_LINK_PINTEREST');
## DELETE CODE





### Twitch Responsive Cart Steps
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Responsive <b>Cart Steps</b> Heading Display', 'TWI_CARTSTEPS_HEADING_STATUS', '3', '<br/><br/>0 = OFF <br/>1 = Show Text Only<br/>2 = Show Image Only<br/>3 = Show BOTH Text (top) - Image <b>(default)</b><br/>4 = Show BOTH Image - Text (bottom)<br/>', '50', '20', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\', \'4\'), ', now());

## add empty cart shopping cart button
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show Shopping Cart <b>Empty Cart</b> Button', 'TWI_SHOPPING_CART_EMPTY_CART_BUTTON', 'Show', '<br/>Default => Show', '50', '21', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## add empty cart image
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show Shopping Cart <b>Empty Cart</b> Image', 'TWI_SHOPPING_CART_EMPTY_CART_IMAGE', 'Show', '<br/>Default => Show', '50', '22', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## add shopping cart text block switch
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show Shopping Cart Define Page Text Block', 'TWI_SHOPPING_CART_DEFINE_BLOCK', 'Show', 'This text block is found in includes/languages/english/html_includes/define_shopping_cart.php<br/><br/>Default => Show', '50', '23', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_CARTSTEPS_HEADING_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOPPING_CART_EMPTY_CART_BUTTON');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOPPING_CART_EMPTY_CART_IMAGE');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOPPING_CART_DEFINE_BLOCK');
## DELETE CODE




### Twitch Address Display Control
## new switches
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Shipping Address on <b>checkout_shipping</b>', 'TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_SHIPPING', 'Show', 'Default => Show', '50', '76', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Billing Address on <b>checkout_payment</b>', 'TWI_SHOW_BILLING_ADDRESS_ON_CHECKOUT_PAYMENT', 'Show', 'Default => Show', '50', '78', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Billing Address on <b>checkout_confirmation</b>', 'TWI_SHOW_BILLING_ADDRESS_ON_CHECKOUT_CONFIRM', 'Show', 'Default => Show', '50', '80', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Shipping Address on <b>checkout_confirmation</b>', 'TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_CONFIRM', 'Show', 'Default => Show', '50', '82', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Billing Address on <b>account_history</b>', 'TWI_SHOW_BILLING_ADDRESS_ON_ACCOUNT_HISTORY', 'Show', 'Default => Show', '50', '84', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Shipping Address on <b>account_history</b>', 'TWI_SHOW_SHIPPING_ADDRESS_ON_ACCOUNT_HISTORY', 'Show', 'Default => Show', '50', '86', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Shipping Address in <b>Email</b>', 'TWI_SHOW_SHIPPING_ADDRESS_IN_EMAIL', 'Show', 'Default => Show', '50', '88', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display Billing Address in <b>Email</b>', 'TWI_SHOW_BILLING_ADDRESS_IN_EMAIL', 'Show', 'Default => Show', '50', '90', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display <b>Shipping Prices</b> on <b>checkout_shipping</b>', 'TWI_HIDE_SHIPPING_PRICE_CHECKOUT', 'Show', 'Default => Show ', '50', '92', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Discount Coupon - Apply Button</b> on Checkout Payment Page', 'TWI_SHOW_DISCOUNT_COUPON_ON_CHECKOUT_PAYMENT', 'Show', 'Default => Show', '50', '94', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_SHIPPING');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_BILLING_ADDRESS_ON_CHECKOUT_PAYMENT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_BILLING_ADDRESS_ON_CHECKOUT_CONFIRM');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_SHIPPING_ADDRESS_ON_CHECKOUT_CONFIRM');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_BILLING_ADDRESS_ON_ACCOUNT_HISTORY');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_SHIPPING_ADDRESS_ON_ACCOUNT_HISTORY');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_SHIPPING_ADDRESS_IN_EMAIL');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_BILLING_ADDRESS_IN_EMAIL');
# DELETE FROM configuration WHERE configuration_key in ('TWI_HIDE_SHIPPING_PRICE_CHECKOUT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_DISCOUNT_COUPON_ON_CHECKOUT_PAYMENT');
## DELETE CODE





### Twitch Login Banner Only
## Add a banner set
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Login Banner SHOW_BANNERS_GROUP_SET11', 'SHOW_BANNERS_GROUP_SET11', 'b_bannerLogin', 'The Banner Display Groups can be from 1 Banner Group or Multiple Banner Groups<br/><br/>For Multiple Banner Groups enter the Banner Group Name separated by a colon <strong>:</strong><br/><br/>Example: Wide-Banners:SideBox-Banners<br/><br/>Default Group => <b>b_bannerLogin</b><br/><br/>What Banner Group(s) do you want to use in the Login Banner?<br/>Leave blank for none', '50', '100', '', '', now());

## Add an active banner
INSERT INTO banners (banners_title, banners_url, banners_image, banners_group, banners_html_text, expires_impressions, expires_date, date_scheduled, date_added, date_status_change, status, banners_open_new_windows, banners_on_ssl, banners_sort_order) VALUES ('Login Banner', '', '', 'b_bannerLogin', '<div id=\"bannerLoginBlock\">\r\n<br/>\r\n\r\nHTML b_bannerLogin\r\n\r\n<br/><br/>\r\n</div>', 1000000, NULL, NULL, '2020-05-18 04:20:19', '2020-05-18 04:21:30', 1, 0, 1, 2);


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_BANNERS_GROUP_SET11');
## DELETE CODE





### Twitch Banners in Checkout Only
## Add a banner set
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Checkout Banner SHOW_BANNERS_GROUP_SET12', 'SHOW_BANNERS_GROUP_SET12', 'b_bannerCheckout', 'The Banner Display Groups can be from 1 Banner Group or Multiple Banner Groups<br/><br/>For Multiple Banner Groups enter the Banner Group Name separated by a colon <strong>:</strong><br/><br/>Example: Wide-Banners:SideBox-Banners<br/><br/>Default Group => <b> <b>b_bannerCheckout</b></b><br/><br/>What Banner Group(s) do you want to use in the Checkout Banner?<br/>Leave blank for none<br/><br/>Works with: Admin > Configuration > Layout Settings > <b>Banner Display Groups - Header Position - 2</b>', '50', '102', '', '', now());

## Add an active banner
INSERT INTO banners (banners_title, banners_url, banners_image, banners_group, banners_html_text, expires_impressions, expires_date, date_scheduled, date_added, date_status_change, status, banners_open_new_windows, banners_on_ssl, banners_sort_order) VALUES ('Checkout Pages Banner', '', '', 'b_bannerCheckout', '<div id=\"bannerCheckoutBlock\">\r\n<br/>\r\n\r\nHTML b_bannerCheckout\r\n\r\n<br/><br/>\r\n</div>', 1000000, NULL, NULL, '2020-05-18 04:20:14', '2020-05-18 04:21:30', 1, 0, 1, 11);


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_BANNERS_GROUP_SET12');
## DELETE CODE






### Twitch Index Banner
## add a banner set
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Index Banner SHOW_BANNERS_GROUP_SET13', 'SHOW_BANNERS_GROUP_SET13', 'b_bannerIndex_Main', 'The Banner Display Groups can be from 1 Banner Group or Multiple Banner Groups<br/><br/>For Multiple Banner Groups enter the Banner Group Name separated by a colon <strong>:</strong><br/><br/>Example: Wide-Banners:SideBox-Banners<br/><br/>Default Group => <b>b_bannerIndex_Main</b><br/><br/>What Banner Group(s) do you want to use in the Index Banner?<br/>Leave blank for none <br/><br/>Works with: Admin > Configuration > Layout Settings > <b>Categories - Always Show on Main Page</b>', '50', '104', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_BANNERS_GROUP_SET13');
## DELETE CODE


### Add new switch position to Categories - Always Show on Main Page
## 0 = OFF Show Only Define Page
## 1 = Show Define Page - Categories
## 2 = Show Define Page - IndexBanner
## 3 = Show IndexBanner - Define Page
## 4 = Show IndexBanner - Define Page - Categories


## Remove Original Switch to add new one
DELETE FROM configuration WHERE configuration_key in ('SHOW_CATEGORIES_ALWAYS');
## DELETE CODE


## Add the new one
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('<b>Categories</b> - Always Show on Main Page - <b>b_bannerIndex_Main</b>', 'SHOW_CATEGORIES_ALWAYS', '0', 'Always Show Categories on Main Page<br/><br/>0 = OFF Show Only Define Page (default)<br/>1 = Show Define Page - <b>Categories</b><br/>2 = Show Define Page - <b>IndexBanner</b><br/>3 = Show <b>IndexBanner</b> - Define Page<br/>4 = Show <b>IndexBanner</b> - Define Page - <b>Categories</b><br/>5 = <b>Categories</b> -  <b>IndexBanner</b> - Define Page<br/><br/>Default category can be set to Top Level or a Specific Top Level', 19, 45, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\', \'4\', \'5\'), ', now());


## Original Switch return to stock switch
## Developers Only - INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Categories - Always Show on Main Page', 'SHOW_CATEGORIES_ALWAYS', '0', 'Always Show Categories on Main Page<br/>0= off<br/>1= on<br/>Default category can be set to Top Level or a Specific Top Level', 19, 45, 'zen_cfg_select_option(array(\'0\', \'1\'), ', now());


## Add an active banner
INSERT INTO banners (banners_title, banners_url, banners_image, banners_group, banners_html_text, expires_impressions, expires_date, date_scheduled, date_added, date_status_change, status, banners_open_new_windows, banners_on_ssl, banners_sort_order) VALUES ('Index Banner', '', '', 'b_bannerIndex_Main', '<div id=\"defaultIndexMainBanner\">\r\n<br/>\r\n\r\nHTML Index Banner\r\n\r\n<br/><br/>\r\n</div>', 1000000, NULL, NULL, '2020-05-18 04:20:13', '2020-05-18 04:21:30', 1, 0, 1, 9);





### Twitch MobileNavMenu Display Control

## TWI_SHOW_MOBILE_MENU_CATEGORIES
## 0 = Hide All Categories from Mobile Display
## 1 = Show Categories Heading (default)
## 2 = Skip 1st Tier - Show Sub-Categories

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('<b>MobileNavMenu</b> Display Control <b>Categories</b>', 'TWI_SHOW_MOBILE_MENU_CATEGORIES', '1', '0 = Hide All Categories from Mobile Display <br/> 1 = Show Categories <br/> 2 =  Hide Heading - Show Categories<br/><br/> Default => 1', '50', '150', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\'), ', now());


## TWI_SHOW_MOBILE_MENU_INFORMATION
## 0 = Hide Information from Mobile Display
## 1 = Show Information Heading
## 2 = Skip 1st Tier - Show Information Pages

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('MobileNavMenu Display Control <b>Information</b>', 'TWI_SHOW_MOBILE_MENU_INFORMATION', '1', '0 = Hide All Information from Mobile Display <br/> 1 = Show Information Pages <br/> 2 = Hide Heading - Show Information Pages <br/><br/> Default => 1', '50', '152', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\'), ', now());


## TWI_SHOW_MOBILE_MENU_EZPAGES
## 0 = Hide All EZ Pages from Mobile Display
## 1 = Show EZ Pages Heading - Important Links (default)
## 2 = Skip 1st Tier - Show EZ Pages

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('MobileNavMenu Display Control <b>EZ Pages</b> (Important Links)', 'TWI_SHOW_MOBILE_MENU_EZPAGES', '1', '<br/><strong>Redoc Note:</strong> <em>EZ-Pages Display Status - HeaderBar</em> - <strong>Must be turned ON</strong><br/><br/> 0 = Hide All EZ Pages from Mobile Display <br/> 1 = Show EZ Pages Heading Important Links <br/> 2 = Hide Heading - Show EZ Pages <br/><br/> Default => 1 (stock)', '50', '154', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\'), ', now());


## TWI_SHOW_MOBILE_MENU_SEARCH
## 0 = Hide Search Bar from Mobile Display
## 1 = Show Search Bar (default)

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('MobileNavMenu Display Control <b>Search</b>', 'TWI_SHOW_MOBILE_MENU_SEARCH', 'Show', 'Display Search Bar on Mobile Display <br/> Default => Show', '50', '156', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## TWI_SHOW_MOBILE_MENU_GV_FAQ
## 0 = Hide GV FAQ from Mobile Display
## 1 = Show GV FAQ (default)

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('MobileNavMenu Display Control <b>GV FAQ</b>', 'TWI_SHOW_MOBILE_MENU_GV_FAQ', 'Show', 'Display GV FAQ on Mobile Display <br/> Default => Show', '50', '157', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## TWI_SHOW_MOBILE_MENU_DISCOUNT_COUPONS
## 0 = Hide Discount Coupons from Mobile Display
## 1 = Show Discount Coupons (default)

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('MobileNavMenu Display Control <b>Discount Coupons</b>', 'TWI_SHOW_MOBILE_MENU_DISCOUNT_COUPONS', 'Show', 'Display Discount Coupons on Mobile Display <br/> Default => Show', '50', '158', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_MOBILE_MENU_CATEGORIES');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_MOBILE_MENU_INFORMATION');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_MOBILE_MENU_EZPAGES');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_MOBILE_MENU_SEARCH');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_MOBILE_MENU_GV_FAQ');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_MOBILE_MENU_DISCOUNT_COUPONS');
## DELETE CODE





## Twitch Add Extra Pages
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) values ('<b>Define Page 10</b>', 'DEFINE_PAGE_10_STATUS', '1', 'Enable the Defined Page 10 Link/Text?<br/>0= Link ON, Define Text OFF<br/>1= Link ON, Define Text ON<br/>2= Link OFF, Define Text ON<br/>3= Link OFF, Define Text OFF', '25', '90', now(), now(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) values ('Define Page 11', 'DEFINE_PAGE_11_STATUS', '1', 'Enable the Defined Page 11 Link/Text?<br/>0= Link ON, Define Text OFF<br/>1= Link ON, Define Text ON<br/>2= Link OFF, Define Text ON<br/>3= Link OFF, Define Text OFF', '25', '91', now(), now(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) values ('Define Page 12', 'DEFINE_PAGE_12_STATUS', '1', 'Enable the Defined Page 12 Link/Text?<br/>0= Link ON, Define Text OFF<br/>1= Link ON, Define Text ON<br/>2= Link OFF, Define Text ON<br/>3= Link OFF, Define Text OFF', '25', '92', now(), now(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) values ('Define Page 13', 'DEFINE_PAGE_13_STATUS', '1', 'Enable the Defined Page 13 Link/Text?<br/>0= Link ON, Define Text OFF<br/>1= Link ON, Define Text ON<br/>2= Link OFF, Define Text ON<br/>3= Link OFF, Define Text OFF', '25', '93', now(), now(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) values ('Define Page 14', 'DEFINE_PAGE_14_STATUS', '1', 'Enable the Defined Page 14 Link/Text?<br/>0= Link ON, Define Text OFF<br/>1= Link ON, Define Text ON<br/>2= Link OFF, Define Text ON<br/>3= Link OFF, Define Text OFF', '25', '94', now(), now(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) values ('<b>Define Page 15</b>', 'DEFINE_PAGE_15_STATUS', '1', 'Enable the Defined Page 15 Link/Text?<br/>0= Link ON, Define Text OFF<br/>1= Link ON, Define Text ON<br/>2= Link OFF, Define Text ON<br/>3= Link OFF, Define Text OFF', '25', '95', now(), now(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\', \'2\', \'3\'),');


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('DEFINE_PAGE_10_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('DEFINE_PAGE_11_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('DEFINE_PAGE_12_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('DEFINE_PAGE_13_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('DEFINE_PAGE_14_STATUS');
# DELETE FROM configuration WHERE configuration_key in ('DEFINE_PAGE_15_STATUS');
## DELETE CODE





### Twitch Admin Control Sidebox Links

## Blog Link
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>AdmCtrl Sidebox Links</b> Blog Link Name', 'TWI_ADMCTRL_SIDEBOXLINK_BLOG_LINK_TEXT', 'Blog Link', 'Enter <strong>Blog </strong>Sidebox Link Button Text', '52', '80', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Sidebox Links Blog Address', 'TWI_ADMCTRL_SIDEBOXLINK_BLOG', 'https://Twitch Base7 - BLOG_LINK_HERE', 'Enter <strong>Blog </strong>Sidebox Link (format - https://www.yoursite.com) <br/><br/> Sidebox Link (Leave blank to hide)', '52', '81', '', '', now());


## Partner Link
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>AdmCtrl Sidebox Links</b> Partner Link Name', 'TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK_TEXT', 'Partner Link', 'Enter <strong>Partner </strong>Sidebox Link Button Text', '52', '82', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Sidebox Links Partner Address', 'TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK', 'https://Twitch Base7 - PARTNER_LINK_HERE', 'Enter <strong>Partner </strong>Sidebox Link (format - https://www.yoursite.com) <br/><br/> Sidebox Link (Leave blank to hide)', '52', '83', '', '', now());


## Partner2 Link
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>AdmCtrl Sidebox Links</b> Partner2 Link Name', 'TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK_TEXT', 'Partner2 Link', 'Enter <strong>Partner2 </strong>Sidebox Link Button Text', '52', '84', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('AdmCtrl Sidebox Links Partner2 Address', 'TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK', 'https://Twitch Base7 - PARTNER2_LINK_HERE', 'Enter <strong>Partner2 </strong>Sidebox Link (format - https://www.yoursite.com) <br/><br/> Sidebox Link (Leave blank to hide)', '52', '85', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_SIDEBOXLINK_BLOG');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_SIDEBOXLINK_BLOG_LINK_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_SIDEBOXLINK_PARTNER_LINK_TEXT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADMCTRL_SIDEBOXLINK_PARTNER2_LINK_TEXT');
## DELETE CODE





### Categories Sidebox Heading Link - ShowAll NOT INSTALLED (see c-p site as source)
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('<b>Categories Sidebox</b> Heading Link', 'LR_NAVCAT_SIDEBOX_SELECT', 'DrillDown', '<b>Stock</b> = Default Categories Sidebox Navigation <br/><br/> <b>DrillDown</b> = Only show products in selected category <br/><br/> <b>ShowAll</b> = <b>NOT INSTALLED</b> (Please contact Twitch to install this feature) ShowAll categories and products in Categories Sidebox Navigation <br/><br/> Default => DrillDown', '50', '160', 'zen_cfg_select_option(array(\'Stock\',\'DrillDown\', \'ShowAll\'), ', now());

### Twitch Sidebox Link Control - Gift Certificate FAQ
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display <b>Sidebox</b> Link <b>Gift Certificate FAQ</b>', 'TWI_SHOW_SIDEBOX_LINK_GV_FAQ', 'Show', 'Default => Show', '50', '162', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

### Twitch Sidebox Link Control - Discount Coupons
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display <b>Sidebox</b> Link <b>Discount Coupons</b>', 'TWI_SHOW_SIDEBOX_LINK_DISCOUNT_COUPON', 'Show', 'Default => Show', '50', '164', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('LR_NAVCAT_SIDEBOX_SELECT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_SIDEBOX_LINK_GV_FAQ');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_SIDEBOX_LINK_DISCOUNT_COUPON');
## DELETE CODE





### Twitch Quick Reorder
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show <b>Quick Reorder</b> Module?', 'SHOW_QUICK_REORDER_MOBILE', 'Show', '<b>Show</b> on mobile menu, reorder page, order history heading (default) <br/> <b>Hide</b> = OFF <br/><br/> <b>Note:</b> order_history sidebox must be turned on to display <br/> <b>Admin > Tools > Layout Boxes > order_history </b>', '50', '180', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show Quick Reorder on Mobile Menu as page link or inline?', 'SHOW_QUICK_REORDER_MOBILE_LINK', 'Page', '<b>Page</b> - Show separate page with list of reorder products (default) <br/><br/> <b>Inline</b> - Show up to 5 quick reorder products on mobile menu', '50', '181', 'zen_cfg_select_option(array(\'Page\', \'Inline\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Maximum Display of Products on Reorder Page', 'MAX_DISPLAY_PRODUCTS_REORDER_PAGE_LIST', '50', 'Number of products to display on the Reorder Products page Default => 50', '50', '182', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Quick Reorder Page Links', 'QUICK_REORDER_SPLIT_LINK', 'Image Link', '<b>Text Link</b> - Show product link and add to cart icon <br/><br/> <b>Image Link</b> - Clickable product image with text link and add to cart icon (default)', '50', '183', 'zen_cfg_select_option(array(\'Text Link\', \'Image Link\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_QUICK_REORDER_MOBILE');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_QUICK_REORDER_MOBILE_LINK');
# DELETE FROM configuration WHERE configuration_key in ('MAX_DISPLAY_PRODUCTS_REORDER_PAGE_LIST');
# DELETE FROM configuration WHERE configuration_key in ('QUICK_REORDER_SPLIT_LINK');
## DELETE CODE




### Twitch product_info Click to Enlarge Switch - see includes/modules/pages/product_info/jscript_main.php for image load fix
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Show <b>Click to Enlarge</b> link on product_info page', 'TWI_CLICK_TO_ENLARGE_SWITCH', 'Show', 'Default => Show', '50', '190', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

### Twitch product_info Quantity Box Switch
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Show Add to Cart <b>Quantity Box</b> on product_info', 'TWI_MASTER_QTYBOX_SWITCH', 'Show', 'Default => Show', '50', '192', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

### Twitch Category List Image or Button Control
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Show <b>Index</b> Category Image or Button', 'TWI_INDEX_CATEGORY_IMAGE_OR_BUTTON', 'Image Link', 'Image = Show Image with text link <br/> Button = No Image Shown - Use CSS button <br/><br/> Default => Image', '50', '194', now(), NULL, 'zen_cfg_select_option(array(\'Image Link\', \'Button\'), ');


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_CLICK_TO_ENLARGE_SWITCH');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MASTER_QTYBOX_SWITCH');
# DELETE FROM configuration WHERE configuration_key in ('TWI_INDEX_CATEGORY_IMAGE_OR_BUTTON');
## DELETE CODE





### Twitch Product Listing Advanced

## Remove Original Switch to add new one
DELETE from configuration where configuration_key in ('PRODUCT_LISTING_COLUMNS_PER_ROW');
## DELETE CODE

## Add the new one
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('<b>Rows = 1</b> or Set <b>Columns</b> Per Row', 'PRODUCT_LISTING_COLUMNS_PER_ROW', '1', 'Select the number of columns of products to show per row in the product listing.<br>1 = Display products in rows<br><br>Default => 3', '8', '45', NULL, now(), NULL, NULL);

## Original Switch return to stock switch
## Developers Only - INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('Columns Per Row', 'PRODUCT_LISTING_COLUMNS_PER_ROW', '1', 'Select the number of columns of products to show per row in the product listing.<br>Recommended: 3<br>1=[rows] mode.', '8', '45', NULL, now(), NULL, NULL);
##
#

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('<b>Product Listing Adv</b> Show Sort Heading ASC|DESC', 'PRODUCT_LISTING_GRID_SORT', 'Show', 'Default => Show', '8', '110', NULL, now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('<b>Product Listing Adv</b> Layout Style', 'PRODUCT_LISTING_LAYOUT_STYLE', 'columns', '<b>Select the layout style:</b><br/>Each product can be listed in its own row (rows option) or products can be listed in multiple columns per row <br/><br/> Default => columns <br/><br/><b>Note:</b> If Customer Control (PRODUCT_LISTING_LAYOUT_STYLE_CUSTOMER) is enabled this sets the default style.', '8', '41', NULL, now(), NULL, 'zen_cfg_select_option(array(\'rows\', \'columns\'),');

### Twitch Product Listing Customer Controls
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('<b>Product Listing Adv</b> Layout Style - Customer Control', 'PRODUCT_LISTING_LAYOUT_STYLE_CUSTOMER', 'Show', 'Allow customer to select the product listing layout style (rows or columns) <br/><br/> Default => Show <br/><br/> <b>Note:</b> This switch overrides the stock Columns Per Row (PRODUCT_LISTING_COLUMNS_PER_ROW) function when enabled', '8', '43', NULL, now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('<b>Show Product Images</b> Layout Style', 'TWI_PRODUCT_LISTING_IMAGE_DISPLAY', 'show_images', 'Show/Hide Product Images in Product Listing<br/>If customer control is enabled this sets the default. <br/> Default => show_images <br/><br/> <b>Note:</b> Display Product Image remains the master switch (stock)', '8', '112', NULL, now(), NULL, 'zen_cfg_select_option(array(\'hide_images\', \'show_images\'),');

### Twitch Product Listing Image Control
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('<b>Show Product Images</b> Layout Style - Customer Control', 'TWI_PRODUCT_LISTING_IMAGE_CUSTOMER_CONTROL', 'Show', 'Allow the customer to show or hide the product image <br/> Default => Show', '8', '113', NULL, now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'),');


## DELETE CODE
# DELETE from configuration where configuration_key in ('PRODUCT_LISTING_GRID_SORT');
# DELETE from configuration where configuration_key in ('PRODUCT_LISTING_LAYOUT_STYLE');
# DELETE from configuration where configuration_key in ('PRODUCT_LISTING_LAYOUT_STYLE_CUSTOMER');
# DELETE from configuration where configuration_key in ('TWI_PRODUCT_LISTING_IMAGE_DISPLAY');
# DELETE from configuration where configuration_key in ('TWI_PRODUCT_LISTING_IMAGE_CUSTOMER_CONTROL');
## DELETE CODE





### Twitch Product Group Display Buttons on Product Listing
## new master on-off switch
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display <b>Product Groups</b> on product listing page', 'TWI_PL_PRODUCT_GROUP_SWI', 'ON', '<b>Note:</b> Check that DROPDOWN OR CSS BUTTONS switches are turned on  <br/><br/> Default => ON', '54', '1', now(), NULL, 'zen_cfg_select_option(array(''ON'', ''OFF''), ');

## new switch - dropdown
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display groups of products as DROPDOWN on the product listing page?', 'TWI_PL_PRODUCT_GROUP_DROPDOWN', 'Hide', 'Default => Hide', '54', '3', now(), NULL, 'zen_cfg_select_option(array(''Show'', ''Hide''), ');

## new switch - buttons
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display groups of products as CSS BUTTONS on the product listing page?', 'TWI_PL_PRODUCT_GROUP_BUTTONS', 'Show', 'Default => Show', '54', '5', now(), NULL, 'zen_cfg_select_option(array(''Show'', ''Hide''), ');

## Admin control - all products (default)
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Option <b>All Products</b>', 'TWI_PL_PGROUP_ALL', 'All Products', '<br/>Twitch Note: Unless you are me, do not change this value it is connected to the hard code', '54', '7', '', '', now());


## Look in product field (found in default_filter.php):
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups <b>Button 1</b> Look in p.product_field', 'TWI_PL_PGROUP_B1_FIELD', 'p.products_model', '<b>Developers Only</b><br/>Look in product field (found in default_filter.php): <br/>p.products_model (default format p.products_field_name_here)', '54', '40', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups <b>Button 2</b> Look in p.product_field', 'TWI_PL_PGROUP_B2_FIELD', 'p.products_model', '<b>Developers Only</b><br/>Look in product field (found in default_filter.php): <br/>p.products_model (default format p.products_field_name_here)', '54', '50', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups <b>Button 3</b> Look in p.product_field', 'TWI_PL_PGROUP_B3_FIELD', 'p.products_model', '<b>Developers Only</b><br/>Look in product field (found in default_filter.php): <br/>p.products_model (default format p.products_field_name_here)', '54', '60', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups <b>Button 4</b> Look in p.product_field', 'TWI_PL_PGROUP_B4_FIELD', 'p.products_model', '<b>Developers Only</b><br/>Look in product field (found in default_filter.php): <br/>p.products_model (default format p.products_field_name_here)', '54', '70', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups <b>Button 5</b> Look in p.product_field', 'TWI_PL_PGROUP_B5_FIELD', 'p.products_model', '<b>Developers Only</b><br/>Look in product field (found in default_filter.php): <br/>p.products_model (default format p.products_field_name_here)', '54', '80', '', '', now());


## find this text:
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Button 1 - Find keyword LIKE text', 'TWI_PL_PGROUP_B1_FIND', 'model_123', '<br/>Find keywords LIKE: <br/>YOUR_PRODUCT_GROUPS_NAME_HERE (Example: model_123)', '54', '41', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Button 2 - Find keyword LIKE text', 'TWI_PL_PGROUP_B2_FIND', 'model_123', '<br/>Find keywords LIKE: <br/>YOUR_PRODUCT_GROUPS_NAME_HERE (Example: model_123)', '54', '51', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Button 3 - Find keyword LIKE text', 'TWI_PL_PGROUP_B3_FIND', 'model_123', '<br/>Find keywords LIKE: <br/>YOUR_PRODUCT_GROUPS_NAME_HERE (Example: model_123)', '54', '61', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Button 4 - Find keyword LIKE text', 'TWI_PL_PGROUP_B4_FIND', 'model_123', '<br/>Find keywords LIKE: <br/>YOUR_PRODUCT_GROUPS_NAME_HERE (Example: model_123)', '54', '71', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Button 5 - Find keyword LIKE text', 'TWI_PL_PGROUP_B5_FIND', 'model_123', '<br/>Find keywords LIKE: <br/>YOUR_PRODUCT_GROUPS_NAME_HERE (Example: model_123)', '54', '81', '', '', now());


## Display this text
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Option <b>TEXT</b> - Button 1', 'TWI_PL_PGROUP_B1', 'b1_option_text', '(Leave blank to hide)<br/>Display this text on button or dropdown option:', '54', '42', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Option <b>TEXT</b> - Button 2', 'TWI_PL_PGROUP_B2', 'b2_option_text', '(Leave blank to hide)<br/>Display this text on button or dropdown option:', '54', '52', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Option <b>TEXT</b> - Button 3', 'TWI_PL_PGROUP_B3', 'b3_option_text', '(Leave blank to hide)<br/>Display this text on button or dropdown option:', '54', '62', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Option <b>TEXT</b> - Button 4', 'TWI_PL_PGROUP_B4', 'b4_option_text', '(Leave blank to hide)<br/>Display this text on button or dropdown option:', '54', '72', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Groups Option <b>TEXT</b> - Button 5', 'TWI_PL_PGROUP_B5', 'b5_option_text', '(Leave blank to hide)<br/>Display this text on button or dropdown option:', '54', '82', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PRODUCT_GROUP_SWI');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PRODUCT_GROUP_DROPDOWN');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PRODUCT_GROUP_BUTTONS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_ALL');

# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B1_FIELD');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B2_FIELD');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B3_FIELD');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B4_FIELD');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B5_FIELD');

# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B1_FIND');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B2_FIND');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B3_FIND');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B5_FIND');

# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B1');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B2');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B3');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B4');
# DELETE FROM configuration WHERE configuration_key in ('TWI_PL_PGROUP_B5');
## DELETE CODE





### Now we add character spacing for more complicated keyword search applications using the products_model and hidden model - spoon
## Twitch products_model update
## Allow longer than default - varchar(32) character names
ALTER TABLE products MODIFY COLUMN products_model VARCHAR(128);
ALTER TABLE products MODIFY COLUMN products_model_spoon VARCHAR(128);

## DELETE CODE - return to default varchar
# ALTER TABLE products MODIFY COLUMN products_model VARCHAR(32);
# ALTER TABLE products MODIFY COLUMN products_model_spoon VARCHAR(64);
## DELETE CODE





### Twitch Manual Restrict Categories (MRC) Display Banner
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Manual Restrict Categories <b>MRC Display Banner</b>', 'TWI_MRC_CONTROL_SWITCH', 'Show', '<br/><b>Note: </b>CSS changes may be needed to justify the display left/center/right to suit your needs - see code remarks/module manual.<br/><br/>Hide - no restriction - no banner (default)<br/>Show - hide selected categories add to cart button - show banner<br/><br/><b>IMPORTANT: </b>If the banner <b>twi_MRC_switch</b> is not installed or the banner status has been <b>disabled</b> it will not display', '50', '200', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Add a banner set and pair banner with banner group...
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MRC Display Banner SHOW_BANNERS_GROUP_SET32', 'SHOW_BANNERS_GROUP_SET32', 'twi_MRC_switch', 'Default Group => twi_MRC_switch<br/><br/>What Banner Group(s) do you want to use in the Manual Restrict Categories Display Banner?<br/>Leave blank for none (<b>Redoc Note:</b> This bypasses the ON/OFF switch)', '50', '202', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Manual Restrict Categories - Product Listing - <b>Show Add To Cart</b>', 'TWI_MRC_SHOW_ADDTOCART', 'Show', 'Restuarants may appreciate turning off the Add to Cart button to create a clickable showcase product listing menu also forcing click-to-product to add-to-cart <br/><br/> Default => Show (stock)', '50', '204', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show MRC Banner on <b>tpl_header</b>', 'TWI_MRC_SHOW_ON_HEADER', 'Show', 'Default => Show ', '50', '206', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show MRC Banner on <b>tpl_main_page</b>', 'TWI_MRC_SHOW_ON_MAIN', 'Show', 'Default => Show ', '50', '208', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## Add an active banner...
INSERT INTO banners (banners_title, banners_url, banners_image, banners_group, banners_html_text, expires_impressions, expires_date, date_scheduled, date_added, date_status_change, status, banners_open_new_windows, banners_on_ssl, banners_sort_order) VALUES ('MRC Banner', '', '', 'twi_MRC_switch', '<div id=\"DefaultMRCBanner\">\r\n<br/>\r\n\r\nMRC Banner - Category Specific - Product Message\r\n\r\n<br/><br/>\r\n</div>', 1000000, NULL, NULL, '2020-05-15 04:20:12', '2020-05-15 04:21:30', 1, 0, 1, 1);

## Install MRC category control switch
ALTER TABLE categories ADD categories_mrc_status tinyint(1) NOT NULL default '1';
ALTER TABLE categories ADD INDEX idx_status_mrc_zen (categories_mrc_status);


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_MRC_CONTROL_SWITCH');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_BANNERS_GROUP_SET32');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MRC_SHOW_ADDTOCART');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MRC_SHOW_ON_HEADER');
# DELETE FROM configuration WHERE configuration_key in ('TWI_MRC_SHOW_ON_MAIN');
# ALTER TABLE categories DROP categories_mrc_status;
## DELETE CODE




### Twitch Hide Price Out of Stock
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch HOOPS <b>Hide Price</b> when Quantity is Zero/Out of Stock', 'SHOW_HOOPS', 'Show', 'Hide product price when the product is out of stock - quantity 0  <br/> Tracer: SHOW_HOOPS <br/><br/> Default => Show (stock)', '50', '220', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_HOOPS');
## DELETE CODE




### Twitch Product Image Link on Account History
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Product Image Link</b> on Account History', 'SHOW_PRODUCT_IMAGELINK_ACCOUNT_HISTORY', 'Show', 'Hide = Stock Product Name Text (no image) <br/><br/> Link will only show if product stock > 1 or product status = ON <br/>Tracer: SHOW_PRODUCT_IMAGELINK_ACCOUNT_HISTORY <br/><br/> Default => Show', '50', '224', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Product Image Link</b> on Account History - Link Type', 'IMAGELINK_ACCOUNT_HISTORY_LINK_TYPE', 'Image', '<b>Image</b> = Display link to product <br/> <b/>Reorder</b> = Display as add to cart link <br/><br/> Default => Image', '50', '226', 'zen_cfg_select_option(array(\'Image\', \'Reorder\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_PRODUCT_IMAGELINK_ACCOUNT_HISTORY');
# DELETE FROM configuration WHERE configuration_key in ('IMAGELINK_ACCOUNT_HISTORY_LINK_TYPE');
## DELETE CODE





INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Block Email Domains on Create Account?', 'BLOCK_NEW_ACC_EMAIL_DOMAINS', 'ON', 'ON - Block Email Domains in TWI_BLOCKED_DOMAIN_LIST (default)', '50', '230', 'zen_cfg_select_option(array(\'ON\', \'OFF\'), ', now());
##
#
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Block Email Domains List', 'TWI_BLOCKED_DOMAIN_LIST', 'blockthisdomain.com', 'Enter the domains you would like to block,separated by commas,with NO SPACES, to prevent clients signing up with abusive or incompatible email domains <br/><br/> (Example: outlook.com,hotmail.com,live.ca)', '50', '232', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('BLOCK_NEW_ACC_EMAIL_DOMAINS');
# DELETE FROM configuration WHERE configuration_key in ('TWI_BLOCKED_DOMAIN_LIST');
## DELETE CODE











### Twitch CASL Advanced - Built in Canadian compliance for Canada Anti-Spam Legislation (CASL) 

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added)
VALUES ('<b>Canada Anti-Spam Legislation</b> (CASL) Compliance', 'SHOW_TWITCH_CASL', 'Compliant', 'This module is a legal requirement for online shops in Canada, check your provincial/federal government legislation <br/><br/> Default => Compliant', '11', '20', 'zen_cfg_select_option(array(\'Compliant\', \'Non-Compliant\'), ', now());

## DELETE CODE
## DELETE FROM configuration WHERE configuration_key in ('SHOW_TWITCH_CASL');
## DELETE CODE


## Remove original switches
DELETE FROM configuration WHERE configuration_key in ('DISPLAY_PRIVACY_CONDITIONS');
DELETE FROM configuration WHERE configuration_key in ('DISPLAY_CONDITIONS_ON_CHECKOUT');

## Add new switches
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Confirm <b>Privacy Notice</b> During Account Creation Procedure', 'DISPLAY_PRIVACY_CONDITIONS', 'false', 'Show the Privacy Notice during the account creation procedure which the customer must agree to.', '11', '2', 'zen_cfg_select_option(array(\'true\', \'false\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Confirm <b>Conditions of Use</b> During Checkout Procedure', 'DISPLAY_CONDITIONS_ON_CHECKOUT', 'false', 'Show the Conditions of Use during the checkout procedure which the customer must agree to.', '11', '4', 'zen_cfg_select_option(array(\'true\', \'false\'), ', now());


## Original switch
## Developers only - INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Confirm Terms and Conditions During Checkout Procedure', 'DISPLAY_CONDITIONS_ON_CHECKOUT', 'false', 'Show the Terms and Conditions during the checkout procedure which the customer must agree to.', '11', '1', 'zen_cfg_select_option(array(\'true\', \'false\'), ', now());
## Developers only - INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Confirm Privacy Notice During Account Creation Procedure', 'DISPLAY_PRIVACY_CONDITIONS', 'false', 'Show the Privacy Notice during the account creation procedure which the customer must agree to.', '11', '2', 'zen_cfg_select_option(array(\'true\', \'false\'), ', now());


## Install Confirm Conditions on Account Create for CASL
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Confirm <b>Conditions of Use</b> During Account Creation Procedure', 'TWI_DISPLAY_CONDITIONS_ACC_CREATE', 'false', 'Show the Conditions of Use during the account creation procedure - customer must agree to to continue. Record in database per CASL regulations.', '11', '6', 'zen_cfg_select_option(array(\'true\', \'false\'), ', now());

## DELETE CODE
## DELETE FROM configuration WHERE configuration_key in ('TWI_DISPLAY_CONDITIONS_ACC_CREATE');
## DELETE CODE



## Install CASL table...
## We need to add to Database:
## Table - cust_casl
## Columns - cust_casl_id, date_checked, casl_purpose, ip_address, privacy_read, conditions_read, acc_create_date
## (note charset changed for 1.56c)

## Add the categories_customers table:
CREATE TABLE IF NOT EXISTS cust_casl (cust_casl_id int(11) NOT NULL, date_checked datetime NOT NULL, casl_purpose varchar(128) NOT NULL, ip_address varchar(45) NOT NULL, privacy_read VARCHAR(128) NOT NULL, conditions_read VARCHAR(128) NOT NULL, acc_create_date datetime NOT NULL, PRIMARY KEY (cust_casl_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

## DELETE CODE
# DROP TABLE IF EXISTS cust_casl;
## DELETE CODE

## Add all existing customers to the new table:
INSERT INTO cust_casl (cust_casl_id) 
SELECT customers_id FROM customers;

## Add pre compliance text to db - this ensures merged databases can explain potential empty or unconfirmed CASL terms/purpose:
UPDATE cust_casl
SET casl_purpose  = 'No CASL record. Customer added prior to CASL install.';

## Run this on existing database customer list only.

## Add pre compliance text to db - this ensures merged databases can explain potential empty or unconfirmed CASL privacy/conditions:
UPDATE cust_casl
SET privacy_read  = 'No CASL Privacy record found. Customer added prior to CASL install.';

UPDATE cust_casl
SET conditions_read  = 'No CASL Conditions record found. Customer added prior to CASL install.';

UPDATE cust_casl
SET acc_create_date  = now();




### Canada Taxes for 1.57c
INSERT INTO geo_zones (geo_zone_id, geo_zone_name, geo_zone_description, last_modified, date_added) VALUES
(2, 'Alberta', 'AB - GST', NULL, '2020-05-13 02:48:05'),
(3, 'British Columbia', 'BC - HST', NULL, '2020-05-13 02:48:36'),
(4, 'Manitoba', 'MB - GST', NULL, '2020-05-13 02:49:07'),
(5, 'New Brunswick', 'NB - HST', NULL, '2020-05-13 02:49:37'),
(6, 'Newfoundland', 'NL - HST', NULL, '2020-05-13 02:49:58'),
(7, 'Northwest Territories', 'NT - GST', NULL, '2020-05-13 02:50:22'),
(8, 'Nova Scotia', 'NS - HST', NULL, '2020-05-13 02:50:42'),
(9, 'Nunavut', 'NU - GST', NULL, '2020-05-13 02:51:05'),
(10, 'Ontario', 'ON - HST', NULL, '2020-05-13 02:51:23'),
(11, 'Prince Edward Island', 'PE - GST', NULL, '2020-05-13 02:51:45'),
(12, 'Quebec', 'QC - GST', NULL, '2020-05-13 02:52:06'),
(13, 'Saskatchewan', 'SK - GST', NULL, '2020-05-13 02:52:27'),
(14, 'Yukon Territory', 'YT - GST', NULL, '2020-05-13 02:52:46');

## DELETE CODE
# DELETE FROM geo_zones WHERE geo_zone_name in ('Alberta');
# DELETE FROM geo_zones WHERE geo_zone_name in ('British Columbia');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Manitoba');
# DELETE FROM geo_zones WHERE geo_zone_name in ('New Brunswick');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Newfoundland');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Northwest Territories');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Nova Scotia');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Nunavut');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Ontario');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Prince Edward Island');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Quebec');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Saskatchewan');
# DELETE FROM geo_zones WHERE geo_zone_name in ('Yukon Territory');
## DELETE CODE


INSERT INTO tax_rates (tax_rates_id, tax_zone_id, tax_class_id, tax_priority, tax_rate, tax_description, last_modified, date_added) VALUES
(2, 2, 1, 0, 5.0000, 'AB - GST', NULL, '2020-05-13 02:54:39'),
(3, 3, 1, 0, 12.0000, 'BC - PST + GST', NULL, '2020-05-13 02:55:23'),
(4, 4, 1, 0, 12.0000, 'NB - GST + PST', NULL, '2020-05-13 02:55:59'),
(5, 5, 1, 0, 15.0000, 'NB - HST', NULL, '2020-05-13 02:56:23'),
(6, 6, 1, 0, 15.0000, 'NL - HST', NULL, '2020-05-13 02:57:00'),
(7, 7, 1, 0, 5.0000, 'NT - GST', NULL, '2020-05-13 02:57:34'),
(8, 8, 1, 0, 15.0000, 'NS - HST', NULL, '2020-05-13 02:58:16'),
(9, 9, 1, 0, 5.0000, 'NU - GST', NULL, '2020-05-13 02:58:46'),
(10, 10, 1, 0, 13.0000, 'ON - HST', NULL, '2020-05-13 02:59:13'),
(11, 11, 1, 0, 15.0000, 'PE - HST', NULL, '2020-05-13 02:59:42'),
(12, 12, 1, 0, 14.9750, 'QC - GST + QST', NULL, '2020-05-13 03:00:16'),
(13, 13, 1, 0, 11.0000, 'SK - GST + PST', NULL, '2020-05-13 03:00:42'),
(14, 14, 1, 0, 5.0000, 'YT - GST', NULL, '2020-05-13 03:01:09');


## DELETE CODE
# DELETE FROM tax_rates WHERE tax_zone_id in ('2');
# DELETE FROM tax_rates WHERE tax_zone_id in ('3');
# DELETE FROM tax_rates WHERE tax_zone_id in ('4');
# DELETE FROM tax_rates WHERE tax_zone_id in ('5');
# DELETE FROM tax_rates WHERE tax_zone_id in ('6');
# DELETE FROM tax_rates WHERE tax_zone_id in ('7');
# DELETE FROM tax_rates WHERE tax_zone_id in ('8');
# DELETE FROM tax_rates WHERE tax_zone_id in ('9');
# DELETE FROM tax_rates WHERE tax_zone_id in ('10');
# DELETE FROM tax_rates WHERE tax_zone_id in ('11');
# DELETE FROM tax_rates WHERE tax_zone_id in ('12');
# DELETE FROM tax_rates WHERE tax_zone_id in ('13');
# DELETE FROM tax_rates WHERE tax_zone_id in ('14');
## DELETE CODE



INSERT INTO zones_to_geo_zones (association_id, zone_country_id, zone_id, geo_zone_id, last_modified, date_added) VALUES
(2, 38, 66, 2, NULL, '2020-05-13 03:02:19'),
(3, 38, 67, 3, NULL, '2020-05-13 03:02:51'),
(4, 38, 68, 4, NULL, '2020-05-13 03:03:06'),
(5, 38, 70, 5, NULL, '2020-05-13 03:03:22'),
(6, 38, 69, 6, NULL, '2020-05-13 03:03:38'),
(7, 38, 72, 7, NULL, '2020-05-13 03:03:53'),
(8, 38, 71, 8, NULL, '2020-05-13 03:04:09'),
(9, 38, 73, 9, NULL, '2020-05-13 03:04:24'),
(10, 38, 74, 10, NULL, '2020-05-13 03:04:39'),
(11, 38, 75, 11, NULL, '2020-05-13 03:04:54'),
(12, 38, 76, 12, NULL, '2020-05-13 03:05:08'),
(13, 38, 77, 13, NULL, '2020-05-13 03:05:22'),
(14, 38, 78, 14, NULL, '2020-05-13 03:05:39');


## DELETE CODE
# DELETE FROM zones_to_geo_zones WHERE zone_country_id in ('38');
## DELETE CODE


### These settings should be automatically updated when entering via Tools > Install SQL Patches
## add the auto increment:
## 
## ALTER TABLE geo_zones
##   MODIFY geo_zone_id int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
## ALTER TABLE tax_rates
##   MODIFY tax_rates_id int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
## ALTER TABLE zones_to_geo_zones
##   MODIFY association_id int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
#





### Twitch Additional Product Images
## Drop original switch found in Admin > Catalog > Product Types > Product - General > Edit Layout > Show Product Additional Images
DELETE FROM product_type_layout WHERE configuration_key = 'SHOW_PRODUCT_INFO_ADDITIONAL_IMAGES';
## DELETE CODE


## Install new 3 position radio switch back into the loaction of the old switch
INSERT INTO product_type_layout (configuration_title, configuration_key, configuration_value, configuration_description, product_type_id, sort_order, set_function, date_added) VALUES ('Display <b>Twitch </b> Additional Product Images on Product Info', 'SHOW_PRODUCT_INFO_ADDITIONAL_IMAGES', '1', '0 = Hide <br/> 1 = Show stock <b>Zen Cart</b> Additional Images <br/> 2 = Show <b>Twitch</b> Additional Product Images <br/><br/> Default => 2', '1', '13', 'zen_cfg_select_option(array(\'0\', \'1\', \'2\'), ', now());


### Original switch
## Developers only - INSERT INTO product_type_layout (configuration_title, configuration_key, configuration_value, configuration_description, product_type_id, sort_order, set_function, date_added) VALUES ('Show Product Additional Images', 'SHOW_PRODUCT_INFO_ADDITIONAL_IMAGES', '1', 'Display Additional Images on Product Info 0= off 1= on', '1', '13', 'zen_cfg_select_drop_down(array(array(\'id\'=>\'1\', \'text\'=>\'True\'), array(\'id\'=>\'0\', \'text\'=>\'False\')), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Twitch</b> Additional Product Images (secondary switch)', 'TWI_ADDITIONAL_PRODUCT_IMAGES', 'Show', 'This switch controls live site display secondary to the master switch found in <b>Admin</b> > Catalog > Product Types > Product - General > Edit Layout > Display <b>Twitch</b> Additional Product Images on Product Info <br/><br/> Default => Show', '50', '240', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Twitch</b> Additional Product Images <b>click to enlarge</b>', 'TWI_ADDITIONAL_IMAGES_CLICKTOENLARGE', 'Show', 'Default => Show', '50', '242', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Admin Edit Product - Show <b>Additional</b> Product Images', 'ADDITIONAL_IMAGES_ADMIN_EDITPRODUCT', 'Show', 'Default => Show', '42', '160', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADDITIONAL_PRODUCT_IMAGES');
# DELETE FROM configuration WHERE configuration_key in ('TWI_ADDITIONAL_IMAGES_CLICKTOENLARGE');
# DELETE FROM configuration WHERE configuration_key in ('ADDITIONAL_IMAGES_ADMIN_EDITPRODUCT');
## DELETE CODE



## SQL Update - Add the additional product image fields to the products table:
ALTER TABLE products ADD products_image1 VARCHAR(255) NULL AFTER products_image;
ALTER TABLE products ADD products_image2 VARCHAR(255) NULL AFTER products_image1;
ALTER TABLE products ADD products_image3 VARCHAR(255) NULL AFTER products_image2;
ALTER TABLE products ADD products_image4 VARCHAR(255) NULL AFTER products_image3;
ALTER TABLE products ADD products_image5 VARCHAR(255) NULL AFTER products_image4;
ALTER TABLE products ADD products_image6 VARCHAR(255) NULL AFTER products_image5;
ALTER TABLE products ADD products_image7 VARCHAR(255) NULL AFTER products_image6;
ALTER TABLE products ADD products_image8 VARCHAR(255) NULL AFTER products_image7;


## DELETE CODE
# ALTER TABLE products DROP products_image1;
# ALTER TABLE products DROP products_image2;
# ALTER TABLE products DROP products_image3;
# ALTER TABLE products DROP products_image4;
# ALTER TABLE products DROP products_image5;
# ALTER TABLE products DROP products_image6;
# ALTER TABLE products DROP products_image7;
# ALTER TABLE products DROP products_image8;
## DELETE CODE





## Twitch Login Sidebox - set new defaults on login box and shopping cart box

## Remove original
DELETE FROM layout_boxes WHERE layout_box_name in ('shopping_cart.php');
## DELETE CODE

## Add new
INSERT INTO layout_boxes (layout_template, layout_box_name, layout_box_status, layout_box_location, layout_box_sort_order, layout_box_sort_order_single, layout_box_status_single) VALUES ('responsive_classic', 'shopping_cart.php', 1, 1, 1, 1, 1);


INSERT INTO layout_boxes (layout_template, layout_box_name, layout_box_status, layout_box_location, layout_box_sort_order, layout_box_sort_order_single, layout_box_status_single) VALUES ('responsive_classic', 'login_box.php', 1, 1, 4, 4, 1);

## DELETE CODE
# DELETE FROM layout_boxes WHERE layout_box_name in ('login_box.php');
## DELETE CODE





### Twitch Attribute Date Select Input Field
## Redoc Note: this has been coded to only include ID's hard coded below or 0 = Not set
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Attribute Date/Time Select</b> Input Field', 'SHOW_ATTDATETIME', 'Show', 'Date and time settings can be edited in <b>Admin</b> > Tools > Define Pages Editor > <b>define_twi_date_select_edit.php</b> <br/><br/><b>Important: </b> Hide = Product Option will load a default text field that will send any text the customer enters (or blank) as an attribute - this is not an error. <br/><br/> Next you will need to <b>Set ></b> Show Attribute Date/Time Select on <b>Product Option ID\'s</b> <br/><br/> Default => Show', '52', '100', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Show <b>Attribute Date</b> Select on Product Option ID <b>A</b>', 'ATTDATE_ID_A', '0', 'Enter the <b>Attribute</b> - Product Option Name ID to display <b>attribute date</b> input <br/><br/> Default => 0 = Not Set', '52', '102', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Show <b>Attribute Date</b> Select on Product Option ID <b>B</b>', 'ATTDATE_ID_B', '0', 'Enter the <b>Attribute</b> - Product Option Name ID to display <b>attribute date</b> input <br/><br/> Default => 0 = Not Set', '52', '104', '', '', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Show <b>Attribute Time</b> Select on Product Option ID <b>A</b>', 'ATTTIME_ID_A', '0', 'Enter the <b>Attribute</b> - Product Option Name ID to display <b>attribute time</b> input <br/><br/> Default => 0 = Not Set', '52', '112', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Show <b>Attribute Time</b> Select on Product Option ID <b>B</b>', 'ATTTIME_ID_B', '0', 'Enter the <b>Attribute</b> - Product Option Name ID to display an <b>attribute time</b> input <br/><br/> Default => 0 = Not Set', '52', '114', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('SHOW_ATTDATETIME');

# DELETE FROM configuration WHERE configuration_key in ('ATTDATE_ID_A');
# DELETE FROM configuration WHERE configuration_key in ('ATTDATE_ID_B');

# DELETE FROM configuration WHERE configuration_key in ('ATTTIME_ID_A');
# DELETE FROM configuration WHERE configuration_key in ('ATTTIME_ID_B');
## DELETE CODE




INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Order Details</b> on Checkout Payment Page', 'TWI_SHOW_ORDER_DETAILS_ON_CHECKOUT_PAYMENT', 'Show', 'Default => Show', '50', '95', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Order Details</b> on Checkout Confirmation Page', 'TWI_SHOW_ORDER_DETAILS_ON_CHECKOUT_CONFIRMATION', 'Show', 'Default => Show', '50', '96', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Order Details</b> on Account History', 'TWI_SHOW_ORDER_DETAILS_ON_ACC_HISTORY', 'Show', 'Default => Show', '50', '97', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Order Details</b> on Shopping Cart', 'TWI_SHOW_ORDER_DETAILS_SHOPPING_CART', 'Show', 'Default => Show', '50', '98', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Order Details</b> on Email', 'TWI_SHOW_ORDER_DETAILS_EMAIL', 'Show', 'Default => Show', '50', '98', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ORDER_DETAILS_ON_CHECKOUT_PAYMENT');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ORDER_DETAILS_ON_CHECKOUT_CONFIRMATION');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ORDER_DETAILS_ON_ACC_HISTORY');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ORDER_DETAILS_SHOPPING_CART');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ORDER_DETAILS_EMAIL');
## DELETE CODE





## Twitch Delivery Information Additional Input Fields
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Delivery Information</b> Additional Input Fields', 'TWI_SHOW_EXTRA_DELIVERY_INFO', 'Show', 'Includes: RES_COM switch, Date, AM PM, Recipient Phone, Gift Message, Delivery Message to Customer <br/><b>Note:</b> email/email_template_checkout.html will need to manually change display to show or hide <b>Twitch Delivery Information Additional Input Fields</b> <br/><br/> Default => Show', '50', '60', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


## Twitch Delivery Information - Residential Commercial Switch (RES_COM)
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show Address Type <b>Residential or Commercial</b> on checkout_shipping', 'SHOW_DELIVERY_INFO_RES_COM', 'Show', 'Default => Show', '50', '61', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Twitch Delivery Information - Date
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show Preferred <b>Delivery Date</b> on checkout_shipping', 'SHOW_DELIVERY_INFO_DATE', 'Show', 'Show input with click to add calendar popup <br/><br/> Default => Show', '50', '62', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Twitch Delivery Information - AM PM
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show Preferred <b>Delivery Time</b> AM PM on checkout_shipping', 'SHOW_DELIVERY_INFO_TIMEAMPM', 'Show', 'AM PM displayed as radio button input <br/><br/> Default => Show', '50', '63', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Twitch Delivery Information - Recipient Phone
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Recipient Phone Number</b> on checkout_shipping', 'SHOW_DELIVERY_INFO_RECIPIENT_PHONE', 'Show', 'Default => Show', '50', '64', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Twitch Delivery Information - Gift Message
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Gift Message</b> on checkout_shipping', 'SHOW_DELIVERY_INFO_GIFT_MSG', 'Show', 'Default => Show', '50', '65', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## Twitch Delivery Information - Delivery Message
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Delivery Message</b> on checkout_shipping', 'SHOW_DELIVERY_INFO_MESSAGE', 'Show', 'Default => Show', '50', '66', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>Delivery Message</b> to Customer on checkout_shipping', 'THE_DELIVERY_INFO_MESSAGE', '*<em> All orders placed online will be delivered on the next business day.</em> <br/>&nbsp;&nbsp; If you require same day delivery, please contact the store directly.', 'Default => *<em> All orders placed online will be delivered on the next business day.</em> <br/>&nbsp;&nbsp; If you require same day delivery, please contact the store directly. <br/><br/> Enter delivery message to customer [leave blank to hide]: ', '50', '67', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_EXTRA_DELIVERY_INFO');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_DELIVERY_INFO_DATE');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_DELIVERY_INFO_TIMEAMPM');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_DELIVERY_INFO_RECIPIENT_PHONE');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_DELIVERY_INFO_GIFT_MSG');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_DELIVERY_INFO_RES_COM');
# DELETE FROM configuration WHERE configuration_key in ('SHOW_DELIVERY_INFO_MESSAGE');
# DELETE FROM configuration WHERE configuration_key in ('THE_DELIVERY_INFO_MESSAGE');
## DELETE CODE



## Add a place to record the switch position
ALTER TABLE orders_status_history ADD twi_delivery_res_com VARCHAR(32) NULL;
ALTER TABLE orders_status_history ADD twi_delivery_date VARCHAR(32) NULL;
ALTER TABLE orders_status_history ADD twi_delivery_time VARCHAR(32) NULL;
ALTER TABLE orders_status_history ADD twi_delivery_phone VARCHAR(12) NULL;
ALTER TABLE orders_status_history ADD twi_delivery_card_message text;

## DELETE CODE
# ALTER TABLE orders_status_history DROP twi_delivery_res_com;
# ALTER TABLE orders_status_history DROP twi_delivery_date;
# ALTER TABLE orders_status_history DROP twi_delivery_time;
# ALTER TABLE orders_status_history DROP twi_delivery_phone;
# ALTER TABLE orders_status_history DROP twi_delivery_card_message;
## DELETE CODE





### Twitch Other Modules - 3rd party Switch Example
## Redoc Note: this may need the gID matched to the buttons to work after install
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' <b>Example</b> 3rd Part Module Switch', 'TWI_OTHER_MODULES_EXAMPLE', 'Show', 'Add your ON/OFF SHOW/HIDE switch here <br/><br/> Default => Show', '58', '1', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_OTHER_MODULES_EXAMPLE');
## DELETE CODE





### Twitch Attribute Image Display in Shopping Cart
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES (' Show <b>Attribute Images</b> in Shopping Cart', 'TWI_SHOW_ATTRIBUTE_IMAGE_IN_CART', 'Show', 'Attribute Image display is available on all shopping cart pages including account history. <br/><br/> Default => Show', '50', '38', now(), NULL, 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Show Attribute Images in Shopping Cart - Justify', 'TWI_SHOW_ATTRIBUTE_IMAGE_JUSTIFY', 'center', 'This feature can be used to change attribute test justification regardless of attribute image display position. <br/><br/> Default => center', '50', '39', now(), NULL, 'zen_cfg_select_option(array(\'center\', \'left\'), ');

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ATTRIBUTE_IMAGE_IN_CART');
# DELETE FROM configuration WHERE configuration_key in ('TWI_SHOW_ATTRIBUTE_IMAGE_JUSTIFY');
## DELETE CODE






### Twitch Product Traits
## Add the additional product image fields to the products table
ALTER TABLE products_description ADD product_trait_one VARCHAR(255) NULL AFTER products_viewed;
ALTER TABLE products_description ADD product_trait_two VARCHAR(255) NULL AFTER product_trait_one;
ALTER TABLE products_description ADD product_trait_three VARCHAR(255) NULL AFTER product_trait_two;

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Display <b>Product Traits</b> on Product Info', 'SHOW_PRODUCT_INFO_PRODUCT_TRAITS', 'Show', 'Default => Show', '52', '120', now(), NULL, 'zen_cfg_select_option(array(\'Show\',\'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Product Info - Show Product Trait Labels', 'SHOW_PRODUCT_TRAITS_LABEL', 'Show', 'Default => Show', '52', '121', now(), NULL, 'zen_cfg_select_option(array(\'Show\',\'Hide\'), ');


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Info - Product Trait <b>One</b> Label', 'LABEL_PRODUCT_TRAIT_ONE', 'Product Trait One:', 'Default => Product Trait One: ', '52', '122', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Product Info - Product Trait One <b>Type</b>', 'PRODUCT_TRAITS_ONE_TYPE', 'image', 'This is a <b>global</b> change for all products - trait_one <br/><br/><b>Redoc Note:</b> Any existing link addresses will be treated or displayed as text and may be over sanitized (htmlspecialchars on preview_info.php) <br/><br/> Default => image', '52', '123', now(), NULL, 'zen_cfg_select_option(array(\'image\',\'link\',\'text\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Info - Product Trait <b>Two</b> Label', 'LABEL_PRODUCT_TRAIT_TWO', 'Product Trait Two:', 'Default => Product Trait Two: ', '52', '124', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Product Info - Product Trait Two <b>Type</b>', 'PRODUCT_TRAITS_TWO_TYPE', 'link', 'This is a <b>global</b> change for all products - trait_two <br/><br/><b>Redoc Note:</b> Any existing link addresses will be treated or displayed as text and may be over sanitized (htmlspecialchars on preview_info.php) <br/><br/> Default => link', '52', '125', now(), NULL, 'zen_cfg_select_option(array(\'image\',\'link\',\'text\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Info - Product Trait <b>Three</b> Label', 'LABEL_PRODUCT_TRAIT_THREE', 'Product Trait Three:', 'Default => Product Trait Three: ', '52', '126', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Product Info - Product Trait Three <b>Type</b>', 'PRODUCT_TRAITS_THREE_TYPE', 'text', 'This is a <b>global</b> change for all products - trait_three <br/><br/><b>Redoc Note:</b> Any existing link addresses will be treated or displayed as text and may be over sanitized (htmlspecialchars on preview_info.php) <br/><br/> Default => text', '52', '127', now(), NULL, 'zen_cfg_select_option(array(\'image\',\'link\',\'text\'), ');

### Twitch Quantity in Stock Display Control
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function)
VALUES ('Product Info - <b>Quantity in Stock</b> - Show Units', 'TWI_QTYSTOCK_UNITS', 'Stock', '<b>Stock</b> = Show Quantity in Stock Units <br/><br/> <b>Mask</b> = If product_quantity >= 1 <br/>Show Custom Message Example: 1 or More Available <br/> Tracer: TWI_QTYSTOCK_UNITS_MASK <br/><br/> <b>Hide</b> = Override $flag_show_product_info_quantity and hide quantity in stock <br/><br/> Default => Stock', '52', '150', now(), NULL, 'zen_cfg_select_option(array(\'Stock\',\'Mask\',\'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('Product Info - Quantity in Stock <b>Image</b> or <b>Button</b>', 'TWI_QTYSTOCK_IMAGE', 'Image', 'Default => Image', '52', '151', now(), NULL, 'zen_cfg_select_option(array(\'Image\',\'Button\',\'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Product Info - Quantity in Stock <b>Image Link</b>', 'TWI_QTYSTOCK_IMAGE_LINK', 'images/the_in_stock_image.png', 'Default => images/the_in_stock_image.png', '52', '152', '', '', now());

## DELETE CODE
# ALTER TABLE products_description DROP product_trait_one;
# ALTER TABLE products_description DROP product_trait_two;
# ALTER TABLE products_description DROP product_trait_three;
# DELETE FROM configuration WHERE configuration_key = 'SHOW_PRODUCT_INFO_PRODUCT_TRAITS';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_PRODUCT_TRAITS_LABEL';

# DELETE FROM configuration WHERE configuration_key = 'LABEL_PRODUCT_TRAIT_ONE';
# DELETE FROM configuration WHERE configuration_key = 'LABEL_PRODUCT_TRAIT_TWO';
# DELETE FROM configuration WHERE configuration_key = 'LABEL_PRODUCT_TRAIT_THREE';

# DELETE FROM configuration WHERE configuration_key = 'PRODUCT_TRAITS_ONE_TYPE';
# DELETE FROM configuration WHERE configuration_key = 'PRODUCT_TRAITS_TWO_TYPE';
# DELETE FROM configuration WHERE configuration_key = 'PRODUCT_TRAITS_THREE_TYPE';

# DELETE FROM configuration WHERE configuration_key = 'TWI_QTYSTOCK_UNITS';
# DELETE FROM configuration WHERE configuration_key = 'TWI_QTYSTOCK_IMAGE';
# DELETE FROM configuration WHERE configuration_key = 'TWI_QTYSTOCK_IMAGE_LINK';
## DELETE CODE





### Twitch Add Signup Offer - MUST add new customer signup coupon code and pair to coupon id in configuration settings
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('<b>New Customer Signup Coupon</b> Display', 'NEW_SIGNUP_DISCOUNT_DISPLAY', 'Show', 'Displayed in login, create account, shopping cart, customer email <br/><br/> <b>Redoc Note:</b> You must clear Admin > Configuration > GV Coupons > New Signup Discount Coupon ID# to hide all stock signup coupon functions <br/><br/> Default => Show', '52', '160', now(), NULL, 'zen_cfg_select_option(array(\'Show\',\'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('New Customer Signup Coupon - <b>Send To</b>', 'NEW_SIGNUP_DISCOUNT_EMAIL_CUST', 'All New Cust', 'Add new signup coupon in Admin > Discounts > Coupon Admin then set Admin > Configuration > GV Coupons > New Signup Discount Coupon ID# <br/><br/> All new customers get a discount coupon <b>OR</b> only those that check the newsletter box <br/><br/> Default => All New Cust', '52', '161', now(), NULL, 'zen_cfg_select_option(array(\'Newsletter Only\',\'All New Cust\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>Add Signup Offer</b> - Create Account Text', 'ENTRY_EMAIL_SIGNUP_COUPON', '10% off first order when you sign up for our newsletter', 'Default => 10% off first order when you sign up for our newsletter', '52', '162', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('<b>Add Signup Offer</b> - Shopping Cart Text', 'ENTRY_EMAIL_SIGNUP_COUPON_CART', '10% off first order when you sign up for our newsletter <br/> (New customers only)', 'Default => 10% off first order when you sign up for our newsletter <br/> (New customers only)', '52', '164', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'NEW_SIGNUP_DISCOUNT_DISPLAY';
# DELETE FROM configuration WHERE configuration_key = 'NEW_SIGNUP_DISCOUNT_EMAIL_CUST';
# DELETE FROM configuration WHERE configuration_key = 'ENTRY_EMAIL_SIGNUP_COUPON';
# DELETE FROM configuration WHERE configuration_key = 'ENTRY_EMAIL_SIGNUP_COUPON_CART';
## DELETE CODE



### Twitch MCheckout Free Gift - Order Confirmation Display
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES ('<b>Marketing Checkout</b> Display', 'MCHECKOUT_FREEGIFT_DISPLAY', 'Show', 'MCheckout displayed in shopping cart, customer email <br/><br/> Default => Show', '52', '170', now(), NULL, 'zen_cfg_select_option(array(\'Show\',\'Hide\'), ');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MCheckout Free Gift <b>Minimum Sub Total</b>', 'MCHECKOUT_FREEGIFT_MIN_SUBTOTAL', '100', 'Default => 100', '52', '172', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MCheckout Free Gift <b>Banner Image</b>', 'MCHECKOUT_FREEGIFT_IMAGE_FILE', 'email_manual_banner.png', 'Found in <b>images/banners/</b> (jpg or png image file 300px x 175px) <br/><br/> Default => email_manual_banner.png', '52', '174', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MCheckout Free Gift <b>Shopping Cart</b> Text', 'MCHECKOUT_FREEGIFT_CART_TEXT', 'Receive a Free Gift with order over $100 (subtotal)', 'Default => Receive a Free Gift with order over $100 (subtotal)', '52', '175', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MCheckout Free Gift <b>Email</b> Text', 'MCHECKOUT_FREEGIFT_EMAIL_TEXT', 'Order Over $100 - Your Free Gift!.. ', 'Default => Order Over $100 - Your Free Gift!.. ', '52', '176', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MCheckout Free Gift Email ALT Text', 'MCHECKOUT_FREEGIFT_ALT', 'Free Gift Image', 'Default => Free Gift Image', '52', '177', '', '', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('MCheckout Free Gift <b>Email</b> Link', 'MCHECKOUT_FREEGIFT_EMAIL_LINK', 'https://twitchtoo.com/', 'Default => https://twitchtoo.com/', '52', '178', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_DISPLAY';
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_MIN_SUBTOTAL';
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_IMAGE_FILE';
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_CART_TEXT';
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_EMAIL_TEXT';
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_ALT';
# DELETE FROM configuration WHERE configuration_key = 'MCHECKOUT_FREEGIFT_EMAIL_LINK';
## DELETE CODE



### Twitch Canada Post Shipping Fields (wsPRO)
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Admin Edit Product - Show CP Shipping Fields', 'CP_SHIP_FIELDS_ADMIN_EDITPRODUCT', 'Show', 'These fields can be used by all shipping modules - Not specific to Canada Post (CP) tracer <br/><br/> Default => Show', '42', '170', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());


ALTER TABLE products ADD products_weight_type ENUM('lbs','kgs') NOT NULL default 'kgs' after products_weight;
ALTER TABLE products ADD products_dim_type ENUM('in','cm') NOT NULL default 'cm' after products_weight_type;
ALTER TABLE products ADD products_length DECIMAL(6,2) DEFAULT '12' NOT NULL after products_dim_type;
ALTER TABLE products ADD products_width DECIMAL(6,2) DEFAULT '12' NOT NULL after products_length;
ALTER TABLE products ADD products_height DECIMAL(6,2) DEFAULT '12' NOT NULL after products_width;
ALTER TABLE products ADD products_ready_to_ship ENUM('0','1') NOT NULL default '0' after products_height;


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'CP_SHIP_FIELDS_ADMIN_EDITPRODUCT';
# ALTER TABLE products DROP products_weight_type;
# ALTER TABLE products DROP products_dim_type;
# ALTER TABLE products DROP products_length;
# ALTER TABLE products DROP products_width;
# ALTER TABLE products DROP products_height;
# ALTER TABLE products DROP products_ready_to_ship;
## DELETE CODE





### Twitch Inventory Report Advanced
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch <b>Inventory Report</b> - Images', 'TWI_INV_REPORT_IMAGE_DISPLAY', 'Show', 'Default => Show', '58', '10', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Report <b>Images Advanced</b>', 'TWI_INV_REPORT_IMAGE_ADVANCED', 'Hide', 'When TWI_INV_REPORT_IMAGE_DISPLAY = <b>Show</b> this printable inventory report can be used to quickly check images, print visual inventory audit lists and more. <br/><br/> Default => Check Images', '58', '12', 'zen_cfg_select_option(array(\'Check Images\', \'Hide\'), ', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_INV_REPORT_IMAGE_DISPLAY';
# DELETE FROM configuration WHERE configuration_key = 'TWI_INV_REPORT_IMAGE_ADVANCED';
## DELETE CODE



### Twitch Inventory Manager
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch <b>Inventory Manager</b> - Images', 'SHOW_P_IMAGE_INVENTORY_MANAGER', 'Show', 'Default => Show', '58', '39', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch <b>Inventory Manager</b> - Show <b>product_base_cost</b>', 'SHOW_BASE_COST_INVENTORY_MANAGER', 'Show', 'Default => Show', '58', '40', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show <b>product_p_tier1</b> (RT 1)', 'SHOW_P_TIER1_INVENTORY_MANAGER', 'Tier1', 'Twitch wsPRO must be ON Default => Tier1', '58', '42', 'zen_cfg_select_option(array(\'Tier1\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier2', 'SHOW_P_TIER2_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '43', 'zen_cfg_select_option(array(\'Tier2\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier3', 'SHOW_P_TIER3_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '44', 'zen_cfg_select_option(array(\'Tier3\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier4', 'SHOW_P_TIER4_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '45', 'zen_cfg_select_option(array(\'Tier4\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier5', 'SHOW_P_TIER5_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '46', 'zen_cfg_select_option(array(\'Tier5\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show <b>product_p_tier6</b> (WS 1)', 'SHOW_P_TIER6_INVENTORY_MANAGER', 'Tier6', 'Twitch wsPRO must be ON Default => Tier6', '58', '47', 'zen_cfg_select_option(array(\'Tier6\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier7', 'SHOW_P_TIER7_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '48', 'zen_cfg_select_option(array(\'Tier7\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier8', 'SHOW_P_TIER8_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '49', 'zen_cfg_select_option(array(\'Tier8\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier9', 'SHOW_P_TIER9_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '50', 'zen_cfg_select_option(array(\'Tier9\', \'Hide\'), ', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch Inventory Manager - Show product_p_tier10', 'SHOW_P_TIER10_INVENTORY_MANAGER', 'Hide', 'Twitch wsPRO must be ON Default => Hide', '58', '51', 'zen_cfg_select_option(array(\'Tier10\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch <b>Inventory Manager</b> - Show <b>product_mlist</b>', 'SHOW_MLIST_PRICE_INVENTORY_MANAGER', 'Show', 'Default => Show', '58', '100', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_IMAGE_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_BASE_COST_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER1_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER2_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER3_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER4_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER5_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER6_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER7_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER8_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER9_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_P_TIER10_INVENTORY_MANAGER';
# DELETE FROM configuration WHERE configuration_key = 'SHOW_MLIST_PRICE_INVENTORY_MANAGER';
## DELETE CODE





## After May 15 release ##





### Twitch HTML Email Conversion
### hide display - defaults to Admin > Configuration > Customer Details > Customer Default Email Preference
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Twitch <b>Show Email Format</b>', 'HTML_EMAIL_ONLY_CONVERSION', 'Hide', 'Show on login, sign up, account edit and admin customer edit pages (stock) or Hide <br/><br/> Default => Hide', '5', '47', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'HTML_EMAIL_ONLY_CONVERSION';
## DELETE CODE


### Twitch Add More to Get Free Shipping
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Shopping Cart - Add More to Get Free Shipping', 'TWI_ADDMORE_GET_FREESHIPPING', 'Hide', 'Master switch works above Free Shipping Options (freeoptions) module to display message on shopping cart based on <b>ot_shipping Free Shipping for Orders Over </b> amount <br/><br/> Default => Hide', '52', '190', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_ADDMORE_GET_FREESHIPPING';
## DELETE CODE



### Twitch Show Product or Attribute Image on Admin Invoice
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Product Image</b> on Admin Invoice', 'TWI_PIMAGE_INVOICE', 'Show', 'Default => Show', '50', '250', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Attribute Image</b> on Admin Invoice', 'TWI_AIMAGE_INVOICE', 'Show', 'Default => Show', '50', '251', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_PIMAGE_INVOICE';
# DELETE FROM configuration WHERE configuration_key = 'TWI_AIMAGE_INVOICE';
## DELETE CODE


### Twitch Add Date Added to New Products Listing
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Date Added</b> on New Products Listing', 'TWI_DATE_ADDED_NEW_PRODUCTS_LISTING', 'Hide', 'Show Date Added separate from stock control (see product types - layout for global setting) Default => Hide', '50', '255', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_DATE_ADDED_NEW_PRODUCTS_LISTING';
## DELETE CODE


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Show <b>Shipping Method</b> Text Messages', 'SHIPMETHODTEXTMSG', 'Show', 'Default => Show', '52', '194', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Shipping Method Text Message', 'SHIPMETHODTEXTMSG_L1', 'Line 1', '[leave blank to hide]<br/>Default => Line 1', '52', '195', '', '', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Shipping Method Text Message', 'SHIPMETHODTEXTMSG_L2', 'Line 2', '[leave blank to hide]<br/>Default => Line 2', '52', '196', '', '', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Shipping Method Text Message', 'SHIPMETHODTEXTMSG_L3', 'Line 3', '[leave blank to hide]<br/>Default => Line 3', '52', '197', '', '', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Shipping Method Text Message', 'SHIPMETHODTEXTMSG_L4', 'Line 4', '[leave blank to hide]<br/>Default => Line 4', '52', '198', '', '', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)
VALUES ('Shipping Method Text Message', 'SHIPMETHODTEXTMSG_L5', 'Line 5', '[leave blank to hide]<br/>Default => Line 5', '52', '199', '', '', now());


## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'SHIPMETHODTEXTMSG';
# DELETE FROM configuration WHERE configuration_key = 'SHIPMETHODTEXTMSG_L1';
# DELETE FROM configuration WHERE configuration_key = 'SHIPMETHODTEXTMSG_L2';
# DELETE FROM configuration WHERE configuration_key = 'SHIPMETHODTEXTMSG_L3';
# DELETE FROM configuration WHERE configuration_key = 'SHIPMETHODTEXTMSG_L4';
# DELETE FROM configuration WHERE configuration_key = 'SHIPMETHODTEXTMSG_L5';
## DELETE CODE


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Banner Manager - Replace Banner Popup with On-Screen Image', 'TWI_SHOW_BANNER_IMAGES', 'Show', 'Default => Show', '50', '260', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_SHOW_BANNER_IMAGES';
## DELETE CODE

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show <b>Products Shipping Weight</b> on Admin Category Product Listing', 'SHOW_SHIPWEIGHT_ADMIN_CATPRODLIST', 'Show', 'Show Product Shipping Weight (products_weight) <br/> Default => Show', '41', '520', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'SHOW_SHIPWEIGHT_ADMIN_CATPRODLIST';
## DELETE CODE


## January 15th Additions 2023 twitch2023 twi23
 
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Banner Manager - Replace Banner Popup with On-Screen Image', 'TWI_SHOW_BANNER_IMAGES', 'Show', 'Default => Show', '50', '260', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_SHOW_BANNER_IMAGES';
## DELETE CODE


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show <b>Products Shipping Weight</b> on Admin Category Product Listing', 'SHOW_SHIPWEIGHT_ADMIN_CATPRODLIST', 'Show', 'Show Product Shipping Weight (products_weight) <br/> Default => Show', '41', '520', 'zen_cfg_select_option(array(\'Show\', \'Hide\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'SHOW_SHIPWEIGHT_ADMIN_CATPRODLIST';
## DELETE CODE


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) 
VALUES ('Show <b>Search Box</b> Location', 'TWI_SHOW_SEARCH_LOCATION', 'Header', '(Use Admin > Layout Boxes > search_header - single column status - for display control) <br/> Default => Header (stock)', '50', '155', 'zen_cfg_select_option(array(\'Header\', \'AllPages\'), ', now());

## DELETE CODE
# DELETE FROM configuration WHERE configuration_key = 'TWI_SHOW_SEARCH_LOCATION';
## DELETE CODE

##### eof Twitch Base7 install - SQL Updates
