<?php
/**
 * Testimonials Manager
 *
 * @package Template System
 * @copyright 2007 Clyde Jones
 * @copyright Copyright 2003-2018 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Testimonials Manager v2.5 3 01-19-2021 davewest $
 */

  require('includes/application_top.php');

  $action = (isset($_GET['action']) ? $_GET['action'] : '');
  
  $testimonialsID = array();  //checkboxes for deleteing testimonials
  
  if (zen_not_null($action)) {
    switch ($action) {
      case 'setflag':
        if ( ($_GET['flag'] == '0') || ($_GET['flag'] == '1') || ($_GET['flag'] == '2') ) {

         $testimonials_id = zen_db_prepare_input($_GET['bID']);
         
          switch ($_GET['flag']) {
        case 0:
          $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . " set status = '0' where testimonials_id = '" . $testimonials_id . "'");
          break;
        case 1:
          $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . " set status = '1' where testimonials_id = '" . $testimonials_id . "'");
          break;
        case 2:
          $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . " set status = '2' where testimonials_id = '" . $testimonials_id . "'");
          break;
      }
          $messageStack->add_session(SUCCESS_PAGE_STATUS_UPDATED, 'success');
        } else {
          $messageStack->add_session(ERROR_UNKNOWN_STATUS_FLAG, 'error');
        }
        zen_redirect(zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $_GET['bID']));
        break;
      case 'insert':
      case 'update':
        if (isset($_POST['testimonials_id'])) $testimonials_id = zen_db_prepare_input($_POST['testimonials_id']);
        $testimonials_title = zen_db_prepare_input(zen_sanitize_string($_POST['testimonials_title']));
	$testimonials_name = zen_db_prepare_input(zen_sanitize_string($_POST['testimonials_name']));
	$testimonials_mail = zen_db_prepare_input($_POST['testimonials_mail']);
	$rating = zen_db_prepare_input($_POST['tm_rating']);
        $feedback = zen_db_prepare_input(zen_sanitize_string($_POST['tm_feedback']));
        $contact_user = zen_db_prepare_input($_POST['tm_contact_user']);
        $contact_phone = zen_db_prepare_input($_POST['tm_contact_phone']);
        $make_public = zen_db_prepare_input($_POST['tm_make_public']);
        $privacy = zen_db_prepare_input($_POST['tm_privacy_conditions']);
        $tm_status = zen_db_prepare_input($_POST['tm_status']);
        $tmv_yes = zen_db_prepare_input($_POST['helpful_yes']);
        $tmv_no = zen_db_prepare_input($_POST['helpful_no']);
	$testimonials_date = (empty($_POST['date_added']) ? date('Y-m-d h:i:s', time()) : zen_db_prepare_input($_POST['date_added']));
        $testimonials_html_text = zen_db_prepare_input(zen_sanitize_string($_POST['testimonials_html_text']));
        
        $page_error = false;
        if (empty($testimonials_name)) {
          $messageStack->add(ERROR_PAGE_AUTHOR_REQUIRED, 'error');
          $page_error = true;
        }
        if (empty($testimonials_mail)) {
          $messageStack->add(ERROR_PAGE_EMAIL_REQUIRED, 'error');
          $page_error = true;
        }
        if (empty($testimonials_title)) {
          $messageStack->add(ERROR_PAGE_TITLE_REQUIRED, 'error');
          $page_error = true;
        }
        if (empty($testimonials_html_text)) {
		$messageStack->add(ERROR_PAGE_TEXT_REQUIRED, 'error');
          $page_error = true;
        }
        if ($page_error == false) {
        
		$language_id = (int)$_SESSION['languages_id'];

	$sql_data_array = array(array('fieldName'=>'language_id', 'value'=>$language_id, 'type'=>'integer'), 
	                        array('fieldName'=>'testimonials_title', 'value'=>$testimonials_title, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'testimonials_name', 'value'=>$testimonials_name, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'testimonials_html_text', 'value'=>$testimonials_html_text, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'testimonials_mail', 'value'=>$testimonials_mail, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'tm_rating', 'value'=>$rating, 'type'=>'integer'),
                                array('fieldName'=>'tm_feedback', 'value'=>$feedback, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'tm_make_public', 'value'=>$make_public, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'tm_contact_user', 'value'=>$contact_user, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'tm_contact_phone', 'value'=>$contact_phone, 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'tm_privacy_conditions', 'value'=>$privacy, 'type'=>'integer'),
                                array('fieldName'=>'helpful_yes', 'value'=>$tmv_yes, 'type'=>'integer'),
                                array('fieldName'=>'helpful_no', 'value'=>$tmv_no, 'type'=>'integer'),
                                array('fieldName'=>'testimonials_image', 'value'=>TESTIMONIAL_IMAGE_DIRECTORY . 'user-male-icon.png', 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'testimonials_upimg', 'value'=>'', 'type'=>'stringIgnoreNull'),
                                array('fieldName'=>'status', 'value'=>$tm_status, 'type'=>'integer'),
                               );  
                               
          if ($action == 'insert') {
          
	     if (empty($_POST['date_added'])) {
		$testimonials_date = 'now()';
	     }else {
		$testimonials_date = zen_db_prepare_input($_POST['date_added']);
                 if (DATE_FORMAT_DATE_PICKER != 'yy-mm-dd') {
                 $local_fmt = zen_datepicker_format_fordate(); 
                 $dt = DateTime::createFromFormat($local_fmt, $testimonials_date); 
                 $testimonials_date = $dt->format('Y-m-d'); 
                 }
               $testimonials_date = (date('Y-m-d') < $testimonials_date) ? $testimonials_date : 'null';
	     }
		
            $sql_data_array[] = array('fieldName'=>'date_added', 'value'=>$testimonials_date, 'type'=>'noquotestring');
  
                               
            $db->perform(TABLE_TESTIMONIALS_MANAGER, $sql_data_array);           	
            $testimonials_id = zen_db_insert_id();
            $messageStack->add_session(SUCCESS_PAGE_INSERTED, 'success');
            
          } elseif ($action == 'update') {
          
            $sql_data_array[] = array('fieldName'=>'last_update', 'value'=>'now()', 'type'=>'noquotestring');

            $db->perform(TABLE_TESTIMONIALS_MANAGER, $sql_data_array, 'update', "testimonials_id = '" . (int)$testimonials_id . "'");
            
            $messageStack->add_session(SUCCESS_PAGE_UPDATED, 'success');
          }
 
  
       if (!empty($_POST['avatar_image'])) {
        // add image manually
        $existing_avatar = TESTIMONIAL_IMAGE_DIRECTORY . zen_db_prepare_input($_POST['avatar_image']);       
        $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . "
                            set testimonials_image = '" . $existing_avatar . "'
                            where testimonials_id = '" . (int)$testimonials_id . "'");
      } else {
        if ($testimonials_image = new upload('testimonials_image')) {
          $testimonials_image->set_extensions(array('jpg','gif','png'));
          $testimonials_image->set_destination(DIR_FS_CATALOG_IMAGES . TESTIMONIAL_IMAGE_DIRECTORY);
          if ($testimonials_image->parse() && $testimonials_image->save()) {
            $testimonials_image_name = zen_db_input(TESTIMONIAL_IMAGE_DIRECTORY . $testimonials_image->filename);
          }
          if ($testimonials_image->filename != 'none' && $testimonials_image->filename != '') {
            // save filename when not set to none and not blank
            $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . "
                            set testimonials_image = '" . $testimonials_image_name . "'
                          where testimonials_id = '" . (int)$testimonials_id . "'");
          } 
        }
      }

       if (!empty($_POST['image_upimg'])) {
        // add image manually
        $existing_image = TM_UPLOAD_DIRECTORY . zen_db_prepare_input($_POST['image_upimg']);
        $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . "
                            set testimonials_upimg = '" . $existing_image . "'
                            where testimonials_id = '" . (int)$testimonials_id . "'");
      } else {
        if ($testimonials_upimg = new upload('testimonials_upimg')) {
          $testimonials_upimg->set_extensions(array('jpg','png'));
          $testimonials_upimg->set_destination(DIR_FS_CATALOG_IMAGES . TM_UPLOAD_DIRECTORY);
          if ($testimonials_upimg->parse() && $testimonials_upimg->save()) {
            $testimonials_upimg_name = zen_db_input(TM_UPLOAD_DIRECTORY . $testimonials_upimg->filename);
          }
          if ($testimonials_upimg->filename != 'none' && $testimonials_upimg->filename != '') {
            // save filename when not set to none and not blank
            $db->Execute("update " . TABLE_TESTIMONIALS_MANAGER . "
                            set testimonials_upimg = '" . $testimonials_upimg_name . "'
                          where testimonials_id = '" . (int)$testimonials_id . "'");
          } 
        }
      }
          
          zen_redirect(zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'bID=' . $testimonials_id));
        } else {
          $action = 'new';
        }
        break;
      case 'deleteconfirm':
        
        $testimonialsID = $_SESSION['deleteTest'];

        $howmany = (is_array($testimonialsID) ? count($testimonialsID) : 0);  //number of testimonials to delete
  
           for ($i=0, $n=$howmany; $i<$n; $i++) {  // Loop to get the values of individual checked checkboxes.
               $testimonials_id = $testimonialsID[$i];  

               $db->Execute("delete from " . TABLE_TESTIMONIALS_MANAGER . " where testimonials_id = '" . (int)$testimonials_id . "'");

           }

        $messageStack->add_session(SUCCESS_PAGE_REMOVED, 'success');
        zen_redirect(zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')));
        break;
    }
  } 
?>
<!doctype html>
<html <?php echo HTML_PARAMS; ?>>
  <head>
    <?php
    require DIR_WS_INCLUDES . 'admin_html_head.php';
    if ($action != 'new_product_meta_tags' && $editor_handler != '') {
      include ($editor_handler);
    }
    ?>
 <script>
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
</script>
  </head>
  <body onLoad="init()">
    <!-- header //-->
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
    <!-- header_eof //-->

 <!-- body //-->

<div class="container-fluid">
      <!-- body_text //-->
      <h1><?php echo HEADING_TITLE; ?></h1> 
<?php
  if ($action == 'new') {  
    $form_action = 'insert';

    $parameters = array('testimonials_title' => '',
	                'language_id' => '',  
	                'tm_rating' => '0',  
	                'tm_feedback' => '',  
			'testimonials_name' => '',
	                'testimonials_mail' => '',
			'testimonials_image' => '',
			'testimonials_title' => '',  
                        'testimonials_html_text' => '',
                        'tm_contact_user' => 'no',
                        'tm_contact_phone' => '',
                        'tm_make_public' => '',
                        'tm_privacy_conditions' => '0',
                        'helpful_yes' => '0',
                        'helpful_no' => '0',
                        'tm_gen_info' => '',
                        'testimonials_upimg' => '',
			'date_added' => '',
                        'status' =>'0');

    $bInfo = new objectInfo($parameters);

    if (isset($_GET['bID'])) {
      $form_action = 'update';

      $bID = zen_db_prepare_input($_GET['bID']);

      $page_query = "select * from " . TABLE_TESTIMONIALS_MANAGER . " where testimonials_id = '" . $_GET['bID'] . "'";
      $page = $db->Execute($page_query);
      $bInfo->objectInfo($page->fields);
    } elseif (zen_not_null($_POST)) {
      $bInfo->objectInfo($_POST);
    }
?>
<!--  edit/create form body -->
<div class="container-fluid">
        <?php echo zen_draw_form('new_page', FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'action=' . $form_action, 'post', 'enctype="multipart/form-data"'); if ($form_action == 'update') echo zen_draw_hidden_field('testimonials_id', $bID); 
        echo zen_hide_session_id();
        ?>

          <?php
          $tm_status_array = array(
            array('id' => '0', 'text' => TEXT_TM_STATUS_0), //Pending Review
            array('id' => '1', 'text' => TEXT_TM_STATUS_1), //Approved
            array('id' => '2', 'text' => TEXT_TM_STATUS_2), // Banned - Not allowed to create
          );
          ?>

  <div class="form-group">
     <?php echo zen_draw_label('Feedback Status:', 'tm_status', 'class="col-sm-2 col-form-label"'); ?>
     <div class="col-sm-10">
       <?php echo zen_draw_pull_down_menu('tm_status', $tm_status_array, $bInfo->status, 'class="form-control"'); ?>
            </div>
          </div>
<br />          
  <div class="form-group">
     <?php echo zen_draw_label('Testimonial Rating:', 'tm_rating', 'class="col-sm-2 col-form-label"'); ?>
     <div class="col-sm-10">
     <?php echo zen_draw_input_field('tm_rating', $bInfo->tm_rating, 'min="0" max="5" class="form-control"', true, 'number') . TEXT_FIELD_REQUIRED; ?>
     </div>
  </div>
<br />    
  <div class="form-group">
     <?php echo zen_draw_label(TEXT_TESTIMONIALS_NAME, 'testimonials_name', 'class="col-sm-2 col-form-label"'); ?>
     <div class="col-sm-10">
     <?php echo zen_draw_input_field('testimonials_name', $bInfo->testimonials_name, ' class="form-control"', true) . TEXT_FIELD_REQUIRED; ?>
     </div>
  </div>
<br />     
  <div class="form-group">
     <?php echo zen_draw_label(TEXT_TESTIMONIALS_MAIL, 'testimonials_mail', 'class="col-sm-2 col-form-label"'); ?>
     <div class="col-sm-10">
     <?php echo zen_draw_input_field('testimonials_mail', $bInfo->testimonials_mail, ' class="form-control"', true) . TEXT_FIELD_REQUIRED; ?>
     </div>
  </div>
<br />  
 <?php if ($form_action == 'insert') { ?>
	<p><?php echo TEXT_TESTIMONIALS_DATE_INFO; ?></p>
  <div class="form-group ">
     <?php echo zen_draw_label(TEXT_TESTIMONIALS_DATE, 'date_added', 'class="col-sm-2 col-form-label"'); ?>
      <div class="col-sm-10">
        <div class="date input-group" id="datepicker">
        <span class="input-group-addon datepicker_icon">
          <i class="fa fa-calendar fa-lg"></i>
        </span>
               <?php echo zen_draw_input_field('date_added', zen_date_short($bInfo->date_added), ' class="form-control"', false); ?>
          </div>
      <span class="help-block errorText">(<?php echo zen_datepicker_format_full();?>)</span>  
            </div>
          </div>     
 <br />
  
<?php
 }
?>

  <div class="form-group">
           <?php echo zen_draw_label('Can we contact User:', 'tm_contact_user', 'class="col-sm-2 col-form-label"'); ?>
            <div class="col-sm-10">
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_contact_user', 'no', ($bInfo->tm_contact_user == 'no' ? true : false)) . 'no'; ?></label>
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_contact_user', 'email', ($bInfo->tm_contact_user == 'email' ? true : false)) . 'email'; ?></label>
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_contact_user', 'phone', ($bInfo->tm_contact_user == 'phone' ? true : false)) . 'phone'; ?></label>
           </div>
      </div>
<br />
         <div class="form-group">
              <?php echo zen_draw_label('Contact User phone:', 'tm_contact_phone', 'class="col-sm-2 col-form-label"'); ?>
              <div class="col-sm-10">
             <?php echo zen_draw_input_field('tm_contact_phonel', $bInfo->tm_contact_phone, ' class="form-control"', false) . TEXT_TESTIMONIALS_OPTIONAL; ?>
            </div>
          </div>            
<br />          
	<div class="form-group">
            <?php echo zen_draw_label('Make Public:', 'tm_make_public', 'class="col-sm-2 col-form-label"'); ?>
            <div class="col-sm-10">
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_make_public', 'yes', ($bInfo->tm_make_public == 'yes' ? true : false),'id="tm_make_public_left"') . 'Yes'; ?></label>
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_make_public', 'no', ($bInfo->tm_make_public == 'no' ? true : false), 'id="tm_make_public_right"') . 'No'; ?></label>
              <span><?php echo TEXT_FIELD_REQUIRED; ?> </span>
           </div>
      </div>	
<br />
	<div class="form-group">
            <?php echo zen_draw_label('Privacy checked:', 'tm_privacy_conditions', 'class="col-sm-2 col-form-label"'); ?>
            <div class="col-sm-10">
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_privacy_conditions', 1, ($bInfo->tm_privacy_conditions == 1 ? true : false),'id="email_format_left"') . 'Yes'; ?></label>
              <label class="radio-inline"><?php echo zen_draw_radio_field('tm_privacy_conditions', 0, ($bInfo->tm_privacy_conditions == 0 ? true : false), 'id="email_format_right"') . 'No'; ?></label>
           </div>
      </div>
<br />
         <div class="form-group">
              <?php echo zen_draw_label(TEXT_TESTIMONIALS_TITLE, 'testimonials_title', 'class="col-sm-2 col-form-label"'); ?>
              <div class="col-sm-10">
             <?php echo zen_draw_input_field('testimonials_title', $bInfo->testimonials_title, ' class="form-control"', true) . TEXT_FIELD_REQUIRED; ?>
            </div>
          </div> 
 <br />                  
  <div class="form-group">
      <?php echo zen_draw_label(TEXT_TESTIMONIALS_HTML_TEXT, 'testimonials_html_text', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
        <div class="input-group">
          <?php echo zen_draw_textarea_field('testimonials_html_text', 'soft', '100%', '10', $bInfo->testimonials_html_text, ' class="form-control"', TRUE); ?>
        </div>
    </div>
  </div>
<br />
  <div class="form-group">
      <?php echo zen_draw_label('Other fields:', 'tm_gen_info', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
        <div class="input-group">
          <?php echo zen_draw_textarea_field('tm_gen_info', 'soft', '100%', '10', $bInfo->tm_gen_info, 'disabled="disabled"', false); ?>
        </div>
    </div>
  </div>
<br />		  
           <div class="form-group">
            <?php echo zen_draw_label(TEXT_AVATAR_CURRENT_IMAGE, 'testimonials_image', 'class="col-sm-2 col-form-label"'); ?>
            <div class="col-sm-10">
		<?php  
		if (zen_not_null($bInfo->testimonials_image)) {
                 echo zen_image(DIR_WS_CATALOG_IMAGES . $bInfo->testimonials_image, $bInfo->testimonials_title, TESTIMONIAL_IMAGE_WIDTH, TESTIMONIAL_IMAGE_HEIGHT) . '&nbsp;&nbsp;' . $bInfo->testimonials_image;
		} else {
		echo TEXT_AVATAR_NO_IMAGE;
		} ?>
	    </div>
          </div>
<br />
  <div class="form-group">
      <?php echo zen_draw_label(TEXT_AVATAR_PAGE_IMAGE, 'testimonials_image', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
            <?php echo zen_draw_file_field('testimonials_image', '', ' class="form-control"') . TEXT_TESTIMONIALS_OPTIONAL; ?>
       </div>     
      </div>       
<br />
  <div class="form-group">
      <?php echo zen_draw_label(TEXT_AVATAR_IMAGE_MANUAL, 'avatar_image', 'class="col-sm-2 col-form-label"'); ?> 
    <div class="col-sm-10">
            <?php echo zen_draw_input_field('avatar_image', '', ' class="form-control"') . TEXT_TESTIMONIALS_OPTIONAL; ?>
       </div>     
      </div>       

<br />
  <div class="form-group">
      <?php echo zen_draw_label('&nbsp;&nbsp;Helpful yes voting! ', 'helpful_yes', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
          <?php echo zen_draw_input_field('helpful_yes', $bInfo->helpful_yes, ' class="form-control"', false) . TEXT_TESTIMONIALS_OPTIONAL; ?>
    </div>
  </div>
<br />
  <div class="form-group">
      <?php echo zen_draw_label('&nbsp;&nbsp;Helpful no voting! ', 'helpful_no', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
          <?php echo zen_draw_input_field('helpful_no', $bInfo->helpful_no, ' class="form-control"', false) . TEXT_TESTIMONIALS_OPTIONAL; ?>
    </div>
  </div>    
<br />	  
<?php if (($bInfo->testimonials_upimg) != ('')) { ?>
           <div class="form-group">
            <?php echo zen_draw_label(TEXT_INFO_CURRENT_IMAGE, 'testimonials_upimg', 'class="col-sm-2 col-form-label"'); ?>
            <div class="col-sm-10">
            <?php  
		if (zen_not_null($bInfo->testimonials_upimg)) {
                 echo zen_image(DIR_WS_CATALOG_IMAGES . $bInfo->testimonials_upimg, $bInfo->testimonials_title, 150, 150) . '&nbsp;&nbsp;' . $bInfo->testimonials_upimg;
		} ?>
	    </div>
          </div>
<?php
}
?> 
<br />
  <div class="form-group">
      <?php echo zen_draw_label(TEXT_INFO_PAGE_IMAGE, 'testimonials_upimg', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
            <?php echo zen_draw_file_field('testimonials_upimg', '', 'class="form-control"') . TEXT_TESTIMONIALS_OPTIONAL; ?>
        </div>
      </div>
<br />
  <div class="form-group">
            <?php echo zen_draw_label(TEXT_PRODUCTS_IMAGE_MANUAL, 'testimonials_upimg', 'class="col-sm-2 col-form-label"'); ?>
    <div class="col-sm-10">
            <?php echo zen_draw_input_field('image_upimg', '', 'class="form-control"') . TEXT_TESTIMONIALS_OPTIONAL; ?>
        </div>
   </div>     
<br />
<span class="floatButton text-right">
 <?php echo (($form_action == 'insert') ? '<button type="submit" class="btn btn-primary">' . IMAGE_INSERT . '</button>' : '<button type="submit" class="btn btn-primary">' . IMAGE_UPDATE . '</button>') . ' <a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . (isset($_GET['bID']) ? 'bID=' . $_GET['bID'] : '')) . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>'; ?> 
</span>
      </form> 
 

<?php
  } else { 
?>
     <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9 configurationColumnLeft">    
<?php echo zen_draw_form('delform', FILENAME_TESTIMONIALS_MANAGER, 'action=confirm', 'post', '', true);  ?>
<div>
approved green  <i class="fa fa-user-circle-o fa-lg" style="color:rgba(6,130,15,1);"></i>&nbsp;&nbsp; pending blue <i class="fa fa-user-circle-o fa-lg" style="color:rgba(17,59,217,1);"></i>&nbsp;&nbsp; baned red  <i class="fa fa-user-circle-o fa-lg" style="color:rgba(255,0,0,1);"></i>
</div>
<br />
         <table border="0" class="table table-hover">
            <thead>
              <tr class="dataTableHeadingRow">
                <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_ID; ?></th>
                <th class="dataTableHeadingContent"><input type="checkbox" name="select-all" id="select-all" /> <label class="checkboxLabel" for="quote_file" >  Delete all</label></th>
                <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_TESTIMONIALS; ?></th>
		<th class="dataTableHeadingContent hidden-sm hidden-xs"><?php echo TABLE_HEADING_NAME; ?></th>
                <th class="dataTableHeadingContent hidden-sm hidden-xs"><?php echo TABLE_HEADING_MAIL; ?></th>
                <th class="dataTableHeadingContent hidden-sm hidden-xs"><?php echo TABLE_HEADING_RATING; ?></th>
                <th class="dataTableHeadingContent hidden-sm hidden-xs"><?php echo TABLE_HEADING_DATE_ADDED; ?></th>
                <th class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_STATUS; ?></th>
                <th class="dataTableHeadingContent"></th>

              </tr>
              </thead>
            <tbody>  
<?php
    $testimonials_query_raw = "select * from " . TABLE_TESTIMONIALS_MANAGER . " order by date_added DESC, testimonials_title";
    $testimonials_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $testimonials_query_raw, $testimonials_query_numrows);
    $testimonials = $db->Execute($testimonials_query_raw);


  foreach ($testimonials as $testimonial) {
     if ((!isset($_GET['bID']) || (isset($_GET['bID']) && ($_GET['bID'] == $testimonial['testimonials_id']))) && !isset($bInfo) && (substr($action, 0, 3) != 'new')) {
        $bInfo_array = array_merge($testimonial);
        $bInfo = new objectInfo($bInfo_array);
      }
      
      $howmany = (is_array($_POST['delcust']) ? count($_POST['delcust']) : 0);  //number of links to delete
       if($howmany !== 0) {  
           for ($i=0, $n=$howmany; $i<$n; $i++) {  // Loop to get the values of individual checked checkboxes.
               $testimonialsID[$i] = $_POST['delcust'][$i];  //feed any ID's into an array
           }
       }
?>
                <tr class="dataTableHeadingRow">
                <td class="dataTableContent"><?php echo $testimonial['testimonials_id']; ?></td>
                <td class="dataTableContent">
                <?php  // Create the delete checkbox and manage the checks
                    $tof = false;
                   if(is_array($testimonialsID)) {
                    if(in_array($testimonial['testimonials_id'], $testimonialsID)) {
                        $tof = true;  // we have a match
                    }  
                   } 
                    echo zen_draw_checkbox_field('delcust[]', $testimonial['testimonials_id'], $tof);
                 ?>
               </td>
                <td class="dataTableContent"><?php echo $testimonial['testimonials_title']; ?></td>
                <td class="dataTableContent hidden-sm hidden-xs" align="left"><?php echo $testimonial['testimonials_name']; ?></td>
		<td class="dataTableContent hidden-sm hidden-xs" align="left"><?php echo $testimonial['testimonials_mail']; ?></td>
		<td class="dataTableContent hidden-sm hidden-xs" align="left"><?php echo zen_image(DIR_WS_TEMPLATE_IMAGES . 'stars_' . $testimonial['tm_rating'] . '.gif', $bInfo->tm_rating . ' Stars'); ?></td>
                <td class="dataTableContent hidden-sm hidden-xs"><?php echo $testimonial['date_added']; ?></td>
                <td class="dataTableContent" align="center">
<?php
/*  coded for FontAwesome 4 not 5...  */
      if ($testimonial['status'] == '0') { //status pending blue <i class="fa fa-user-circle-o fa-lg" style="color:rgba(17,59,217,1);"></i>
        echo '<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $testimonial['testimonials_id'] . '&action=setflag&flag=1') . '" title="Approved"><i class="fa fa-user-circle-o fa-lg" style="color:rgba(6,130,15,0.5);"></i></a> &nbsp;&nbsp;<i class="fa fa-user-circle-o fa-lg" style="color:rgba(17,59,217,1);" title="Pending"></i>&nbsp;&nbsp;<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $testimonial['testimonials_id'] . '&action=setflag&flag=2') . '" title="Baned"><i class="fa fa-user-circle-o fa-lg" style="color:rgba(255,0,0,0.5);"></i></a>';
      } elseif ($testimonial['status'] == '1') {  //status approved green  <i class="fa fa-user-circle-o fa-lg" style="color:rgba(6,130,15,1);"></i>
      echo '<i class="fa fa-user-circle-o fa-lg" style="color:rgba(6,130,15,1);" title="Approved"></i>&nbsp;&nbsp;<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $testimonial['testimonials_id'] . '&action=setflag&flag=0') . '" title="Pending"><i class="fa fa-user-circle-o fa-lg" style="color:rgba(17,59,217,0.5);"></i></a>&nbsp;&nbsp;<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $testimonial['testimonials_id'] . '&action=setflag&flag=2') . '" title="Baned"><i class="fa fa-user-circle-o fa-lg" style="color:rgba(255,0,0,0.5);"></i></a>';      
      }else{ //status baned red  <i class="fa fa-user-circle-o fa-lg" style="color:rgba(255,0,0,1);"></i>
       echo '<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $testimonial['testimonials_id'] . '&action=setflag&flag=1') . '" title="Approved"><i class="fa fa-user-circle-o fa-lg" style="color:rgba(6,130,15,0.5);"></i></a>&nbsp;&nbsp;<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $testimonial['testimonials_id'] . '&action=setflag&flag=0') . '" title="Pending"><i class="fa fa-user-circle-o fa-lg" style="color:rgba(17,59,217,0.5);"></i></a>&nbsp;&nbsp;<i class="fa fa-user-circle-o fa-lg" style="color:rgba(255,0,0,1);" title="Baned"></i>';
      }
?>
 </td>
                <td class="dataTableContent" align="right"><?php if (isset($bInfo) && is_object($bInfo) && ($testimonial['testimonials_id'] == $bInfo->testimonials_id)) { echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, zen_get_all_get_params(array('bID')) . 'bID=' . $testimonial['testimonials_id']) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>

              </tr>
<?php


    }  
?>
            </tbody>
          </table>
          
           <table border="0"  class="table table-hover">
                    <tr>
                    <td class="smallText" valign="top"><?php echo $testimonials_split->display_count($testimonials_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_TESTIMONIALS); ?></td>
                    <td class="smallText" align="right"><?php echo $testimonials_split->display_links($testimonials_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], zen_get_all_get_params(array('page', 'info', 'x', 'y', 'lID'))); ?></td>
             </tr>
                   </table>
   
           <div > 
           <button type="submit" class="btn btn-danger">Delete Testimonials</button> 
           </form>
            <?php echo '<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, 'action=new') . '" class="btn btn-primary" role="button">' . IMAGE_NEW_PAGE . '</a>'; ?>
            </div>
        </div>
<?php
if ($bInfo->status == 0) {
$teststatus = 'Pending';
} else {
$teststatus = 'Approved';
} ?>
        <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 configurationColumnRight">
          <?php
  $heading = array();
  $contents = array();
  switch ($action) {
    case 'confirm':
      $heading[] = array('text' => '<h4>' . TEXT_INFO_HEADING_DELETE_TESTIMONIALS . '</h4>');
      
       $_SESSION['deleteTest'] = $testimonialsID;
       
      $contents = array('form' => zen_draw_form('testimonials', FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $bInfo->testimonials_id . '&action=deleteconfirm', 'post', '', true));
      if($howmany !== 0) {                
                  for ($i=0, $n=$howmany; $i<$n; $i++) { 
                  $tm_query = "select testimonials_name, testimonials_mail from " . TABLE_TESTIMONIALS_MANAGER . " where testimonials_id = " . $testimonialsID[$i]; 
                    $tm_info = $db->Execute($tm_query);   
                                  
                  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO . '<br /><b>ID# ' . $testimonialsID[$i] . ' ' . $tm_info->fields['testimonials_name'] . ' ' . $tm_info->fields['testimonials_mail'] . '</b><br />');
                    }
                  $contents[] = array('align' => 'text-center', 'text' => '<br><button type="submit" class="btn btn-danger">' . IMAGE_DELETE . '</button> <a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, 'NONSSL') . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                  }else{
                  $contents[] = array('align' => 'text-center', 'text' => '<br><a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, 'NONSSL') . '" class="btn btn-default" role="button">' . IMAGE_CANCEL . '</a>');
                   }

      break; 
    default:
      if (is_object($bInfo)) {
	  
        $heading[] = array('text' => '<b>' . $bInfo->testimonials_title . '</b>');

        $contents[] = array('align' => 'center', 'text' => '<a href="' . zen_href_link(FILENAME_TESTIMONIALS_MANAGER, (isset($_GET['page']) ? '&page=' . $_GET['page'] : '') . '&bID=' . $bInfo->testimonials_id . '&action=new') . '" class="btn btn-primary" role="button">' . IMAGE_EDIT . '</a><br /><br /><br />');

        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_STATUS . ' '  . $teststatus);

		if (zen_not_null($bInfo->testimonials_image)) {
        $contents[] = array('text' => '<br />' . zen_image(DIR_WS_CATALOG_IMAGES . $bInfo->testimonials_image, $bInfo->testimonials_title, TESTIMONIAL_IMAGE_WIDTH, TESTIMONIAL_IMAGE_HEIGHT) . '<br /><br />' . $bInfo->testimonials_title);
		} else {
		$contents[] = array('text' => '<br />' . TEXT_IMAGE_NONEXISTENT);
		}
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_RATING . ' '  . zen_image(DIR_WS_TEMPLATE_IMAGES . 'stars_' . $bInfo->tm_rating . '.gif', $bInfo->tm_rating . ' Stars'));
        $contents[] = array('text' => '<br /><b>' . TEXT_INFO_TESTIMONIALS_PUBLIC  . ' '  . $bInfo->tm_make_public . '</b>');
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_FEEDBACK . ' '  . $bInfo->tm_feedback);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_CONTACT_NAME . ' '  . $bInfo->testimonials_name);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_CONTACT_EMAIL . ' ' . $bInfo->testimonials_mail);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_TITLE . ' ' . $bInfo->testimonials_title);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_DESCRIPTION . '<br /> ' . $bInfo->testimonials_html_text);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_CONTACT . ' '  . $bInfo->tm_contact_user);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_CONTACT_PHONE . ' '  . $bInfo->tm_contact_phone);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_PRIVACY . ' '  . $bInfo->tm_privacy_conditions);
        $contents[] = array('text' => '<br />' . 'Helpful yes voting' . ' '  . $bInfo->helpful_yes);
        $contents[] = array('text' => '<br />' . 'Helpful no voting' . ' '  . $bInfo->helpful_no);
        $contents[] = array('text' => '<br />' . TEXT_INFO_TESTIMONIALS_GEN_INFO . '<br />'  . $bInfo->tm_gen_info);
        $contents[] = array('text' => '<br />' . 'Submited image:' . '<br />'  . $bInfo->testimonials_upimg);
        
        $contents[] = array('text' => '<br />' . TEXT_DATE_TESTIMONIALS_CREATED . ' ' . zen_date_short($bInfo->date_added));

        if (zen_not_null($bInfo->last_update)) {
          $contents[] = array('text' => TEXT_DATE_TESTIMONIALS_LAST_MODIFIED . ' ' . zen_date_short($bInfo->last_update));
        } else {		
          $contents[] = array('text' => TEXT_DATE_TESTIMONIALS_LAST_MODIFIED);
		}
		
        if ($bInfo->date_scheduled) $contents[] = array('text' => '<br />' . sprintf(TEXT_TESTIMONIALS_SCHEDULED_AT_DATE, zen_date_short($bInfo->date_scheduled)));

        if ($bInfo->expires_date) {
          $contents[] = array('text' => '<br />' . sprintf(TEXT_TESTIMONIALS_EXPIRES_AT_DATE, zen_date_short($bInfo->expires_date)));
        } elseif ($bInfo->expires_impressions) {
          $contents[] = array('text' => '<br />' . sprintf(TEXT_TESTIMONIALS_EXPIRES_AT_IMPRESSIONS, $bInfo->expires_impressions));
        }

        if ($bInfo->date_status_change) $contents[] = array('text' => '<br />' . sprintf(TEXT_TESTIMONIALS_STATUS_CHANGE, zen_date_short($bInfo->date_status_change)));
      }
      break;
  }


      if ((zen_not_null($heading)) && (zen_not_null($contents))) {
            $box = new box;
            echo $box->infoBox($heading, $contents);
          }   /*  */
?>

<?php
  } 
?>
        </div>
      </div>

<!-- body_eof //-->
    <script>
      $(function(){
        $('input[name="date_added"]').datepicker();
      })

$('#select-all').click(function(event) {   
    if(this.checked) {
        // Iterate each checkbox
        $(':checkbox').each(function() {
            this.checked = true;                        
        });
    } else {
        $(':checkbox').each(function() {
            this.checked = false;                       
        });
    }
});
      
 //   $( '#container .toggle-button' ).click( function () {
  //  $( '#container input[type="checkbox"]' ).prop('checked', this.checked)
  //})
  
    </script>   
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
